searchNodes=[{"doc":"","ref":"GitHub.html","title":"GitHub","type":"module"},{"doc":"Constructs a GitHub.App struct using information from configuration This is a convenience function for creating GitHub.App structs that are compatible with the GitHub.Auth protocol for authenticating requests. It accepts the name of a GitHub App that is configured using the apps key: iex&gt; app = GitHub . app ( :my_app ) % GitHub.App { id : 12345 , pem : &quot;&quot; -- -- - BEGIN RSA PRIVATE KEY ... &quot; } iex&gt; GitHub.Apps . get_installation ( 67890 , auth : app ) { :ok , % GitHub.Installation { ... } } It is common (and strongly recommended) to use environment variables and runtime configuration for the app ID and private key. Configuration App configs are always given as 3-tuples containing a configuration name for the app (atom), the app's ID (integer), and the app's private key (string, PEM formatted). config :oapi_config , apps : [ { :my_app , 12345 , &quot;&quot; -- -- - BEGIN RSA PRIVATE KEY ... &quot; } ] Caching JWTs are designed to last for several minutes.","ref":"GitHub.html#app/1","title":"GitHub.app/1","type":"function"},{"doc":"Run a client operation and return the raw Operation or Error Normal client operation calls return only the response body. This function can be useful when the caller needs additional information, such as data from the response headers. The args passed to this function should not include the opts argument usually available on client operations. Instead, any such options should be passed as the final argument to raw/4 . Example iex&gt; GitHub . raw ( GitHub.Users , :get_authenticated , [ ] ) { :ok , % GitHub.Operation { } }","ref":"GitHub.html#raw/4","title":"GitHub.raw/4","type":"function"},{"doc":"Protocol for extracting API authentication tokens from application structs Credentials can be passed to operations using the auth option as strings (for tokens) or 2-tuples (for client ID / secret or username / password). Sometimes, it's more convenient to pass a struct — like as a user struct — and extract the auth token from that. By implementing this protocol, the client can extract an auth token from the given struct without additional work by the caller. Example defimpl GitHub.Auth , for : MyApp.User do def to_auth ( % MyApp.User { github_token : token } ) , do : token end Provided Implementations This library provides several implementations for the protocol based on library structs. GitHub.App For app structs with id and pem fields containing the GitHub App ID and private key (respectively), the default implementation will generate a JWT compatible with certain API endpoints. Generally, the PEM field can only be filled in manually. To assist with this, the helper function GitHub.app/1 will construct a valid app struct using configured values. Creating a JWT requires the optional dependency JOSE . JWTs are made to last for several minutes, so it is prudent to cache values between requests. See GitHub.Auth.Cache for a built-in caching mechanism.","ref":"GitHub.Auth.html","title":"GitHub.Auth","type":"protocol"},{"doc":"Extract an auth token from the given struct The returned data should be in the form of a string (for a Bearer token) or a 2-tuple (for a Basic Auth user/password pair).","ref":"GitHub.Auth.html#to_auth/1","title":"GitHub.Auth.to_auth/1","type":"function"},{"doc":"Auth token accepted by the client","ref":"GitHub.Auth.html#t:auth/0","title":"GitHub.Auth.auth/0","type":"type"},{"doc":"","ref":"GitHub.Auth.html#t:t/0","title":"GitHub.Auth.t/0","type":"type"},{"doc":"Configuration for the API client and plugins Note Functions in this module is unlikely to be used directly by applications. Instead, they are useful for plugins. See GitHub.Plugin for more information. Callers of API operation functions can pass in some configuration directly using the final argument. Configuration passed in this way always takes precedence over global configuration. # Local options: GitHub.Repos . get ( &quot;aj-foster&quot; , &quot;open-api-github&quot; , server : &quot;https://gh.example.com&quot; ) # Application environment (ex. config/config.exs): config :oapi_github , server : &quot;https://gh.example.com&quot; Options The following configuration is available using local options : server (URL): API server to use. Useful if the client would like to target a GitHub Enterprise installation. Defaults to https://api.github.com . stack (list of plugins): Plugins to control the execution of client requests. See GitHub.Plugin for more information. Defaults to the default stack below. version (string): API version to use. Setting this option is not recommended, as the default value is the version of the API used to generate this client's code. Overriding it risks the client raising an error. To see the default value, open .api-version in the root of this project. wrap (boolean): Whether to wrap the results of the API call in a tagged tuple. When true , the response body will be wrapped as {:ok, response} on success or {:error, error} otherwise. When false, the Operation or Error is returned directly. Defaults to true . Note : Unwrapped responses violate the type specifications provided for each client operation. To avoid Dialyzer errors, consider using GitHub.raw/4 instead. The following configuration is available using the application environment : app_name (string): Name of the application using this client, used for User Agent and logging purposes. apps (list of tuples): GitHub App configurations. Each app config is a 3-tuple containing a name (atom), app ID (integer), and private key (string, PEM format). See GitHub.app/1 for more information. default_auth ( GitHub.Auth.auth/0 ): Default API authentication credentials to use when authentication was not provided for a request. OAuth applications can provide their client ID and secret to increase their unauthenticated rate limit. server (URL): API server to use. Useful if the client would like to target a GitHub Enterprise installation. Defaults to https://api.github.com . stack (list of plugins): Plugins to control the execution of client requests. See GitHub.Plugin for more information. Defaults to the default stack below. webhook_secret (string): Secret value provided to GitHub for signing webhook requests. See GitHub.Webhook for more information. Defaults to no signature verification. Plugins Client requests are implemented using a series of plugins. Each plugin accepts a GitHub.Operation struct and returns either a modified operation or an error. The collection of plugins configured for a request form a stack . The default stack uses Jason as a serializer/deserializer and HTTPoison as an HTTP client: [ { GitHub.Plugin.JasonSerializer , :encode_body , [ ] } , { GitHub.Plugin.HTTPoisonClient , :request , [ ] } , { GitHub.Plugin.JasonSerializer , :decode_body , [ ] } , { GitHub.Plugin.TypedDecoder , :decode_response , [ ] } , { GitHub.Plugin.TypedDecoder , :normalize_errors , [ ] } ] In general, plugins can be defined as 2- or 3-tuples specifying the module and function name and any options to pass to the function. For example: { MyPlugin , :my_function } #=&gt; MyPlugin.my_function(operation) { MyPlugin , :my_function , some : :option } #=&gt; MyPlugin.my_function(operation, some: :option) By modifying the stack, applications can easily use a different HTTP client library or serializer. Warning Stack entries without options, like {GitHub.Plugin.TestClient, :request} , look like keyword list items. If you have stacks configured in multiple Mix environments that all use this 2-tuple format, Elixir will try to merge them as keyword lists. Adding an empty options element to any stack item will prevent this behaviour.","ref":"GitHub.Config.html","title":"GitHub.Config","type":"module"},{"doc":"Get the configuration of a GitHub App by its name Example iex&gt; Config . app ( :my_app ) { :ok , { :my_app , 12345 , &quot; \\&quot; -----BEGIN RSA PRIVATE KEY...&quot; } }","ref":"GitHub.Config.html#app/1","title":"GitHub.Config.app/1","type":"function"},{"doc":"Get the configured app name Example iex&gt; Config . app_name ( ) &quot;Test App&quot;","ref":"GitHub.Config.html#app_name/0","title":"GitHub.Config.app_name/0","type":"function"},{"doc":"Get the configured default auth credentials Example iex&gt; Config . default_auth ( ) { &quot;client_one&quot; , &quot;abc123&quot; }","ref":"GitHub.Config.html#default_auth/0","title":"GitHub.Config.default_auth/0","type":"function"},{"doc":"Get configuration namespaced with a plugin module Plugins can provide a keyword list of options (such as a pre-merged keyword list of the plugin options argument and the operation's options) to be used if the given key is present. Otherwise, the response will fall back to the application environment given with the following form: config :oapi_github , MyPlugin , some : :option Where MyPlugin is the plugin module given as the second argument. See plugin_config!/3 for a variant that raises if the configuration is not found.","ref":"GitHub.Config.html#plugin_config/4","title":"GitHub.Config.plugin_config/4","type":"function"},{"doc":"Get configuration namespaced with a plugin module, or raise if not present Plugins can provide a keyword list of options (such as a pre-merged keyword list of the plugin options argument and the operation's options) to be used if the given key is present. Otherwise, the response will fall back to the application environment given with the following form: config :oapi_github , MyPlugin , some : :option Where MyPlugin is the plugin module given as the second argument. See plugin_config/4 for a variant that accepts a default value.","ref":"GitHub.Config.html#plugin_config!/3","title":"GitHub.Config.plugin_config!/3","type":"function"},{"doc":"Get the configured default API server, or https://api.github.com by default Example iex&gt; Config . server ( [ ] ) &quot;https://api.github.com&quot; iex&gt; Config . server ( server : &quot;https://gh.example.com&quot; ) &quot;https://gh.example.com&quot;","ref":"GitHub.Config.html#server/1","title":"GitHub.Config.server/1","type":"function"},{"doc":"Get the configured plugin stack Example iex&gt; Config . stack ( [ ] ) [ { GitHub.Plugin.JasonSerializer , :encode_body } , # ... ] Default The following stack is the default if none is configured or passed as an option: [ { GitHub.Plugin.JasonSerializer , :encode_body , [ ] } , { GitHub.Plugin.HTTPoisonClient , :request , [ ] } , { GitHub.Plugin.JasonSerializer , :decode_body , [ ] } , { GitHub.Plugin.TypedDecoder , :decode_response , [ ] } , { GitHub.Plugin.TypedDecoder , :normalize_errors , [ ] } ]","ref":"GitHub.Config.html#stack/1","title":"GitHub.Config.stack/1","type":"function"},{"doc":"Get the configured API version, or 2022-11-28 by default Example iex&gt; Config . version ( [ ] ) &quot;2022-11-28&quot; iex&gt; Config . version ( version : &quot;2020-01-01&quot; ) &quot;2020-01-01&quot;","ref":"GitHub.Config.html#version/1","title":"GitHub.Config.version/1","type":"function"},{"doc":"Whether to wrap the result Passing wrap: false to a client call can be useful if you need additional information about the response, such as response headers. Example iex&gt; Config . wrap ( [ ] ) true iex&gt; Config . wrap ( wrap : false ) false","ref":"GitHub.Config.html#wrap/1","title":"GitHub.Config.wrap/1","type":"function"},{"doc":"Plugin definition Plugins are defined in the stack using module and function tuples with an optional keyword list. Options, if provided, will be passed as the second argument.","ref":"GitHub.Config.html#t:plugin/0","title":"GitHub.Config.plugin/0","type":"type"},{"doc":"Exception struct used for communicating errors from the client Note Functions in this module is unlikely to be used directly by applications. Instead, they are useful for plugins. See GitHub.Plugin for more information. This error covers errors generated by the client (for example, HTTP connection errors) as well as errors returned from the GitHub API (for example, Not Found errors). Fields code (integer): Status code of the API response, if a response was received. message (string): Human-readable message describing the error. Defaults to a generic &quot;Unknown Error&quot; . operation ( t:Operation.t/0 ): Operation at the time of the error. reason (atom): Easily-matched atom for common errors, like :not_found . Defaults to a generic :error . See Error Reasons below for a list of possible values. source (term): Cause of the error. This could be an operation, an API error response, or something else. stacktrace ( Exception.stacktrace/0 ): Stacktrace from the time of the error. Defaults to a stack that terminates with the calling function, but can be overridden (for example, if a __STACKTRACE__ is available in a rescue block). step (plugin): Plugin active at the time of the error (expressed as a tuple containing the module and function). Users of the library can match on the information in the code and source fields to extract additional information. Error Reasons Although plugins may use any atom for the reason field, the following have predetermined meanings: :invalid_auth : The credential ( :auth option) provided is invalid. :invalid_version : The version ( :version option) provided is invalid. :not_found : A resource or route was not found. Note that GitHub may return this kind of response when authentication is required to see a resource. :oauth_restricted : The OAuth credentials are valid, but the requested resource is owned by an organization that requires admin approval for OAuth apps. :rate_limited : The client has exceeded a primary or secondary rate limit. Secondary rate limits have a distinct message field with further information. :requires_auth : The requested endpoint requires an authenticated user, and no auth credentials were given. :unauthorized : Valid authentication credentials were given, but the current user does not have permission to perform this action.","ref":"GitHub.Error.html","title":"GitHub.Error","type":"exception"},{"doc":"Create a new error struct with the given fields The current stacktrace is automatically filled in to the resulting error. Callers should specify the status code (if available), a message , the original operation , the source of the error, and which step or plugin is currently active.","ref":"GitHub.Error.html#new/1","title":"GitHub.Error.new/1","type":"function"},{"doc":"GitHub API client error","ref":"GitHub.Error.html#t:t/0","title":"GitHub.Error.t/0","type":"type"},{"doc":"Defines a struct that tracks client requests Note This module is unlikely to be used directly by applications. Instead, functions in this module are useful for plugins. See GitHub.Plugin for more information. Fields private (map): This field is useful for plugins that need to store information. Plugins should be careful to namespace their data to avoid overlap. By default, this map will include an __auth__ key with the auth credentials used for the request, __info__ containing the information that originated the request, and __opts__ containing all of the options passed in to the original operation function. request_body (term): For requests that support request bodies, this key will hold the data to be included in an outgoing request. Depending on the plugins involved, this key may have Elixir terms (like a map) or strings (such as a JSON-encoded string). request_headers (list of headers): HTTP headers to be included in the outgoing request. These are specified as tuples with the name of the header and its value. request_method (atom): HTTP verb of the outgoing request. request_params (keyword): URL-based query parameters for the outgoing request. request_server (string): URL scheme and hostname of the API server for the request. request_types (list of types): OpenAPI type specifications for the request body. These are specified as tuples with the Content-Type and the type specification. request_url (string): URL path of the outgoing request. response_body (term): For responses that include response bodies, this key will hold the data from the response. Depending on the plugins involved, this key may have raw response data (such as a JSON-encoded string) or Elixir terms (like a map). response_code (integer): Response status code. response_headers (list of headers): HTTP headers from the response. These are specified as tuples with the name of the header and its value. response_types (list of types): OpenAPI type specifications for the response body. These are specified as tuples with the status code and the type specification.","ref":"GitHub.Operation.html","title":"GitHub.Operation","type":"module"},{"doc":"Get the client's calling function and original arguments This level of introspection is meant for testing purposes, although other plugins can take advantage of it as necessary.","ref":"GitHub.Operation.html#get_caller/1","title":"GitHub.Operation.get_caller/1","type":"function"},{"doc":"Get the options passed to the client request Examples iex&gt; operation = % Operation { private : %{ __opts__ : [ server : &quot;https://api.github.com&quot; ] } } iex&gt; Operation . get_options ( operation ) [ server : &quot;https://api.github.com&quot; ]","ref":"GitHub.Operation.html#get_options/1","title":"GitHub.Operation.get_options/1","type":"function"},{"doc":"Get the value of a response header If response headers have not been filled in — or the response did not have the given header — then nil will be returned. Examples iex&gt; operation = % Operation { response_headers : [ { &quot;Content-Type&quot; , &quot;application/json&quot; } ] } iex&gt; Operation . get_response_header ( operation , &quot;Content-Type&quot; ) &quot;application/json&quot; iex&gt; operation = % Operation { response_headers : [ ] } iex&gt; Operation . get_response_header ( operation , &quot;ETag&quot; ) nil","ref":"GitHub.Operation.html#get_response_header/2","title":"GitHub.Operation.get_response_header/2","type":"function"},{"doc":"Put information in the operation's private data store Existing data with the same key will be overridden. Example iex&gt; operation = % Operation { private : %{ } } iex&gt; operation = Operation . put_private ( operation , :my_plugin_data , &quot;abc123&quot; ) % Operation { private : %{ my_plugin_data : &quot;abc123&quot; } } = operation","ref":"GitHub.Operation.html#put_private/3","title":"GitHub.Operation.put_private/3","type":"function"},{"doc":"Add a request header to an outgoing operation This function makes no effort to deduplicate headers. Example iex&gt; operation = % Operation { request_headers : [ ] } iex&gt; operation = Operation . put_request_header ( operation , &quot;Content-Type&quot; , &quot;application/json&quot; ) % Operation { request_headers : [ { &quot;Content-Type&quot; , &quot;application/json&quot; } ] } = operation","ref":"GitHub.Operation.html#put_request_header/3","title":"GitHub.Operation.put_request_header/3","type":"function"},{"doc":"","ref":"GitHub.Operation.html#t:auth/0","title":"GitHub.Operation.auth/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:header/0","title":"GitHub.Operation.header/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:headers/0","title":"GitHub.Operation.headers/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:method/0","title":"GitHub.Operation.method/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:request_type/0","title":"GitHub.Operation.request_type/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:request_types/0","title":"GitHub.Operation.request_types/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:response_type/0","title":"GitHub.Operation.response_type/0","type":"type"},{"doc":"","ref":"GitHub.Operation.html#t:response_types/0","title":"GitHub.Operation.response_types/0","type":"type"},{"doc":"Operation struct for tracking client requests from start to finish","ref":"GitHub.Operation.html#t:t/0","title":"GitHub.Operation.t/0","type":"type"},{"doc":"Type annotation produced by OpenAPI","ref":"GitHub.Operation.html#t:type/0","title":"GitHub.Operation.type/0","type":"type"},{"doc":"Helpers for validating and handling webhooks dispatched by GitHub This module is made for Plug / Phoenix applications that wish to accept webhook requests that are sent from the GitHub API. Receiving these requests requires setting up a webhook or GitHub App, which is out of scope for this documentation. Configuration In order to validate that incoming webhooks are, in fact, from GitHub, it is strongly advised to set a webhook secret. This is a secret value that you generate and supply to GitHub in the webhook or GitHub App settings. If you are using Phoenix, an easy way to generate this value is by running mix phx.gen.secret . Then, supply this value to the library at runtime using the following configuration: config :oapi_github , webhook_secret : &quot;my secret&quot; It is common to use System.fetch_env!/1 or a similar function to load this type of secret from environment variables. Alternatively, the webhook secret can be supplied directly to verify_github_signature/2 at compile time. Usage If the optional dependencies Plug and Plug.Crypto are installed, this module provides several helpers to simplify the process of handling webhook requests. A typical webhook controller might look like this: defmodule MyAppWeb.GitHubController do use MyAppWeb , :controller import GitHub.Webhook plug :verify_github_event plug :verify_github_signature def webhook ( conn , params ) do # Handle the webhook... end end In order to perform verification of the signature, it is necessary to store the original request body in an assign :raw_body or :body . This usually requires implementing a custom Plug.Parser for webhook requests. See verify_github_event/2 and verify_github_signature/2 for more information.","ref":"GitHub.Webhook.html","title":"GitHub.Webhook","type":"module"},{"doc":"Construct the value of the :body_reader option for Plug.Parsers for caching request bodies This function, called at compile time, creates a valid value for the :body_reader option in a call to the Plug.Parsers plug. Usually called in a Phoenix Endpoint, the code looks like: plug Plug.Parsers , parsers : [ :json , ... ] , json_decoder : Jason , # ... body_reader : GitHub.Webhook . body_reader ( ) It sets up cache_request_body/2 as the body reader, which will in turn cache the raw request body as an assign :raw_body for use during signature verification. Options :fallback : If using the :routes option below, which body reader function to call for requests that do not match one of the specified routes. Defaults to {Plug.Conn, :read_body, []} . :routes : Optionally restrict the caching of request bodies to specific routes, given as a list of strings (ex. [&quot;/hook/github&quot;] ). Defaults to caching request bodies for all requests, which can cause a significant performance impact.","ref":"GitHub.Webhook.html#body_reader/1","title":"GitHub.Webhook.body_reader/1","type":"function"},{"doc":"Cache request body as :raw_body assign for chosen connections This function adheres to the needs of the :body_reader option for the Plug.Parsers plug. It saves the raw request body as a binary to the :raw_body assign on the Plug.Conn , so that it can be used for signature verification later. This function is not usually called directly. Instead, use body_reader/1 .","ref":"GitHub.Webhook.html#cache_request_body/3","title":"GitHub.Webhook.cache_request_body/3","type":"function"},{"doc":"Get and store the GitHub webhook event type This function looks at the X-GitHub-Event header to ensure the incoming request is a webhook event and stores the event as a :github_event assign on the connection. If the header is missing, the connection is immediately halted with a simple error message that will appear in GitHub's UI.","ref":"GitHub.Webhook.html#verify_github_event/2","title":"GitHub.Webhook.verify_github_event/2","type":"function"},{"doc":"Check the validity of a GitHub webhook request This function uses the configured :webhook_secret or an option :secret to verify the signature of an incoming GitHub webhook. If the signature is missing or invalid, the connection is immediately halted with a simple error message that will appear in GitHub's UI. Configuration :webhook_secret : Secret given to GitHub to use when signing webhook requests. If not supplied via configuration nor the :secret option, an error is raised. Options :secret : Compile-time secret to use as the webhook secret. If not supplied at compile time nor via the :webhook_secret configuration, an error is raised.","ref":"GitHub.Webhook.html#verify_github_signature/2","title":"GitHub.Webhook.verify_github_signature/2","type":"function"},{"doc":"Local client used for testing purposes For more information on the testing facilities available in this library, see GitHub.Testing .","ref":"GitHub.Plugin.TestClient.html","title":"GitHub.Plugin.TestClient","type":"module"},{"doc":"Perform a client operation using mocks, and record the call for later assertions","ref":"GitHub.Plugin.TestClient.html#request/2","title":"GitHub.Plugin.TestClient.request/2","type":"function"},{"doc":"Support for interacting with the client in a test environment Note The current method of tracking and mocking API calls uses the process dictionary for storage. This means that tests can be run async (calls from one process will not affect calls from another). However, it also means that calls from an async task will not be tracked by the test process. If this affects you, please open an issue to discuss possible solutions. Usage The testing facility provided by this library has two parts: this module, which provides helpful functions for generating data and asserting that API calls are made, and GitHub.Plugin.TestClient , which provides a basic mock and support for the test assertions. In your test environment, you likely want to use the test client plugin as the only item in the client stack: # config/test.exs config :oapi_github , stack : [ { GitHub.Plugin.TestClient , :request , [ ] } ] The stack can also be configured at runtime by passing the :stack option to any operation. Warning Stack entries without options, like {GitHub.Plugin.TestClient, :request} , look like keyword list items. If you have stacks configured in multiple Mix environments that all use this 2-tuple format, Elixir will try to merge them as keyword lists. Adding an empty options element to any stack item will prevent this behaviour. Then, in your test file, use this module and make use of the available assertions: defmodule MyApp.MyTest do use ExUnit.Case use GitHub.Testing test &quot;something&quot; do my_function ( ) assert_gh_called &amp; GitHub.Repos . get / 2 end end The use macro also imports mock_gh/3 and generate_gh/2 for use in tests.","ref":"GitHub.Testing.html","title":"GitHub.Testing","type":"module"},{"doc":"Assert the number of times an API endpoint was called The API endpoint can be passed as a function call or using function capture syntax. If passed as a function call, the arguments must match exactly or use the special value :_ to match any value. If passed using function capture syntax, only the arity will be matched. The options argument is not considered during these checks. Examples assert_gh_called GitHub.Repos . get ( &quot;owner&quot; , &quot;repo&quot; ) assert_gh_called GitHub.Repos . get ( &quot;owner&quot; , :_ ) , times : 2 assert_gh_called GitHub.Repos . get ( owner , &quot;repo&quot; ) , min : 2 , max : 3 assert_gh_called &amp; GitHub.Repos . get / 2 , times : 0 Options max : Non-negative integer representing the maximum number of times a matching call should have occurred. If unspecified, there is no upper limit on the acceptable number of calls. If none of times , min , or max are specified, the default is to assert at least one matching call. min : Non-negative integer representing the minimum number of times a matching call should have occurred. If unspecified, there is no lower limit on the acceptable number of calls. If none of times , min , or max are specified, the default is to assert at least one matching call. times : Non-negative integer number of times a matching call should have occurred. Passing zero will assert the endpoint has not been called. This option has precedence over min and max . If none of times , min , or max are specified, the default is to assert at least one matching call.","ref":"GitHub.Testing.html#assert_gh_called/2","title":"GitHub.Testing.assert_gh_called/2","type":"macro"},{"doc":"Generate random data for use in a test response Data generated by this function will appear as if it were decoded by a plugin (for example GitHub.Plugin.TypedDecoder ). Including such a decoder in the stack is not necessary when the client uses this data. This function uses randomness to help avoid collisions in tests. It also supports special cases based on the context of the generated data (the schema and/or key). Examples can be found in the Special Cases section below. Special Cases :id fields with type :integer will have unique positive integers rather than the limited range of integers returned by a typical :integer field. :string fields with keys that end with _at will have ISO 8601 datetime strings from a random time within the past day. :string fields with keys named :url or that end with _url will have random URL strings. Additional special cases can be added to make the generated data more typical of real responses. For example, returning a name-like string for user names, and limiting the allowed characters for usernames. Note If you see an opportunity to improve the generated data for a particular field, please include the description of the field from GitHub's OpenAPI specification in your pull request. Examples iex&gt; GitHub.Testing . generate ( nil , nil , { GitHub.Repository , :full } ) % GitHub.Repository { ... } iex&gt; GitHub.Testing . generate ( GitHub.Repository , :id , :integer ) 226194162","ref":"GitHub.Testing.html#generate/3","title":"GitHub.Testing.generate/3","type":"function"},{"doc":"Generate a struct for use in a test response The first argument is the module / schema you would like to generate. If there are multiple types available in the module, then the second argument can distinguish which to use (for example, :full for the type GitHub.PullRequest.full() ). It is also possible to override the generated fields with custom data. This function uses randomness to help avoid collisions in tests. For more information, see generate/3 . Examples iex&gt; GitHub.Testing . generate_gh ( GitHub.PullRequest ) % GitHub.PullRequest { } iex&gt; GitHub.Testing . generate_gh ( GitHub.User , :private ) % GitHub.User { } iex&gt; GitHub.Testing . generate_gh ( GitHub.User , bio : &quot;This is a custom bio&quot; ) % GitHub.User { bio : &quot;This is a custom bio&quot; } iex&gt; GitHub.Testing . generate_gh ( GitHub.User , :private , bio : &quot;This is a custom bio&quot; ) % GitHub.User { bio : &quot;This is a custom bio&quot; }","ref":"GitHub.Testing.html#generate_gh/3","title":"GitHub.Testing.generate_gh/3","type":"function"},{"doc":"Mock a response for an API endpoint API Endpoint The API endpoint can be passed as a function call or using function capture syntax. If passed as a function call, the arguments must match exactly or use the special value :_ to match any value. If passed using function capture syntax, only the arity will be matched. The options argument is not considered during these checks. Return Value As a return value for a mock, you can set a plain value or pass one of several function forms: A zero-arity function will be evaluated a call time. Use this to perform lazy evaluation of the mock or encapsulate a generator. A function with the same number of arguments as the original client operation ( not including the final opts argument) will be called with the same arguments. Use this to perform assertions on the arguments or return a different value depending on the call. A function with the same number of arguments as the original client operation (including the final opts argument) will be called with the same arguments and options. Use this to perform assertions on the arguments and options or return a different value depending on the call. In each case, the plain value — or the value returned from the function — should have one of the following forms: { :ok , data } { :ok , data , opts } { :error , error } { :error , error , opts } Where data is the response body and error is the error to return, and opts modifies the response. The available options are: code (integer): Status code to include with the response. In addition, the following pre-defined error responses are available: {:error, :not_found} will return an error matching GitHub's standard &quot;Not Found&quot; response. {:error, :rate_limited} with return an error matching a GitHub API rate limited response. {:error, :unauthorized} will return an error matching GitHub's unauthorized response. Examples mock_gh GitHub.Repos . get ( &quot;owner&quot; , &quot;repo&quot; ) , { :ok , % GitHub.Repository { } } mock_gh GitHub.Repos . get ( &quot;owner&quot; , &quot;repo-2&quot; ) , { :ok , % GitHub.Repository { } , code : 201 } mock_gh GitHub.Repos . get ( &quot;friend&quot; , &quot;repo&quot; ) , { :error , :not_found } mock_gh GitHub.Repos . get ( &quot;friend&quot; , &quot;repo-2&quot; ) , { :error , % GitHub.Error { } , code : 403 } mock_gh &amp; GitHub.Repos . get / 2 , fn -&gt; { :ok , % GitHub.Repository { } } end mock_gh &amp; GitHub.Repos . get / 2 , fn owner , name -&gt; assert String . starts_with? ( name , &quot;oapi_&quot; ) { :ok , % GitHub.Repository { owner : owner , name : name } } end mock_gh &amp; GitHub.Repos . get / 2 , fn owner , name , opts -&gt; assert opts [ :auth ] == &quot;gho_token&quot; { :ok , % GitHub.Repository { owner : owner , name : name } } end","ref":"GitHub.Testing.html#mock_gh/3","title":"GitHub.Testing.mock_gh/3","type":"macro"},{"doc":"Transform a library struct into its string-keyed data equivalent This is useful for testing scenarios when a piece of generated data has not been decoded.","ref":"GitHub.Testing.html#to_gh_params/1","title":"GitHub.Testing.to_gh_params/1","type":"function"},{"doc":"Internal representation of a mocked API call","ref":"GitHub.Testing.Mock.html","title":"GitHub.Testing.Mock","type":"module"},{"doc":"Specification of arguments Each set of arguments can be given as a list of elements to match or a total arity. When given as a list, each element can be any Erlang term or the special value :_ to match any value. Specifications given as a list will have higher precedence depending on the number of arguments that match exactly.","ref":"GitHub.Testing.Mock.html#t:args/0","title":"GitHub.Testing.Mock.args/0","type":"type"},{"doc":"Limit to the number of times a mock can be used The special value :infinity can be used to place no limit.","ref":"GitHub.Testing.Mock.html#t:limit/0","title":"GitHub.Testing.Mock.limit/0","type":"type"},{"doc":"Return value from a mocked API call Return values are tagged tuples with optional additional information. For example: { :ok , % GitHub.Repository { } } { :ok , % GitHub.Repository { } , code : 200 } { :error , % GitHub.Error { } } { :error , % GitHub.Error { } , code : 404 } For more on the possible values, see GitHub.Testing .","ref":"GitHub.Testing.Mock.html#t:return/0","title":"GitHub.Testing.Mock.return/0","type":"type"},{"doc":"Return value or generator of a mocked API call This may be a constant (value) or a zero-arity function returning a constant (generator).","ref":"GitHub.Testing.Mock.html#t:return_fun/0","title":"GitHub.Testing.Mock.return_fun/0","type":"type"},{"doc":"Mocked API call","ref":"GitHub.Testing.Mock.html#t:t/0","title":"GitHub.Testing.Mock.t/0","type":"type"},{"doc":"Plugins provide functionality for the API client Note This module is unlikely to be used directly by applications. The documentation contained here is useful for developers who would like to implement new functionality for the client. This library has no opinions on how to complete API requests. Instead of requiring a particular HTTP client or JSON serializer, requests are completed using a series of plugins called a stack . To modify the behavior of the client, applications can add or modify plugins. Plugins are functions that accept a GitHub.Operation struct — and any options — and return either an :ok or an :error tuple: alias GitHub . { Error , Operation } @spec my_plugin ( Operation . t ( ) , keyword ) :: { :ok , Operation . t ( ) } | { :error , Error . t ( ) } def my_plugin ( operation , opts ) do # ... end An :error tuple will immediately stop the stack and return the error. An :ok tuple will continue running the stack with the modified operation struct. If the stack concludes with a successful operation, the response_body is returned. Options Plugins may accept options that modify their behavior. It is recommended that they consider options from three sources: Options passed to the operation function (available in the __opts__ key of the operation struct's private field). This is likely to include options not relevant to the plugin. Options passed to the plugin definition (available as the second argument of the plugin function). Options defined globally using the application environment. This hierarchy can be accomplished by calling Keyword.merge/2 on the plugin options argument and the operation's options (order matters!), then calling GitHub.Config.plugin_config/4 to incorporate the application environment as a fallback. (For required options, the sibling function GitHub.Config.plugin_config!/3 is also available.) In this way, plugins can be configured at all levels of the code: # Highest precedence: options from the caller GitHub.Repos . get ( &quot;aj-foster&quot; , &quot;open-api-github&quot; , some : :option ) # Medium precedence: options in the plugin definition { MyPlugin , :my_function , some : :option } # Lowest precedence: global configuration config :oapi_github , MyPlugin , some : :option Plugins should take care to document their available options and avoid naming collisions.","ref":"GitHub.Plugin.html","title":"GitHub.Plugin","type":"module"},{"doc":"","ref":"GitHub.Plugin.HTTPoisonClient.html","title":"GitHub.Plugin.HTTPoisonClient","type":"module"},{"doc":"","ref":"GitHub.Plugin.HTTPoisonClient.html#request/2","title":"GitHub.Plugin.HTTPoisonClient.request/2","type":"function"},{"doc":"","ref":"GitHub.Plugin.JasonSerializer.html","title":"GitHub.Plugin.JasonSerializer","type":"module"},{"doc":"","ref":"GitHub.Plugin.JasonSerializer.html#decode_body/2","title":"GitHub.Plugin.JasonSerializer.decode_body/2","type":"function"},{"doc":"","ref":"GitHub.Plugin.JasonSerializer.html#encode_body/2","title":"GitHub.Plugin.JasonSerializer.encode_body/2","type":"function"},{"doc":"OpenTelemetry bindings for all operation requests This module provides an easy way to report GitHub operations to OpenTelemetry. The library has built-in support for Erlang telemetry in the default client. This module attaches to the available telemetry events and manages OpenTelemetry tracing. Usage This module requires the following optional dependencies to be included in mix.exs : { :opentelemetry_api , &quot;~&gt; 1.0&quot; } , { :opentelemetry_semantic_conventions , &quot;~&gt; 0.2&quot; } Unlike other plugins, this does not get included in the client stack. Instead, include it in your main Application module start: def start ( _type , _args ) do GitHub.Plugin.OpenTelemetry . setup ( ) # ... end","ref":"GitHub.Plugin.OpenTelemetry.html","title":"GitHub.Plugin.OpenTelemetry","type":"module"},{"doc":"Initialize Erlang telemetry handlers to produce OpenTelemetry traces","ref":"GitHub.Plugin.OpenTelemetry.html#setup/1","title":"GitHub.Plugin.OpenTelemetry.setup/1","type":"function"},{"doc":"Use Redis to cache full API responses and perform conditional requests Warning This plugin caches full API responses. This may include sensitive data, and it may use a lot of memory. Memory usage can be controlled using the expiration configuration. GitHub's API uses Conditional Requests to provide fast responses when the client already has the latest information. Furthermore, apps with heavy API usage benefit from the fact that 304 responses don't count against rate limits. This module provides two plugins: check_cache/2 and use_cache/2 . When run before an API request, check_cache/2 will check the configured Redis server for a cached response matching the request's URL and auth information. If found, the cached response's ETag will be added to the request headers as an If-None-Match header. If the API returns a 304 Not Modified response, then use_cache/2 will fill in the cached response body and reset the status to 200 . Otherwise, if the API returns a 200 response with new data, that response will be placed in the cache. In addition to the response body, the cache will also fill in the Content-Length , Content-Type , X-Accepted-OAuth-Scopes , and X-OAuth-Scopes headers, if available. Configuration server : Required global name of a Redis server, as found in the name option of Redix.start_link/2 . This library is not responsible for starting the Redix app or connecting to the server. This can be a single connection name or a list of connections in a pool. If a list is provided, a random server will be chosen for each interaction. cache_prefix : Prefix to use for all Redis cache keys. Defaults to &quot;oapi_github&quot; . expiration : Time, in seconds, before cached data should expire. Defaults to 30 days. These options may be passed via the plugin definition or by global configuration: config :oapi_github , stack : [ { GitHub.Plugin.RedixFullResponseCache , :check_cache , server : :redix_server_1 } , # ... ] config :oapi_github , GitHub.Plugin.RedixFullResponseCache , server : :redix_server_1 Cache Keys Cache keys used by this module have the following parts (separated by colons): A standard prefix (see prefix configuration), The server for the request (ex. api.github.com ), The path of the request (ex. /repos/aj-foster ), URL-encoded parameters (ex. page=1 ), and A SHA-256 hash of the auth token used. By including the hashed auth token in the key, we can be reasonably sure that cached data will not be returned to a user that does not have access to the original data.","ref":"GitHub.Plugin.RedixFullResponseCache.html","title":"GitHub.Plugin.RedixFullResponseCache","type":"module"},{"doc":"Check Redis for cached responses for the current request This plugin only affects GET requests. If a cached response is found, the corresponding ETag will be included in the HTTP request as an If-None-Match header. This allows the API to respond with a 304 Not Modified response that does not count against rate limits. Use the use_cache/2 plugin to capture 304 responses and replace the body with the cached response. Configuration This plugin requires the server configuration, and uses the cache_prefix configuration. See Configuration above for more information.","ref":"GitHub.Plugin.RedixFullResponseCache.html#check_cache/2","title":"GitHub.Plugin.RedixFullResponseCache.check_cache/2","type":"function"},{"doc":"Replace 304 responses with cached data, and cache new data This plugin only affects GET requests. In the event of a 304 Not Modified response (presumably because check_cache/2 provided an If-None-Match header), this plugin will replace the empty response body with cached data and reset the status code to 200. In the event of a 200 response, the new data will be added to the cache.","ref":"GitHub.Plugin.RedixFullResponseCache.html#use_cache/2","title":"GitHub.Plugin.RedixFullResponseCache.use_cache/2","type":"function"},{"doc":"Use Redis to cache redirect locations to avoid unexpected rate limits Warning This plugin caches information about the names and locations of private repositories, potentially disclosing information if not used carefully. GitHub's API uses Conditional Requests to provide fast responses when the client already has the latest information. Furthermore, apps with heavy API usage benefit from the fact that 304 responses don't count against rate limits. However , it may not be obvious to API users that redirect responses always count against your rate limit, even if the ultimate location returns a 304 response. This module provides two plugins: check_cache/2 and update_cache/2 . When run before an API request, check_cache/2 will check the configured Redis server for a known final location for the intended request. If found, it will modify the request to use the new URL instead. If the API returns a successful or unmodified response, and the final location differs from the original location (meaning a redirect took place), then is will store the new location in in the cache. Limitations This plugin requires the client plugin to modify the Operation when a redirection takes place. Otherwise, it will not know that the final location has changed. This plugin cannot know the exact HTTP status code that accompanied the redirect. As a result, there is a risk that it will cache temporary redirects as well as permanent ones. Configuration server : Required global name of a Redis server, as found in the name option of Redix.start_link/2 . This library is not responsible for starting the Redix app or connecting to the server. This can be a single connection name or a list of connections in a pool. If a list is provided, a random server will be chosen for each interaction. cache_prefix : Prefix to use for all Redis cache keys. Defaults to &quot;oapi_github&quot; . expiration : Time, in seconds, before cached data should expire. Defaults to 30 days. These options may be passed via the plugin definition or by global configuration: config :oapi_github , stack : [ { GitHub.Plugin.RedixRedirectCache , :check_cache , server : :redix_server_1 } , # ... ] config :oapi_github , GitHub.Plugin.RedixRedirectCache , server : :redix_server_1 Cache Keys Cache keys used by this module have the following parts (separated by colons): A standard prefix (see prefix configuration), The server for the request (ex. api.github.com ), The path of the request (ex. /repos/aj-foster ), A SHA-256 hash of the auth token used. By including the hashed auth token in the key, we can be reasonably sure that cached data will not be returned to a user that does not have access to the original data. While this may seem trivial for location data, remember that GitHub deliberately returns 404 responses for private repositories rather than 403 responses.","ref":"GitHub.Plugin.RedixRedirectCache.html","title":"GitHub.Plugin.RedixRedirectCache","type":"module"},{"doc":"Check Redis for cached location changes for the current request This plugin only affects GET requests. If a cached location is found, the URL of the operation will change to match the known final destination. Configuration This plugin requires the server configuration, and uses the cache_prefix configuration. See Configuration above for more information.","ref":"GitHub.Plugin.RedixRedirectCache.html#check_cache/2","title":"GitHub.Plugin.RedixRedirectCache.check_cache/2","type":"function"},{"doc":"Cache redirect locations This plugin only affects GET requests. In the event of a successful (200) or unmodified (304) response, this will check whether the original URL matches the final URL for the request. If they differ, then it will store the updated location. If they do not differ because the location was updated in check_cache/2 , then the expiration of the cached location will be extended.","ref":"GitHub.Plugin.RedixRedirectCache.html#update_cache/2","title":"GitHub.Plugin.RedixRedirectCache.update_cache/2","type":"function"},{"doc":"Transform map responses into well-typed structs In a normal client stack, the HTTP request is followed by a JSON decoder such as GitHub.Plugin.JasonSerializer . If the JSON library/plugin does not support decoding typed structs, then a separate step is necessary to transform the map responses into structs like GitHub.Repository . This module provides a two plugins: decode_response/2 and normalize_errors/2 , that accept no configuration. decode_response/2 uses the type information available in the operation and each module's __fields__/1 functions to decode the data. normalize_errors/2 changes API error responses into standard GitHub.Error results. It is recommended to run these plugins towards the end of the stack, after decoding JSON responses. The normalized errors will be GitHub.Error structs with relevant reason fields where possible. Special Cases There are a few special cases where the decoder must make an inference about which type to use. If you find that you are unable to decode something, please open an issue with information about the operation and types involved. Union types often require this kind of inference. This module handles them on a case-by-case basis using required keys to determine the correct type. Some of these are done on a &quot;best guess&quot; basis due to a lack of official documentation.","ref":"GitHub.Plugin.TypedDecoder.html","title":"GitHub.Plugin.TypedDecoder","type":"module"},{"doc":"Manually decode a response This function takes a parsed response and decodes it using the given type. It is intended for use in testing scenarios only. For regular API requests, use decode_response/2 as part of the client stack.","ref":"GitHub.Plugin.TypedDecoder.html#decode/2","title":"GitHub.Plugin.TypedDecoder.decode/2","type":"function"},{"doc":"Decode a response body based on type information from the operation and schemas","ref":"GitHub.Plugin.TypedDecoder.html#decode_response/2","title":"GitHub.Plugin.TypedDecoder.decode_response/2","type":"function"},{"doc":"Change API error responses into GitHub.Error results","ref":"GitHub.Plugin.TypedDecoder.html#normalize_errors/2","title":"GitHub.Plugin.TypedDecoder.normalize_errors/2","type":"function"},{"doc":"Provides API endpoints related to actions","ref":"GitHub.Actions.html","title":"GitHub.Actions","type":"module"},{"doc":"Add custom labels to a self-hosted runner for an organization Add custom labels to a self-hosted runner configured in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#add_custom_labels_to_self_hosted_runner_for_org/4","title":"GitHub.Actions.add_custom_labels_to_self_hosted_runner_for_org/4","type":"function"},{"doc":"Add custom labels to a self-hosted runner for a repository Add custom labels to a self-hosted runner configured in a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#add_custom_labels_to_self_hosted_runner_for_repo/5","title":"GitHub.Actions.add_custom_labels_to_self_hosted_runner_for_repo/5","type":"function"},{"doc":"Add selected repository to an organization secret Adds a repository to an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#add_selected_repo_to_org_secret/4","title":"GitHub.Actions.add_selected_repo_to_org_secret/4","type":"function"},{"doc":"Add selected repository to an organization variable Adds a repository to an organization variable that is available to selected repositories. Organization variables that are available to selected repositories have their visibility field set to selected . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:write organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#add_selected_repo_to_org_variable/4","title":"GitHub.Actions.add_selected_repo_to_org_variable/4","type":"function"},{"doc":"Approve a workflow run for a fork pull request Approves a workflow run for a pull request from a public fork of a first time contributor. For more information, see &quot;Approving workflow runs from public forks .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#approve_workflow_run/4","title":"GitHub.Actions.approve_workflow_run/4","type":"function"},{"doc":"Cancel a workflow run Cancels a workflow run using its id . You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#cancel_workflow_run/4","title":"GitHub.Actions.cancel_workflow_run/4","type":"function"},{"doc":"Create an environment variable Create an environment variable that you can reference in a GitHub Actions workflow. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the environment:write repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#create_environment_variable/4","title":"GitHub.Actions.create_environment_variable/4","type":"function"},{"doc":"Create or update an environment secret Creates or updates an environment secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#create_or_update_environment_secret/5","title":"GitHub.Actions.create_or_update_environment_secret/5","type":"function"},{"doc":"Create or update an organization secret Creates or updates an organization secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#create_or_update_org_secret/4","title":"GitHub.Actions.create_or_update_org_secret/4","type":"function"},{"doc":"Create or update a repository secret Creates or updates a repository secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#create_or_update_repo_secret/5","title":"GitHub.Actions.create_or_update_repo_secret/5","type":"function"},{"doc":"Create an organization variable Creates an organization variable that you can reference in a GitHub Actions workflow. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:write organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#create_org_variable/3","title":"GitHub.Actions.create_org_variable/3","type":"function"},{"doc":"Create a registration token for an organization Returns a token that you can pass to the config script. The token expires after one hour. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Example using registration token: Configure your self-hosted runner, replacing TOKEN with the registration token provided by this endpoint. . / config . sh -- url https :// github . com / octo - org -- token TOKEN Resources API method documentation","ref":"GitHub.Actions.html#create_registration_token_for_org/2","title":"GitHub.Actions.create_registration_token_for_org/2","type":"function"},{"doc":"Create a registration token for a repository Returns a token that you can pass to the config script. The token expires after one hour. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Example using registration token: Configure your self-hosted runner, replacing TOKEN with the registration token provided by this endpoint. config.sh --url https://github.com/octo-org/octo-repo-artifacts --token TOKEN Resources API method documentation","ref":"GitHub.Actions.html#create_registration_token_for_repo/3","title":"GitHub.Actions.create_registration_token_for_repo/3","type":"function"},{"doc":"Create a remove token for an organization Returns a token that you can pass to the config script to remove a self-hosted runner from an organization. The token expires after one hour. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Example using remove token: To remove your self-hosted runner from an organization, replace TOKEN with the remove token provided by this endpoint. . / config . sh remove -- token TOKEN Resources API method documentation","ref":"GitHub.Actions.html#create_remove_token_for_org/2","title":"GitHub.Actions.create_remove_token_for_org/2","type":"function"},{"doc":"Create a remove token for a repository Returns a token that you can pass to remove a self-hosted runner from a repository. The token expires after one hour. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Example using remove token: To remove your self-hosted runner from a repository, replace TOKEN with the remove token provided by this endpoint. config.sh remove --token TOKEN Resources API method documentation","ref":"GitHub.Actions.html#create_remove_token_for_repo/3","title":"GitHub.Actions.create_remove_token_for_repo/3","type":"function"},{"doc":"Create a repository variable Creates a repository variable that you can reference in a GitHub Actions workflow. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions_variables:write repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#create_repo_variable/4","title":"GitHub.Actions.create_repo_variable/4","type":"function"},{"doc":"Create a workflow dispatch event You can use this endpoint to manually trigger a GitHub Actions workflow run. You can replace workflow_id with the workflow file name. For example, you could use main.yaml . You must configure your GitHub Actions workflow to run when the workflow_dispatch webhook event occurs. The inputs are configured in the workflow file. For more information about how to configure the workflow_dispatch event in the workflow file, see &quot; Events that trigger workflows .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. For more information, see &quot; Creating a personal access token for the command line .&quot; Resources API method documentation","ref":"GitHub.Actions.html#create_workflow_dispatch/5","title":"GitHub.Actions.create_workflow_dispatch/5","type":"function"},{"doc":"Delete a GitHub Actions cache for a repository (using a cache ID) Deletes a GitHub Actions cache for a repository, using a cache ID. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#delete_actions_cache_by_id/4","title":"GitHub.Actions.delete_actions_cache_by_id/4","type":"function"},{"doc":"Delete GitHub Actions caches for a repository (using a cache key) Deletes one or more GitHub Actions caches for a repository, using a complete cache key. By default, all caches that match the provided key are deleted, but you can optionally provide a Git ref to restrict deletions to caches that match both the provided key and the Git ref. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Options key : A key for identifying the cache. ref : The full Git reference for narrowing down the cache. The ref for a branch should be formatted as refs/heads/&lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . Resources API method documentation","ref":"GitHub.Actions.html#delete_actions_cache_by_key/3","title":"GitHub.Actions.delete_actions_cache_by_key/3","type":"function"},{"doc":"Delete an artifact Deletes an artifact for a workflow run. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#delete_artifact/4","title":"GitHub.Actions.delete_artifact/4","type":"function"},{"doc":"Delete an environment secret Deletes a secret in an environment using the secret name. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#delete_environment_secret/4","title":"GitHub.Actions.delete_environment_secret/4","type":"function"},{"doc":"Delete an environment variable Deletes an environment variable using the variable name. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the environment:write repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#delete_environment_variable/4","title":"GitHub.Actions.delete_environment_variable/4","type":"function"},{"doc":"Delete an organization secret Deletes a secret in an organization using the secret name. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#delete_org_secret/3","title":"GitHub.Actions.delete_org_secret/3","type":"function"},{"doc":"Delete an organization variable Deletes an organization variable using the variable name. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:write organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#delete_org_variable/3","title":"GitHub.Actions.delete_org_variable/3","type":"function"},{"doc":"Delete a repository secret Deletes a secret in a repository using the secret name. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#delete_repo_secret/4","title":"GitHub.Actions.delete_repo_secret/4","type":"function"},{"doc":"Delete a repository variable Deletes a repository variable using the variable name. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions_variables:write repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#delete_repo_variable/4","title":"GitHub.Actions.delete_repo_variable/4","type":"function"},{"doc":"Delete a self-hosted runner from an organization Forces the removal of a self-hosted runner from an organization. You can use this endpoint to completely remove the runner when the machine you were using no longer exists. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#delete_self_hosted_runner_from_org/3","title":"GitHub.Actions.delete_self_hosted_runner_from_org/3","type":"function"},{"doc":"Delete a self-hosted runner from a repository Forces the removal of a self-hosted runner from a repository. You can use this endpoint to completely remove the runner when the machine you were using no longer exists. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#delete_self_hosted_runner_from_repo/4","title":"GitHub.Actions.delete_self_hosted_runner_from_repo/4","type":"function"},{"doc":"Delete a workflow run Delete a specific workflow run. Anyone with write access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#delete_workflow_run/4","title":"GitHub.Actions.delete_workflow_run/4","type":"function"},{"doc":"Delete workflow run logs Deletes all logs for a workflow run. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#delete_workflow_run_logs/4","title":"GitHub.Actions.delete_workflow_run_logs/4","type":"function"},{"doc":"Disable a selected repository for GitHub Actions in an organization Removes a repository from the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for enabled_repositories must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for an organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#disable_selected_repository_github_actions_organization/3","title":"GitHub.Actions.disable_selected_repository_github_actions_organization/3","type":"function"},{"doc":"Disable a workflow Disables a workflow and sets the state of the workflow to disabled_manually . You can replace workflow_id with the workflow file name. For example, you could use main.yaml . You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#disable_workflow/4","title":"GitHub.Actions.disable_workflow/4","type":"function"},{"doc":"Download an artifact Gets a redirect URL to download an archive for a repository. This URL expires after 1 minute. Look for Location: in the response header to find the URL for the download. The :archive_format must be zip . You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#download_artifact/5","title":"GitHub.Actions.download_artifact/5","type":"function"},{"doc":"Download job logs for a workflow run Gets a redirect URL to download a plain text file of logs for a workflow job. This link expires after 1 minute. Look for Location: in the response header to find the URL for the download. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#download_job_logs_for_workflow_run/4","title":"GitHub.Actions.download_job_logs_for_workflow_run/4","type":"function"},{"doc":"Download workflow run attempt logs Gets a redirect URL to download an archive of log files for a specific workflow run attempt. This link expires after 1 minute. Look for Location: in the response header to find the URL for the download. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#download_workflow_run_attempt_logs/5","title":"GitHub.Actions.download_workflow_run_attempt_logs/5","type":"function"},{"doc":"Download workflow run logs Gets a redirect URL to download an archive of log files for a workflow run. This link expires after 1 minute. Look for Location: in the response header to find the URL for the download. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#download_workflow_run_logs/4","title":"GitHub.Actions.download_workflow_run_logs/4","type":"function"},{"doc":"Enable a selected repository for GitHub Actions in an organization Adds a repository to the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for enabled_repositories must be must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for an organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#enable_selected_repository_github_actions_organization/3","title":"GitHub.Actions.enable_selected_repository_github_actions_organization/3","type":"function"},{"doc":"Enable a workflow Enables a workflow and sets the state of the workflow to active . You can replace workflow_id with the workflow file name. For example, you could use main.yaml . You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#enable_workflow/4","title":"GitHub.Actions.enable_workflow/4","type":"function"},{"doc":"Force cancel a workflow run Cancels a workflow run and bypasses conditions that would otherwise cause a workflow execution to continue, such as an always() condition on a job. You should only use this endpoint to cancel a workflow run when the workflow run is not responding to POST /repos/{owner}/{repo}/actions/runs/{run_id}/cancel . You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#force_cancel_workflow_run/4","title":"GitHub.Actions.force_cancel_workflow_run/4","type":"function"},{"doc":"Create configuration for a just-in-time runner for an organization Generates a configuration that can be passed to the runner application at startup. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#generate_runner_jitconfig_for_org/3","title":"GitHub.Actions.generate_runner_jitconfig_for_org/3","type":"function"},{"doc":"Create configuration for a just-in-time runner for a repository Generates a configuration that can be passed to the runner application at startup. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#generate_runner_jitconfig_for_repo/4","title":"GitHub.Actions.generate_runner_jitconfig_for_repo/4","type":"function"},{"doc":"List GitHub Actions caches for a repository Lists the GitHub Actions caches for a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. ref : The full Git reference for narrowing down the cache. The ref for a branch should be formatted as refs/heads/&lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . key : An explicit key or prefix for identifying the cache sort : The property to sort the results by. created_at means when the cache was created. last_accessed_at means when the cache was last accessed. size_in_bytes is the size of the cache in bytes. direction : The direction to sort the results by. Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_list/3","title":"GitHub.Actions.get_actions_cache_list/3","type":"function"},{"doc":"Get GitHub Actions cache usage for a repository Gets GitHub Actions cache usage for a repository. The data fetched using this API is refreshed approximately every 5 minutes, so values returned from this endpoint may take at least 5 minutes to get updated. Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_usage/3","title":"GitHub.Actions.get_actions_cache_usage/3","type":"function"},{"doc":"List repositories with GitHub Actions cache usage for an organization Lists repositories and their GitHub Actions cache usage for an organization. The data fetched using this API is refreshed approximately every 5 minutes, so values returned from this endpoint may take at least 5 minutes to get updated. You must authenticate using an access token with the read:org scope to use this endpoint. GitHub Apps must have the organization_admistration:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_usage_by_repo_for_org/2","title":"GitHub.Actions.get_actions_cache_usage_by_repo_for_org/2","type":"function"},{"doc":"Get GitHub Actions cache usage for an organization Gets the total GitHub Actions cache usage for an organization. The data fetched using this API is refreshed approximately every 5 minutes, so values returned from this endpoint may take at least 5 minutes to get updated. You must authenticate using an access token with the read:org scope to use this endpoint. GitHub Apps must have the organization_admistration:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_actions_cache_usage_for_org/2","title":"GitHub.Actions.get_actions_cache_usage_for_org/2","type":"function"},{"doc":"Get allowed actions and reusable workflows for an organization Gets the selected actions and reusable workflows that are allowed in an organization. To use this endpoint, the organization permission policy for allowed_actions must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for an organization .&quot;&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#get_allowed_actions_organization/2","title":"GitHub.Actions.get_allowed_actions_organization/2","type":"function"},{"doc":"Get allowed actions and reusable workflows for a repository Gets the settings for selected actions and reusable workflows that are allowed in a repository. To use this endpoint, the repository policy for allowed_actions must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for a repository .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration repository permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#get_allowed_actions_repository/3","title":"GitHub.Actions.get_allowed_actions_repository/3","type":"function"},{"doc":"Get an artifact Gets a specific artifact for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_artifact/4","title":"GitHub.Actions.get_artifact/4","type":"function"},{"doc":"Get the customization template for an OIDC subject claim for a repository Gets the customization template for an OpenID Connect (OIDC) subject claim. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the organization_administration:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_custom_oidc_sub_claim_for_repo/3","title":"GitHub.Actions.get_custom_oidc_sub_claim_for_repo/3","type":"function"},{"doc":"Get an environment public key Get the public key for an environment, which you need to encrypt environment secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#get_environment_public_key/3","title":"GitHub.Actions.get_environment_public_key/3","type":"function"},{"doc":"Get an environment secret Gets a single environment secret without revealing its encrypted value. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#get_environment_secret/4","title":"GitHub.Actions.get_environment_secret/4","type":"function"},{"doc":"Get an environment variable Gets a specific variable in an environment. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the environments:read repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#get_environment_variable/4","title":"GitHub.Actions.get_environment_variable/4","type":"function"},{"doc":"Get default workflow permissions for an organization Gets the default workflow permissions granted to the GITHUB_TOKEN when running workflows in an organization, as well as whether GitHub Actions can submit approving pull request reviews. For more information, see &quot; Setting the permissions of the GITHUB_TOKEN for your organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_default_workflow_permissions_organization/2","title":"GitHub.Actions.get_github_actions_default_workflow_permissions_organization/2","type":"function"},{"doc":"Get default workflow permissions for a repository Gets the default workflow permissions granted to the GITHUB_TOKEN when running workflows in a repository, as well as if GitHub Actions can submit approving pull request reviews. For more information, see &quot; Setting the permissions of the GITHUB_TOKEN for your repository .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the repository administration permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_default_workflow_permissions_repository/3","title":"GitHub.Actions.get_github_actions_default_workflow_permissions_repository/3","type":"function"},{"doc":"Get GitHub Actions permissions for an organization Gets the GitHub Actions permissions policy for repositories and allowed actions and reusable workflows in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_permissions_organization/2","title":"GitHub.Actions.get_github_actions_permissions_organization/2","type":"function"},{"doc":"Get GitHub Actions permissions for a repository Gets the GitHub Actions permissions policy for a repository, including whether GitHub Actions is enabled and the actions and reusable workflows allowed to run in the repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration repository permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#get_github_actions_permissions_repository/3","title":"GitHub.Actions.get_github_actions_permissions_repository/3","type":"function"},{"doc":"Get a job for a workflow run Gets a specific job in a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_job_for_workflow_run/4","title":"GitHub.Actions.get_job_for_workflow_run/4","type":"function"},{"doc":"Get an organization public key Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#get_org_public_key/2","title":"GitHub.Actions.get_org_public_key/2","type":"function"},{"doc":"Get an organization secret Gets a single organization secret without revealing its encrypted value. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#get_org_secret/3","title":"GitHub.Actions.get_org_secret/3","type":"function"},{"doc":"Get an organization variable Gets a specific variable in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:read organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#get_org_variable/3","title":"GitHub.Actions.get_org_variable/3","type":"function"},{"doc":"Get pending deployments for a workflow run Get all deployment environments for a workflow run that are waiting for protection rules to pass. Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_pending_deployments_for_run/4","title":"GitHub.Actions.get_pending_deployments_for_run/4","type":"function"},{"doc":"Get a repository public key Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#get_repo_public_key/3","title":"GitHub.Actions.get_repo_public_key/3","type":"function"},{"doc":"Get a repository secret Gets a single repository secret without revealing its encrypted value. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#get_repo_secret/4","title":"GitHub.Actions.get_repo_secret/4","type":"function"},{"doc":"Get a repository variable Gets a specific variable in a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions_variables:read repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#get_repo_variable/4","title":"GitHub.Actions.get_repo_variable/4","type":"function"},{"doc":"Get the review history for a workflow run Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_reviews_for_run/4","title":"GitHub.Actions.get_reviews_for_run/4","type":"function"},{"doc":"Get a self-hosted runner for an organization Gets a specific self-hosted runner configured in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#get_self_hosted_runner_for_org/3","title":"GitHub.Actions.get_self_hosted_runner_for_org/3","type":"function"},{"doc":"Get a self-hosted runner for a repository Gets a specific self-hosted runner configured in a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#get_self_hosted_runner_for_repo/4","title":"GitHub.Actions.get_self_hosted_runner_for_repo/4","type":"function"},{"doc":"Get a workflow Gets a specific workflow. You can replace workflow_id with the workflow file name. For example, you could use main.yaml . Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_workflow/4","title":"GitHub.Actions.get_workflow/4","type":"function"},{"doc":"Get the level of access for workflows outside of the repository Gets the level of access that workflows outside of the repository have to actions and reusable workflows in the repository. This endpoint only applies to private repositories. For more information, see &quot; Allowing access to components in a private repository .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the repository administration permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_access_to_repository/3","title":"GitHub.Actions.get_workflow_access_to_repository/3","type":"function"},{"doc":"Get a workflow run Gets a specific workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options exclude_pull_requests : If true pull requests are omitted from the response (empty array). Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_run/4","title":"GitHub.Actions.get_workflow_run/4","type":"function"},{"doc":"Get a workflow run attempt Gets a specific workflow run attempt. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options exclude_pull_requests : If true pull requests are omitted from the response (empty array). Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_run_attempt/5","title":"GitHub.Actions.get_workflow_run_attempt/5","type":"function"},{"doc":"Get workflow run usage Gets the number of billable minutes and total run time for a specific workflow run. Billable minutes only apply to workflows in private repositories that use GitHub-hosted runners. Usage is listed for each GitHub-hosted runner operating system in milliseconds. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see &quot; Managing billing for GitHub Actions &quot;. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_run_usage/4","title":"GitHub.Actions.get_workflow_run_usage/4","type":"function"},{"doc":"Get workflow usage Gets the number of billable minutes used by a specific workflow during the current billing cycle. Billable minutes only apply to workflows in private repositories that use GitHub-hosted runners. Usage is listed for each GitHub-hosted runner operating system in milliseconds. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see &quot; Managing billing for GitHub Actions &quot;. You can replace workflow_id with the workflow file name. For example, you could use main.yaml . Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#get_workflow_usage/4","title":"GitHub.Actions.get_workflow_usage/4","type":"function"},{"doc":"List artifacts for a repository Lists all artifacts for a repository. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. name : The name field of an artifact. When specified, only artifacts with this name will be returned. Resources API method documentation","ref":"GitHub.Actions.html#list_artifacts_for_repo/3","title":"GitHub.Actions.list_artifacts_for_repo/3","type":"function"},{"doc":"List environment secrets Lists all secrets available in an environment without revealing their encrypted values. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_environment_secrets/3","title":"GitHub.Actions.list_environment_secrets/3","type":"function"},{"doc":"List environment variables Lists all environment variables. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the environments:read repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Options per_page : The number of results per page (max 30). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_environment_variables/3","title":"GitHub.Actions.list_environment_variables/3","type":"function"},{"doc":"List jobs for a workflow run Lists jobs for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. You can use parameters to narrow the list of results. For more information about using parameters, see Parameters . Options filter : Filters jobs by their completed_at timestamp. latest returns jobs from the most recent execution of the workflow run. all returns all jobs for a workflow run, including from old executions of the workflow run. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_jobs_for_workflow_run/4","title":"GitHub.Actions.list_jobs_for_workflow_run/4","type":"function"},{"doc":"List jobs for a workflow run attempt Lists jobs for a specific workflow run attempt. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. You can use parameters to narrow the list of results. For more information about using parameters, see Parameters . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_jobs_for_workflow_run_attempt/5","title":"GitHub.Actions.list_jobs_for_workflow_run_attempt/5","type":"function"},{"doc":"List labels for a self-hosted runner for an organization Lists all labels for a self-hosted runner configured in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#list_labels_for_self_hosted_runner_for_org/3","title":"GitHub.Actions.list_labels_for_self_hosted_runner_for_org/3","type":"function"},{"doc":"List labels for a self-hosted runner for a repository Lists all labels for a self-hosted runner configured in a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#list_labels_for_self_hosted_runner_for_repo/4","title":"GitHub.Actions.list_labels_for_self_hosted_runner_for_repo/4","type":"function"},{"doc":"List organization secrets Lists all secrets available in an organization without revealing their encrypted values. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_org_secrets/2","title":"GitHub.Actions.list_org_secrets/2","type":"function"},{"doc":"List organization variables Lists all organization variables. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:read organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Options per_page : The number of results per page (max 30). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_org_variables/2","title":"GitHub.Actions.list_org_variables/2","type":"function"},{"doc":"List repository organization secrets Lists all organization secrets shared with a repository without revealing their encrypted values. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_organization_secrets/3","title":"GitHub.Actions.list_repo_organization_secrets/3","type":"function"},{"doc":"List repository organization variables Lists all organiation variables shared with a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions_variables:read repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Options per_page : The number of results per page (max 30). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_organization_variables/3","title":"GitHub.Actions.list_repo_organization_variables/3","type":"function"},{"doc":"List repository secrets Lists all secrets available in a repository without revealing their encrypted values. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the secrets repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_secrets/3","title":"GitHub.Actions.list_repo_secrets/3","type":"function"},{"doc":"List repository variables Lists all repository variables. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions_variables:read repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Options per_page : The number of results per page (max 30). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_variables/3","title":"GitHub.Actions.list_repo_variables/3","type":"function"},{"doc":"List repository workflows Lists the workflows in a repository. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_repo_workflows/3","title":"GitHub.Actions.list_repo_workflows/3","type":"function"},{"doc":"List runner applications for an organization Lists binaries for the runner application that you can download and run. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#list_runner_applications_for_org/2","title":"GitHub.Actions.list_runner_applications_for_org/2","type":"function"},{"doc":"List runner applications for a repository Lists binaries for the runner application that you can download and run. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#list_runner_applications_for_repo/3","title":"GitHub.Actions.list_runner_applications_for_repo/3","type":"function"},{"doc":"List selected repositories for an organization secret Lists all repositories that have been selected when the visibility for repository access to a secret is set to selected . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Actions.html#list_selected_repos_for_org_secret/3","title":"GitHub.Actions.list_selected_repos_for_org_secret/3","type":"function"},{"doc":"List selected repositories for an organization variable Lists all repositories that can access an organization variable that is available to selected repositories. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:read organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Actions.html#list_selected_repos_for_org_variable/3","title":"GitHub.Actions.list_selected_repos_for_org_variable/3","type":"function"},{"doc":"List selected repositories enabled for GitHub Actions in an organization Lists the selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for enabled_repositories must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for an organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_selected_repositories_enabled_github_actions_organization/2","title":"GitHub.Actions.list_selected_repositories_enabled_github_actions_organization/2","type":"function"},{"doc":"List self-hosted runners for an organization Lists all self-hosted runners configured in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Options name : The name of a self-hosted runner. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_self_hosted_runners_for_org/2","title":"GitHub.Actions.list_self_hosted_runners_for_org/2","type":"function"},{"doc":"List self-hosted runners for a repository Lists all self-hosted runners configured in a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Options name : The name of a self-hosted runner. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Actions.html#list_self_hosted_runners_for_repo/3","title":"GitHub.Actions.list_self_hosted_runners_for_repo/3","type":"function"},{"doc":"List workflow run artifacts Lists artifacts for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. name : The name field of an artifact. When specified, only artifacts with this name will be returned. Resources API method documentation","ref":"GitHub.Actions.html#list_workflow_run_artifacts/4","title":"GitHub.Actions.list_workflow_run_artifacts/4","type":"function"},{"doc":"List workflow runs for a workflow List all workflow runs for a workflow. You can replace workflow_id with the workflow file name. For example, you could use main.yaml . You can use parameters to narrow the list of results. For more information about using parameters, see Parameters . Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. Options actor : Returns someone's workflow runs. Use the login for the user who created the push associated with the check suite or workflow run. branch : Returns workflow runs associated with a branch. Use the name of the branch of the push . event : Returns workflow run triggered by the event you specify. For example, push , pull_request or issue . For more information, see &quot; Events that trigger workflows .&quot; status : Returns workflow runs with the check run status or conclusion that you specify. For example, a conclusion can be success or a status can be in_progress . Only GitHub can set a status of waiting or requested . per_page : The number of results per page (max 100). page : Page number of the results to fetch. created : Returns workflow runs created within the given date-time range. For more information on the syntax, see &quot; Understanding the search syntax .&quot; exclude_pull_requests : If true pull requests are omitted from the response (empty array). check_suite_id : Returns workflow runs with the check_suite_id that you specify. head_sha : Only returns workflow runs that are associated with the specified head_sha . Resources API method documentation","ref":"GitHub.Actions.html#list_workflow_runs/4","title":"GitHub.Actions.list_workflow_runs/4","type":"function"},{"doc":"List workflow runs for a repository Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see Parameters . Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options actor : Returns someone's workflow runs. Use the login for the user who created the push associated with the check suite or workflow run. branch : Returns workflow runs associated with a branch. Use the name of the branch of the push . event : Returns workflow run triggered by the event you specify. For example, push , pull_request or issue . For more information, see &quot; Events that trigger workflows .&quot; status : Returns workflow runs with the check run status or conclusion that you specify. For example, a conclusion can be success or a status can be in_progress . Only GitHub can set a status of waiting or requested . per_page : The number of results per page (max 100). page : Page number of the results to fetch. created : Returns workflow runs created within the given date-time range. For more information on the syntax, see &quot; Understanding the search syntax .&quot; exclude_pull_requests : If true pull requests are omitted from the response (empty array). check_suite_id : Returns workflow runs with the check_suite_id that you specify. head_sha : Only returns workflow runs that are associated with the specified head_sha . Resources API method documentation","ref":"GitHub.Actions.html#list_workflow_runs_for_repo/3","title":"GitHub.Actions.list_workflow_runs_for_repo/3","type":"function"},{"doc":"Re-run a job from a workflow run Re-run a job and its dependent jobs in a workflow run. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#re_run_job_for_workflow_run/5","title":"GitHub.Actions.re_run_job_for_workflow_run/5","type":"function"},{"doc":"Re-run a workflow Re-runs your workflow run using its id . You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#re_run_workflow/5","title":"GitHub.Actions.re_run_workflow/5","type":"function"},{"doc":"Re-run failed jobs from a workflow run Re-run all of the failed jobs and their dependent jobs in a workflow run using the id of the workflow run. You must authenticate using an access token with the repo scope to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#re_run_workflow_failed_jobs/5","title":"GitHub.Actions.re_run_workflow_failed_jobs/5","type":"function"},{"doc":"Remove all custom labels from a self-hosted runner for an organization Remove all custom labels from a self-hosted runner configured in an organization. Returns the remaining read-only labels from the runner. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#remove_all_custom_labels_from_self_hosted_runner_for_org/3","title":"GitHub.Actions.remove_all_custom_labels_from_self_hosted_runner_for_org/3","type":"function"},{"doc":"Remove all custom labels from a self-hosted runner for a repository Remove all custom labels from a self-hosted runner configured in a repository. Returns the remaining read-only labels from the runner. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#remove_all_custom_labels_from_self_hosted_runner_for_repo/4","title":"GitHub.Actions.remove_all_custom_labels_from_self_hosted_runner_for_repo/4","type":"function"},{"doc":"Remove a custom label from a self-hosted runner for an organization Remove a custom label from a self-hosted runner configured in an organization. Returns the remaining labels from the runner. This endpoint returns a 404 Not Found status if the custom label is not present on the runner. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#remove_custom_label_from_self_hosted_runner_for_org/4","title":"GitHub.Actions.remove_custom_label_from_self_hosted_runner_for_org/4","type":"function"},{"doc":"Remove a custom label from a self-hosted runner for a repository Remove a custom label from a self-hosted runner configured in a repository. Returns the remaining labels from the runner. This endpoint returns a 404 Not Found status if the custom label is not present on the runner. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#remove_custom_label_from_self_hosted_runner_for_repo/5","title":"GitHub.Actions.remove_custom_label_from_self_hosted_runner_for_repo/5","type":"function"},{"doc":"Remove selected repository from an organization secret Removes a repository from an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#remove_selected_repo_from_org_secret/4","title":"GitHub.Actions.remove_selected_repo_from_org_secret/4","type":"function"},{"doc":"Remove selected repository from an organization variable Removes a repository from an organization variable that is available to selected repositories. Organization variables that are available to selected repositories have their visibility field set to selected . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:write organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#remove_selected_repo_from_org_variable/4","title":"GitHub.Actions.remove_selected_repo_from_org_variable/4","type":"function"},{"doc":"Review custom deployment protection rules for a workflow run Approve or reject custom deployment protection rules provided by a GitHub App for a workflow run. For more information, see &quot; Using environments for deployment .&quot; Note: GitHub Apps can only review their own custom deployment protection rules. To approve or reject pending deployments that are waiting for review from a specific person or team, see POST /repos/{owner}/{repo}/actions/runs/{run_id}/pending_deployments . If the repository is private, you must use an access token with the repo scope. GitHub Apps must have read and write permission for Deployments to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#review_custom_gates_for_run/5","title":"GitHub.Actions.review_custom_gates_for_run/5","type":"function"},{"doc":"Review pending deployments for a workflow run Approve or reject pending deployments that are waiting on approval by a required reviewer. Required reviewers with read access to the repository contents and deployments can use this endpoint. Required reviewers must authenticate using an access token with the repo scope to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#review_pending_deployments_for_run/5","title":"GitHub.Actions.review_pending_deployments_for_run/5","type":"function"},{"doc":"Set allowed actions and reusable workflows for an organization Sets the actions and reusable workflows that are allowed in an organization. To use this endpoint, the organization permission policy for allowed_actions must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for an organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_allowed_actions_organization/3","title":"GitHub.Actions.set_allowed_actions_organization/3","type":"function"},{"doc":"Set allowed actions and reusable workflows for a repository Sets the actions and reusable workflows that are allowed in a repository. To use this endpoint, the repository permission policy for allowed_actions must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for a repository .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration repository permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_allowed_actions_repository/4","title":"GitHub.Actions.set_allowed_actions_repository/4","type":"function"},{"doc":"Set custom labels for a self-hosted runner for an organization Remove all previous custom labels and set the new custom labels for a specific self-hosted runner configured in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#set_custom_labels_for_self_hosted_runner_for_org/4","title":"GitHub.Actions.set_custom_labels_for_self_hosted_runner_for_org/4","type":"function"},{"doc":"Set custom labels for a self-hosted runner for a repository Remove all previous custom labels and set the new custom labels for a specific self-hosted runner configured in a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration permission for repositories and the organization_self_hosted_runners permission for organizations. Authenticated users must have admin access to repositories or organizations, or the manage_runners:enterprise scope for enterprises, to use these endpoints. Resources API method documentation","ref":"GitHub.Actions.html#set_custom_labels_for_self_hosted_runner_for_repo/5","title":"GitHub.Actions.set_custom_labels_for_self_hosted_runner_for_repo/5","type":"function"},{"doc":"Set the customization template for an OIDC subject claim for a repository Sets the customization template and opt-in or opt-out flag for an OpenID Connect (OIDC) subject claim for a repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#set_custom_oidc_sub_claim_for_repo/4","title":"GitHub.Actions.set_custom_oidc_sub_claim_for_repo/4","type":"function"},{"doc":"Set default workflow permissions for an organization Sets the default workflow permissions granted to the GITHUB_TOKEN when running workflows in an organization, and sets if GitHub Actions can submit approving pull request reviews. For more information, see &quot; Setting the permissions of the GITHUB_TOKEN for your organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_default_workflow_permissions_organization/3","title":"GitHub.Actions.set_github_actions_default_workflow_permissions_organization/3","type":"function"},{"doc":"Set default workflow permissions for a repository Sets the default workflow permissions granted to the GITHUB_TOKEN when running workflows in a repository, and sets if GitHub Actions can submit approving pull request reviews. For more information, see &quot; Setting the permissions of the GITHUB_TOKEN for your repository .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the repository administration permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_default_workflow_permissions_repository/4","title":"GitHub.Actions.set_github_actions_default_workflow_permissions_repository/4","type":"function"},{"doc":"Set GitHub Actions permissions for an organization Sets the GitHub Actions permissions policy for repositories and allowed actions and reusable workflows in an organization. You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_permissions_organization/3","title":"GitHub.Actions.set_github_actions_permissions_organization/3","type":"function"},{"doc":"Set GitHub Actions permissions for a repository Sets the GitHub Actions permissions policy for enabling GitHub Actions and allowed actions and reusable workflows in the repository. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration repository permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_github_actions_permissions_repository/4","title":"GitHub.Actions.set_github_actions_permissions_repository/4","type":"function"},{"doc":"Set selected repositories for an organization secret Replaces all repositories for an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the secrets organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read secrets. Resources API method documentation","ref":"GitHub.Actions.html#set_selected_repos_for_org_secret/4","title":"GitHub.Actions.set_selected_repos_for_org_secret/4","type":"function"},{"doc":"Set selected repositories for an organization variable Replaces all repositories for an organization variable that is available to selected repositories. Organization variables that are available to selected repositories have their visibility field set to selected . You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:write organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#set_selected_repos_for_org_variable/4","title":"GitHub.Actions.set_selected_repos_for_org_variable/4","type":"function"},{"doc":"Set selected repositories enabled for GitHub Actions in an organization Replaces the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for enabled_repositories must be configured to selected . For more information, see &quot; Set GitHub Actions permissions for an organization .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the administration organization permission to use this API. Resources API method documentation","ref":"GitHub.Actions.html#set_selected_repositories_enabled_github_actions_organization/3","title":"GitHub.Actions.set_selected_repositories_enabled_github_actions_organization/3","type":"function"},{"doc":"Set the level of access for workflows outside of the repository Sets the level of access that workflows outside of the repository have to actions and reusable workflows in the repository. This endpoint only applies to private repositories. For more information, see &quot; Allowing access to components in a private repository &quot;. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the repository administration permission to use this endpoint. Resources API method documentation","ref":"GitHub.Actions.html#set_workflow_access_to_repository/4","title":"GitHub.Actions.set_workflow_access_to_repository/4","type":"function"},{"doc":"Update an environment variable Updates an environment variable that you can reference in a GitHub Actions workflow. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the environment:write repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#update_environment_variable/5","title":"GitHub.Actions.update_environment_variable/5","type":"function"},{"doc":"Update an organization variable Updates an organization variable that you can reference in a GitHub Actions workflow. You must authenticate using an access token with the admin:org scope to use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the organization_actions_variables:write organization permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#update_org_variable/4","title":"GitHub.Actions.update_org_variable/4","type":"function"},{"doc":"Update a repository variable Updates a repository variable that you can reference in a GitHub Actions workflow. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the actions_variables:write repository permission to use this endpoint. Authenticated users must have collaborator access to a repository to create, update, or read variables. Resources API method documentation","ref":"GitHub.Actions.html#update_repo_variable/5","title":"GitHub.Actions.update_repo_variable/5","type":"function"},{"doc":"Provides API endpoints related to activity","ref":"GitHub.Activity.html","title":"GitHub.Activity","type":"module"},{"doc":"Check if a repository is starred by the authenticated user Whether the authenticated user has starred the repository. Resources API method documentation","ref":"GitHub.Activity.html#check_repo_is_starred_by_authenticated_user/3","title":"GitHub.Activity.check_repo_is_starred_by_authenticated_user/3","type":"function"},{"doc":"Delete a repository subscription This endpoint should only be used to stop watching a repository. To control whether or not you wish to receive notifications from a repository, set the repository's subscription manually . Resources API method documentation","ref":"GitHub.Activity.html#delete_repo_subscription/3","title":"GitHub.Activity.delete_repo_subscription/3","type":"function"},{"doc":"Delete a thread subscription Mutes all future notifications for a conversation until you comment on the thread or get an @mention . If you are watching the repository of the thread, you will still receive notifications. To ignore future notifications for a repository you are watching, use the Set a thread subscription endpoint and set ignore to true . Resources API method documentation","ref":"GitHub.Activity.html#delete_thread_subscription/2","title":"GitHub.Activity.delete_thread_subscription/2","type":"function"},{"doc":"Get feeds GitHub provides several timeline resources in Atom format. The Feeds API lists all the feeds available to the authenticated user: Timeline : The GitHub global public timeline User : The public timeline for any user, using URI template Current user public : The public timeline for the authenticated user Current user : The private timeline for the authenticated user Current user actor : The private timeline for activity created by the authenticated user Current user organizations : The private timeline for the organizations the authenticated user is a member of. Security advisories : A collection of public announcements that provide information about security-related vulnerabilities in software on GitHub. Note : Private feeds are only returned when authenticating via Basic Auth since current feed URIs use the older, non revocable auth tokens. Resources API method documentation","ref":"GitHub.Activity.html#get_feeds/1","title":"GitHub.Activity.get_feeds/1","type":"function"},{"doc":"Get a repository subscription Gets information about whether the authenticated user is subscribed to the repository. Resources API method documentation","ref":"GitHub.Activity.html#get_repo_subscription/3","title":"GitHub.Activity.get_repo_subscription/3","type":"function"},{"doc":"Get a thread Gets information about a notification thread. Resources API method documentation","ref":"GitHub.Activity.html#get_thread/2","title":"GitHub.Activity.get_thread/2","type":"function"},{"doc":"Get a thread subscription for the authenticated user This checks to see if the current user is subscribed to a thread. You can also get a repository subscription . Note that subscriptions are only generated if a user is participating in a conversation--for example, they've replied to the thread, were @mentioned , or manually subscribe to a thread. Resources API method documentation","ref":"GitHub.Activity.html#get_thread_subscription_for_authenticated_user/2","title":"GitHub.Activity.get_thread_subscription_for_authenticated_user/2","type":"function"},{"doc":"List events for the authenticated user If you are authenticated as the given user, you will see your private events. Otherwise, you'll only see public events. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_events_for_authenticated_user/2","title":"GitHub.Activity.list_events_for_authenticated_user/2","type":"function"},{"doc":"List notifications for the authenticated user List all notifications for the current user, sorted by most recently updated. Options all : If true , show notifications marked as read. participating : If true , only shows notifications in which the user is directly participating or mentioned. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . before : Only show notifications updated before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . page : Page number of the results to fetch. per_page : The number of results per page (max 50). Resources API method documentation","ref":"GitHub.Activity.html#list_notifications_for_authenticated_user/1","title":"GitHub.Activity.list_notifications_for_authenticated_user/1","type":"function"},{"doc":"List organization events for the authenticated user This is the user's organization dashboard. You must be authenticated as the user to view this. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_org_events_for_authenticated_user/3","title":"GitHub.Activity.list_org_events_for_authenticated_user/3","type":"function"},{"doc":"List public events We delay the public events feed by five minutes, which means the most recent event returned by the public events API actually occurred at least five minutes ago. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_events/1","title":"GitHub.Activity.list_public_events/1","type":"function"},{"doc":"List public events for a network of repositories Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_events_for_repo_network/3","title":"GitHub.Activity.list_public_events_for_repo_network/3","type":"function"},{"doc":"List public events for a user Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_events_for_user/2","title":"GitHub.Activity.list_public_events_for_user/2","type":"function"},{"doc":"List public organization events Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_public_org_events/2","title":"GitHub.Activity.list_public_org_events/2","type":"function"},{"doc":"List events received by the authenticated user These are events that you've received by watching repos and following users. If you are authenticated as the given user, you will see private events. Otherwise, you'll only see public events. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_received_events_for_user/2","title":"GitHub.Activity.list_received_events_for_user/2","type":"function"},{"doc":"List public events received by a user Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_received_public_events_for_user/2","title":"GitHub.Activity.list_received_public_events_for_user/2","type":"function"},{"doc":"List repository events Note : This API is not built to serve real-time use cases. Depending on the time of day, event latency can be anywhere from 30s to 6h. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repo_events/3","title":"GitHub.Activity.list_repo_events/3","type":"function"},{"doc":"List repository notifications for the authenticated user Lists all notifications for the current user in the specified repository. Options all : If true , show notifications marked as read. participating : If true , only shows notifications in which the user is directly participating or mentioned. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . before : Only show notifications updated before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repo_notifications_for_authenticated_user/3","title":"GitHub.Activity.list_repo_notifications_for_authenticated_user/3","type":"function"},{"doc":"List repositories starred by the authenticated user Lists repositories the authenticated user has starred. You can also find out when stars were created by passing the following custom media type via the Accept header: application/vnd.github.star+json . Options sort : The property to sort the results by. created means when the repository was starred. updated means when the repository was last pushed to. direction : The direction to sort the results by. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repos_starred_by_authenticated_user/1","title":"GitHub.Activity.list_repos_starred_by_authenticated_user/1","type":"function"},{"doc":"List repositories starred by a user Lists repositories a user has starred. You can also find out when stars were created by passing the following custom media type via the Accept header: application/vnd.github.star+json . Options sort : The property to sort the results by. created means when the repository was starred. updated means when the repository was last pushed to. direction : The direction to sort the results by. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repos_starred_by_user/2","title":"GitHub.Activity.list_repos_starred_by_user/2","type":"function"},{"doc":"List repositories watched by a user Lists repositories a user is watching. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_repos_watched_by_user/2","title":"GitHub.Activity.list_repos_watched_by_user/2","type":"function"},{"doc":"List stargazers Lists the people that have starred the repository. You can also find out when stars were created by passing the following custom media type via the Accept header: application/vnd.github.star+json . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_stargazers_for_repo/3","title":"GitHub.Activity.list_stargazers_for_repo/3","type":"function"},{"doc":"List repositories watched by the authenticated user Lists repositories the authenticated user is watching. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_watched_repos_for_authenticated_user/1","title":"GitHub.Activity.list_watched_repos_for_authenticated_user/1","type":"function"},{"doc":"List watchers Lists the people watching the specified repository. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Activity.html#list_watchers_for_repo/3","title":"GitHub.Activity.list_watchers_for_repo/3","type":"function"},{"doc":"Mark notifications as read Marks all notifications as &quot;read&quot; for the current user. If the number of notifications is too large to complete in one request, you will receive a 202 Accepted status and GitHub will run an asynchronous process to mark notifications as &quot;read.&quot; To check whether any &quot;unread&quot; notifications remain, you can use the List notifications for the authenticated user endpoint and pass the query parameter all=false . Resources API method documentation","ref":"GitHub.Activity.html#mark_notifications_as_read/2","title":"GitHub.Activity.mark_notifications_as_read/2","type":"function"},{"doc":"Mark repository notifications as read Marks all notifications in a repository as &quot;read&quot; for the current user. If the number of notifications is too large to complete in one request, you will receive a 202 Accepted status and GitHub will run an asynchronous process to mark notifications as &quot;read.&quot; To check whether any &quot;unread&quot; notifications remain, you can use the List repository notifications for the authenticated user endpoint and pass the query parameter all=false . Resources API method documentation","ref":"GitHub.Activity.html#mark_repo_notifications_as_read/4","title":"GitHub.Activity.mark_repo_notifications_as_read/4","type":"function"},{"doc":"Mark a thread as read Marks a thread as &quot;read.&quot; Marking a thread as &quot;read&quot; is equivalent to clicking a notification in your notification inbox on GitHub: https://github.com/notifications . Resources API method documentation","ref":"GitHub.Activity.html#mark_thread_as_read/2","title":"GitHub.Activity.mark_thread_as_read/2","type":"function"},{"doc":"Set a repository subscription If you would like to watch a repository, set subscribed to true . If you would like to ignore notifications made within a repository, set ignored to true . If you would like to stop watching a repository, delete the repository's subscription completely. Resources API method documentation","ref":"GitHub.Activity.html#set_repo_subscription/4","title":"GitHub.Activity.set_repo_subscription/4","type":"function"},{"doc":"Set a thread subscription If you are watching a repository, you receive notifications for all threads by default. Use this endpoint to ignore future notifications for threads until you comment on the thread or get an @mention . You can also use this endpoint to subscribe to threads that you are currently not receiving notifications for or to subscribed to threads that you have previously ignored. Unsubscribing from a conversation in a repository that you are not watching is functionally equivalent to the Delete a thread subscription endpoint. Resources API method documentation","ref":"GitHub.Activity.html#set_thread_subscription/3","title":"GitHub.Activity.set_thread_subscription/3","type":"function"},{"doc":"Star a repository for the authenticated user Note that you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Resources API method documentation","ref":"GitHub.Activity.html#star_repo_for_authenticated_user/3","title":"GitHub.Activity.star_repo_for_authenticated_user/3","type":"function"},{"doc":"Unstar a repository for the authenticated user Unstar a repository that the authenticated user has previously starred. Resources API method documentation","ref":"GitHub.Activity.html#unstar_repo_for_authenticated_user/3","title":"GitHub.Activity.unstar_repo_for_authenticated_user/3","type":"function"},{"doc":"","ref":"GitHub.Activity.html#t:t/0","title":"GitHub.Activity.t/0","type":"type"},{"doc":"Provides API endpoints related to apps","ref":"GitHub.Apps.html","title":"GitHub.Apps","type":"module"},{"doc":"Add a repository to an app installation Add a single repository to an installation. The authenticated user must have admin access to the repository. You must use a personal access token (which you can create via the command line or Basic Authentication ) to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#add_repo_to_installation_for_authenticated_user/3","title":"GitHub.Apps.add_repo_to_installation_for_authenticated_user/3","type":"function"},{"doc":"Check a token OAuth applications and GitHub applications with OAuth authorizations can use this API method for checking OAuth token validity without exceeding the normal rate limits for failed login attempts. Authentication works differently with this particular endpoint. You must use Basic Authentication to use this endpoint, where the username is the application client_id and the password is its client_secret . Invalid tokens will return 404 NOT FOUND . Resources API method documentation","ref":"GitHub.Apps.html#check_token/3","title":"GitHub.Apps.check_token/3","type":"function"},{"doc":"Create a GitHub App from a manifest Use this endpoint to complete the handshake necessary when implementing the GitHub App Manifest flow . When you create a GitHub App with the manifest flow, you receive a temporary code used to retrieve the GitHub App's id , pem (private key), and webhook_secret . Resources API method documentation","ref":"GitHub.Apps.html#create_from_manifest/2","title":"GitHub.Apps.create_from_manifest/2","type":"function"},{"doc":"Create an installation access token for an app Creates an installation access token that enables a GitHub App to make authenticated API requests for the app's installation on an organization or individual account. Installation tokens expire one hour from the time you create them. Using an expired token produces a status code of 401 - Unauthorized , and requires creating a new installation token. By default the installation token has access to all repositories that the installation can access. To restrict the access to specific repositories, you can provide the repository_ids when creating the token. When you omit repository_ids , the response does not contain the repositories key. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#create_installation_access_token/3","title":"GitHub.Apps.create_installation_access_token/3","type":"function"},{"doc":"Delete an app authorization OAuth and GitHub application owners can revoke a grant for their application and a specific user. You must use Basic Authentication when accessing this endpoint, using the OAuth application's client_id and client_secret as the username and password. You must also provide a valid OAuth access_token as an input parameter and the grant for the token's owner will be deleted. Deleting an application's grant will also delete all OAuth tokens associated with the application for the user. Once deleted, the application will have no access to the user's account and will no longer be listed on the application authorizations settings screen within GitHub . Resources API method documentation","ref":"GitHub.Apps.html#delete_authorization/3","title":"GitHub.Apps.delete_authorization/3","type":"function"},{"doc":"Delete an installation for the authenticated app Uninstalls a GitHub App on a user, organization, or business account. If you prefer to temporarily suspend an app's access to your account's resources, then we recommend the &quot; Suspend an app installation &quot; endpoint. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#delete_installation/2","title":"GitHub.Apps.delete_installation/2","type":"function"},{"doc":"Delete an app token OAuth or GitHub application owners can revoke a single token for an OAuth application or a GitHub application with an OAuth authorization. You must use Basic Authentication when accessing this endpoint, using the application's client_id and client_secret as the username and password. Resources API method documentation","ref":"GitHub.Apps.html#delete_token/3","title":"GitHub.Apps.delete_token/3","type":"function"},{"doc":"Get the authenticated app Returns the GitHub App associated with the authentication credentials used. To see how many app installations are associated with this GitHub App, see the installations_count in the response. For more details about your app's installations, see the &quot; List installations for the authenticated app &quot; endpoint. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_authenticated/1","title":"GitHub.Apps.get_authenticated/1","type":"function"},{"doc":"Get an app Note : The :app_slug is just the URL-friendly name of your GitHub App. You can find this on the settings page for your GitHub App (e.g., https://github.com/settings/apps/:app_slug ). If the GitHub App you specify is public, you can access this endpoint without authenticating. If the GitHub App you specify is private, you must authenticate with a personal access token or an installation access token to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_by_slug/2","title":"GitHub.Apps.get_by_slug/2","type":"function"},{"doc":"Get an installation for the authenticated app Enables an authenticated GitHub App to find an installation's information using the installation id. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_installation/2","title":"GitHub.Apps.get_installation/2","type":"function"},{"doc":"Get an organization installation for the authenticated app Enables an authenticated GitHub App to find the organization's installation information. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_org_installation/2","title":"GitHub.Apps.get_org_installation/2","type":"function"},{"doc":"Get a repository installation for the authenticated app Enables an authenticated GitHub App to find the repository's installation information. The installation's account type will be either an organization or a user account, depending which account the repository belongs to. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_repo_installation/3","title":"GitHub.Apps.get_repo_installation/3","type":"function"},{"doc":"Get a subscription plan for an account Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change. GitHub Apps must use a JWT to access this endpoint. OAuth apps must use basic authentication with their client ID and client secret to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_subscription_plan_for_account/2","title":"GitHub.Apps.get_subscription_plan_for_account/2","type":"function"},{"doc":"Get a subscription plan for an account (stubbed) Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change. GitHub Apps must use a JWT to access this endpoint. OAuth apps must use basic authentication with their client ID and client secret to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_subscription_plan_for_account_stubbed/2","title":"GitHub.Apps.get_subscription_plan_for_account_stubbed/2","type":"function"},{"doc":"Get a user installation for the authenticated app Enables an authenticated GitHub App to find the user’s installation information. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_user_installation/2","title":"GitHub.Apps.get_user_installation/2","type":"function"},{"doc":"Get a webhook configuration for an app Returns the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see &quot; Creating a GitHub App .&quot; You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_webhook_config_for_app/1","title":"GitHub.Apps.get_webhook_config_for_app/1","type":"function"},{"doc":"Get a delivery for an app webhook Returns a delivery for the webhook configured for a GitHub App. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#get_webhook_delivery/2","title":"GitHub.Apps.get_webhook_delivery/2","type":"function"},{"doc":"List accounts for a plan Returns user and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change. GitHub Apps must use a JWT to access this endpoint. OAuth apps must use basic authentication with their client ID and client secret to access this endpoint. Options sort : The property to sort the results by. direction : To return the oldest accounts first, set to asc . Ignored without the sort parameter. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_accounts_for_plan/2","title":"GitHub.Apps.list_accounts_for_plan/2","type":"function"},{"doc":"List accounts for a plan (stubbed) Returns repository and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change. GitHub Apps must use a JWT to access this endpoint. OAuth apps must use basic authentication with their client ID and client secret to access this endpoint. Options sort : The property to sort the results by. direction : To return the oldest accounts first, set to asc . Ignored without the sort parameter. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_accounts_for_plan_stubbed/2","title":"GitHub.Apps.list_accounts_for_plan_stubbed/2","type":"function"},{"doc":"List repositories accessible to the user access token List repositories that the authenticated user has explicit permission ( :read , :write , or :admin ) to access for an installation. The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership. You must use a user access token , created for a user who has authorized your GitHub App, to access this endpoint. The access the user has to each repository is included in the hash under the permissions key. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_installation_repos_for_authenticated_user/2","title":"GitHub.Apps.list_installation_repos_for_authenticated_user/2","type":"function"},{"doc":"List installation requests for the authenticated app Lists all the pending installation requests for the authenticated GitHub App. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_installation_requests_for_authenticated_app/1","title":"GitHub.Apps.list_installation_requests_for_authenticated_app/1","type":"function"},{"doc":"List installations for the authenticated app You must use a JWT to access this endpoint. The permissions the installation has are included under the permissions key. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . outdated Resources API method documentation","ref":"GitHub.Apps.html#list_installations/1","title":"GitHub.Apps.list_installations/1","type":"function"},{"doc":"List app installations accessible to the user access token Lists installations of your GitHub App that the authenticated user has explicit permission ( :read , :write , or :admin ) to access. You must use a user access token , created for a user who has authorized your GitHub App, to access this endpoint. The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership. You can find the permissions for the installation under the permissions key. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_installations_for_authenticated_user/1","title":"GitHub.Apps.list_installations_for_authenticated_user/1","type":"function"},{"doc":"List plans Lists all plans that are part of your GitHub Marketplace listing. GitHub Apps must use a JWT to access this endpoint. OAuth apps must use basic authentication with their client ID and client secret to access this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_plans/1","title":"GitHub.Apps.list_plans/1","type":"function"},{"doc":"List plans (stubbed) Lists all plans that are part of your GitHub Marketplace listing. GitHub Apps must use a JWT to access this endpoint. OAuth apps must use basic authentication with their client ID and client secret to access this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_plans_stubbed/1","title":"GitHub.Apps.list_plans_stubbed/1","type":"function"},{"doc":"List repositories accessible to the app installation List repositories that an app installation can access. You must use an installation access token to access this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_repos_accessible_to_installation/1","title":"GitHub.Apps.list_repos_accessible_to_installation/1","type":"function"},{"doc":"List subscriptions for the authenticated user Lists the active subscriptions for the authenticated user. GitHub Apps must use a user access token , created for a user who has authorized your GitHub App, to access this endpoint. OAuth apps must authenticate using an OAuth token . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_subscriptions_for_authenticated_user/1","title":"GitHub.Apps.list_subscriptions_for_authenticated_user/1","type":"function"},{"doc":"List subscriptions for the authenticated user (stubbed) Lists the active subscriptions for the authenticated user. GitHub Apps must use a user access token , created for a user who has authorized your GitHub App, to access this endpoint. OAuth apps must authenticate using an OAuth token . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Apps.html#list_subscriptions_for_authenticated_user_stubbed/1","title":"GitHub.Apps.list_subscriptions_for_authenticated_user_stubbed/1","type":"function"},{"doc":"List deliveries for an app webhook Returns a list of webhook deliveries for the webhook configured for a GitHub App. You must use a JWT to access this endpoint. Options per_page : The number of results per page (max 100). cursor : Used for pagination: the starting delivery from which the page of deliveries is fetched. Refer to the link header for the next and previous page cursors. redelivery Resources API method documentation","ref":"GitHub.Apps.html#list_webhook_deliveries/1","title":"GitHub.Apps.list_webhook_deliveries/1","type":"function"},{"doc":"Redeliver a delivery for an app webhook Redeliver a delivery for the webhook configured for a GitHub App. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#redeliver_webhook_delivery/2","title":"GitHub.Apps.redeliver_webhook_delivery/2","type":"function"},{"doc":"Remove a repository from an app installation Remove a single repository from an installation. The authenticated user must have admin access to the repository. The installation must have the repository_selection of selected . You must use a personal access token (which you can create via the command line or Basic Authentication ) to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#remove_repo_from_installation_for_authenticated_user/3","title":"GitHub.Apps.remove_repo_from_installation_for_authenticated_user/3","type":"function"},{"doc":"Reset a token OAuth applications and GitHub applications with OAuth authorizations can use this API method to reset a valid OAuth token without end-user involvement. Applications must save the &quot;token&quot; property in the response because changes take effect immediately. You must use Basic Authentication when accessing this endpoint, using the application's client_id and client_secret as the username and password. Invalid tokens will return 404 NOT FOUND . Resources API method documentation","ref":"GitHub.Apps.html#reset_token/3","title":"GitHub.Apps.reset_token/3","type":"function"},{"doc":"Revoke an installation access token Revokes the installation token you're using to authenticate as an installation and access this endpoint. Once an installation token is revoked, the token is invalidated and cannot be used. Other endpoints that require the revoked installation token must have a new installation token to work. You can create a new token using the &quot; Create an installation access token for an app &quot; endpoint. You must use an installation access token to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#revoke_installation_access_token/1","title":"GitHub.Apps.revoke_installation_access_token/1","type":"function"},{"doc":"Create a scoped access token Use a non-scoped user access token to create a repository scoped and/or permission scoped user access token. You can specify which repositories the token can access and which permissions are granted to the token. You must use Basic Authentication when accessing this endpoint, using the client_id and client_secret of the GitHub App as the username and password. Invalid tokens will return 404 NOT FOUND . Resources API method documentation","ref":"GitHub.Apps.html#scope_token/3","title":"GitHub.Apps.scope_token/3","type":"function"},{"doc":"Suspend an app installation Suspends a GitHub App on a user, organization, or business account, which blocks the app from accessing the account's resources. When a GitHub App is suspended, the app's access to the GitHub API or webhook events is blocked for that account. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#suspend_installation/2","title":"GitHub.Apps.suspend_installation/2","type":"function"},{"doc":"Unsuspend an app installation Removes a GitHub App installation suspension. You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#unsuspend_installation/2","title":"GitHub.Apps.unsuspend_installation/2","type":"function"},{"doc":"Update a webhook configuration for an app Updates the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see &quot; Creating a GitHub App .&quot; You must use a JWT to access this endpoint. Resources API method documentation","ref":"GitHub.Apps.html#update_webhook_config_for_app/2","title":"GitHub.Apps.update_webhook_config_for_app/2","type":"function"},{"doc":"Provides API endpoints related to billing","ref":"GitHub.Billing.html","title":"GitHub.Billing","type":"module"},{"doc":"Get GitHub Actions billing for an organization Gets the summary of the free and paid GitHub Actions minutes used. Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage returned includes any minute multipliers for macOS and Windows runners, and is rounded up to the nearest whole minute. For more information, see &quot; Managing billing for GitHub Actions &quot;. Access tokens must have the repo or admin:org scope. Resources API method documentation","ref":"GitHub.Billing.html#get_github_actions_billing_org/2","title":"GitHub.Billing.get_github_actions_billing_org/2","type":"function"},{"doc":"Get GitHub Actions billing for a user Gets the summary of the free and paid GitHub Actions minutes used. Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage returned includes any minute multipliers for macOS and Windows runners, and is rounded up to the nearest whole minute. For more information, see &quot; Managing billing for GitHub Actions &quot;. Access tokens must have the user scope. Resources API method documentation","ref":"GitHub.Billing.html#get_github_actions_billing_user/2","title":"GitHub.Billing.get_github_actions_billing_user/2","type":"function"},{"doc":"Get GitHub Packages billing for an organization Gets the free and paid storage used for GitHub Packages in gigabytes. Paid minutes only apply to packages stored for private repositories. For more information, see &quot; Managing billing for GitHub Packages .&quot; Access tokens must have the repo or admin:org scope. Resources API method documentation","ref":"GitHub.Billing.html#get_github_packages_billing_org/2","title":"GitHub.Billing.get_github_packages_billing_org/2","type":"function"},{"doc":"Get GitHub Packages billing for a user Gets the free and paid storage used for GitHub Packages in gigabytes. Paid minutes only apply to packages stored for private repositories. For more information, see &quot; Managing billing for GitHub Packages .&quot; Access tokens must have the user scope. Resources API method documentation","ref":"GitHub.Billing.html#get_github_packages_billing_user/2","title":"GitHub.Billing.get_github_packages_billing_user/2","type":"function"},{"doc":"Get shared storage billing for an organization Gets the estimated paid and estimated total storage used for GitHub Actions and GitHub Packages. Paid minutes only apply to packages stored for private repositories. For more information, see &quot; Managing billing for GitHub Packages .&quot; Access tokens must have the repo or admin:org scope. Resources API method documentation","ref":"GitHub.Billing.html#get_shared_storage_billing_org/2","title":"GitHub.Billing.get_shared_storage_billing_org/2","type":"function"},{"doc":"Get shared storage billing for a user Gets the estimated paid and estimated total storage used for GitHub Actions and GitHub Packages. Paid minutes only apply to packages stored for private repositories. For more information, see &quot; Managing billing for GitHub Packages .&quot; Access tokens must have the user scope. Resources API method documentation","ref":"GitHub.Billing.html#get_shared_storage_billing_user/2","title":"GitHub.Billing.get_shared_storage_billing_user/2","type":"function"},{"doc":"Provides API endpoints related to checks","ref":"GitHub.Checks.html","title":"GitHub.Checks","type":"module"},{"doc":"Create a check run Note: The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array. Creates a new check run for a specific commit in a repository. Your GitHub App must have the checks:write permission to create check runs. In a check suite, GitHub limits the number of check runs with the same name to 1000. Once these check runs exceed 1000, GitHub will start to automatically delete older check runs. Resources API method documentation","ref":"GitHub.Checks.html#create/4","title":"GitHub.Checks.create/4","type":"function"},{"doc":"Create a check suite Note: The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array and a null value for head_branch . By default, check suites are automatically created when you create a check run . You only need to use this endpoint for manually creating check suites when you've disabled automatic creation using &quot; Update repository preferences for check suites &quot;. Your GitHub App must have the checks:write permission to create check suites. Resources API method documentation","ref":"GitHub.Checks.html#create_suite/4","title":"GitHub.Checks.create_suite/4","type":"function"},{"doc":"Get a check run Note: The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array. Gets a single check run using its id . GitHub Apps must have the checks:read permission on a private repository or pull access to a public repository to get check runs. OAuth apps and authenticated users must have the repo scope to get check runs in a private repository. Resources API method documentation","ref":"GitHub.Checks.html#get/4","title":"GitHub.Checks.get/4","type":"function"},{"doc":"Get a check suite Note: The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array and a null value for head_branch . Gets a single check suite using its id . GitHub Apps must have the checks:read permission on a private repository or pull access to a public repository to get check suites. OAuth apps and authenticated users must have the repo scope to get check suites in a private repository. Resources API method documentation","ref":"GitHub.Checks.html#get_suite/4","title":"GitHub.Checks.get_suite/4","type":"function"},{"doc":"List check run annotations Lists annotations for a check run using the annotation id . GitHub Apps must have the checks:read permission on a private repository or pull access to a public repository to get annotations for a check run. OAuth apps and authenticated users must have the repo scope to get annotations for a check run in a private repository. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Checks.html#list_annotations/4","title":"GitHub.Checks.list_annotations/4","type":"function"},{"doc":"List check runs for a Git reference Lists check runs for a commit ref. The ref can be a SHA, branch name, or a tag name. GitHub Apps must have the checks:read permission on a private repository or pull access to a public repository to get check runs. OAuth apps and authenticated users must have the repo scope to get check runs in a private repository. Note: The endpoints to manage checks only look for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array. If there are more than 1000 check suites on a single git reference, this endpoint will limit check runs to the 1000 most recent check suites. To iterate over all possible check runs, use the List check suites for a Git reference endpoint and provide the check_suite_id parameter to the List check runs in a check suite endpoint. Options check_name : Returns check runs with the specified name . status : Returns check runs with the specified status . filter : Filters check runs by their completed_at timestamp. latest returns the most recent check runs. per_page : The number of results per page (max 100). page : Page number of the results to fetch. app_id Resources API method documentation","ref":"GitHub.Checks.html#list_for_ref/4","title":"GitHub.Checks.list_for_ref/4","type":"function"},{"doc":"List check runs in a check suite Lists check runs for a check suite using its id . GitHub Apps must have the checks:read permission on a private repository or pull access to a public repository to get check runs. OAuth apps and authenticated users must have the repo scope to get check runs in a private repository. Note: The endpoints to manage checks only look for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array. Options check_name : Returns check runs with the specified name . status : Returns check runs with the specified status . filter : Filters check runs by their completed_at timestamp. latest returns the most recent check runs. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Checks.html#list_for_suite/4","title":"GitHub.Checks.list_for_suite/4","type":"function"},{"doc":"List check suites for a Git reference Lists check suites for a commit ref . The ref can be a SHA, branch name, or a tag name. GitHub Apps must have the checks:read permission on a private repository or pull access to a public repository to list check suites. OAuth apps and authenticated users must have the repo scope to get check suites in a private repository. Note: The endpoints to manage checks only look for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array and a null value for head_branch . Options app_id : Filters check suites by GitHub App id . check_name : Returns check runs with the specified name . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Checks.html#list_suites_for_ref/4","title":"GitHub.Checks.list_suites_for_ref/4","type":"function"},{"doc":"Rerequest a check run Triggers GitHub to rerequest an existing check run, without pushing new code to a repository. This endpoint will trigger the check_run webhook event with the action rerequested . When a check run is rerequested , its status is reset to queued and the conclusion is cleared. To rerequest a check run, your GitHub App must have the checks:read permission on a private repository or pull access to a public repository. For more information about how to re-run GitHub Actions jobs, see &quot; Re-run a job from a workflow run &quot;. Resources API method documentation","ref":"GitHub.Checks.html#rerequest_run/4","title":"GitHub.Checks.rerequest_run/4","type":"function"},{"doc":"Rerequest a check suite Triggers GitHub to rerequest an existing check suite, without pushing new code to a repository. This endpoint will trigger the check_suite webhook event with the action rerequested . When a check suite is rerequested , its status is reset to queued and the conclusion is cleared. To rerequest a check suite, your GitHub App must have the checks:write permission on a private repository or pull access to a public repository. Resources API method documentation","ref":"GitHub.Checks.html#rerequest_suite/4","title":"GitHub.Checks.rerequest_suite/4","type":"function"},{"doc":"Update repository preferences for check suites Changes the default automatic flow when creating check suites. By default, a check suite is automatically created each time code is pushed to a repository. When you disable the automatic creation of check suites, you can manually Create a check suite . You must have admin permissions in the repository to set preferences for check suites. Resources API method documentation","ref":"GitHub.Checks.html#set_suites_preferences/4","title":"GitHub.Checks.set_suites_preferences/4","type":"function"},{"doc":"Update a check run Updates a check run for a specific commit in a repository. Your GitHub App must have the checks:write permission to edit check runs. Note: The endpoints to manage checks only look for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty pull_requests array. Resources API method documentation","ref":"GitHub.Checks.html#update/5","title":"GitHub.Checks.update/5","type":"function"},{"doc":"Provides API endpoints related to code scanning","ref":"GitHub.CodeScanning.html","title":"GitHub.CodeScanning","type":"module"},{"doc":"Delete a code scanning analysis from a repository Deletes a specified code scanning analysis from a repository. For private repositories, you must use an access token with the repo scope. For public repositories, you must use an access token with public_repo scope. GitHub Apps must have the security_events write permission to use this endpoint. You can delete one analysis at a time. To delete a series of analyses, start with the most recent analysis and work backwards. Conceptually, the process is similar to the undo function in a text editor. When you list the analyses for a repository, one or more will be identified as deletable in the response: &quot;deletable&quot; : true An analysis is deletable when it's the most recent in a set of analyses. Typically, a repository will have multiple sets of analyses for each enabled code scanning tool, where a set is determined by a unique combination of analysis values: ref tool category If you attempt to delete an analysis that is not the most recent in a set, you'll get a 400 response with the message: Analysis specified is not deletable . The response from a successful DELETE operation provides you with two alternative URLs for deleting the next analysis in the set: next_analysis_url and confirm_delete_url . Use the next_analysis_url URL if you want to avoid accidentally deleting the final analysis in a set. This is a useful option if you want to preserve at least one analysis for the specified tool in your repository. Use the confirm_delete_url URL if you are content to remove all analyses for a tool. When you delete the last analysis in a set, the value of next_analysis_url and confirm_delete_url in the 200 response is null . As an example of the deletion process, let's imagine that you added a workflow that configured a particular code scanning tool to analyze the code in a repository. This tool has added 15 analyses: 10 on the default branch, and another 5 on a topic branch. You therefore have two separate sets of analyses for this tool. You've now decided that you want to remove all of the analyses for the tool. To do this you must make 15 separate deletion requests. To start, you must find an analysis that's identified as deletable. Each set of analyses always has one that's identified as deletable. Having found the deletable analysis for one of the two sets, delete this analysis and then continue deleting the next analysis in the set until they're all deleted. Then repeat the process for the second set. The procedure therefore consists of a nested loop: Outer loop : List the analyses for the repository, filtered by tool. Parse this list to find a deletable analysis. If found: Inner loop : Delete the identified analysis. Parse the response for the value of confirm_delete_url and, if found, use this in the next iteration. The above process assumes that you want to remove all trace of the tool's analyses from the GitHub user interface, for the specified repository, and it therefore uses the confirm_delete_url value. Alternatively, you could use the next_analysis_url value, which would leave the last analysis in each set undeleted to avoid removing a tool's analysis entirely. Options confirm_delete : Allow deletion if the specified analysis is the last in a set. If you attempt to delete the final analysis in a set without setting this parameter to true , you'll get a 400 response with the message: Analysis is last of its type and deletion may result in the loss of historical alert data. Please specify confirm_delete. Resources API method documentation","ref":"GitHub.CodeScanning.html#delete_analysis/4","title":"GitHub.CodeScanning.delete_analysis/4","type":"function"},{"doc":"Get a code scanning alert Gets a single code scanning alert. You must use an access token with the security_events scope to use this endpoint with private repos, the public_repo scope also grants permission to read security events on public repos only. GitHub Apps must have the security_events read permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#get_alert/4","title":"GitHub.CodeScanning.get_alert/4","type":"function"},{"doc":"Get a code scanning analysis for a repository Gets a specified code scanning analysis for a repository. You must use an access token with the security_events scope to use this endpoint with private repos, the public_repo scope also grants permission to read security events on public repos only. GitHub Apps must have the security_events read permission to use this endpoint. The default JSON response contains fields that describe the analysis. This includes the Git reference and commit SHA to which the analysis relates, the datetime of the analysis, the name of the code scanning tool, and the number of alerts. The rules_count field in the default response give the number of rules that were run in the analysis. For very old analyses this data is not available, and 0 is returned in this field. If you use the Accept header application/sarif+json , the response contains the analysis data that was uploaded. This is formatted as SARIF version 2.1.0 . Resources API method documentation","ref":"GitHub.CodeScanning.html#get_analysis/4","title":"GitHub.CodeScanning.get_analysis/4","type":"function"},{"doc":"Get a CodeQL database for a repository Gets a CodeQL database for a language in a repository. By default this endpoint returns JSON metadata about the CodeQL database. To download the CodeQL database binary content, set the Accept header of the request to application/zip , and make sure your HTTP client is configured to follow redirects or use the Location header to make a second request to get the redirect URL. For private repositories, you must use an access token with the security_events scope. For public repositories, you can use tokens with the security_events or public_repo scope. GitHub Apps must have the contents read permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#get_codeql_database/4","title":"GitHub.CodeScanning.get_codeql_database/4","type":"function"},{"doc":"Get a code scanning default setup configuration Gets a code scanning default setup configuration. You must use an access token with the repo scope to use this endpoint with private repos or the public_repo scope for public repos. GitHub Apps must have the repo write permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#get_default_setup/3","title":"GitHub.CodeScanning.get_default_setup/3","type":"function"},{"doc":"Get information about a SARIF upload Gets information about a SARIF upload, including the status and the URL of the analysis that was uploaded so that you can retrieve details of the analysis. For more information, see &quot; Get a code scanning analysis for a repository .&quot; You must use an access token with the security_events scope to use this endpoint with private repos, the public_repo scope also grants permission to read security events on public repos only. GitHub Apps must have the security_events read permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#get_sarif/4","title":"GitHub.CodeScanning.get_sarif/4","type":"function"},{"doc":"List instances of a code scanning alert Lists all instances of the specified code scanning alert. You must use an access token with the security_events scope to use this endpoint with private repos, the public_repo scope also grants permission to read security events on public repos only. GitHub Apps must have the security_events read permission to use this endpoint. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). ref : The Git reference for the results you want to list. The ref for a branch can be formatted either as refs/heads/&lt;branch name&gt; or simply &lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . Resources API method documentation","ref":"GitHub.CodeScanning.html#list_alert_instances/4","title":"GitHub.CodeScanning.list_alert_instances/4","type":"function"},{"doc":"List code scanning alerts for an organization Lists code scanning alerts for the default branch for all eligible repositories in an organization. Eligible repositories are repositories that are owned by organizations that you own or for which you are a security manager. For more information, see &quot; Managing security managers in your organization .&quot; To use this endpoint, you must be an owner or security manager for the organization, and you must use an access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have the security_events read permission to use this endpoint. Options tool_name : The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either tool_name or tool_guid , but not both. tool_guid : The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either tool_guid or tool_name , but not both. before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. page : Page number of the results to fetch. per_page : The number of results per page (max 100). direction : The direction to sort the results by. state : If specified, only code scanning alerts with this state will be returned. sort : The property by which to sort the results. severity : If specified, only code scanning alerts with this severity will be returned. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_alerts_for_org/2","title":"GitHub.CodeScanning.list_alerts_for_org/2","type":"function"},{"doc":"List code scanning alerts for a repository Lists code scanning alerts. To use this endpoint, you must use an access token with the security_events scope or, for alerts from public repositories only, an access token with the public_repo scope. GitHub Apps must have the security_events read permission to use this endpoint. The response includes a most_recent_instance object. This provides details of the most recent instance of this alert for the default branch (or for the specified Git reference if you used ref in the request). Options tool_name : The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either tool_name or tool_guid , but not both. tool_guid : The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either tool_guid or tool_name , but not both. page : Page number of the results to fetch. per_page : The number of results per page (max 100). ref : The Git reference for the results you want to list. The ref for a branch can be formatted either as refs/heads/&lt;branch name&gt; or simply &lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . direction : The direction to sort the results by. sort : The property by which to sort the results. state : If specified, only code scanning alerts with this state will be returned. severity : If specified, only code scanning alerts with this severity will be returned. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_alerts_for_repo/3","title":"GitHub.CodeScanning.list_alerts_for_repo/3","type":"function"},{"doc":"List CodeQL databases for a repository Lists the CodeQL databases that are available in a repository. For private repositories, you must use an access token with the security_events scope. For public repositories, you can use tokens with the security_events or public_repo scope. GitHub Apps must have the contents read permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_codeql_databases/3","title":"GitHub.CodeScanning.list_codeql_databases/3","type":"function"},{"doc":"List code scanning analyses for a repository Lists the details of all code scanning analyses for a repository, starting with the most recent. The response is paginated and you can use the page and per_page parameters to list the analyses you're interested in. By default 30 analyses are listed per page. The rules_count field in the response give the number of rules that were run in the analysis. For very old analyses this data is not available, and 0 is returned in this field. You must use an access token with the security_events scope to use this endpoint with private repos, the public_repo scope also grants permission to read security events on public repos only. GitHub Apps must have the security_events read permission to use this endpoint. Deprecation notice : The tool_name field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The tool name can now be found inside the tool field. Options tool_name : The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either tool_name or tool_guid , but not both. tool_guid : The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either tool_guid or tool_name , but not both. page : Page number of the results to fetch. per_page : The number of results per page (max 100). ref : The Git reference for the analyses you want to list. The ref for a branch can be formatted either as refs/heads/&lt;branch name&gt; or simply &lt;branch name&gt; . To reference a pull request use refs/pull/&lt;number&gt;/merge . sarif_id : Filter analyses belonging to the same SARIF upload. direction : The direction to sort the results by. sort : The property by which to sort the results. Resources API method documentation","ref":"GitHub.CodeScanning.html#list_recent_analyses/3","title":"GitHub.CodeScanning.list_recent_analyses/3","type":"function"},{"doc":"Update a code scanning alert Updates the status of a single code scanning alert. You must use an access token with the security_events scope to use this endpoint with private repositories. You can also use tokens with the public_repo scope for public repositories only. GitHub Apps must have the security_events write permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#update_alert/5","title":"GitHub.CodeScanning.update_alert/5","type":"function"},{"doc":"Update a code scanning default setup configuration Updates a code scanning default setup configuration. You must use an access token with the repo scope to use this endpoint with private repos or the public_repo scope for public repos. GitHub Apps must have the repo write permission to use this endpoint. Resources API method documentation","ref":"GitHub.CodeScanning.html#update_default_setup/4","title":"GitHub.CodeScanning.update_default_setup/4","type":"function"},{"doc":"Upload an analysis as SARIF data Uploads SARIF data containing the results of a code scanning analysis to make the results available in a repository. You must use an access token with the security_events scope to use this endpoint for private repositories. You can also use tokens with the public_repo scope for public repositories only. GitHub Apps must have the security_events write permission to use this endpoint. For troubleshooting information, see &quot; Troubleshooting SARIF uploads .&quot; There are two places where you can upload code scanning results. If you upload to a pull request, for example --ref refs/pull/42/merge or --ref refs/pull/42/head , then the results appear as alerts in a pull request check. For more information, see &quot; Triaging code scanning alerts in pull requests .&quot; If you upload to a branch, for example --ref refs/heads/my-branch , then the results appear in the Security tab for your repository. For more information, see &quot; Managing code scanning alerts for your repository .&quot; You must compress the SARIF-formatted analysis data that you want to upload, using gzip , and then encode it as a Base64 format string. For example: gzip - c analysis - data . sarif | base64 - w0 SARIF upload supports a maximum number of entries per the following data objects, and an analysis will be rejected if any of these objects is above its maximum value. For some objects, there are additional values over which the entries will be ignored while keeping the most important entries whenever applicable. To get the most out of your analysis when it includes data above the supported limits, try to optimize the analysis configuration. For example, for the CodeQL tool, identify and remove the most noisy queries. For more information, see &quot; SARIF results exceed one or more limits .&quot; SARIF data Maximum values Additional limits Runs per file 20 Results per run 25,000 Only the top 5,000 results will be included, prioritized by severity. Rules per run 25,000 Tool extensions per run 100 Thread Flow Locations per result 10,000 Only the top 1,000 Thread Flow Locations will be included, using prioritization. Location per result 1,000 Only 100 locations will be included. Tags per rule 20 Only 10 tags will be included. The 202 Accepted response includes an id value. You can use this ID to check the status of the upload by using it in the /sarifs/{sarif_id} endpoint. For more information, see &quot; Get information about a SARIF upload .&quot; Resources API method documentation","ref":"GitHub.CodeScanning.html#upload_sarif/4","title":"GitHub.CodeScanning.upload_sarif/4","type":"function"},{"doc":"Provides API endpoints related to codes of conduct","ref":"GitHub.CodesOfConduct.html","title":"GitHub.CodesOfConduct","type":"module"},{"doc":"Get all codes of conduct Returns array of all GitHub's codes of conduct. Resources API method documentation","ref":"GitHub.CodesOfConduct.html#get_all_codes_of_conduct/1","title":"GitHub.CodesOfConduct.get_all_codes_of_conduct/1","type":"function"},{"doc":"Get a code of conduct Returns information about the specified GitHub code of conduct. Resources API method documentation","ref":"GitHub.CodesOfConduct.html#get_conduct_code/2","title":"GitHub.CodesOfConduct.get_conduct_code/2","type":"function"},{"doc":"Provides API endpoints related to codespaces","ref":"GitHub.Codespaces.html","title":"GitHub.Codespaces","type":"module"},{"doc":"Add a selected repository to a user secret Adds a repository to the selected repositories for a user's codespace secret. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have write access to the codespaces_user_secrets user permission and write access to the codespaces_secrets repository permission on the referenced repository to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#add_repository_for_secret_for_authenticated_user/3","title":"GitHub.Codespaces.add_repository_for_secret_for_authenticated_user/3","type":"function"},{"doc":"Add selected repository to an organization secret Adds a repository to an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#add_selected_repo_to_org_secret/4","title":"GitHub.Codespaces.add_selected_repo_to_org_secret/4","type":"function"},{"doc":"List machine types for a codespace List the machine types a codespace can transition to use. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have read access to the codespaces_metadata repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#codespace_machines_for_authenticated_user/2","title":"GitHub.Codespaces.codespace_machines_for_authenticated_user/2","type":"function"},{"doc":"Create a codespace for the authenticated user Creates a new codespace, owned by the authenticated user. This endpoint requires either a repository_id OR a pull_request but not both. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#create_for_authenticated_user/2","title":"GitHub.Codespaces.create_for_authenticated_user/2","type":"function"},{"doc":"Create or update an organization secret Creates or updates an organization secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#create_or_update_org_secret/4","title":"GitHub.Codespaces.create_or_update_org_secret/4","type":"function"},{"doc":"Create or update a repository secret Creates or updates a repository secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have write access to the codespaces_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#create_or_update_repo_secret/5","title":"GitHub.Codespaces.create_or_update_repo_secret/5","type":"function"},{"doc":"Create or update a secret for the authenticated user Creates or updates a secret for a user's codespace with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must also have Codespaces access to use this endpoint. GitHub Apps must have write access to the codespaces_user_secrets user permission and codespaces_secrets repository permission on all referenced repositories to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#create_or_update_secret_for_authenticated_user/3","title":"GitHub.Codespaces.create_or_update_secret_for_authenticated_user/3","type":"function"},{"doc":"Create a codespace from a pull request Creates a codespace owned by the authenticated user for the specified pull request. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#create_with_pr_for_authenticated_user/5","title":"GitHub.Codespaces.create_with_pr_for_authenticated_user/5","type":"function"},{"doc":"Create a codespace in a repository Creates a codespace owned by the authenticated user in the specified repository. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#create_with_repo_for_authenticated_user/4","title":"GitHub.Codespaces.create_with_repo_for_authenticated_user/4","type":"function"},{"doc":"Remove users from Codespaces access for an organization Codespaces for the specified users will no longer be billed to the organization. To use this endpoint, the access settings for the organization must be set to selected_members . For information on how to change this setting, see &quot; Manage access control for organization codespaces .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#delete_codespaces_access_users/3","title":"GitHub.Codespaces.delete_codespaces_access_users/3","type":"function"},{"doc":"Delete a codespace for the authenticated user Deletes a user's codespace. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#delete_for_authenticated_user/2","title":"GitHub.Codespaces.delete_for_authenticated_user/2","type":"function"},{"doc":"Delete a codespace from the organization Deletes a user's codespace. You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#delete_from_organization/4","title":"GitHub.Codespaces.delete_from_organization/4","type":"function"},{"doc":"Delete an organization secret Deletes an organization secret using the secret name. You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#delete_org_secret/3","title":"GitHub.Codespaces.delete_org_secret/3","type":"function"},{"doc":"Delete a repository secret Deletes a secret in a repository using the secret name. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have write access to the codespaces_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#delete_repo_secret/4","title":"GitHub.Codespaces.delete_repo_secret/4","type":"function"},{"doc":"Delete a secret for the authenticated user Deletes a secret from a user's codespaces using the secret name. Deleting the secret will remove access from all codespaces that were allowed to access the secret. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have write access to the codespaces_user_secrets user permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#delete_secret_for_authenticated_user/2","title":"GitHub.Codespaces.delete_secret_for_authenticated_user/2","type":"function"},{"doc":"Export a codespace for the authenticated user Triggers an export of the specified codespace and returns a URL and ID where the status of the export can be monitored. If changes cannot be pushed to the codespace's repository, they will be pushed to a new or previously-existing fork instead. You must authenticate using a personal access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces_lifecycle_admin repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#export_for_authenticated_user/2","title":"GitHub.Codespaces.export_for_authenticated_user/2","type":"function"},{"doc":"List codespaces for a user in organization Lists the codespaces that a member of an organization has for repositories in that organization. You must authenticate using an access token with the admin:org scope to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#get_codespaces_for_user_in_org/3","title":"GitHub.Codespaces.get_codespaces_for_user_in_org/3","type":"function"},{"doc":"Get details about a codespace export Gets information about an export of a codespace. You must authenticate using a personal access token with the codespace scope to use this endpoint. GitHub Apps must have read access to the codespaces_lifecycle_admin repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_export_details_for_authenticated_user/3","title":"GitHub.Codespaces.get_export_details_for_authenticated_user/3","type":"function"},{"doc":"Get a codespace for the authenticated user Gets information about a user's codespace. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have read access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_for_authenticated_user/2","title":"GitHub.Codespaces.get_for_authenticated_user/2","type":"function"},{"doc":"Get an organization public key Gets a public key for an organization, which is required in order to encrypt secrets. You need to encrypt the value of a secret before you can create or update secrets. You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_org_public_key/2","title":"GitHub.Codespaces.get_org_public_key/2","type":"function"},{"doc":"Get an organization secret Gets an organization secret without revealing its encrypted value. You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_org_secret/3","title":"GitHub.Codespaces.get_org_secret/3","type":"function"},{"doc":"Get public key for the authenticated user Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have read access to the codespaces_user_secrets user permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_public_key_for_authenticated_user/1","title":"GitHub.Codespaces.get_public_key_for_authenticated_user/1","type":"function"},{"doc":"Get a repository public key Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have write access to the codespaces_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_repo_public_key/3","title":"GitHub.Codespaces.get_repo_public_key/3","type":"function"},{"doc":"Get a repository secret Gets a single repository secret without revealing its encrypted value. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have write access to the codespaces_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_repo_secret/4","title":"GitHub.Codespaces.get_repo_secret/4","type":"function"},{"doc":"Get a secret for the authenticated user Gets a secret available to a user's codespaces without revealing its encrypted value. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have read access to the codespaces_user_secrets user permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#get_secret_for_authenticated_user/2","title":"GitHub.Codespaces.get_secret_for_authenticated_user/2","type":"function"},{"doc":"List devcontainer configurations in a repository for the authenticated user Lists the devcontainer.json files associated with a specified repository and the authenticated user. These files specify launchpoint configurations for codespaces created within the repository. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have read access to the codespaces_metadata repository permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_devcontainers_in_repository_for_authenticated_user/3","title":"GitHub.Codespaces.list_devcontainers_in_repository_for_authenticated_user/3","type":"function"},{"doc":"List codespaces for the authenticated user Lists the authenticated user's codespaces. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have read access to the codespaces repository permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. repository_id : ID of the Repository to filter on Resources API method documentation","ref":"GitHub.Codespaces.html#list_for_authenticated_user/1","title":"GitHub.Codespaces.list_for_authenticated_user/1","type":"function"},{"doc":"List codespaces for the organization Lists the codespaces associated to a specified organization. You must authenticate using an access token with the admin:org scope to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_in_organization/2","title":"GitHub.Codespaces.list_in_organization/2","type":"function"},{"doc":"List codespaces in a repository for the authenticated user Lists the codespaces associated to a specified repository and the authenticated user. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have read access to the codespaces repository permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_in_repository_for_authenticated_user/3","title":"GitHub.Codespaces.list_in_repository_for_authenticated_user/3","type":"function"},{"doc":"List organization secrets Lists all Codespaces secrets available at the organization-level without revealing their encrypted values. You must authenticate using an access token with the admin:org scope to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_org_secrets/2","title":"GitHub.Codespaces.list_org_secrets/2","type":"function"},{"doc":"List repository secrets Lists all secrets available in a repository without revealing their encrypted values. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have write access to the codespaces_secrets repository permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_repo_secrets/3","title":"GitHub.Codespaces.list_repo_secrets/3","type":"function"},{"doc":"List selected repositories for a user secret List the repositories that have been granted the ability to use a user's codespace secret. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have read access to the codespaces_user_secrets user permission and write access to the codespaces_secrets repository permission on all referenced repositories to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#list_repositories_for_secret_for_authenticated_user/2","title":"GitHub.Codespaces.list_repositories_for_secret_for_authenticated_user/2","type":"function"},{"doc":"List secrets for the authenticated user Lists all secrets available for a user's Codespaces without revealing their encrypted values. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have read access to the codespaces_user_secrets user permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Codespaces.html#list_secrets_for_authenticated_user/1","title":"GitHub.Codespaces.list_secrets_for_authenticated_user/1","type":"function"},{"doc":"List selected repositories for an organization secret Lists all repositories that have been selected when the visibility for repository access to a secret is set to selected . You must authenticate using an access token with the admin:org scope to use this endpoint. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Codespaces.html#list_selected_repos_for_org_secret/3","title":"GitHub.Codespaces.list_selected_repos_for_org_secret/3","type":"function"},{"doc":"Get default attributes for a codespace Gets the default attributes for codespaces created by the user with the repository. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Options ref : The branch or commit to check for a default devcontainer path. If not specified, the default branch will be checked. client_ip : An alternative IP for default location auto-detection, such as when proxying a request. Resources API method documentation","ref":"GitHub.Codespaces.html#pre_flight_with_repo_for_authenticated_user/3","title":"GitHub.Codespaces.pre_flight_with_repo_for_authenticated_user/3","type":"function"},{"doc":"Create a repository from an unpublished codespace Publishes an unpublished codespace, creating a new repository and assigning it to the codespace. The codespace's token is granted write permissions to the repository, allowing the user to push their changes. This will fail for a codespace that is already published, meaning it has an associated repository. You must authenticate using a personal access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#publish_for_authenticated_user/3","title":"GitHub.Codespaces.publish_for_authenticated_user/3","type":"function"},{"doc":"Remove a selected repository from a user secret Removes a repository from the selected repositories for a user's codespace secret. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have write access to the codespaces_user_secrets user permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#remove_repository_for_secret_for_authenticated_user/3","title":"GitHub.Codespaces.remove_repository_for_secret_for_authenticated_user/3","type":"function"},{"doc":"Remove selected repository from an organization secret Removes a repository from an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#remove_selected_repo_from_org_secret/4","title":"GitHub.Codespaces.remove_selected_repo_from_org_secret/4","type":"function"},{"doc":"List available machine types for a repository List the machine types available for a given repository based on its configuration. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces_metadata repository permission to use this endpoint. Options location : The location to check for available machines. Assigned by IP if not provided. client_ip : IP for location auto-detection when proxying a request ref : The branch or commit to check for prebuild availability and devcontainer restrictions. Resources API method documentation","ref":"GitHub.Codespaces.html#repo_machines_for_authenticated_user/3","title":"GitHub.Codespaces.repo_machines_for_authenticated_user/3","type":"function"},{"doc":"Manage access control for organization codespaces Sets which users can access codespaces in an organization. This is synonymous with granting or revoking codespaces access permissions for users according to the visibility. You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#set_codespaces_access/3","title":"GitHub.Codespaces.set_codespaces_access/3","type":"function"},{"doc":"Add users to Codespaces access for an organization Codespaces for the specified users will be billed to the organization. To use this endpoint, the access settings for the organization must be set to selected_members . For information on how to change this setting, see &quot; Manage access control for organization codespaces .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#set_codespaces_access_users/3","title":"GitHub.Codespaces.set_codespaces_access_users/3","type":"function"},{"doc":"Set selected repositories for a user secret Select the repositories that will use a user's codespace secret. You must authenticate using an access token with the codespace or codespace:secrets scope to use this endpoint. User must have Codespaces access to use this endpoint. GitHub Apps must have write access to the codespaces_user_secrets user permission and write access to the codespaces_secrets repository permission on all referenced repositories to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#set_repositories_for_secret_for_authenticated_user/3","title":"GitHub.Codespaces.set_repositories_for_secret_for_authenticated_user/3","type":"function"},{"doc":"Set selected repositories for an organization secret Replaces all repositories for an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#set_selected_repos_for_org_secret/4","title":"GitHub.Codespaces.set_selected_repos_for_org_secret/4","type":"function"},{"doc":"Start a codespace for the authenticated user Starts a user's codespace. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces_lifecycle_admin repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#start_for_authenticated_user/2","title":"GitHub.Codespaces.start_for_authenticated_user/2","type":"function"},{"doc":"Stop a codespace for the authenticated user Stops a user's codespace. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces_lifecycle_admin repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#stop_for_authenticated_user/2","title":"GitHub.Codespaces.stop_for_authenticated_user/2","type":"function"},{"doc":"Stop a codespace for an organization user Stops a user's codespace. You must authenticate using an access token with the admin:org scope to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#stop_in_organization/4","title":"GitHub.Codespaces.stop_in_organization/4","type":"function"},{"doc":"Update a codespace for the authenticated user Updates a codespace owned by the authenticated user. Currently only the codespace's machine type and recent folders can be modified using this endpoint. If you specify a new machine type it will be applied the next time your codespace is started. You must authenticate using an access token with the codespace scope to use this endpoint. GitHub Apps must have write access to the codespaces repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Codespaces.html#update_for_authenticated_user/3","title":"GitHub.Codespaces.update_for_authenticated_user/3","type":"function"},{"doc":"Provides API endpoints related to dependabot","ref":"GitHub.Dependabot.html","title":"GitHub.Dependabot","type":"module"},{"doc":"Add selected repository to an organization secret Adds a repository to an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#add_selected_repo_to_org_secret/4","title":"GitHub.Dependabot.add_selected_repo_to_org_secret/4","type":"function"},{"doc":"Create or update an organization secret Creates or updates an organization secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#create_or_update_org_secret/4","title":"GitHub.Dependabot.create_or_update_org_secret/4","type":"function"},{"doc":"Create or update a repository secret Creates or updates a repository secret with an encrypted value. Encrypt your secret using LibSodium . For more information, see &quot; Encrypting secrets for the REST API .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the dependabot_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#create_or_update_repo_secret/5","title":"GitHub.Dependabot.create_or_update_repo_secret/5","type":"function"},{"doc":"Delete an organization secret Deletes a secret in an organization using the secret name. You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#delete_org_secret/3","title":"GitHub.Dependabot.delete_org_secret/3","type":"function"},{"doc":"Delete a repository secret Deletes a secret in a repository using the secret name. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the dependabot_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#delete_repo_secret/4","title":"GitHub.Dependabot.delete_repo_secret/4","type":"function"},{"doc":"Get a Dependabot alert You must use an access token with the security_events scope to use this endpoint with private repositories. You can also use tokens with the public_repo scope for public repositories only. GitHub Apps must have Dependabot alerts read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#get_alert/4","title":"GitHub.Dependabot.get_alert/4","type":"function"},{"doc":"Get an organization public key Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#get_org_public_key/2","title":"GitHub.Dependabot.get_org_public_key/2","type":"function"},{"doc":"Get an organization secret Gets a single organization secret without revealing its encrypted value. You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#get_org_secret/3","title":"GitHub.Dependabot.get_org_secret/3","type":"function"},{"doc":"Get a repository public key Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the repo scope. GitHub Apps must have the dependabot_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#get_repo_public_key/3","title":"GitHub.Dependabot.get_repo_public_key/3","type":"function"},{"doc":"Get a repository secret Gets a single repository secret without revealing its encrypted value. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the dependabot_secrets repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#get_repo_secret/4","title":"GitHub.Dependabot.get_repo_secret/4","type":"function"},{"doc":"List Dependabot alerts for an enterprise Lists Dependabot alerts for repositories that are owned by the specified enterprise. To use this endpoint, you must be a member of the enterprise, and you must use an access token with the repo scope or security_events scope. Alerts are only returned for organizations in the enterprise for which you are an organization owner or a security manager. For more information about security managers, see &quot; Managing security managers in your organization .&quot; Options state : A comma-separated list of states. If specified, only alerts with these states will be returned. Can be: auto_dismissed , dismissed , fixed , open severity : A comma-separated list of severities. If specified, only alerts with these severities will be returned. Can be: low , medium , high , critical ecosystem : A comma-separated list of ecosystems. If specified, only alerts for these ecosystems will be returned. Can be: composer , go , maven , npm , nuget , pip , pub , rubygems , rust package : A comma-separated list of package names. If specified, only alerts for these packages will be returned. scope : The scope of the vulnerable dependency. If specified, only alerts with this scope will be returned. sort : The property by which to sort the results. created means when the alert was created. updated means when the alert's state last changed. direction : The direction to sort the results by. before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. first : Deprecated . The number of results per page (max 100), starting from the first matching result. This parameter must not be used in combination with last . Instead, use per_page in combination with after to fetch the first page of results. last : Deprecated . The number of results per page (max 100), starting from the last matching result. This parameter must not be used in combination with first . Instead, use per_page in combination with before to fetch the last page of results. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Dependabot.html#list_alerts_for_enterprise/2","title":"GitHub.Dependabot.list_alerts_for_enterprise/2","type":"function"},{"doc":"List Dependabot alerts for an organization Lists Dependabot alerts for an organization. To use this endpoint, you must be an owner or security manager for the organization, and you must use an access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have Dependabot alerts read permission to use this endpoint. Options state : A comma-separated list of states. If specified, only alerts with these states will be returned. Can be: auto_dismissed , dismissed , fixed , open severity : A comma-separated list of severities. If specified, only alerts with these severities will be returned. Can be: low , medium , high , critical ecosystem : A comma-separated list of ecosystems. If specified, only alerts for these ecosystems will be returned. Can be: composer , go , maven , npm , nuget , pip , pub , rubygems , rust package : A comma-separated list of package names. If specified, only alerts for these packages will be returned. scope : The scope of the vulnerable dependency. If specified, only alerts with this scope will be returned. sort : The property by which to sort the results. created means when the alert was created. updated means when the alert's state last changed. direction : The direction to sort the results by. before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. first : Deprecated . The number of results per page (max 100), starting from the first matching result. This parameter must not be used in combination with last . Instead, use per_page in combination with after to fetch the first page of results. last : Deprecated . The number of results per page (max 100), starting from the last matching result. This parameter must not be used in combination with first . Instead, use per_page in combination with before to fetch the last page of results. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Dependabot.html#list_alerts_for_org/2","title":"GitHub.Dependabot.list_alerts_for_org/2","type":"function"},{"doc":"List Dependabot alerts for a repository You must use an access token with the security_events scope to use this endpoint with private repositories. You can also use tokens with the public_repo scope for public repositories only. GitHub Apps must have Dependabot alerts read permission to use this endpoint. Options state : A comma-separated list of states. If specified, only alerts with these states will be returned. Can be: auto_dismissed , dismissed , fixed , open severity : A comma-separated list of severities. If specified, only alerts with these severities will be returned. Can be: low , medium , high , critical ecosystem : A comma-separated list of ecosystems. If specified, only alerts for these ecosystems will be returned. Can be: composer , go , maven , npm , nuget , pip , pub , rubygems , rust package : A comma-separated list of package names. If specified, only alerts for these packages will be returned. manifest : A comma-separated list of full manifest paths. If specified, only alerts for these manifests will be returned. scope : The scope of the vulnerable dependency. If specified, only alerts with this scope will be returned. sort : The property by which to sort the results. created means when the alert was created. updated means when the alert's state last changed. direction : The direction to sort the results by. page : Deprecated . Page number of the results to fetch. Use cursor-based pagination with before or after instead. per_page : The number of results per page (max 100). before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. first : Deprecated . The number of results per page (max 100), starting from the first matching result. This parameter must not be used in combination with last . Instead, use per_page in combination with after to fetch the first page of results. last : Deprecated . The number of results per page (max 100), starting from the last matching result. This parameter must not be used in combination with first . Instead, use per_page in combination with before to fetch the last page of results. Resources API method documentation","ref":"GitHub.Dependabot.html#list_alerts_for_repo/3","title":"GitHub.Dependabot.list_alerts_for_repo/3","type":"function"},{"doc":"List organization secrets Lists all secrets available in an organization without revealing their encrypted values. You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Dependabot.html#list_org_secrets/2","title":"GitHub.Dependabot.list_org_secrets/2","type":"function"},{"doc":"List repository secrets Lists all secrets available in a repository without revealing their encrypted values. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the dependabot_secrets repository permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Dependabot.html#list_repo_secrets/3","title":"GitHub.Dependabot.list_repo_secrets/3","type":"function"},{"doc":"List selected repositories for an organization secret Lists all repositories that have been selected when the visibility for repository access to a secret is set to selected . You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Dependabot.html#list_selected_repos_for_org_secret/3","title":"GitHub.Dependabot.list_selected_repos_for_org_secret/3","type":"function"},{"doc":"Remove selected repository from an organization secret Removes a repository from an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#remove_selected_repo_from_org_secret/4","title":"GitHub.Dependabot.remove_selected_repo_from_org_secret/4","type":"function"},{"doc":"Set selected repositories for an organization secret Replaces all repositories for an organization secret when the visibility for repository access is set to selected . The visibility is set when you Create or update an organization secret . You must authenticate using an access token with the admin:org scope to use this endpoint. GitHub Apps must have the dependabot_secrets organization permission to use this endpoint. Resources API method documentation","ref":"GitHub.Dependabot.html#set_selected_repos_for_org_secret/4","title":"GitHub.Dependabot.set_selected_repos_for_org_secret/4","type":"function"},{"doc":"Update a Dependabot alert You must use an access token with the security_events scope to use this endpoint with private repositories. You can also use tokens with the public_repo scope for public repositories only. GitHub Apps must have Dependabot alerts write permission to use this endpoint. To use this endpoint, you must have access to security alerts for the repository. For more information, see &quot; Granting access to security alerts .&quot; Resources API method documentation","ref":"GitHub.Dependabot.html#update_alert/5","title":"GitHub.Dependabot.update_alert/5","type":"function"},{"doc":"Provides API endpoints related to dependency graph","ref":"GitHub.DependencyGraph.html","title":"GitHub.DependencyGraph","type":"module"},{"doc":"Create a snapshot of dependencies for a repository Create a new snapshot of a repository's dependencies. You must authenticate using an access token with the repo scope to use this endpoint for a repository that the requesting user has access to. Resources API method documentation","ref":"GitHub.DependencyGraph.html#create_repository_snapshot/4","title":"GitHub.DependencyGraph.create_repository_snapshot/4","type":"function"},{"doc":"Get a diff of the dependencies between commits Gets the diff of the dependency changes between two commits of a repository, based on the changes to the dependency manifests made in those commits. Options name : The full path, relative to the repository root, of the dependency manifest file. Resources API method documentation","ref":"GitHub.DependencyGraph.html#diff_range/4","title":"GitHub.DependencyGraph.diff_range/4","type":"function"},{"doc":"Export a software bill of materials (SBOM) for a repository. Exports the software bill of materials (SBOM) for a repository in SPDX JSON format. Resources API method documentation","ref":"GitHub.DependencyGraph.html#export_sbom/3","title":"GitHub.DependencyGraph.export_sbom/3","type":"function"},{"doc":"Provides API endpoint related to emojis","ref":"GitHub.Emojis.html","title":"GitHub.Emojis","type":"module"},{"doc":"Get emojis Lists all the emojis available to use on GitHub. Resources API method documentation","ref":"GitHub.Emojis.html#get/1","title":"GitHub.Emojis.get/1","type":"function"},{"doc":"Provides API endpoints related to gists","ref":"GitHub.Gists.html","title":"GitHub.Gists","type":"module"},{"doc":"Check if a gist is starred Resources API method documentation","ref":"GitHub.Gists.html#check_is_starred/2","title":"GitHub.Gists.check_is_starred/2","type":"function"},{"doc":"Create a gist Allows you to add a new gist with one or more files. Note: Don't name your files &quot;gistfile&quot; with a numerical suffix. This is the format of the automatic naming scheme that Gist uses internally. Resources API method documentation","ref":"GitHub.Gists.html#create/2","title":"GitHub.Gists.create/2","type":"function"},{"doc":"Create a gist comment Resources API method documentation","ref":"GitHub.Gists.html#create_comment/3","title":"GitHub.Gists.create_comment/3","type":"function"},{"doc":"Delete a gist Resources API method documentation","ref":"GitHub.Gists.html#delete/2","title":"GitHub.Gists.delete/2","type":"function"},{"doc":"Delete a gist comment Resources API method documentation","ref":"GitHub.Gists.html#delete_comment/3","title":"GitHub.Gists.delete_comment/3","type":"function"},{"doc":"Fork a gist Resources API method documentation","ref":"GitHub.Gists.html#fork/2","title":"GitHub.Gists.fork/2","type":"function"},{"doc":"Get a gist Resources API method documentation","ref":"GitHub.Gists.html#get/2","title":"GitHub.Gists.get/2","type":"function"},{"doc":"Get a gist comment Resources API method documentation","ref":"GitHub.Gists.html#get_comment/3","title":"GitHub.Gists.get_comment/3","type":"function"},{"doc":"Get a gist revision Resources API method documentation","ref":"GitHub.Gists.html#get_revision/3","title":"GitHub.Gists.get_revision/3","type":"function"},{"doc":"List gists for the authenticated user Lists the authenticated user's gists or if called anonymously, this endpoint returns all public gists: Options since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list/1","title":"GitHub.Gists.list/1","type":"function"},{"doc":"List gist comments Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_comments/2","title":"GitHub.Gists.list_comments/2","type":"function"},{"doc":"List gist commits Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_commits/2","title":"GitHub.Gists.list_commits/2","type":"function"},{"doc":"List gists for a user Lists public gists for the specified user: Options since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_for_user/2","title":"GitHub.Gists.list_for_user/2","type":"function"},{"doc":"List gist forks Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_forks/2","title":"GitHub.Gists.list_forks/2","type":"function"},{"doc":"List public gists List public gists sorted by most recently updated to least recently updated. Note: With pagination , you can fetch up to 3000 gists. For example, you can fetch 100 pages with 30 gists per page or 30 pages with 100 gists per page. Options since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_public/1","title":"GitHub.Gists.list_public/1","type":"function"},{"doc":"List starred gists List the authenticated user's starred gists: Options since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Gists.html#list_starred/1","title":"GitHub.Gists.list_starred/1","type":"function"},{"doc":"Star a gist Note that you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Resources API method documentation","ref":"GitHub.Gists.html#star/2","title":"GitHub.Gists.star/2","type":"function"},{"doc":"Unstar a gist Resources API method documentation","ref":"GitHub.Gists.html#unstar/2","title":"GitHub.Gists.unstar/2","type":"function"},{"doc":"Update a gist Allows you to update a gist's description and to update, delete, or rename gist files. Files from the previous version of the gist that aren't explicitly changed during an edit are unchanged. At least one of description or files is required. Resources API method documentation","ref":"GitHub.Gists.html#update/3","title":"GitHub.Gists.update/3","type":"function"},{"doc":"Update a gist comment Resources API method documentation","ref":"GitHub.Gists.html#update_comment/4","title":"GitHub.Gists.update_comment/4","type":"function"},{"doc":"Provides API endpoints related to git","ref":"GitHub.Git.html","title":"GitHub.Git","type":"module"},{"doc":"Create a blob Resources API method documentation","ref":"GitHub.Git.html#create_blob/4","title":"GitHub.Git.create_blob/4","type":"function"},{"doc":"Create a commit Creates a new Git commit object . Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The following fields are included in the verification object: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in the table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Resources API method documentation","ref":"GitHub.Git.html#create_commit/4","title":"GitHub.Git.create_commit/4","type":"function"},{"doc":"Create a reference Creates a reference for your repository. You are unable to create new references for empty repositories, even if the commit SHA-1 hash used exists. Empty repositories are repositories without branches. Resources API method documentation","ref":"GitHub.Git.html#create_ref/4","title":"GitHub.Git.create_ref/4","type":"function"},{"doc":"Create a tag object Note that creating a tag object does not create the reference that makes a tag in Git. If you want to create an annotated tag in Git, you have to do this call to create the tag object, and then create the refs/tags/[tag] reference. If you want to create a lightweight tag, you only have to create the tag reference - this call would be unnecessary. Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The following fields are included in the verification object: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Resources API method documentation","ref":"GitHub.Git.html#create_tag/4","title":"GitHub.Git.create_tag/4","type":"function"},{"doc":"Create a tree The tree creation API accepts nested entries. If you specify both a tree and a nested path modifying that tree, this endpoint will overwrite the contents of the tree with the new path contents, and create a new tree structure. If you use this endpoint to add, delete, or modify the file contents in a tree, you will need to commit the tree and then update a branch to point to the commit. For more information see &quot; Create a commit &quot; and &quot; Update a reference .&quot; Returns an error if you try to delete a file that does not exist. Resources API method documentation","ref":"GitHub.Git.html#create_tree/4","title":"GitHub.Git.create_tree/4","type":"function"},{"doc":"Delete a reference Resources API method documentation","ref":"GitHub.Git.html#delete_ref/4","title":"GitHub.Git.delete_ref/4","type":"function"},{"doc":"Get a blob The content in the response will always be Base64 encoded. Note : This API supports blobs up to 100 megabytes in size. Resources API method documentation","ref":"GitHub.Git.html#get_blob/4","title":"GitHub.Git.get_blob/4","type":"function"},{"doc":"Get a commit object Gets a Git commit object . To get the contents of a commit, see &quot; Get a commit .&quot; Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The following fields are included in the verification object: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in the table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Resources API method documentation","ref":"GitHub.Git.html#get_commit/4","title":"GitHub.Git.get_commit/4","type":"function"},{"doc":"Get a reference Returns a single reference from your Git database. The :ref in the URL must be formatted as heads/&lt;branch name&gt; for branches and tags/&lt;tag name&gt; for tags. If the :ref doesn't match an existing ref, a 404 is returned. Note: You need to explicitly request a pull request to trigger a test merge commit, which checks the mergeability of pull requests. For more information, see &quot; Checking mergeability of pull requests &quot;. Resources API method documentation","ref":"GitHub.Git.html#get_ref/4","title":"GitHub.Git.get_ref/4","type":"function"},{"doc":"Get a tag Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The following fields are included in the verification object: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Resources API method documentation","ref":"GitHub.Git.html#get_tag/4","title":"GitHub.Git.get_tag/4","type":"function"},{"doc":"Get a tree Returns a single tree using the SHA1 value or ref name for that tree. If truncated is true in the response then the number of items in the tree array exceeded our maximum limit. If you need to fetch more items, use the non-recursive method of fetching trees, and fetch one sub-tree at a time. Note : The limit for the tree array is 100,000 entries with a maximum size of 7 MB when using the recursive parameter. Options recursive : Setting this parameter to any value returns the objects or subtrees referenced by the tree specified in :tree_sha . For example, setting recursive to any of the following will enable returning objects or subtrees: 0 , 1 , &quot;true&quot; , and &quot;false&quot; . Omit this parameter to prevent recursively returning objects or subtrees. Resources API method documentation","ref":"GitHub.Git.html#get_tree/4","title":"GitHub.Git.get_tree/4","type":"function"},{"doc":"List matching references Returns an array of references from your Git database that match the supplied name. The :ref in the URL must be formatted as heads/&lt;branch name&gt; for branches and tags/&lt;tag name&gt; for tags. If the :ref doesn't exist in the repository, but existing refs start with :ref , they will be returned as an array. When you use this endpoint without providing a :ref , it will return an array of all the references from your Git database, including notes and stashes if they exist on the server. Anything in the namespace is returned, not just heads and tags . Note: You need to explicitly request a pull request to trigger a test merge commit, which checks the mergeability of pull requests. For more information, see &quot; Checking mergeability of pull requests &quot;. If you request matching references for a branch named feature but the branch feature doesn't exist, the response can still include other matching head refs that start with the word feature , such as featureA and featureB . Resources API method documentation","ref":"GitHub.Git.html#list_matching_refs/4","title":"GitHub.Git.list_matching_refs/4","type":"function"},{"doc":"Update a reference Resources API method documentation","ref":"GitHub.Git.html#update_ref/5","title":"GitHub.Git.update_ref/5","type":"function"},{"doc":"Provides API endpoints related to gitignore","ref":"GitHub.Gitignore.html","title":"GitHub.Gitignore","type":"module"},{"doc":"Get all gitignore templates List all templates available to pass as an option when creating a repository . Resources API method documentation","ref":"GitHub.Gitignore.html#get_all_templates/1","title":"GitHub.Gitignore.get_all_templates/1","type":"function"},{"doc":"Get a gitignore template The API also allows fetching the source of a single template. Use the raw media type to get the raw contents. Resources API method documentation","ref":"GitHub.Gitignore.html#get_template/2","title":"GitHub.Gitignore.get_template/2","type":"function"},{"doc":"Provides API endpoints related to interactions","ref":"GitHub.Interactions.html","title":"GitHub.Interactions","type":"module"},{"doc":"Get interaction restrictions for your public repositories Shows which type of GitHub user can interact with your public repositories and when the restriction expires. Resources API method documentation","ref":"GitHub.Interactions.html#get_restrictions_for_authenticated_user/1","title":"GitHub.Interactions.get_restrictions_for_authenticated_user/1","type":"function"},{"doc":"Get interaction restrictions for an organization Shows which type of GitHub user can interact with this organization and when the restriction expires. If there is no restrictions, you will see an empty response. Resources API method documentation","ref":"GitHub.Interactions.html#get_restrictions_for_org/2","title":"GitHub.Interactions.get_restrictions_for_org/2","type":"function"},{"doc":"Get interaction restrictions for a repository Shows which type of GitHub user can interact with this repository and when the restriction expires. If there are no restrictions, you will see an empty response. Resources API method documentation","ref":"GitHub.Interactions.html#get_restrictions_for_repo/3","title":"GitHub.Interactions.get_restrictions_for_repo/3","type":"function"},{"doc":"Remove interaction restrictions from your public repositories Removes any interaction restrictions from your public repositories. Resources API method documentation","ref":"GitHub.Interactions.html#remove_restrictions_for_authenticated_user/1","title":"GitHub.Interactions.remove_restrictions_for_authenticated_user/1","type":"function"},{"doc":"Remove interaction restrictions for an organization Removes all interaction restrictions from public repositories in the given organization. You must be an organization owner to remove restrictions. Resources API method documentation","ref":"GitHub.Interactions.html#remove_restrictions_for_org/2","title":"GitHub.Interactions.remove_restrictions_for_org/2","type":"function"},{"doc":"Remove interaction restrictions for a repository Removes all interaction restrictions from the given repository. You must have owner or admin access to remove restrictions. If the interaction limit is set for the user or organization that owns this repository, you will receive a 409 Conflict response and will not be able to use this endpoint to change the interaction limit for a single repository. Resources API method documentation","ref":"GitHub.Interactions.html#remove_restrictions_for_repo/3","title":"GitHub.Interactions.remove_restrictions_for_repo/3","type":"function"},{"doc":"Set interaction restrictions for your public repositories Temporarily restricts which type of GitHub user can interact with your public repositories. Setting the interaction limit at the user level will overwrite any interaction limits that are set for individual repositories owned by the user. Resources API method documentation","ref":"GitHub.Interactions.html#set_restrictions_for_authenticated_user/2","title":"GitHub.Interactions.set_restrictions_for_authenticated_user/2","type":"function"},{"doc":"Set interaction restrictions for an organization Temporarily restricts interactions to a certain type of GitHub user in any public repository in the given organization. You must be an organization owner to set these restrictions. Setting the interaction limit at the organization level will overwrite any interaction limits that are set for individual repositories owned by the organization. Resources API method documentation","ref":"GitHub.Interactions.html#set_restrictions_for_org/3","title":"GitHub.Interactions.set_restrictions_for_org/3","type":"function"},{"doc":"Set interaction restrictions for a repository Temporarily restricts interactions to a certain type of GitHub user within the given repository. You must have owner or admin access to set these restrictions. If an interaction limit is set for the user or organization that owns this repository, you will receive a 409 Conflict response and will not be able to use this endpoint to change the interaction limit for a single repository. Resources API method documentation","ref":"GitHub.Interactions.html#set_restrictions_for_repo/4","title":"GitHub.Interactions.set_restrictions_for_repo/4","type":"function"},{"doc":"Provides API endpoints related to issues","ref":"GitHub.Issues.html","title":"GitHub.Issues","type":"module"},{"doc":"Add assignees to an issue Adds up to 10 assignees to an issue. Users already assigned to an issue are not replaced. Resources API method documentation","ref":"GitHub.Issues.html#add_assignees/5","title":"GitHub.Issues.add_assignees/5","type":"function"},{"doc":"Add labels to an issue Adds labels to an issue. If you provide an empty array of labels, all labels are removed from the issue. Resources API method documentation","ref":"GitHub.Issues.html#add_labels/5","title":"GitHub.Issues.add_labels/5","type":"function"},{"doc":"Check if a user can be assigned Checks if a user has permission to be assigned to an issue in this repository. If the assignee can be assigned to issues in the repository, a 204 header with no content is returned. Otherwise a 404 status code is returned. Resources API method documentation","ref":"GitHub.Issues.html#check_user_can_be_assigned/4","title":"GitHub.Issues.check_user_can_be_assigned/4","type":"function"},{"doc":"Check if a user can be assigned to a issue Checks if a user has permission to be assigned to a specific issue. If the assignee can be assigned to this issue, a 204 status code with no content is returned. Otherwise a 404 status code is returned. Resources API method documentation","ref":"GitHub.Issues.html#check_user_can_be_assigned_to_issue/5","title":"GitHub.Issues.check_user_can_be_assigned_to_issue/5","type":"function"},{"doc":"Create an issue Any user with pull access to a repository can create an issue. If issues are disabled in the repository , the API returns a 410 Gone status. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Issues.html#create/4","title":"GitHub.Issues.create/4","type":"function"},{"doc":"Create an issue comment You can use the REST API to create comments on issues and pull requests. Every pull request is an issue, but not every issue is a pull request. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Issues.html#create_comment/5","title":"GitHub.Issues.create_comment/5","type":"function"},{"doc":"Create a label Creates a label for the specified repository with the given name and color. The name and color parameters are required. The color must be a valid hexadecimal color code . Resources API method documentation","ref":"GitHub.Issues.html#create_label/4","title":"GitHub.Issues.create_label/4","type":"function"},{"doc":"Create a milestone Creates a milestone. Resources API method documentation","ref":"GitHub.Issues.html#create_milestone/4","title":"GitHub.Issues.create_milestone/4","type":"function"},{"doc":"Delete an issue comment You can use the REST API to delete comments on issues and pull requests. Every pull request is an issue, but not every issue is a pull request. Resources API method documentation","ref":"GitHub.Issues.html#delete_comment/4","title":"GitHub.Issues.delete_comment/4","type":"function"},{"doc":"Delete a label Deletes a label using the given label name. Resources API method documentation","ref":"GitHub.Issues.html#delete_label/4","title":"GitHub.Issues.delete_label/4","type":"function"},{"doc":"Delete a milestone Deletes a milestone using the given milestone number. Resources API method documentation","ref":"GitHub.Issues.html#delete_milestone/4","title":"GitHub.Issues.delete_milestone/4","type":"function"},{"doc":"Get an issue The API returns a 301 Moved Permanently status if the issue was transferred to another repository. If the issue was transferred to or deleted from a repository where the authenticated user lacks read access, the API returns a 404 Not Found status. If the issue was deleted from a repository where the authenticated user has read access, the API returns a 410 Gone status. To receive webhook events for transferred and deleted issues, subscribe to the issues webhook. Note : GitHub's REST API considers every pull request an issue, but not every issue is a pull request. For this reason, &quot;Issues&quot; endpoints may return both issues and pull requests in the response. You can identify pull requests by the pull_request key. Be aware that the id of a pull request returned from &quot;Issues&quot; endpoints will be an issue id . To find out the pull request id, use the &quot; List pull requests &quot; endpoint. Resources API method documentation","ref":"GitHub.Issues.html#get/4","title":"GitHub.Issues.get/4","type":"function"},{"doc":"Get an issue comment You can use the REST API to get comments on issues and pull requests. Every pull request is an issue, but not every issue is a pull request. Resources API method documentation","ref":"GitHub.Issues.html#get_comment/4","title":"GitHub.Issues.get_comment/4","type":"function"},{"doc":"Get an issue event Gets a single event by the event id. Resources API method documentation","ref":"GitHub.Issues.html#get_event/4","title":"GitHub.Issues.get_event/4","type":"function"},{"doc":"Get a label Gets a label using the given name. Resources API method documentation","ref":"GitHub.Issues.html#get_label/4","title":"GitHub.Issues.get_label/4","type":"function"},{"doc":"Get a milestone Gets a milestone using the given milestone number. Resources API method documentation","ref":"GitHub.Issues.html#get_milestone/4","title":"GitHub.Issues.get_milestone/4","type":"function"},{"doc":"List issues assigned to the authenticated user List issues assigned to the authenticated user across all visible repositories including owned repositories, member repositories, and organization repositories. You can use the filter query parameter to fetch issues that are not necessarily assigned to you. Note : GitHub's REST API considers every pull request an issue, but not every issue is a pull request. For this reason, &quot;Issues&quot; endpoints may return both issues and pull requests in the response. You can identify pull requests by the pull_request key. Be aware that the id of a pull request returned from &quot;Issues&quot; endpoints will be an issue id . To find out the pull request id, use the &quot; List pull requests &quot; endpoint. Options filter : Indicates which sorts of issues to return. assigned means issues assigned to you. created means issues created by you. mentioned means issues mentioning you. subscribed means issues you're subscribed to updates for. all or repos means all issues you can see, regardless of participation or creation. state : Indicates the state of the issues to return. labels : A list of comma separated label names. Example: bug,ui,@high sort : What to sort results by. direction : The direction to sort the results by. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . collab orgs owned pulls per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list/1","title":"GitHub.Issues.list/1","type":"function"},{"doc":"List assignees Lists the available assignees for issues in a repository. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_assignees/3","title":"GitHub.Issues.list_assignees/3","type":"function"},{"doc":"List issue comments You can use the REST API to list comments on issues and pull requests. Every pull request is an issue, but not every issue is a pull request. Issue comments are ordered by ascending ID. Options since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_comments/4","title":"GitHub.Issues.list_comments/4","type":"function"},{"doc":"List issue comments for a repository You can use the REST API to list comments on issues and pull requests for a repository. Every pull request is an issue, but not every issue is a pull request. By default, issue comments are ordered by ascending ID. Options sort : The property to sort the results by. direction : Either asc or desc . Ignored without the sort parameter. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_comments_for_repo/3","title":"GitHub.Issues.list_comments_for_repo/3","type":"function"},{"doc":"List issue events Lists all events for an issue. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_events/4","title":"GitHub.Issues.list_events/4","type":"function"},{"doc":"List issue events for a repository Lists events for a repository. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_events_for_repo/3","title":"GitHub.Issues.list_events_for_repo/3","type":"function"},{"doc":"List timeline events for an issue List all timeline events for an issue. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_events_for_timeline/4","title":"GitHub.Issues.list_events_for_timeline/4","type":"function"},{"doc":"List user account issues assigned to the authenticated user List issues across owned and member repositories assigned to the authenticated user. Note : GitHub's REST API considers every pull request an issue, but not every issue is a pull request. For this reason, &quot;Issues&quot; endpoints may return both issues and pull requests in the response. You can identify pull requests by the pull_request key. Be aware that the id of a pull request returned from &quot;Issues&quot; endpoints will be an issue id . To find out the pull request id, use the &quot; List pull requests &quot; endpoint. Options filter : Indicates which sorts of issues to return. assigned means issues assigned to you. created means issues created by you. mentioned means issues mentioning you. subscribed means issues you're subscribed to updates for. all or repos means all issues you can see, regardless of participation or creation. state : Indicates the state of the issues to return. labels : A list of comma separated label names. Example: bug,ui,@high sort : What to sort results by. direction : The direction to sort the results by. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_for_authenticated_user/1","title":"GitHub.Issues.list_for_authenticated_user/1","type":"function"},{"doc":"List organization issues assigned to the authenticated user List issues in an organization assigned to the authenticated user. Note : GitHub's REST API considers every pull request an issue, but not every issue is a pull request. For this reason, &quot;Issues&quot; endpoints may return both issues and pull requests in the response. You can identify pull requests by the pull_request key. Be aware that the id of a pull request returned from &quot;Issues&quot; endpoints will be an issue id . To find out the pull request id, use the &quot; List pull requests &quot; endpoint. Options filter : Indicates which sorts of issues to return. assigned means issues assigned to you. created means issues created by you. mentioned means issues mentioning you. subscribed means issues you're subscribed to updates for. all or repos means all issues you can see, regardless of participation or creation. state : Indicates the state of the issues to return. labels : A list of comma separated label names. Example: bug,ui,@high sort : What to sort results by. direction : The direction to sort the results by. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_for_org/2","title":"GitHub.Issues.list_for_org/2","type":"function"},{"doc":"List repository issues List issues in a repository. Only open issues will be listed. Note : GitHub's REST API considers every pull request an issue, but not every issue is a pull request. For this reason, &quot;Issues&quot; endpoints may return both issues and pull requests in the response. You can identify pull requests by the pull_request key. Be aware that the id of a pull request returned from &quot;Issues&quot; endpoints will be an issue id . To find out the pull request id, use the &quot; List pull requests &quot; endpoint. Options milestone : If an integer is passed, it should refer to a milestone by its number field. If the string * is passed, issues with any milestone are accepted. If the string none is passed, issues without milestones are returned. state : Indicates the state of the issues to return. assignee : Can be the name of a user. Pass in none for issues with no assigned user, and * for issues assigned to any user. creator : The user that created the issue. mentioned : A user that's mentioned in the issue. labels : A list of comma separated label names. Example: bug,ui,@high sort : What to sort results by. direction : The direction to sort the results by. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_for_repo/3","title":"GitHub.Issues.list_for_repo/3","type":"function"},{"doc":"List labels for issues in a milestone Lists labels for issues in a milestone. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_labels_for_milestone/4","title":"GitHub.Issues.list_labels_for_milestone/4","type":"function"},{"doc":"List labels for a repository Lists all labels for a repository. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_labels_for_repo/3","title":"GitHub.Issues.list_labels_for_repo/3","type":"function"},{"doc":"List labels for an issue Lists all labels for an issue. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_labels_on_issue/4","title":"GitHub.Issues.list_labels_on_issue/4","type":"function"},{"doc":"List milestones Lists milestones for a repository. Options state : The state of the milestone. Either open , closed , or all . sort : What to sort results by. Either due_on or completeness . direction : The direction of the sort. Either asc or desc . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Issues.html#list_milestones/3","title":"GitHub.Issues.list_milestones/3","type":"function"},{"doc":"Lock an issue Users with push access can lock an issue or pull request's conversation. Note that, if you choose not to pass any parameters, you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Resources API method documentation","ref":"GitHub.Issues.html#lock/5","title":"GitHub.Issues.lock/5","type":"function"},{"doc":"Remove all labels from an issue Removes all labels from an issue. Resources API method documentation","ref":"GitHub.Issues.html#remove_all_labels/4","title":"GitHub.Issues.remove_all_labels/4","type":"function"},{"doc":"Remove assignees from an issue Removes one or more assignees from an issue. Resources API method documentation","ref":"GitHub.Issues.html#remove_assignees/5","title":"GitHub.Issues.remove_assignees/5","type":"function"},{"doc":"Remove a label from an issue Removes the specified label from the issue, and returns the remaining labels on the issue. This endpoint returns a 404 Not Found status if the label does not exist. Resources API method documentation","ref":"GitHub.Issues.html#remove_label/5","title":"GitHub.Issues.remove_label/5","type":"function"},{"doc":"Set labels for an issue Removes any previous labels and sets the new labels for an issue. Resources API method documentation","ref":"GitHub.Issues.html#set_labels/5","title":"GitHub.Issues.set_labels/5","type":"function"},{"doc":"Unlock an issue Users with push access can unlock an issue's conversation. Resources API method documentation","ref":"GitHub.Issues.html#unlock/4","title":"GitHub.Issues.unlock/4","type":"function"},{"doc":"Update an issue Issue owners and users with push access can edit an issue. Resources API method documentation","ref":"GitHub.Issues.html#update/5","title":"GitHub.Issues.update/5","type":"function"},{"doc":"Update an issue comment You can use the REST API to update comments on issues and pull requests. Every pull request is an issue, but not every issue is a pull request. Resources API method documentation","ref":"GitHub.Issues.html#update_comment/5","title":"GitHub.Issues.update_comment/5","type":"function"},{"doc":"Update a label Updates a label using the given label name. Resources API method documentation","ref":"GitHub.Issues.html#update_label/5","title":"GitHub.Issues.update_label/5","type":"function"},{"doc":"Update a milestone Resources API method documentation","ref":"GitHub.Issues.html#update_milestone/5","title":"GitHub.Issues.update_milestone/5","type":"function"},{"doc":"Provides API endpoints related to licenses","ref":"GitHub.Licenses.html","title":"GitHub.Licenses","type":"module"},{"doc":"Get a license Gets information about a specific license. For more information, see &quot; Licensing a repository .&quot; Resources API method documentation","ref":"GitHub.Licenses.html#get/2","title":"GitHub.Licenses.get/2","type":"function"},{"doc":"Get all commonly used licenses Lists the most commonly used licenses on GitHub. For more information, see &quot; Licensing a repository .&quot; Options featured per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Licenses.html#get_all_commonly_used/1","title":"GitHub.Licenses.get_all_commonly_used/1","type":"function"},{"doc":"Get the license for a repository This method returns the contents of the repository's license file, if one is detected. Similar to Get repository content , this method also supports custom media types for retrieving the raw license content or rendered license HTML. Resources API method documentation","ref":"GitHub.Licenses.html#get_for_repo/3","title":"GitHub.Licenses.get_for_repo/3","type":"function"},{"doc":"Provides API endpoints related to markdown","ref":"GitHub.Markdown.html","title":"GitHub.Markdown","type":"module"},{"doc":"Render a Markdown document Resources API method documentation","ref":"GitHub.Markdown.html#render/2","title":"GitHub.Markdown.render/2","type":"function"},{"doc":"Render a Markdown document in raw mode You must send Markdown as plain text (using a Content-Type header of text/plain or text/x-markdown ) to this endpoint, rather than using JSON format. In raw mode, GitHub Flavored Markdown is not supported and Markdown will be rendered in plain format like a README.md file. Markdown content must be 400 KB or less. Resources API method documentation","ref":"GitHub.Markdown.html#render_raw/2","title":"GitHub.Markdown.render_raw/2","type":"function"},{"doc":"Provides API endpoints related to meta","ref":"GitHub.Meta.html","title":"GitHub.Meta","type":"module"},{"doc":"Get GitHub meta information Returns meta information about GitHub, including a list of GitHub's IP addresses. For more information, see &quot; About GitHub's IP addresses .&quot; The API's response also includes a list of GitHub's domain names. The values shown in the documentation's response are example values. You must always query the API directly to get the latest values. Note: This endpoint returns both IPv4 and IPv6 addresses. However, not all features support IPv6. You should refer to the specific documentation for each feature to determine if IPv6 is supported. Resources API method documentation","ref":"GitHub.Meta.html#get/1","title":"GitHub.Meta.get/1","type":"function"},{"doc":"Get all API versions Get all supported GitHub API versions. Resources API method documentation","ref":"GitHub.Meta.html#get_all_versions/1","title":"GitHub.Meta.get_all_versions/1","type":"function"},{"doc":"Get Octocat Get the octocat as ASCII art Options s : The words to show in Octocat's speech bubble Resources API method documentation","ref":"GitHub.Meta.html#get_octocat/1","title":"GitHub.Meta.get_octocat/1","type":"function"},{"doc":"Get the Zen of GitHub Get a random sentence from the Zen of GitHub Resources API method documentation","ref":"GitHub.Meta.html#get_zen/1","title":"GitHub.Meta.get_zen/1","type":"function"},{"doc":"GitHub API Root Get Hypermedia links to resources accessible in GitHub's REST API Resources API method documentation","ref":"GitHub.Meta.html#root/1","title":"GitHub.Meta.root/1","type":"function"},{"doc":"Provides API endpoints related to migrations","ref":"GitHub.Migrations.html","title":"GitHub.Migrations","type":"module"},{"doc":"Cancel an import Stop an import for a repository. Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Resources API method documentation","ref":"GitHub.Migrations.html#cancel_import/3","title":"GitHub.Migrations.cancel_import/3","type":"function"},{"doc":"Delete a user migration archive Deletes a previous migration archive. Downloadable migration archives are automatically deleted after seven days. Migration metadata, which is returned in the List user migrations and Get a user migration status endpoints, will continue to be available even after an archive is deleted. Resources API method documentation","ref":"GitHub.Migrations.html#delete_archive_for_authenticated_user/2","title":"GitHub.Migrations.delete_archive_for_authenticated_user/2","type":"function"},{"doc":"Delete an organization migration archive Deletes a previous migration archive. Migration archives are automatically deleted after seven days. Resources API method documentation","ref":"GitHub.Migrations.html#delete_archive_for_org/3","title":"GitHub.Migrations.delete_archive_for_org/3","type":"function"},{"doc":"Download an organization migration archive Fetches the URL to a migration archive. Resources API method documentation","ref":"GitHub.Migrations.html#download_archive_for_org/3","title":"GitHub.Migrations.download_archive_for_org/3","type":"function"},{"doc":"Download a user migration archive Fetches the URL to download the migration archive as a tar.gz file. Depending on the resources your repository uses, the migration archive can contain JSON files with data for these objects: attachments bases commit_comments issue_comments issue_events issues milestones organizations projects protected_branches pull_request_reviews pull_requests releases repositories review_comments schema users The archive will also contain an attachments directory that includes all attachment files uploaded to GitHub.com and a repositories directory that contains the repository's Git data. Resources API method documentation","ref":"GitHub.Migrations.html#get_archive_for_authenticated_user/2","title":"GitHub.Migrations.get_archive_for_authenticated_user/2","type":"function"},{"doc":"Get commit authors Each type of source control system represents authors in a different way. For example, a Git commit author has a display name and an email address, but a Subversion commit author just has a username. The GitHub Importer will make the author information valid, but the author might not be correct. For example, it will change the bare Subversion username hubot into something like hubot &lt;hubot@12341234-abab-fefe-8787-fedcba987654&gt; . This endpoint and the Map a commit author endpoint allow you to provide correct Git author information. Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Options since : A user ID. Only return users with an ID greater than this ID. Resources API method documentation","ref":"GitHub.Migrations.html#get_commit_authors/3","title":"GitHub.Migrations.get_commit_authors/3","type":"function"},{"doc":"Get an import status View the progress of an import. Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Import status This section includes details about the possible values of the status field of the Import Progress response. An import that does not have errors will progress through these steps: detecting - the &quot;detection&quot; step of the import is in progress because the request did not include a vcs parameter. The import is identifying the type of source control present at the URL. importing - the &quot;raw&quot; step of the import is in progress. This is where commit data is fetched from the original repository. The import progress response will include commit_count (the total number of raw commits that will be imported) and percent (0 - 100, the current progress through the import). mapping - the &quot;rewrite&quot; step of the import is in progress. This is where SVN branches are converted to Git branches, and where author updates are applied. The import progress response does not include progress information. pushing - the &quot;push&quot; step of the import is in progress. This is where the importer updates the repository on GitHub. The import progress response will include push_percent , which is the percent value reported by git push when it is &quot;Writing objects&quot;. complete - the import is complete, and the repository is ready on GitHub. If there are problems, you will see one of these in the status field: auth_failed - the import requires authentication in order to connect to the original repository. To update authentication for the import, please see the Update an import section. error - the import encountered an error. The import progress response will include the failed_step and an error message. Contact GitHub Support for more information. detection_needs_auth - the importer requires authentication for the originating repository to continue detection. To update authentication for the import, please see the Update an import section. detection_found_nothing - the importer didn't recognize any source control at the URL. To resolve, Cancel the import and retry with the correct URL. detection_found_multiple - the importer found several projects or repositories at the provided URL. When this is the case, the Import Progress response will also include a project_choices field with the possible project choices as values. To update project choice, please see the Update an import section. The project_choices field When multiple projects are found at the provided URL, the response hash will include a project_choices field, the value of which is an array of hashes each representing a project choice. The exact key/value pairs of the project hashes will differ depending on the version control type. Git LFS related fields This section includes details about Git LFS related fields that may be present in the Import Progress response. use_lfs - describes whether the import has been opted in or out of using Git LFS. The value can be opt_in , opt_out , or undecided if no action has been taken. has_large_files - the boolean value describing whether files larger than 100MB were found during the importing step. large_files_size - the total size in gigabytes of files larger than 100MB found in the originating repository. large_files_count - the total number of files larger than 100MB found in the originating repository. To see a list of these files, make a &quot;Get Large Files&quot; request. Resources API method documentation","ref":"GitHub.Migrations.html#get_import_status/3","title":"GitHub.Migrations.get_import_status/3","type":"function"},{"doc":"Get large files List files larger than 100MB found during the import Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Resources API method documentation","ref":"GitHub.Migrations.html#get_large_files/3","title":"GitHub.Migrations.get_large_files/3","type":"function"},{"doc":"Get a user migration status Fetches a single user migration. The response includes the state of the migration, which can be one of the following values: pending - the migration hasn't started yet. exporting - the migration is in progress. exported - the migration finished successfully. failed - the migration failed. Once the migration has been exported you can download the migration archive . Options exclude Resources API method documentation","ref":"GitHub.Migrations.html#get_status_for_authenticated_user/2","title":"GitHub.Migrations.get_status_for_authenticated_user/2","type":"function"},{"doc":"Get an organization migration status Fetches the status of a migration. The state of a migration can be one of the following values: pending , which means the migration hasn't started yet. exporting , which means the migration is in progress. exported , which means the migration finished successfully. failed , which means the migration failed. Options exclude : Exclude attributes from the API response to improve performance Resources API method documentation","ref":"GitHub.Migrations.html#get_status_for_org/3","title":"GitHub.Migrations.get_status_for_org/3","type":"function"},{"doc":"List user migrations Lists all migrations a user has started. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Migrations.html#list_for_authenticated_user/1","title":"GitHub.Migrations.list_for_authenticated_user/1","type":"function"},{"doc":"List organization migrations Lists the most recent migrations, including both exports (which can be started through the REST API) and imports (which cannot be started using the REST API). A list of repositories is only returned for export migrations. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. exclude : Exclude attributes from the API response to improve performance Resources API method documentation","ref":"GitHub.Migrations.html#list_for_org/2","title":"GitHub.Migrations.list_for_org/2","type":"function"},{"doc":"List repositories for a user migration Lists all the repositories for this user migration. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Migrations.html#list_repos_for_authenticated_user/2","title":"GitHub.Migrations.list_repos_for_authenticated_user/2","type":"function"},{"doc":"List repositories in an organization migration List all the repositories for this organization migration. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Migrations.html#list_repos_for_org/3","title":"GitHub.Migrations.list_repos_for_org/3","type":"function"},{"doc":"Map a commit author Update an author's identity for the import. Your application can continue updating authors any time before you push new commits to the repository. Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Resources API method documentation","ref":"GitHub.Migrations.html#map_commit_author/5","title":"GitHub.Migrations.map_commit_author/5","type":"function"},{"doc":"Update Git LFS preference You can import repositories from Subversion, Mercurial, and TFS that include files larger than 100MB. This ability is powered by Git LFS . You can learn more about our LFS feature and working with large files on our help site . Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Resources API method documentation","ref":"GitHub.Migrations.html#set_lfs_preference/4","title":"GitHub.Migrations.set_lfs_preference/4","type":"function"},{"doc":"Start a user migration Initiates the generation of a user migration archive. Resources API method documentation","ref":"GitHub.Migrations.html#start_for_authenticated_user/2","title":"GitHub.Migrations.start_for_authenticated_user/2","type":"function"},{"doc":"Start an organization migration Initiates the generation of a migration archive. Resources API method documentation","ref":"GitHub.Migrations.html#start_for_org/3","title":"GitHub.Migrations.start_for_org/3","type":"function"},{"doc":"Start an import Start a source import to a GitHub repository using GitHub Importer. Importing into a GitHub repository with GitHub Actions enabled is not supported and will return a status 422 Unprocessable Entity response. Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Resources API method documentation","ref":"GitHub.Migrations.html#start_import/4","title":"GitHub.Migrations.start_import/4","type":"function"},{"doc":"Unlock a user repository Unlocks a repository. You can lock repositories when you start a user migration . Once the migration is complete you can unlock each repository to begin using it again or delete the repository if you no longer need the source data. Returns a status of 404 Not Found if the repository is not locked. Resources API method documentation","ref":"GitHub.Migrations.html#unlock_repo_for_authenticated_user/3","title":"GitHub.Migrations.unlock_repo_for_authenticated_user/3","type":"function"},{"doc":"Unlock an organization repository Unlocks a repository that was locked for migration. You should unlock each migrated repository and delete them when the migration is complete and you no longer need the source data. Resources API method documentation","ref":"GitHub.Migrations.html#unlock_repo_for_org/4","title":"GitHub.Migrations.unlock_repo_for_org/4","type":"function"},{"doc":"Update an import An import can be updated with credentials or a project choice by passing in the appropriate parameters in this API request. If no parameters are provided, the import will be restarted. Some servers (e.g. TFS servers) can have several projects at a single URL. In those cases the import progress will have the status detection_found_multiple and the Import Progress response will include a project_choices array. You can select the project to import by providing one of the objects in the project_choices array in the update request. Warning: Support for importing Mercurial, Subversion and Team Foundation Version Control repositories will end on October 17, 2023. For more details, see changelog . In the coming weeks, we will update these docs to reflect relevant changes to the API and will contact all integrators using the &quot;Source imports&quot; API. Resources API method documentation","ref":"GitHub.Migrations.html#update_import/4","title":"GitHub.Migrations.update_import/4","type":"function"},{"doc":"Provides API endpoints related to oidc","ref":"GitHub.Oidc.html","title":"GitHub.Oidc","type":"module"},{"doc":"Get the customization template for an OIDC subject claim for an organization Gets the customization template for an OpenID Connect (OIDC) subject claim. You must authenticate using an access token with the read:org scope to use this endpoint. GitHub Apps must have the organization_administration:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Oidc.html#get_oidc_custom_sub_template_for_org/2","title":"GitHub.Oidc.get_oidc_custom_sub_template_for_org/2","type":"function"},{"doc":"Set the customization template for an OIDC subject claim for an organization Creates or updates the customization template for an OpenID Connect (OIDC) subject claim. You must authenticate using an access token with the write:org scope to use this endpoint. GitHub Apps must have the admin:org permission to use this endpoint. Resources API method documentation","ref":"GitHub.Oidc.html#update_oidc_custom_sub_template_for_org/3","title":"GitHub.Oidc.update_oidc_custom_sub_template_for_org/3","type":"function"},{"doc":"Provides API endpoints related to orgs","ref":"GitHub.Orgs.html","title":"GitHub.Orgs","type":"module"},{"doc":"Add a security manager team Adds a team as a security manager for an organization. For more information, see &quot; Managing security for an organization for an organization.&quot; To use this endpoint, you must be an administrator for the organization, and you must use an access token with the write:org scope. GitHub Apps must have the administration organization read-write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Orgs.html#add_security_manager_team/3","title":"GitHub.Orgs.add_security_manager_team/3","type":"function"},{"doc":"Block a user from an organization Blocks the given user on behalf of the specified organization and returns a 204. If the organization cannot block the given user a 422 is returned. Resources API method documentation","ref":"GitHub.Orgs.html#block_user/3","title":"GitHub.Orgs.block_user/3","type":"function"},{"doc":"Cancel an organization invitation Cancel an organization invitation. In order to cancel an organization invitation, the authenticated user must be an organization owner. This endpoint triggers notifications . Resources API method documentation","ref":"GitHub.Orgs.html#cancel_invitation/3","title":"GitHub.Orgs.cancel_invitation/3","type":"function"},{"doc":"Check if a user is blocked by an organization Returns a 204 if the given user is blocked by the given organization. Returns a 404 if the organization is not blocking the user, or if the user account has been identified as spam by GitHub. Resources API method documentation","ref":"GitHub.Orgs.html#check_blocked_user/3","title":"GitHub.Orgs.check_blocked_user/3","type":"function"},{"doc":"Check organization membership for a user Check if a user is, publicly or privately, a member of the organization. Resources API method documentation","ref":"GitHub.Orgs.html#check_membership_for_user/3","title":"GitHub.Orgs.check_membership_for_user/3","type":"function"},{"doc":"Check public organization membership for a user Check if the provided user is a public member of the organization. Resources API method documentation","ref":"GitHub.Orgs.html#check_public_membership_for_user/3","title":"GitHub.Orgs.check_public_membership_for_user/3","type":"function"},{"doc":"Convert an organization member to outside collaborator When an organization member is converted to an outside collaborator, they'll only have access to the repositories that their current team membership allows. The user will no longer be a member of the organization. For more information, see &quot; Converting an organization member to an outside collaborator &quot;. Converting an organization member to an outside collaborator may be restricted by enterprise administrators. For more information, see &quot; Enforcing repository management policies in your enterprise .&quot; Resources API method documentation","ref":"GitHub.Orgs.html#convert_member_to_outside_collaborator/4","title":"GitHub.Orgs.convert_member_to_outside_collaborator/4","type":"function"},{"doc":"Create an organization invitation Invite people to an organization by using their GitHub user ID or their email address. In order to create invitations in an organization, the authenticated user must be an organization owner. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Orgs.html#create_invitation/3","title":"GitHub.Orgs.create_invitation/3","type":"function"},{"doc":"Create an organization webhook Here's how you can create a hook that posts payloads in JSON format: Resources API method documentation","ref":"GitHub.Orgs.html#create_webhook/3","title":"GitHub.Orgs.create_webhook/3","type":"function"},{"doc":"Delete an organization Deletes an organization and all its repositories. The organization login will be unavailable for 90 days after deletion. Please review the Terms of Service regarding account deletion before using this endpoint: https://docs.github.com/site-policy/github-terms/github-terms-of-service Resources API method documentation","ref":"GitHub.Orgs.html#delete/2","title":"GitHub.Orgs.delete/2","type":"function"},{"doc":"Delete an organization webhook Resources API method documentation","ref":"GitHub.Orgs.html#delete_webhook/3","title":"GitHub.Orgs.delete_webhook/3","type":"function"},{"doc":"Enable or disable a security feature for an organization Enables or disables the specified security feature for all eligible repositories in an organization. To use this endpoint, you must be an organization owner or be member of a team with the security manager role. A token with the 'write:org' scope is also required. GitHub Apps must have the organization_administration:write permission to use this endpoint. For more information, see &quot; Managing security managers in your organization .&quot; Resources API method documentation","ref":"GitHub.Orgs.html#enable_or_disable_security_product_on_all_org_repos/5","title":"GitHub.Orgs.enable_or_disable_security_product_on_all_org_repos/5","type":"function"},{"doc":"Get an organization To see many of the organization response values, you need to be an authenticated organization owner with the admin:org scope. When the value of two_factor_requirement_enabled is true , the organization requires all members, billing managers, and outside collaborators to enable two-factor authentication . GitHub Apps with the Organization plan permission can use this endpoint to retrieve information about an organization's GitHub plan. See &quot; Authenticating with GitHub Apps &quot; for details. For an example response, see 'Response with GitHub plan information' below.&quot; Resources API method documentation","ref":"GitHub.Orgs.html#get/2","title":"GitHub.Orgs.get/2","type":"function"},{"doc":"Get an organization membership for the authenticated user If the authenticated user is an active or pending member of the organization, this endpoint will return the user's membership. If the authenticated user is not affiliated with the organization, a 404 is returned. This endpoint will return a 403 if the request is made by a GitHub App that is blocked by the organization. Resources API method documentation","ref":"GitHub.Orgs.html#get_membership_for_authenticated_user/2","title":"GitHub.Orgs.get_membership_for_authenticated_user/2","type":"function"},{"doc":"Get organization membership for a user In order to get a user's membership with an organization, the authenticated user must be an organization member. The state parameter in the response can be used to identify the user's membership status. Resources API method documentation","ref":"GitHub.Orgs.html#get_membership_for_user/3","title":"GitHub.Orgs.get_membership_for_user/3","type":"function"},{"doc":"Get an organization webhook Returns a webhook configured in an organization. To get only the webhook config properties, see &quot; Get a webhook configuration for an organization .&quot; Resources API method documentation","ref":"GitHub.Orgs.html#get_webhook/3","title":"GitHub.Orgs.get_webhook/3","type":"function"},{"doc":"Get a webhook configuration for an organization Returns the webhook configuration for an organization. To get more information about the webhook, including the active state and events , use &quot; Get an organization webhook .&quot; Access tokens must have the admin:org_hook scope, and GitHub Apps must have the organization_hooks:read permission. Resources API method documentation","ref":"GitHub.Orgs.html#get_webhook_config_for_org/3","title":"GitHub.Orgs.get_webhook_config_for_org/3","type":"function"},{"doc":"Get a webhook delivery for an organization webhook Returns a delivery for a webhook configured in an organization. Resources API method documentation","ref":"GitHub.Orgs.html#get_webhook_delivery/4","title":"GitHub.Orgs.get_webhook_delivery/4","type":"function"},{"doc":"List organizations Lists all organizations, in the order that they were created on GitHub. Note: Pagination is powered exclusively by the since parameter. Use the Link header to get the URL for the next page of organizations. Options since : An organization ID. Only return organizations with an ID greater than this ID. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Orgs.html#list/1","title":"GitHub.Orgs.list/1","type":"function"},{"doc":"List app installations for an organization Lists all GitHub Apps in an organization. The installation count includes all GitHub Apps installed on repositories in the organization. You must be an organization owner with admin:read scope to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_app_installations/2","title":"GitHub.Orgs.list_app_installations/2","type":"function"},{"doc":"List users blocked by an organization List the users blocked by an organization. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_blocked_users/2","title":"GitHub.Orgs.list_blocked_users/2","type":"function"},{"doc":"List failed organization invitations The return hash contains failed_at and failed_reason fields which represent the time at which the invitation failed and the reason for the failure. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_failed_invitations/2","title":"GitHub.Orgs.list_failed_invitations/2","type":"function"},{"doc":"List organizations for the authenticated user List organizations for the authenticated user. OAuth scope requirements This only lists organizations that your authorization allows you to operate on in some way (e.g., you can list teams with read:org scope, you can publicize your organization membership with user scope, etc.). Therefore, this API requires at least user or read:org scope. OAuth requests with insufficient scope receive a 403 Forbidden response. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_for_authenticated_user/1","title":"GitHub.Orgs.list_for_authenticated_user/1","type":"function"},{"doc":"List organizations for a user List public organization memberships for the specified user. This method only lists public memberships, regardless of authentication. If you need to fetch all of the organization memberships (public and private) for the authenticated user, use the List organizations for the authenticated user API instead. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_for_user/2","title":"GitHub.Orgs.list_for_user/2","type":"function"},{"doc":"List organization invitation teams List all teams associated with an invitation. In order to see invitations in an organization, the authenticated user must be an organization owner. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_invitation_teams/3","title":"GitHub.Orgs.list_invitation_teams/3","type":"function"},{"doc":"List organization members List all users who are members of an organization. If the authenticated user is also a member of this organization then both concealed and public members will be returned. Options filter : Filter members returned in the list. 2fa_disabled means that only members without two-factor authentication enabled will be returned. This options is only available for organization owners. role : Filter members returned by their role. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_members/2","title":"GitHub.Orgs.list_members/2","type":"function"},{"doc":"List organization memberships for the authenticated user Lists all of the authenticated user's organization memberships. Options state : Indicates the state of the memberships to return. If not specified, the API returns both active and pending memberships. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_memberships_for_authenticated_user/1","title":"GitHub.Orgs.list_memberships_for_authenticated_user/1","type":"function"},{"doc":"List outside collaborators for an organization List all users who are outside collaborators of an organization. Options filter : Filter the list of outside collaborators. 2fa_disabled means that only outside collaborators without two-factor authentication enabled will be returned. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_outside_collaborators/2","title":"GitHub.Orgs.list_outside_collaborators/2","type":"function"},{"doc":"List repositories a fine-grained personal access token has access to Lists the repositories a fine-grained personal access token has access to. Only GitHub Apps can call this API, using the organization_personal_access_tokens: read permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grant_repositories/3","title":"GitHub.Orgs.list_pat_grant_repositories/3","type":"function"},{"doc":"List repositories requested to be accessed by a fine-grained personal access token Lists the repositories a fine-grained personal access token request is requesting access to. Only GitHub Apps can call this API, using the organization_personal_access_token_requests: read permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grant_request_repositories/3","title":"GitHub.Orgs.list_pat_grant_request_repositories/3","type":"function"},{"doc":"List requests to access organization resources with fine-grained personal access tokens Lists requests from organization members to access organization resources with a fine-grained personal access token. Only GitHub Apps can call this API, using the organization_personal_access_token_requests: read permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. sort : The property by which to sort the results. direction : The direction to sort the results by. owner : A list of owner usernames to use to filter the results. repository : The name of the repository to use to filter the results. permission : The permission to use to filter the results. last_used_before : Only show fine-grained personal access tokens used before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . last_used_after : Only show fine-grained personal access tokens used after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grant_requests/2","title":"GitHub.Orgs.list_pat_grant_requests/2","type":"function"},{"doc":"List fine-grained personal access tokens with access to organization resources Lists approved fine-grained personal access tokens owned by organization members that can access organization resources. Only GitHub Apps can call this API, using the organization_personal_access_tokens: read permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. sort : The property by which to sort the results. direction : The direction to sort the results by. owner : A list of owner usernames to use to filter the results. repository : The name of the repository to use to filter the results. permission : The permission to use to filter the results. last_used_before : Only show fine-grained personal access tokens used before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . last_used_after : Only show fine-grained personal access tokens used after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . Resources API method documentation","ref":"GitHub.Orgs.html#list_pat_grants/2","title":"GitHub.Orgs.list_pat_grants/2","type":"function"},{"doc":"List pending organization invitations The return hash contains a role field which refers to the Organization Invitation role and will be one of the following values: direct_member , admin , billing_manager , or hiring_manager . If the invitee is not a GitHub member, the login field in the return hash will be null . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. role : Filter invitations by their member role. invitation_source : Filter invitations by their invitation source. Resources API method documentation","ref":"GitHub.Orgs.html#list_pending_invitations/2","title":"GitHub.Orgs.list_pending_invitations/2","type":"function"},{"doc":"List public organization members Members of an organization can choose to have their membership publicized or not. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_public_members/2","title":"GitHub.Orgs.list_public_members/2","type":"function"},{"doc":"List security manager teams Lists teams that are security managers for an organization. For more information, see &quot; Managing security managers in your organization .&quot; To use this endpoint, you must be an administrator or security manager for the organization, and you must use an access token with the read:org scope. GitHub Apps must have the administration organization read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Orgs.html#list_security_manager_teams/2","title":"GitHub.Orgs.list_security_manager_teams/2","type":"function"},{"doc":"List deliveries for an organization webhook Returns a list of webhook deliveries for a webhook configured in an organization. Options per_page : The number of results per page (max 100). cursor : Used for pagination: the starting delivery from which the page of deliveries is fetched. Refer to the link header for the next and previous page cursors. redelivery Resources API method documentation","ref":"GitHub.Orgs.html#list_webhook_deliveries/3","title":"GitHub.Orgs.list_webhook_deliveries/3","type":"function"},{"doc":"List organization webhooks Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Orgs.html#list_webhooks/2","title":"GitHub.Orgs.list_webhooks/2","type":"function"},{"doc":"Ping an organization webhook This will trigger a ping event to be sent to the hook. Resources API method documentation","ref":"GitHub.Orgs.html#ping_webhook/3","title":"GitHub.Orgs.ping_webhook/3","type":"function"},{"doc":"Redeliver a delivery for an organization webhook Redeliver a delivery for a webhook configured in an organization. Resources API method documentation","ref":"GitHub.Orgs.html#redeliver_webhook_delivery/4","title":"GitHub.Orgs.redeliver_webhook_delivery/4","type":"function"},{"doc":"Remove an organization member Removing a user from this list will remove them from all teams and they will no longer have any access to the organization's repositories. Resources API method documentation","ref":"GitHub.Orgs.html#remove_member/3","title":"GitHub.Orgs.remove_member/3","type":"function"},{"doc":"Remove organization membership for a user In order to remove a user's membership with an organization, the authenticated user must be an organization owner. If the specified user is an active member of the organization, this will remove them from the organization. If the specified user has been invited to the organization, this will cancel their invitation. The specified user will receive an email notification in both cases. Resources API method documentation","ref":"GitHub.Orgs.html#remove_membership_for_user/3","title":"GitHub.Orgs.remove_membership_for_user/3","type":"function"},{"doc":"Remove outside collaborator from an organization Removing a user from this list will remove them from all the organization's repositories. Resources API method documentation","ref":"GitHub.Orgs.html#remove_outside_collaborator/3","title":"GitHub.Orgs.remove_outside_collaborator/3","type":"function"},{"doc":"Remove public organization membership for the authenticated user Removes the public membership for the authenticated user from the specified organization, unless public visibility is enforced by default. Resources API method documentation","ref":"GitHub.Orgs.html#remove_public_membership_for_authenticated_user/3","title":"GitHub.Orgs.remove_public_membership_for_authenticated_user/3","type":"function"},{"doc":"Remove a security manager team Removes the security manager role from a team for an organization. For more information, see &quot; Managing security managers in your organization team from an organization.&quot; To use this endpoint, you must be an administrator for the organization, and you must use an access token with the admin:org scope. GitHub Apps must have the administration organization read-write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Orgs.html#remove_security_manager_team/3","title":"GitHub.Orgs.remove_security_manager_team/3","type":"function"},{"doc":"Review a request to access organization resources with a fine-grained personal access token Approves or denies a pending request to access organization resources via a fine-grained personal access token. Only GitHub Apps can call this API, using the organization_personal_access_token_requests: write permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Resources API method documentation","ref":"GitHub.Orgs.html#review_pat_grant_request/4","title":"GitHub.Orgs.review_pat_grant_request/4","type":"function"},{"doc":"Review requests to access organization resources with fine-grained personal access tokens Approves or denies multiple pending requests to access organization resources via a fine-grained personal access token. Only GitHub Apps can call this API, using the organization_personal_access_token_requests: write permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Resources API method documentation","ref":"GitHub.Orgs.html#review_pat_grant_requests_in_bulk/3","title":"GitHub.Orgs.review_pat_grant_requests_in_bulk/3","type":"function"},{"doc":"Set organization membership for a user Only authenticated organization owners can add a member to the organization or update the member's role. If the authenticated user is adding a member to the organization, the invited user will receive an email inviting them to the organization. The user's membership status will be pending until they accept the invitation. Authenticated users can update a user's membership by passing the role parameter. If the authenticated user changes a member's role to admin , the affected user will receive an email notifying them that they've been made an organization owner. If the authenticated user changes an owner's role to member , no email will be sent. Rate limits To prevent abuse, the authenticated user is limited to 50 organization invitations per 24 hour period. If the organization is more than one month old or on a paid plan, the limit is 500 invitations per 24 hour period. Resources API method documentation","ref":"GitHub.Orgs.html#set_membership_for_user/4","title":"GitHub.Orgs.set_membership_for_user/4","type":"function"},{"doc":"Set public organization membership for the authenticated user The user can publicize their own membership. (A user cannot publicize the membership for another user.) Note that you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Resources API method documentation","ref":"GitHub.Orgs.html#set_public_membership_for_authenticated_user/3","title":"GitHub.Orgs.set_public_membership_for_authenticated_user/3","type":"function"},{"doc":"Unblock a user from an organization Unblocks the given user on behalf of the specified organization. Resources API method documentation","ref":"GitHub.Orgs.html#unblock_user/3","title":"GitHub.Orgs.unblock_user/3","type":"function"},{"doc":"Update an organization Parameter Deprecation Notice: GitHub will replace and discontinue members_allowed_repository_creation_type in favor of more granular permissions. The new input parameters are members_can_create_public_repositories , members_can_create_private_repositories for all organizations and members_can_create_internal_repositories for organizations associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+. For more information, see the blog post . Enables an authenticated organization owner with the admin:org scope or the repo scope to update the organization's profile and member privileges. Resources API method documentation","ref":"GitHub.Orgs.html#update/3","title":"GitHub.Orgs.update/3","type":"function"},{"doc":"Update an organization membership for the authenticated user Converts the authenticated user to an active member of the organization, if that user has a pending invitation from the organization. Resources API method documentation","ref":"GitHub.Orgs.html#update_membership_for_authenticated_user/3","title":"GitHub.Orgs.update_membership_for_authenticated_user/3","type":"function"},{"doc":"Update the access a fine-grained personal access token has to organization resources Updates the access an organization member has to organization resources via a fine-grained personal access token. Limited to revoking the token's existing access. Limited to revoking a token's existing access. Only GitHub Apps can call this API, using the organization_personal_access_tokens: write permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Resources API method documentation","ref":"GitHub.Orgs.html#update_pat_access/4","title":"GitHub.Orgs.update_pat_access/4","type":"function"},{"doc":"Update the access to organization resources via fine-grained personal access tokens Updates the access organization members have to organization resources via fine-grained personal access tokens. Limited to revoking a token's existing access. Only GitHub Apps can call this API, using the organization_personal_access_tokens: write permission. Note : Fine-grained PATs are in public beta. Related APIs, events, and functionality are subject to change. Resources API method documentation","ref":"GitHub.Orgs.html#update_pat_accesses/3","title":"GitHub.Orgs.update_pat_accesses/3","type":"function"},{"doc":"Update an organization webhook Updates a webhook configured in an organization. When you update a webhook, the secret will be overwritten. If you previously had a secret set, you must provide the same secret or set a new secret or the secret will be removed. If you are only updating individual webhook config properties, use &quot; Update a webhook configuration for an organization .&quot; Resources API method documentation","ref":"GitHub.Orgs.html#update_webhook/4","title":"GitHub.Orgs.update_webhook/4","type":"function"},{"doc":"Update a webhook configuration for an organization Updates the webhook configuration for an organization. To update more information about the webhook, including the active state and events , use &quot; Update an organization webhook .&quot; Access tokens must have the admin:org_hook scope, and GitHub Apps must have the organization_hooks:write permission. Resources API method documentation","ref":"GitHub.Orgs.html#update_webhook_config_for_org/4","title":"GitHub.Orgs.update_webhook_config_for_org/4","type":"function"},{"doc":"Provides API endpoints related to packages","ref":"GitHub.Packages.html","title":"GitHub.Packages","type":"module"},{"doc":"Delete a package for the authenticated user Deletes a package owned by the authenticated user. You cannot delete a public package if any version of the package has more than 5,000 downloads. In this scenario, contact GitHub support for further assistance. To use this endpoint, you must authenticate using an access token with the read:packages and delete:packages scopes. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#delete_package_for_authenticated_user/3","title":"GitHub.Packages.delete_package_for_authenticated_user/3","type":"function"},{"doc":"Delete a package for an organization Deletes an entire package in an organization. You cannot delete a public package if any version of the package has more than 5,000 downloads. In this scenario, contact GitHub support for further assistance. To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the read:packages and delete:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package you want to delete. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#delete_package_for_org/4","title":"GitHub.Packages.delete_package_for_org/4","type":"function"},{"doc":"Delete a package for a user Deletes an entire package for a user. You cannot delete a public package if any version of the package has more than 5,000 downloads. In this scenario, contact GitHub support for further assistance. To use this endpoint, you must authenticate using an access token with the read:packages and delete:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package you want to delete. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#delete_package_for_user/4","title":"GitHub.Packages.delete_package_for_user/4","type":"function"},{"doc":"Delete a package version for the authenticated user Deletes a specific package version for a package owned by the authenticated user. If the package is public and the package version has more than 5,000 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance. To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the read:packages and delete:packages scopes. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#delete_package_version_for_authenticated_user/4","title":"GitHub.Packages.delete_package_version_for_authenticated_user/4","type":"function"},{"doc":"Delete package version for an organization Deletes a specific package version in an organization. If the package is public and the package version has more than 5,000 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance. To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the read:packages and delete:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package whose version you want to delete. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#delete_package_version_for_org/5","title":"GitHub.Packages.delete_package_version_for_org/5","type":"function"},{"doc":"Delete package version for a user Deletes a specific package version for a user. If the package is public and the package version has more than 5,000 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance. To use this endpoint, you must authenticate using an access token with the read:packages and delete:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package whose version you want to delete. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#delete_package_version_for_user/5","title":"GitHub.Packages.delete_package_version_for_user/5","type":"function"},{"doc":"List package versions for a package owned by the authenticated user Lists package versions for a package owned by the authenticated user. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). state : The state of the package, either active or deleted. Resources API method documentation","ref":"GitHub.Packages.html#get_all_package_versions_for_package_owned_by_authenticated_user/3","title":"GitHub.Packages.get_all_package_versions_for_package_owned_by_authenticated_user/3","type":"function"},{"doc":"List package versions for a package owned by an organization Lists package versions for a package owned by an organization. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). state : The state of the package, either active or deleted. Resources API method documentation","ref":"GitHub.Packages.html#get_all_package_versions_for_package_owned_by_org/4","title":"GitHub.Packages.get_all_package_versions_for_package_owned_by_org/4","type":"function"},{"doc":"List package versions for a package owned by a user Lists package versions for a public package owned by a specified user. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_all_package_versions_for_package_owned_by_user/4","title":"GitHub.Packages.get_all_package_versions_for_package_owned_by_user/4","type":"function"},{"doc":"Get a package for the authenticated user Gets a specific package for a package owned by the authenticated user. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_package_for_authenticated_user/3","title":"GitHub.Packages.get_package_for_authenticated_user/3","type":"function"},{"doc":"Get a package for an organization Gets a specific package in an organization. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_package_for_organization/4","title":"GitHub.Packages.get_package_for_organization/4","type":"function"},{"doc":"Get a package for a user Gets a specific package metadata for a public package owned by a user. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_package_for_user/4","title":"GitHub.Packages.get_package_for_user/4","type":"function"},{"doc":"Get a package version for the authenticated user Gets a specific package version for a package owned by the authenticated user. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_package_version_for_authenticated_user/4","title":"GitHub.Packages.get_package_version_for_authenticated_user/4","type":"function"},{"doc":"Get a package version for an organization Gets a specific package version in an organization. You must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_package_version_for_organization/5","title":"GitHub.Packages.get_package_version_for_organization/5","type":"function"},{"doc":"Get a package version for a user Gets a specific package version for a public package owned by a specified user. At this time, to use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#get_package_version_for_user/5","title":"GitHub.Packages.get_package_version_for_user/5","type":"function"},{"doc":"Get list of conflicting packages during Docker migration for authenticated-user Lists all packages that are owned by the authenticated user within the user's namespace, and that encountered a conflict during a Docker migration. To use this endpoint, you must authenticate using an access token with the read:packages scope. Resources API method documentation","ref":"GitHub.Packages.html#list_docker_migration_conflicting_packages_for_authenticated_user/1","title":"GitHub.Packages.list_docker_migration_conflicting_packages_for_authenticated_user/1","type":"function"},{"doc":"Get list of conflicting packages during Docker migration for organization Lists all packages that are in a specific organization, are readable by the requesting user, and that encountered a conflict during a Docker migration. To use this endpoint, you must authenticate using an access token with the read:packages scope. Resources API method documentation","ref":"GitHub.Packages.html#list_docker_migration_conflicting_packages_for_organization/2","title":"GitHub.Packages.list_docker_migration_conflicting_packages_for_organization/2","type":"function"},{"doc":"Get list of conflicting packages during Docker migration for user Lists all packages that are in a specific user's namespace, that the requesting user has access to, and that encountered a conflict during Docker migration. To use this endpoint, you must authenticate using an access token with the read:packages scope. Resources API method documentation","ref":"GitHub.Packages.html#list_docker_migration_conflicting_packages_for_user/2","title":"GitHub.Packages.list_docker_migration_conflicting_packages_for_user/2","type":"function"},{"doc":"List packages for the authenticated user's namespace Lists packages owned by the authenticated user within the user's namespace. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Options package_type : The type of supported package. Packages in GitHub's Gradle registry have the type maven . Docker images pushed to GitHub's Container registry ( ghcr.io ) have the type container . You can use the type docker to find images that were pushed to GitHub's Docker registry ( docker.pkg.github.com ), even if these have now been migrated to the Container registry. visibility : The selected visibility of the packages. This parameter is optional and only filters an existing result set. The internal visibility is only supported for GitHub Packages registries that allow for granular permissions. For other ecosystems internal is synonymous with private . For the list of GitHub Packages registries that support granular permissions, see &quot; About permissions for GitHub Packages .&quot; page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Packages.html#list_packages_for_authenticated_user/1","title":"GitHub.Packages.list_packages_for_authenticated_user/1","type":"function"},{"doc":"List packages for an organization Lists packages in an organization readable by the user. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Options package_type : The type of supported package. Packages in GitHub's Gradle registry have the type maven . Docker images pushed to GitHub's Container registry ( ghcr.io ) have the type container . You can use the type docker to find images that were pushed to GitHub's Docker registry ( docker.pkg.github.com ), even if these have now been migrated to the Container registry. visibility : The selected visibility of the packages. This parameter is optional and only filters an existing result set. The internal visibility is only supported for GitHub Packages registries that allow for granular permissions. For other ecosystems internal is synonymous with private . For the list of GitHub Packages registries that support granular permissions, see &quot; About permissions for GitHub Packages .&quot; page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Packages.html#list_packages_for_organization/2","title":"GitHub.Packages.list_packages_for_organization/2","type":"function"},{"doc":"List packages for a user Lists all packages in a user's namespace for which the requesting user has access. To use this endpoint, you must authenticate using an access token with the read:packages scope. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Options package_type : The type of supported package. Packages in GitHub's Gradle registry have the type maven . Docker images pushed to GitHub's Container registry ( ghcr.io ) have the type container . You can use the type docker to find images that were pushed to GitHub's Docker registry ( docker.pkg.github.com ), even if these have now been migrated to the Container registry. visibility : The selected visibility of the packages. This parameter is optional and only filters an existing result set. The internal visibility is only supported for GitHub Packages registries that allow for granular permissions. For other ecosystems internal is synonymous with private . For the list of GitHub Packages registries that support granular permissions, see &quot; About permissions for GitHub Packages .&quot; page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Packages.html#list_packages_for_user/2","title":"GitHub.Packages.list_packages_for_user/2","type":"function"},{"doc":"Restore a package for the authenticated user Restores a package owned by the authenticated user. You can restore a deleted package under the following conditions: The package was deleted within the last 30 days. The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first. To use this endpoint, you must authenticate using an access token with the read:packages and write:packages scopes. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Options token : package token Resources API method documentation","ref":"GitHub.Packages.html#restore_package_for_authenticated_user/3","title":"GitHub.Packages.restore_package_for_authenticated_user/3","type":"function"},{"doc":"Restore a package for an organization Restores an entire package in an organization. You can restore a deleted package under the following conditions: The package was deleted within the last 30 days. The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first. To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the read:packages and write:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package you want to restore. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Options token : package token Resources API method documentation","ref":"GitHub.Packages.html#restore_package_for_org/4","title":"GitHub.Packages.restore_package_for_org/4","type":"function"},{"doc":"Restore a package for a user Restores an entire package for a user. You can restore a deleted package under the following conditions: The package was deleted within the last 30 days. The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first. To use this endpoint, you must authenticate using an access token with the read:packages and write:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package you want to restore. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Options token : package token Resources API method documentation","ref":"GitHub.Packages.html#restore_package_for_user/4","title":"GitHub.Packages.restore_package_for_user/4","type":"function"},{"doc":"Restore a package version for the authenticated user Restores a package version owned by the authenticated user. You can restore a deleted package version under the following conditions: The package was deleted within the last 30 days. The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first. To use this endpoint, you must authenticate using an access token with the read:packages and write:packages scopes. If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of GitHub Packages registries that only support repository-scoped permissions, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#restore_package_version_for_authenticated_user/4","title":"GitHub.Packages.restore_package_version_for_authenticated_user/4","type":"function"},{"doc":"Restore package version for an organization Restores a specific package version in an organization. You can restore a deleted package under the following conditions: The package was deleted within the last 30 days. The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first. To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the read:packages and write:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package whose version you want to restore. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#restore_package_version_for_org/5","title":"GitHub.Packages.restore_package_version_for_org/5","type":"function"},{"doc":"Restore package version for a user Restores a specific package version for a user. You can restore a deleted package under the following conditions: The package was deleted within the last 30 days. The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first. To use this endpoint, you must authenticate using an access token with the read:packages and write:packages scopes. In addition: If the package_type belongs to a GitHub Packages registry that only supports repository-scoped permissions, your token must also include the repo scope. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; If the package_type belongs to a GitHub Packages registry that supports granular permissions, you must have admin permissions to the package whose version you want to restore. For the list of these registries, see &quot; About permissions for GitHub Packages .&quot; Resources API method documentation","ref":"GitHub.Packages.html#restore_package_version_for_user/5","title":"GitHub.Packages.restore_package_version_for_user/5","type":"function"},{"doc":"Provides API endpoints related to projects","ref":"GitHub.Projects.html","title":"GitHub.Projects","type":"module"},{"doc":"Add project collaborator Adds a collaborator to an organization project and sets their permission level. You must be an organization owner or a project admin to add a collaborator. Resources API method documentation","ref":"GitHub.Projects.html#add_collaborator/4","title":"GitHub.Projects.add_collaborator/4","type":"function"},{"doc":"Create a project card Resources API method documentation","ref":"GitHub.Projects.html#create_card/3","title":"GitHub.Projects.create_card/3","type":"function"},{"doc":"Create a project column Creates a new project column. Resources API method documentation","ref":"GitHub.Projects.html#create_column/3","title":"GitHub.Projects.create_column/3","type":"function"},{"doc":"Create a user project Creates a user project board. Returns a 410 Gone status if the user does not have existing classic projects. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Resources API method documentation","ref":"GitHub.Projects.html#create_for_authenticated_user/2","title":"GitHub.Projects.create_for_authenticated_user/2","type":"function"},{"doc":"Create an organization project Creates an organization project board. Returns a 410 Gone status if projects are disabled in the organization or if the organization does not have existing classic projects. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Resources API method documentation","ref":"GitHub.Projects.html#create_for_org/3","title":"GitHub.Projects.create_for_org/3","type":"function"},{"doc":"Create a repository project Creates a repository project board. Returns a 410 Gone status if projects are disabled in the repository or if the repository does not have existing classic projects. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Resources API method documentation","ref":"GitHub.Projects.html#create_for_repo/4","title":"GitHub.Projects.create_for_repo/4","type":"function"},{"doc":"Delete a project Deletes a project board. Returns a 404 Not Found status if projects are disabled. Resources API method documentation","ref":"GitHub.Projects.html#delete/2","title":"GitHub.Projects.delete/2","type":"function"},{"doc":"Delete a project card Deletes a project card Resources API method documentation","ref":"GitHub.Projects.html#delete_card/2","title":"GitHub.Projects.delete_card/2","type":"function"},{"doc":"Delete a project column Deletes a project column. Resources API method documentation","ref":"GitHub.Projects.html#delete_column/2","title":"GitHub.Projects.delete_column/2","type":"function"},{"doc":"Get a project Gets a project by its id . Returns a 404 Not Found status if projects are disabled. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Resources API method documentation","ref":"GitHub.Projects.html#get/2","title":"GitHub.Projects.get/2","type":"function"},{"doc":"Get a project card Gets information about a project card. Resources API method documentation","ref":"GitHub.Projects.html#get_card/2","title":"GitHub.Projects.get_card/2","type":"function"},{"doc":"Get a project column Gets information about a project column. Resources API method documentation","ref":"GitHub.Projects.html#get_column/2","title":"GitHub.Projects.get_column/2","type":"function"},{"doc":"Get project permission for a user Returns the collaborator's permission level for an organization project. Possible values for the permission key: admin , write , read , none . You must be an organization owner or a project admin to review a user's permission level. Resources API method documentation","ref":"GitHub.Projects.html#get_permission_for_user/3","title":"GitHub.Projects.get_permission_for_user/3","type":"function"},{"doc":"List project cards Lists the project cards in a project. Options archived_state : Filters the project cards that are returned by the card's state. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_cards/2","title":"GitHub.Projects.list_cards/2","type":"function"},{"doc":"List project collaborators Lists the collaborators for an organization project. For a project, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners. You must be an organization owner or a project admin to list collaborators. Options affiliation : Filters the collaborators by their affiliation. outside means outside collaborators of a project that are not a member of the project's organization. direct means collaborators with permissions to a project, regardless of organization membership status. all means all collaborators the authenticated user can see. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_collaborators/2","title":"GitHub.Projects.list_collaborators/2","type":"function"},{"doc":"List project columns Lists the project columns in a project. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_columns/2","title":"GitHub.Projects.list_columns/2","type":"function"},{"doc":"List organization projects Lists the projects in an organization. Returns a 404 Not Found status if projects are disabled in the organization. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Options state : Indicates the state of the projects to return. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_for_org/2","title":"GitHub.Projects.list_for_org/2","type":"function"},{"doc":"List repository projects Lists the projects in a repository. Returns a 404 Not Found status if projects are disabled in the repository. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Options state : Indicates the state of the projects to return. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_for_repo/3","title":"GitHub.Projects.list_for_repo/3","type":"function"},{"doc":"List user projects Lists projects for a user. Options state : Indicates the state of the projects to return. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Projects.html#list_for_user/2","title":"GitHub.Projects.list_for_user/2","type":"function"},{"doc":"Move a project card Resources API method documentation","ref":"GitHub.Projects.html#move_card/3","title":"GitHub.Projects.move_card/3","type":"function"},{"doc":"Move a project column Resources API method documentation","ref":"GitHub.Projects.html#move_column/3","title":"GitHub.Projects.move_column/3","type":"function"},{"doc":"Remove user as a collaborator Removes a collaborator from an organization project. You must be an organization owner or a project admin to remove a collaborator. Resources API method documentation","ref":"GitHub.Projects.html#remove_collaborator/3","title":"GitHub.Projects.remove_collaborator/3","type":"function"},{"doc":"Update a project Updates a project board's information. Returns a 404 Not Found status if projects are disabled. If you do not have sufficient privileges to perform this action, a 401 Unauthorized or 410 Gone status is returned. Resources API method documentation","ref":"GitHub.Projects.html#update/3","title":"GitHub.Projects.update/3","type":"function"},{"doc":"Update an existing project card Resources API method documentation","ref":"GitHub.Projects.html#update_card/3","title":"GitHub.Projects.update_card/3","type":"function"},{"doc":"Update an existing project column Resources API method documentation","ref":"GitHub.Projects.html#update_column/3","title":"GitHub.Projects.update_column/3","type":"function"},{"doc":"Provides API endpoints related to pulls","ref":"GitHub.Pulls.html","title":"GitHub.Pulls","type":"module"},{"doc":"Check if a pull request has been merged Checks if a pull request has been merged into the base branch. The HTTP status of the response indicates whether or not the pull request has been merged; the response body is empty. Resources API method documentation","ref":"GitHub.Pulls.html#check_if_merged/4","title":"GitHub.Pulls.check_if_merged/4","type":"function"},{"doc":"Create a pull request Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. To open or update a pull request in a public repository, you must have write access to the head or the source branch. For organization-owned repositories, you must be a member of the organization that owns the repository to open or update a pull request. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Pulls.html#create/4","title":"GitHub.Pulls.create/4","type":"function"},{"doc":"Create a reply for a review comment Creates a reply to a review comment for a pull request. For the comment_id , provide the ID of the review comment you are replying to. This must be the ID of a top-level review comment , not a reply to that comment. Replies to replies are not supported. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Pulls.html#create_reply_for_review_comment/6","title":"GitHub.Pulls.create_reply_for_review_comment/6","type":"function"},{"doc":"Create a review for a pull request This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Pull request reviews created in the PENDING state are not submitted and therefore do not include the submitted_at property in the response. To create a pending review for a pull request, leave the event parameter blank. For more information about submitting a PENDING review, see &quot; Submit a review for a pull request .&quot; Note: To comment on a specific line in a file, you need to first determine the position of that line in the diff. The GitHub REST API offers the application/vnd.github.v3.diff media type . To see a pull request diff, add this media type to the Accept header of a call to the single pull request endpoint. The position value equals the number of lines down from the first &quot;@@&quot; hunk header in the file you want to add a comment. The line just below the &quot;@@&quot; line is position 1, the next line is position 2, and so on. The position in the diff continues to increase through lines of whitespace and additional hunks until the beginning of a new file. Resources API method documentation","ref":"GitHub.Pulls.html#create_review/5","title":"GitHub.Pulls.create_review/5","type":"function"},{"doc":"Create a review comment for a pull request Creates a review comment in the pull request diff. To add a regular comment to a pull request timeline, see &quot; Create an issue comment .&quot; We recommend creating a review comment using line , side , and optionally start_line and start_side if your comment applies to more than one line in the pull request diff. The position parameter is deprecated. If you use position , the line , side , start_line , and start_side parameters are not required. Note: The position value equals the number of lines down from the first &quot;@@&quot; hunk header in the file you want to add a comment. The line just below the &quot;@@&quot; line is position 1, the next line is position 2, and so on. The position in the diff continues to increase through lines of whitespace and additional hunks until the beginning of a new file. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Pulls.html#create_review_comment/5","title":"GitHub.Pulls.create_review_comment/5","type":"function"},{"doc":"Delete a pending review for a pull request Deletes a pull request review that has not been submitted. Submitted reviews cannot be deleted. Resources API method documentation","ref":"GitHub.Pulls.html#delete_pending_review/5","title":"GitHub.Pulls.delete_pending_review/5","type":"function"},{"doc":"Delete a review comment for a pull request Deletes a review comment. Resources API method documentation","ref":"GitHub.Pulls.html#delete_review_comment/4","title":"GitHub.Pulls.delete_review_comment/4","type":"function"},{"doc":"Dismiss a review for a pull request Note: To dismiss a pull request review on a protected branch , you must be a repository administrator or be included in the list of people or teams who can dismiss pull request reviews. Resources API method documentation","ref":"GitHub.Pulls.html#dismiss_review/6","title":"GitHub.Pulls.dismiss_review/6","type":"function"},{"doc":"Get a pull request Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. Lists details of a pull request by providing its number. When you get, create , or edit a pull request, GitHub creates a merge commit to test whether the pull request can be automatically merged into the base branch. This test commit is not added to the base branch or the head branch. You can review the status of the test commit using the mergeable key. For more information, see &quot; Checking mergeability of pull requests &quot;. The value of the mergeable attribute can be true , false , or null . If the value is null , then GitHub has started a background job to compute the mergeability. After giving the job time to complete, resubmit the request. When the job finishes, you will see a non- null value for the mergeable attribute in the response. If mergeable is true , then merge_commit_sha will be the SHA of the test merge commit. The value of the merge_commit_sha attribute changes depending on the state of the pull request. Before merging a pull request, the merge_commit_sha attribute holds the SHA of the test merge commit. After merging a pull request, the merge_commit_sha attribute changes depending on how you merged the pull request: If merged as a merge commit , merge_commit_sha represents the SHA of the merge commit. If merged via a squash , merge_commit_sha represents the SHA of the squashed commit on the base branch. If rebased , merge_commit_sha represents the commit that the base branch was updated to. Pass the appropriate media type to fetch diff and patch formats. Resources API method documentation","ref":"GitHub.Pulls.html#get/4","title":"GitHub.Pulls.get/4","type":"function"},{"doc":"Get a review for a pull request Retrieves a pull request review by its ID. Resources API method documentation","ref":"GitHub.Pulls.html#get_review/5","title":"GitHub.Pulls.get_review/5","type":"function"},{"doc":"Get a review comment for a pull request Provides details for a review comment. Resources API method documentation","ref":"GitHub.Pulls.html#get_review_comment/4","title":"GitHub.Pulls.get_review_comment/4","type":"function"},{"doc":"List pull requests Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. Options state : Either open , closed , or all to filter by state. head : Filter pulls by head user or head organization and branch name in the format of user:ref-name or organization:ref-name . For example: github:new-script-format or octocat:test-branch . base : Filter pulls by base branch name. Example: gh-pages . sort : What to sort results by. popularity will sort by the number of comments. long-running will sort by date created and will limit the results to pull requests that have been open for more than a month and have had activity within the past month. direction : The direction of the sort. Default: desc when sort is created or sort is not specified, otherwise asc . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list/3","title":"GitHub.Pulls.list/3","type":"function"},{"doc":"List comments for a pull request review List comments for a specific pull request review. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_comments_for_review/5","title":"GitHub.Pulls.list_comments_for_review/5","type":"function"},{"doc":"List commits on a pull request Lists a maximum of 250 commits for a pull request. To receive a complete commit list for pull requests with more than 250 commits, use the List commits endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_commits/4","title":"GitHub.Pulls.list_commits/4","type":"function"},{"doc":"List pull requests files Note: Responses include a maximum of 3000 files. The paginated response returns 30 files per page by default. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_files/4","title":"GitHub.Pulls.list_files/4","type":"function"},{"doc":"Get all requested reviewers for a pull request Gets the users or teams whose review is requested for a pull request. Once a requested reviewer submits a review, they are no longer considered a requested reviewer. Their review will instead be returned by the List reviews for a pull request operation. Resources API method documentation","ref":"GitHub.Pulls.html#list_requested_reviewers/4","title":"GitHub.Pulls.list_requested_reviewers/4","type":"function"},{"doc":"List review comments on a pull request Lists all review comments for a pull request. By default, review comments are in ascending order by ID. Options sort : The property to sort the results by. direction : The direction to sort results. Ignored without sort parameter. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_review_comments/4","title":"GitHub.Pulls.list_review_comments/4","type":"function"},{"doc":"List review comments in a repository Lists review comments for all pull requests in a repository. By default, review comments are in ascending order by ID. Options sort direction : The direction to sort results. Ignored without sort parameter. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_review_comments_for_repo/3","title":"GitHub.Pulls.list_review_comments_for_repo/3","type":"function"},{"doc":"List reviews for a pull request The list of reviews returns in chronological order. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Pulls.html#list_reviews/4","title":"GitHub.Pulls.list_reviews/4","type":"function"},{"doc":"Merge a pull request Merges a pull request into the base branch. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Pulls.html#merge/5","title":"GitHub.Pulls.merge/5","type":"function"},{"doc":"Remove requested reviewers from a pull request Removes review requests from a pull request for a given set of users and/or teams. Resources API method documentation","ref":"GitHub.Pulls.html#remove_requested_reviewers/5","title":"GitHub.Pulls.remove_requested_reviewers/5","type":"function"},{"doc":"Request reviewers for a pull request Requests reviews for a pull request from a given set of users and/or teams. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Pulls.html#request_reviewers/5","title":"GitHub.Pulls.request_reviewers/5","type":"function"},{"doc":"Submit a review for a pull request Submits a pending review for a pull request. For more information about creating a pending review for a pull request, see &quot; Create a review for a pull request .&quot; Resources API method documentation","ref":"GitHub.Pulls.html#submit_review/6","title":"GitHub.Pulls.submit_review/6","type":"function"},{"doc":"Update a pull request Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. To open or update a pull request in a public repository, you must have write access to the head or the source branch. For organization-owned repositories, you must be a member of the organization that owns the repository to open or update a pull request. Resources API method documentation","ref":"GitHub.Pulls.html#update/5","title":"GitHub.Pulls.update/5","type":"function"},{"doc":"Update a pull request branch Updates the pull request branch with the latest upstream changes by merging HEAD from the base branch into the pull request branch. Resources API method documentation","ref":"GitHub.Pulls.html#update_branch/5","title":"GitHub.Pulls.update_branch/5","type":"function"},{"doc":"Update a review for a pull request Update the review summary comment with new text. Resources API method documentation","ref":"GitHub.Pulls.html#update_review/6","title":"GitHub.Pulls.update_review/6","type":"function"},{"doc":"Update a review comment for a pull request Enables you to edit a review comment. Resources API method documentation","ref":"GitHub.Pulls.html#update_review_comment/5","title":"GitHub.Pulls.update_review_comment/5","type":"function"},{"doc":"Provides API endpoint related to rate limit","ref":"GitHub.RateLimit.html","title":"GitHub.RateLimit","type":"module"},{"doc":"Get rate limit status for the authenticated user Note: Accessing this endpoint does not count against your REST API rate limit. Some categories of endpoints have custom rate limits that are separate from the rate limit governing the other REST API endpoints. For this reason, the API response categorizes your rate limit. Under resources , you'll see objects relating to different categories: The core object provides your rate limit status for all non-search-related resources in the REST API. The search object provides your rate limit status for the REST API for searching (excluding code searches). For more information, see &quot; Search .&quot; The code_search object provides your rate limit status for the REST API for searching code. For more information, see &quot; Search code .&quot; The graphql object provides your rate limit status for the GraphQL API. For more information, see &quot; Resource limitations .&quot; The integration_manifest object provides your rate limit status for the POST /app-manifests/{code}/conversions operation. For more information, see &quot; Creating a GitHub App from a manifest .&quot; The dependency_snapshots object provides your rate limit status for submitting snapshots to the dependency graph. For more information, see &quot; Dependency graph .&quot; The code_scanning_upload object provides your rate limit status for uploading SARIF results to code scanning. For more information, see &quot; Uploading a SARIF file to GitHub .&quot; The actions_runner_registration object provides your rate limit status for registering self-hosted runners in GitHub Actions. For more information, see &quot; Self-hosted runners .&quot; The source_import object is no longer in use for any API endpoints, and it will be removed in the next API version. For more information about API versions, see &quot; API Versions .&quot; Note: The rate object is deprecated. If you're writing new API client code or updating existing code, you should use the core object instead of the rate object. The core object contains the same information that is present in the rate object. Resources API method documentation","ref":"GitHub.RateLimit.html#get/1","title":"GitHub.RateLimit.get/1","type":"function"},{"doc":"","ref":"GitHub.RateLimit.html#t:t/0","title":"GitHub.RateLimit.t/0","type":"type"},{"doc":"Provides API endpoints related to reactions","ref":"GitHub.Reactions.html","title":"GitHub.Reactions","type":"module"},{"doc":"Create reaction for a commit comment Create a reaction to a commit comment . A response with an HTTP 200 status means that you already added the reaction type to this commit comment. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_commit_comment/5","title":"GitHub.Reactions.create_for_commit_comment/5","type":"function"},{"doc":"Create reaction for an issue Create a reaction to an issue . A response with an HTTP 200 status means that you already added the reaction type to this issue. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_issue/5","title":"GitHub.Reactions.create_for_issue/5","type":"function"},{"doc":"Create reaction for an issue comment Create a reaction to an issue comment . A response with an HTTP 200 status means that you already added the reaction type to this issue comment. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_issue_comment/5","title":"GitHub.Reactions.create_for_issue_comment/5","type":"function"},{"doc":"Create reaction for a pull request review comment Create a reaction to a pull request review comment . A response with an HTTP 200 status means that you already added the reaction type to this pull request review comment. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_pull_request_review_comment/5","title":"GitHub.Reactions.create_for_pull_request_review_comment/5","type":"function"},{"doc":"Create reaction for a release Create a reaction to a release . A response with a Status: 200 OK means that you already added the reaction type to this release. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_release/5","title":"GitHub.Reactions.create_for_release/5","type":"function"},{"doc":"Create reaction for a team discussion comment Create a reaction to a team discussion comment . OAuth access tokens require the write:discussion scope . A response with an HTTP 200 status means that you already added the reaction type to this team discussion comment. Note: You can also specify a team by org_id and team_id using the route POST /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions . Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_comment_in_org/6","title":"GitHub.Reactions.create_for_team_discussion_comment_in_org/6","type":"function"},{"doc":"Create reaction for a team discussion comment (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new &quot; Create reaction for a team discussion comment &quot; endpoint. Create a reaction to a team discussion comment . OAuth access tokens require the write:discussion scope . A response with an HTTP 200 status means that you already added the reaction type to this team discussion comment. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_comment_legacy/5","title":"GitHub.Reactions.create_for_team_discussion_comment_legacy/5","type":"function"},{"doc":"Create reaction for a team discussion Create a reaction to a team discussion . OAuth access tokens require the write:discussion scope . A response with an HTTP 200 status means that you already added the reaction type to this team discussion. Note: You can also specify a team by org_id and team_id using the route POST /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions . Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_in_org/5","title":"GitHub.Reactions.create_for_team_discussion_in_org/5","type":"function"},{"doc":"Create reaction for a team discussion (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Create reaction for a team discussion endpoint. Create a reaction to a team discussion . OAuth access tokens require the write:discussion scope . A response with an HTTP 200 status means that you already added the reaction type to this team discussion. Resources API method documentation","ref":"GitHub.Reactions.html#create_for_team_discussion_legacy/4","title":"GitHub.Reactions.create_for_team_discussion_legacy/4","type":"function"},{"doc":"Delete a commit comment reaction Note: You can also specify a repository by repository_id using the route DELETE /repositories/:repository_id/comments/:comment_id/reactions/:reaction_id . Delete a reaction to a commit comment . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_commit_comment/5","title":"GitHub.Reactions.delete_for_commit_comment/5","type":"function"},{"doc":"Delete an issue reaction Note: You can also specify a repository by repository_id using the route DELETE /repositories/:repository_id/issues/:issue_number/reactions/:reaction_id . Delete a reaction to an issue . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_issue/5","title":"GitHub.Reactions.delete_for_issue/5","type":"function"},{"doc":"Delete an issue comment reaction Note: You can also specify a repository by repository_id using the route DELETE delete /repositories/:repository_id/issues/comments/:comment_id/reactions/:reaction_id . Delete a reaction to an issue comment . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_issue_comment/5","title":"GitHub.Reactions.delete_for_issue_comment/5","type":"function"},{"doc":"Delete a pull request comment reaction Note: You can also specify a repository by repository_id using the route DELETE /repositories/:repository_id/pulls/comments/:comment_id/reactions/:reaction_id. Delete a reaction to a pull request review comment . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_pull_request_comment/5","title":"GitHub.Reactions.delete_for_pull_request_comment/5","type":"function"},{"doc":"Delete a release reaction Note: You can also specify a repository by repository_id using the route DELETE delete /repositories/:repository_id/releases/:release_id/reactions/:reaction_id . Delete a reaction to a release . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_release/5","title":"GitHub.Reactions.delete_for_release/5","type":"function"},{"doc":"Delete team discussion reaction Note: You can also specify a team or organization with team_id and org_id using the route DELETE /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions/:reaction_id . Delete a reaction to a team discussion . OAuth access tokens require the write:discussion scope . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_team_discussion/5","title":"GitHub.Reactions.delete_for_team_discussion/5","type":"function"},{"doc":"Delete team discussion comment reaction Note: You can also specify a team or organization with team_id and org_id using the route DELETE /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions/:reaction_id . Delete a reaction to a team discussion comment . OAuth access tokens require the write:discussion scope . Resources API method documentation","ref":"GitHub.Reactions.html#delete_for_team_discussion_comment/6","title":"GitHub.Reactions.delete_for_team_discussion_comment/6","type":"function"},{"doc":"List reactions for a commit comment List the reactions to a commit comment . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a commit comment. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_commit_comment/4","title":"GitHub.Reactions.list_for_commit_comment/4","type":"function"},{"doc":"List reactions for an issue List the reactions to an issue . Options content : Returns a single reaction type . Omit this parameter to list all reactions to an issue. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_issue/4","title":"GitHub.Reactions.list_for_issue/4","type":"function"},{"doc":"List reactions for an issue comment List the reactions to an issue comment . Options content : Returns a single reaction type . Omit this parameter to list all reactions to an issue comment. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_issue_comment/4","title":"GitHub.Reactions.list_for_issue_comment/4","type":"function"},{"doc":"List reactions for a pull request review comment List the reactions to a pull request review comment . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a pull request review comment. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_pull_request_review_comment/4","title":"GitHub.Reactions.list_for_pull_request_review_comment/4","type":"function"},{"doc":"List reactions for a release List the reactions to a release . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a release. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_release/4","title":"GitHub.Reactions.list_for_release/4","type":"function"},{"doc":"List reactions for a team discussion comment List the reactions to a team discussion comment . OAuth access tokens require the read:discussion scope . Note: You can also specify a team by org_id and team_id using the route GET /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a team discussion comment. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_comment_in_org/5","title":"GitHub.Reactions.list_for_team_discussion_comment_in_org/5","type":"function"},{"doc":"List reactions for a team discussion comment (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List reactions for a team discussion comment endpoint. List the reactions to a team discussion comment . OAuth access tokens require the read:discussion scope . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a team discussion comment. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_comment_legacy/4","title":"GitHub.Reactions.list_for_team_discussion_comment_legacy/4","type":"function"},{"doc":"List reactions for a team discussion List the reactions to a team discussion . OAuth access tokens require the read:discussion scope . Note: You can also specify a team by org_id and team_id using the route GET /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a team discussion. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_in_org/4","title":"GitHub.Reactions.list_for_team_discussion_in_org/4","type":"function"},{"doc":"List reactions for a team discussion (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List reactions for a team discussion endpoint. List the reactions to a team discussion . OAuth access tokens require the read:discussion scope . Options content : Returns a single reaction type . Omit this parameter to list all reactions to a team discussion. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Reactions.html#list_for_team_discussion_legacy/3","title":"GitHub.Reactions.list_for_team_discussion_legacy/3","type":"function"},{"doc":"Provides API endpoints related to repos","ref":"GitHub.Repos.html","title":"GitHub.Repos","type":"module"},{"doc":"Accept a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#accept_invitation_for_authenticated_user/2","title":"GitHub.Repos.accept_invitation_for_authenticated_user/2","type":"function"},{"doc":"Add app access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Grants the specified apps push access for this branch. Only installed GitHub Apps with write access to the contents permission can be added as authorized actors on a protected branch. Resources API method documentation","ref":"GitHub.Repos.html#add_app_access_restrictions/5","title":"GitHub.Repos.add_app_access_restrictions/5","type":"function"},{"doc":"Add a repository collaborator This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Adding an outside collaborator may be restricted by enterprise administrators. For more information, see &quot; Enforcing repository management policies in your enterprise .&quot; For more information on permission levels, see &quot; Repository permission levels for an organization &quot;. There are restrictions on which permissions can be granted to organization members when an organization base role is in place. In this case, the permission being given must be equal to or higher than the org base permission. Otherwise, the request will fail with: Cannot assign { member } permission of { role name } Note that, if you choose not to pass any parameters, you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; The invitee will receive a notification that they have been invited to the repository, which they must accept or decline. They may do this via the notifications page, the email they receive, or by using the API . Updating an existing collaborator's permission level The endpoint can also be used to change the permissions of an existing collaborator without first removing and re-adding the collaborator. To change the permissions, use the same endpoint and pass a different permission parameter. The response will be a 204 , with no other indication that the permission level changed. Rate limits You are limited to sending 50 invitations to a repository per 24 hour period. Note there is no limit if you are inviting organization members to an organization repository. Resources API method documentation","ref":"GitHub.Repos.html#add_collaborator/5","title":"GitHub.Repos.add_collaborator/5","type":"function"},{"doc":"Add status check contexts Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#add_status_check_contexts/5","title":"GitHub.Repos.add_status_check_contexts/5","type":"function"},{"doc":"Add team access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Grants the specified teams push access for this branch. You can also give push access to child teams. Resources API method documentation","ref":"GitHub.Repos.html#add_team_access_restrictions/5","title":"GitHub.Repos.add_team_access_restrictions/5","type":"function"},{"doc":"Add user access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Grants the specified people push access for this branch. Type Description array Usernames for people who can have push access. Note : The list of users, apps, and teams in total is limited to 100 items. Resources API method documentation","ref":"GitHub.Repos.html#add_user_access_restrictions/5","title":"GitHub.Repos.add_user_access_restrictions/5","type":"function"},{"doc":"Check if automated security fixes are enabled for a repository Shows whether automated security fixes are enabled, disabled or paused for a repository. The authenticated user must have admin read access to the repository. For more information, see &quot; Configuring automated security fixes &quot;. Resources API method documentation","ref":"GitHub.Repos.html#check_automated_security_fixes/3","title":"GitHub.Repos.check_automated_security_fixes/3","type":"function"},{"doc":"Check if a user is a repository collaborator For organization-owned repositories, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners. Team members will include the members of child teams. You must authenticate using an access token with the read:org and repo scopes with push access to use this endpoint. GitHub Apps must have the members organization permission and metadata repository permission to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#check_collaborator/4","title":"GitHub.Repos.check_collaborator/4","type":"function"},{"doc":"Check if vulnerability alerts are enabled for a repository Shows whether dependency alerts are enabled or disabled for a repository. The authenticated user must have admin read access to the repository. For more information, see &quot; About security alerts for vulnerable dependencies &quot;. Resources API method documentation","ref":"GitHub.Repos.html#check_vulnerability_alerts/3","title":"GitHub.Repos.check_vulnerability_alerts/3","type":"function"},{"doc":"List CODEOWNERS errors List any syntax errors that are detected in the CODEOWNERS file. For more information about the correct CODEOWNERS syntax, see &quot; About code owners .&quot; Options ref : A branch, tag or commit name used to determine which version of the CODEOWNERS file to use. Default: the repository's default branch (e.g. main ) Resources API method documentation","ref":"GitHub.Repos.html#codeowners_errors/3","title":"GitHub.Repos.codeowners_errors/3","type":"function"},{"doc":"Compare two commits Compares two commits against one another. You can compare branches in the same repository, or you can compare branches that exist in different repositories within the same repository network, including fork branches. For more information about how to view a repository's network, see &quot; Understanding connections between repositories .&quot; This endpoint is equivalent to running the git log BASE..HEAD command, but it returns commits in a different order. The git log BASE..HEAD command returns commits in reverse chronological order, whereas the API returns commits in chronological order. You can pass the appropriate media type to fetch diff and patch formats. The API response includes details about the files that were changed between the two commits. This includes the status of the change (if a file was added, removed, modified, or renamed), and details of the change itself. For example, files with a renamed status have a previous_filename field showing the previous filename of the file, and files with a modified status have a patch field showing the changes made to the file. When calling this endpoint without any paging parameter ( per_page or page ), the returned list is limited to 250 commits, and the last commit in the list is the most recent of the entire comparison. Working with large comparisons To process a response with a large number of commits, use a query parameter ( per_page or page ) to paginate the results. When using pagination: The list of changed files is only shown on the first page of results, but it includes all changed files for the entire comparison. The results are returned in chronological order, but the last commit in the returned list may not be the most recent one in the entire set if there are more pages of results. For more information on working with pagination, see &quot; Using pagination in the REST API .&quot; Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The verification object includes the following fields: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#compare_commits/4","title":"GitHub.Repos.compare_commits/4","type":"function"},{"doc":"Create an autolink reference for a repository Users with admin access to the repository can create an autolink. Resources API method documentation","ref":"GitHub.Repos.html#create_autolink/4","title":"GitHub.Repos.create_autolink/4","type":"function"},{"doc":"Create a commit comment Create a comment for a commit using its :commit_sha . This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Repos.html#create_commit_comment/5","title":"GitHub.Repos.create_commit_comment/5","type":"function"},{"doc":"Create commit signature protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. When authenticated with admin or owner permissions to the repository, you can use this endpoint to require signed commits on a branch. You must enable branch protection to require signed commits. Resources API method documentation","ref":"GitHub.Repos.html#create_commit_signature_protection/4","title":"GitHub.Repos.create_commit_signature_protection/4","type":"function"},{"doc":"Create a commit status Users with push access in a repository can create commit statuses for a given SHA. Note: there is a limit of 1000 statuses per sha and context within a repository. Attempts to create more than 1000 statuses will result in a validation error. Resources API method documentation","ref":"GitHub.Repos.html#create_commit_status/5","title":"GitHub.Repos.create_commit_status/5","type":"function"},{"doc":"Create a deploy key You can create a read-only deploy key. Resources API method documentation","ref":"GitHub.Repos.html#create_deploy_key/4","title":"GitHub.Repos.create_deploy_key/4","type":"function"},{"doc":"Create a deployment Deployments offer a few configurable parameters with certain defaults. The ref parameter can be any named branch, tag, or SHA. At GitHub we often deploy branches and verify them before we merge a pull request. The environment parameter allows deployments to be issued to different runtime environments. Teams often have multiple environments for verifying their applications, such as production , staging , and qa . This parameter makes it easier to track which environments have requested deployments. The default environment is production . The auto_merge parameter is used to ensure that the requested ref is not behind the repository's default branch. If the ref is behind the default branch for the repository, we will attempt to merge it for you. If the merge succeeds, the API will return a successful merge commit. If merge conflicts prevent the merge from succeeding, the API will return a failure response. By default, commit statuses for every submitted context must be in a success state. The required_contexts parameter allows you to specify a subset of contexts that must be success , or to specify contexts that have not yet been submitted. You are not required to use commit statuses to deploy. If you do not require any contexts or create any commit statuses, the deployment will always succeed. The payload parameter is available for any extra information that a deployment system might need. It is a JSON text field that will be passed on when a deployment event is dispatched. The task parameter is used by the deployment system to allow different execution paths. In the web world this might be deploy:migrations to run schema changes on the system. In the compiled world this could be a flag to compile an application with debugging enabled. Users with repo or repo_deployment scopes can create a deployment for a given ref. Merged branch response: You will see this response when GitHub automatically merges the base branch into the topic branch instead of creating a deployment. This auto-merge happens when: Auto-merge option is enabled in the repository Topic branch does not include the latest changes on the base branch, which is master in the response example There are no merge conflicts If there are no new commits in the base branch, a new request to create a deployment should give a successful response. Merge conflict response: This error happens when the auto_merge option is enabled and when the default branch (in this case master ), can't be merged into the branch that's being deployed (in this case topic-branch ), due to merge conflicts. Failed commit status checks: This error happens when the required_contexts parameter indicates that one or more contexts need to have a success status for the commit to be deployed, but one or more of the required contexts do not have a state of success . Resources API method documentation","ref":"GitHub.Repos.html#create_deployment/4","title":"GitHub.Repos.create_deployment/4","type":"function"},{"doc":"Create a deployment branch policy Creates a deployment branch policy for an environment. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration:write permission for the repository to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#create_deployment_branch_policy/5","title":"GitHub.Repos.create_deployment_branch_policy/5","type":"function"},{"doc":"Create a custom deployment protection rule on an environment Enable a custom deployment protection rule for an environment. You must authenticate using an access token with the repo scope to use this endpoint. Enabling a custom protection rule requires admin or owner permissions to the repository. GitHub Apps must have the actions:write permission to use this endpoint. For more information about the app that is providing this custom deployment rule, see the documentation for the GET /apps/{app_slug} endpoint . Resources API method documentation","ref":"GitHub.Repos.html#create_deployment_protection_rule/5","title":"GitHub.Repos.create_deployment_protection_rule/5","type":"function"},{"doc":"Create a deployment status Users with push access can create deployment statuses for a given deployment. GitHub Apps require read &amp; write access to &quot;Deployments&quot; and read-only access to &quot;Repo contents&quot; (for private repos). OAuth apps require the repo_deployment scope. Resources API method documentation","ref":"GitHub.Repos.html#create_deployment_status/5","title":"GitHub.Repos.create_deployment_status/5","type":"function"},{"doc":"Create a repository dispatch event You can use this endpoint to trigger a webhook event called repository_dispatch when you want activity that happens outside of GitHub to trigger a GitHub Actions workflow or GitHub App webhook. You must configure your GitHub Actions workflow or GitHub App to run when the repository_dispatch event occurs. For an example repository_dispatch webhook payload, see &quot; RepositoryDispatchEvent .&quot; The client_payload parameter is available for any extra information that your workflow might need. This parameter is a JSON payload that will be passed on when the webhook event is dispatched. For example, the client_payload can include a message that a user would like to send using a GitHub Actions workflow. Or the client_payload can be used as a test to debug your workflow. This endpoint requires write access to the repository by providing either: Personal access tokens with repo scope. For more information, see &quot; Creating a personal access token for the command line &quot; in the GitHub Help documentation. GitHub Apps with both metadata:read and contents:read&amp;write permissions. This input example shows how you can use the client_payload as a test to debug your workflow. Resources API method documentation","ref":"GitHub.Repos.html#create_dispatch_event/4","title":"GitHub.Repos.create_dispatch_event/4","type":"function"},{"doc":"Create a repository for the authenticated user Creates a new repository for the authenticated user. OAuth scope requirements When using OAuth , authorizations must include: public_repo scope or repo scope to create a public repository. Note: For GitHub AE, use repo scope to create an internal repository. repo scope to create a private repository. Resources API method documentation","ref":"GitHub.Repos.html#create_for_authenticated_user/2","title":"GitHub.Repos.create_for_authenticated_user/2","type":"function"},{"doc":"Create a fork Create a fork for the authenticated user. Note : Forking a Repository happens asynchronously. You may have to wait a short period of time before you can access the git objects. If this takes longer than 5 minutes, be sure to contact GitHub Support . Note : Although this endpoint works with GitHub Apps, the GitHub App must be installed on the destination account with access to all repositories and on the source account with access to the source repository. Resources API method documentation","ref":"GitHub.Repos.html#create_fork/4","title":"GitHub.Repos.create_fork/4","type":"function"},{"doc":"Create an organization repository Creates a new repository in the specified organization. The authenticated user must be a member of the organization. OAuth scope requirements When using OAuth , authorizations must include: public_repo scope or repo scope to create a public repository. Note: For GitHub AE, use repo scope to create an internal repository. repo scope to create a private repository Resources API method documentation","ref":"GitHub.Repos.html#create_in_org/3","title":"GitHub.Repos.create_in_org/3","type":"function"},{"doc":"Create or update an environment Create or update an environment with protection rules, such as required reviewers. For more information about environment protection rules, see &quot; Environments .&quot; Note: To create or update name patterns that branches must match in order to deploy to this environment, see &quot; Deployment branch policies .&quot; Note: To create or update secrets for an environment, see &quot; GitHub Actions secrets .&quot; You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration:write permission for the repository to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#create_or_update_environment/5","title":"GitHub.Repos.create_or_update_environment/5","type":"function"},{"doc":"Create or update file contents Creates a new file or replaces an existing file in a repository. You must authenticate using an access token with the repo scope to use this endpoint. If you want to modify files in the .github/workflows directory, you must authenticate using an access token with the workflow scope. Note: If you use this endpoint and the &quot; Delete a file &quot; endpoint in parallel, the concurrent requests will conflict and you will receive errors. You must use these endpoints serially instead. Resources API method documentation","ref":"GitHub.Repos.html#create_or_update_file_contents/5","title":"GitHub.Repos.create_or_update_file_contents/5","type":"function"},{"doc":"Create an organization repository ruleset Create a repository ruleset for an organization. Resources API method documentation","ref":"GitHub.Repos.html#create_org_ruleset/3","title":"GitHub.Repos.create_org_ruleset/3","type":"function"},{"doc":"Create a GitHub Pages deployment Create a GitHub Pages deployment for a repository. Users must have write permissions. GitHub Apps must have the pages:write permission to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#create_pages_deployment/4","title":"GitHub.Repos.create_pages_deployment/4","type":"function"},{"doc":"Create a GitHub Pages site Configures a GitHub Pages site. For more information, see &quot; About GitHub Pages .&quot; To use this endpoint, you must be a repository administrator, maintainer, or have the 'manage GitHub Pages settings' permission. A token with the repo scope or Pages write permission is required. GitHub Apps must have the administration:write and pages:write permissions. Resources API method documentation","ref":"GitHub.Repos.html#create_pages_site/4","title":"GitHub.Repos.create_pages_site/4","type":"function"},{"doc":"Create a release Users with push access to the repository can create a release. This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Repos.html#create_release/4","title":"GitHub.Repos.create_release/4","type":"function"},{"doc":"Create a repository ruleset Create a ruleset for a repository. Resources API method documentation","ref":"GitHub.Repos.html#create_repo_ruleset/4","title":"GitHub.Repos.create_repo_ruleset/4","type":"function"},{"doc":"Create a tag protection state for a repository This creates a tag protection state for a repository. This endpoint is only available to repository administrators. Resources API method documentation","ref":"GitHub.Repos.html#create_tag_protection/4","title":"GitHub.Repos.create_tag_protection/4","type":"function"},{"doc":"Create a repository using a template Creates a new repository using a repository template. Use the template_owner and template_repo route parameters to specify the repository to use as the template. If the repository is not public, the authenticated user must own or be a member of an organization that owns the repository. To check if a repository is available to use as a template, get the repository's information using the Get a repository endpoint and check that the is_template key is true . OAuth scope requirements When using OAuth , authorizations must include: public_repo scope or repo scope to create a public repository. Note: For GitHub AE, use repo scope to create an internal repository. repo scope to create a private repository Resources API method documentation","ref":"GitHub.Repos.html#create_using_template/4","title":"GitHub.Repos.create_using_template/4","type":"function"},{"doc":"Create a repository webhook Repositories can have multiple webhooks installed. Each webhook should have a unique config . Multiple webhooks can share the same config as long as those webhooks do not have any events that overlap. Resources API method documentation","ref":"GitHub.Repos.html#create_webhook/4","title":"GitHub.Repos.create_webhook/4","type":"function"},{"doc":"Decline a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#decline_invitation_for_authenticated_user/2","title":"GitHub.Repos.decline_invitation_for_authenticated_user/2","type":"function"},{"doc":"Delete a repository Deleting a repository requires admin access. If OAuth is used, the delete_repo scope is required. If an organization owner has configured the organization to prevent members from deleting organization-owned repositories, you will get a 403 Forbidden response. Resources API method documentation","ref":"GitHub.Repos.html#delete/3","title":"GitHub.Repos.delete/3","type":"function"},{"doc":"Delete access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Disables the ability to restrict who can push to this branch. Resources API method documentation","ref":"GitHub.Repos.html#delete_access_restrictions/4","title":"GitHub.Repos.delete_access_restrictions/4","type":"function"},{"doc":"Delete admin branch protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Removing admin enforcement requires admin or owner permissions to the repository and branch protection to be enabled. Resources API method documentation","ref":"GitHub.Repos.html#delete_admin_branch_protection/4","title":"GitHub.Repos.delete_admin_branch_protection/4","type":"function"},{"doc":"Delete an environment You must authenticate using an access token with the repo scope to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#delete_an_environment/4","title":"GitHub.Repos.delete_an_environment/4","type":"function"},{"doc":"Delete an autolink reference from a repository This deletes a single autolink reference by ID that was configured for the given repository. Information about autolinks are only available to repository administrators. Resources API method documentation","ref":"GitHub.Repos.html#delete_autolink/4","title":"GitHub.Repos.delete_autolink/4","type":"function"},{"doc":"Delete branch protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#delete_branch_protection/4","title":"GitHub.Repos.delete_branch_protection/4","type":"function"},{"doc":"Delete a commit comment Resources API method documentation","ref":"GitHub.Repos.html#delete_commit_comment/4","title":"GitHub.Repos.delete_commit_comment/4","type":"function"},{"doc":"Delete commit signature protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. When authenticated with admin or owner permissions to the repository, you can use this endpoint to disable required signed commits on a branch. You must enable branch protection to require signed commits. Resources API method documentation","ref":"GitHub.Repos.html#delete_commit_signature_protection/4","title":"GitHub.Repos.delete_commit_signature_protection/4","type":"function"},{"doc":"Delete a deploy key Deploy keys are immutable. If you need to update a key, remove the key and create a new one instead. Resources API method documentation","ref":"GitHub.Repos.html#delete_deploy_key/4","title":"GitHub.Repos.delete_deploy_key/4","type":"function"},{"doc":"Delete a deployment If the repository only has one deployment, you can delete the deployment regardless of its status. If the repository has more than one deployment, you can only delete inactive deployments. This ensures that repositories with multiple deployments will always have an active deployment. Anyone with repo or repo_deployment scopes can delete a deployment. To set a deployment as inactive, you must: Create a new deployment that is active so that the system has a record of the current state, then delete the previously active deployment. Mark the active deployment as inactive by adding any non-successful deployment status. For more information, see &quot; Create a deployment &quot; and &quot; Create a deployment status .&quot; Resources API method documentation","ref":"GitHub.Repos.html#delete_deployment/4","title":"GitHub.Repos.delete_deployment/4","type":"function"},{"doc":"Delete a deployment branch policy Deletes a deployment branch policy for an environment. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration:write permission for the repository to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#delete_deployment_branch_policy/5","title":"GitHub.Repos.delete_deployment_branch_policy/5","type":"function"},{"doc":"Delete a file Deletes a file in a repository. You can provide an additional committer parameter, which is an object containing information about the committer. Or, you can provide an author parameter, which is an object containing information about the author. The author section is optional and is filled in with the committer information if omitted. If the committer information is omitted, the authenticated user's information is used. You must provide values for both name and email , whether you choose to use author or committer . Otherwise, you'll receive a 422 status code. Note: If you use this endpoint and the &quot; Create or update file contents &quot; endpoint in parallel, the concurrent requests will conflict and you will receive errors. You must use these endpoints serially instead. Resources API method documentation","ref":"GitHub.Repos.html#delete_file/5","title":"GitHub.Repos.delete_file/5","type":"function"},{"doc":"Delete a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#delete_invitation/4","title":"GitHub.Repos.delete_invitation/4","type":"function"},{"doc":"Delete an organization repository ruleset Delete a ruleset for an organization. Resources API method documentation","ref":"GitHub.Repos.html#delete_org_ruleset/3","title":"GitHub.Repos.delete_org_ruleset/3","type":"function"},{"doc":"Delete a GitHub Pages site Deletes a GitHub Pages site. For more information, see &quot; About GitHub Pages . To use this endpoint, you must be a repository administrator, maintainer, or have the 'manage GitHub Pages settings' permission. A token with the repo scope or Pages write permission is required. GitHub Apps must have the administration:write and pages:write permissions. Resources API method documentation","ref":"GitHub.Repos.html#delete_pages_site/3","title":"GitHub.Repos.delete_pages_site/3","type":"function"},{"doc":"Delete pull request review protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#delete_pull_request_review_protection/4","title":"GitHub.Repos.delete_pull_request_review_protection/4","type":"function"},{"doc":"Delete a release Users with push access to the repository can delete a release. Resources API method documentation","ref":"GitHub.Repos.html#delete_release/4","title":"GitHub.Repos.delete_release/4","type":"function"},{"doc":"Delete a release asset Resources API method documentation","ref":"GitHub.Repos.html#delete_release_asset/4","title":"GitHub.Repos.delete_release_asset/4","type":"function"},{"doc":"Delete a repository ruleset Delete a ruleset for a repository. Resources API method documentation","ref":"GitHub.Repos.html#delete_repo_ruleset/4","title":"GitHub.Repos.delete_repo_ruleset/4","type":"function"},{"doc":"Delete a tag protection state for a repository This deletes a tag protection state for a repository. This endpoint is only available to repository administrators. Resources API method documentation","ref":"GitHub.Repos.html#delete_tag_protection/4","title":"GitHub.Repos.delete_tag_protection/4","type":"function"},{"doc":"Delete a repository webhook Resources API method documentation","ref":"GitHub.Repos.html#delete_webhook/4","title":"GitHub.Repos.delete_webhook/4","type":"function"},{"doc":"Disable automated security fixes Disables automated security fixes for a repository. The authenticated user must have admin access to the repository. For more information, see &quot; Configuring automated security fixes &quot;. Resources API method documentation","ref":"GitHub.Repos.html#disable_automated_security_fixes/3","title":"GitHub.Repos.disable_automated_security_fixes/3","type":"function"},{"doc":"Disable a custom protection rule for an environment Disables a custom deployment protection rule for an environment. You must authenticate using an access token with the repo scope to use this endpoint. Removing a custom protection rule requires admin or owner permissions to the repository. GitHub Apps must have the actions:write permission to use this endpoint. For more information, see &quot; Get an app &quot;. Resources API method documentation","ref":"GitHub.Repos.html#disable_deployment_protection_rule/5","title":"GitHub.Repos.disable_deployment_protection_rule/5","type":"function"},{"doc":"Disable private vulnerability reporting for a repository Disables private vulnerability reporting for a repository. The authenticated user must have admin access to the repository. For more information, see &quot; Privately reporting a security vulnerability &quot;. Resources API method documentation","ref":"GitHub.Repos.html#disable_private_vulnerability_reporting/3","title":"GitHub.Repos.disable_private_vulnerability_reporting/3","type":"function"},{"doc":"Disable vulnerability alerts Disables dependency alerts and the dependency graph for a repository. The authenticated user must have admin access to the repository. For more information, see &quot; About security alerts for vulnerable dependencies &quot;. Resources API method documentation","ref":"GitHub.Repos.html#disable_vulnerability_alerts/3","title":"GitHub.Repos.disable_vulnerability_alerts/3","type":"function"},{"doc":"Download a repository archive (tar) Gets a redirect URL to download a tar archive for a repository. If you omit :ref , the repository’s default branch (usually main ) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use the Location header to make a second GET request. Note : For private repositories, these links are temporary and expire after five minutes. Resources API method documentation","ref":"GitHub.Repos.html#download_tarball_archive/4","title":"GitHub.Repos.download_tarball_archive/4","type":"function"},{"doc":"Download a repository archive (zip) Gets a redirect URL to download a zip archive for a repository. If you omit :ref , the repository’s default branch (usually main ) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use the Location header to make a second GET request. Note : For private repositories, these links are temporary and expire after five minutes. If the repository is empty, you will receive a 404 when you follow the redirect. Resources API method documentation","ref":"GitHub.Repos.html#download_zipball_archive/4","title":"GitHub.Repos.download_zipball_archive/4","type":"function"},{"doc":"Enable automated security fixes Enables automated security fixes for a repository. The authenticated user must have admin access to the repository. For more information, see &quot; Configuring automated security fixes &quot;. Resources API method documentation","ref":"GitHub.Repos.html#enable_automated_security_fixes/3","title":"GitHub.Repos.enable_automated_security_fixes/3","type":"function"},{"doc":"Enable private vulnerability reporting for a repository Enables private vulnerability reporting for a repository. The authenticated user must have admin access to the repository. For more information, see &quot; Privately reporting a security vulnerability .&quot; Resources API method documentation","ref":"GitHub.Repos.html#enable_private_vulnerability_reporting/3","title":"GitHub.Repos.enable_private_vulnerability_reporting/3","type":"function"},{"doc":"Enable vulnerability alerts Enables dependency alerts and the dependency graph for a repository. The authenticated user must have admin access to the repository. For more information, see &quot; About security alerts for vulnerable dependencies &quot;. Resources API method documentation","ref":"GitHub.Repos.html#enable_vulnerability_alerts/3","title":"GitHub.Repos.enable_vulnerability_alerts/3","type":"function"},{"doc":"Generate release notes content for a release Generate a name and body describing a release . The body content will be markdown formatted and contain information like the changes since last release and users who contributed. The generated release notes are not saved anywhere. They are intended to be generated and used when creating a new release. Resources API method documentation","ref":"GitHub.Repos.html#generate_release_notes/4","title":"GitHub.Repos.generate_release_notes/4","type":"function"},{"doc":"Get a repository The parent and source objects are present when the repository is a fork. parent is the repository this repository was forked from, source is the ultimate source for the network. Note: In order to see the security_and_analysis block for a repository you must have admin permissions for the repository or be an owner or security manager for the organization that owns the repository. For more information, see &quot; Managing security managers in your organization .&quot; Resources API method documentation","ref":"GitHub.Repos.html#get/3","title":"GitHub.Repos.get/3","type":"function"},{"doc":"Get access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Lists who has access to this protected branch. Note : Users, apps, and teams restrictions are only available for organization-owned repositories. Resources API method documentation","ref":"GitHub.Repos.html#get_access_restrictions/4","title":"GitHub.Repos.get_access_restrictions/4","type":"function"},{"doc":"Get admin branch protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#get_admin_branch_protection/4","title":"GitHub.Repos.get_admin_branch_protection/4","type":"function"},{"doc":"Get all deployment protection rules for an environment Gets all custom deployment protection rules that are enabled for an environment. Anyone with read access to the repository can use this endpoint. If the repository is private and you want to use a personal access token (classic), you must use an access token with the repo scope. GitHub Apps and fine-grained personal access tokens must have the actions:read permission to use this endpoint. For more information about environments, see &quot; Using environments for deployment .&quot; For more information about the app that is providing this custom deployment rule, see the documentation for the GET /apps/{app_slug} endpoint . Resources API method documentation","ref":"GitHub.Repos.html#get_all_deployment_protection_rules/4","title":"GitHub.Repos.get_all_deployment_protection_rules/4","type":"function"},{"doc":"List environments Lists the environments for a repository. Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_all_environments/3","title":"GitHub.Repos.get_all_environments/3","type":"function"},{"doc":"Get all status check contexts Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#get_all_status_check_contexts/4","title":"GitHub.Repos.get_all_status_check_contexts/4","type":"function"},{"doc":"Get all repository topics Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#get_all_topics/3","title":"GitHub.Repos.get_all_topics/3","type":"function"},{"doc":"Get apps with access to the protected branch Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Lists the GitHub Apps that have push access to this branch. Only installed GitHub Apps with write access to the contents permission can be added as authorized actors on a protected branch. Resources API method documentation","ref":"GitHub.Repos.html#get_apps_with_access_to_protected_branch/4","title":"GitHub.Repos.get_apps_with_access_to_protected_branch/4","type":"function"},{"doc":"Get an autolink reference of a repository This returns a single autolink reference by ID that was configured for the given repository. Information about autolinks are only available to repository administrators. Resources API method documentation","ref":"GitHub.Repos.html#get_autolink/4","title":"GitHub.Repos.get_autolink/4","type":"function"},{"doc":"Get a branch Resources API method documentation","ref":"GitHub.Repos.html#get_branch/4","title":"GitHub.Repos.get_branch/4","type":"function"},{"doc":"Get branch protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#get_branch_protection/4","title":"GitHub.Repos.get_branch_protection/4","type":"function"},{"doc":"Get rules for a branch Returns all active rules that apply to the specified branch. The branch does not need to exist; rules that would apply to a branch with that name will be returned. All active rules that apply will be returned, regardless of the level at which they are configured (e.g. repository or organization). Rules in rulesets with &quot;evaluate&quot; or &quot;disabled&quot; enforcement statuses are not returned. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_branch_rules/4","title":"GitHub.Repos.get_branch_rules/4","type":"function"},{"doc":"Get repository clones Get the total number of clones and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday. Options per : The time frame to display results for. Resources API method documentation","ref":"GitHub.Repos.html#get_clones/3","title":"GitHub.Repos.get_clones/3","type":"function"},{"doc":"Get the weekly commit activity Returns a weekly aggregate of the number of additions and deletions pushed to a repository. Resources API method documentation","ref":"GitHub.Repos.html#get_code_frequency_stats/3","title":"GitHub.Repos.get_code_frequency_stats/3","type":"function"},{"doc":"Get repository permissions for a user Checks the repository permission of a collaborator. The possible repository permissions are admin , write , read , and none . Note : The permission attribute provides the legacy base roles of admin , write , read , and none , where the maintain role is mapped to write and the triage role is mapped to read . To determine the role assigned to the collaborator, see the role_name attribute, which will provide the full role name, including custom roles. The permissions hash can also be used to determine which base level of access the collaborator has to the repository. Resources API method documentation","ref":"GitHub.Repos.html#get_collaborator_permission_level/4","title":"GitHub.Repos.get_collaborator_permission_level/4","type":"function"},{"doc":"Get the combined status for a specific reference Users with pull access in a repository can access a combined view of commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name. Additionally, a combined state is returned. The state is one of: failure if any of the contexts report as error or failure pending if there are no statuses or a context is pending success if the latest status for all contexts is success Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_combined_status_for_ref/4","title":"GitHub.Repos.get_combined_status_for_ref/4","type":"function"},{"doc":"Get a commit Returns the contents of a single commit reference. You must have read access for the repository to use this endpoint. Note: If there are more than 300 files in the commit diff, the response will include pagination link headers for the remaining files, up to a limit of 3000 files. Each page contains the static commit information, and the only changes are to the file listing. You can pass the appropriate media type to fetch diff and patch formats. Diffs with binary data will have no patch property. To return only the SHA-1 hash of the commit reference, you can provide the sha custom media type in the Accept header. You can use this endpoint to check if a remote reference's SHA-1 hash is the same as your local reference's SHA-1 hash by providing the local SHA-1 reference as the ETag. Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The following fields are included in the verification object: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#get_commit/4","title":"GitHub.Repos.get_commit/4","type":"function"},{"doc":"Get the last year of commit activity Returns the last year of commit activity grouped by week. The days array is a group of commits per day, starting on Sunday . Resources API method documentation","ref":"GitHub.Repos.html#get_commit_activity_stats/3","title":"GitHub.Repos.get_commit_activity_stats/3","type":"function"},{"doc":"Get a commit comment Resources API method documentation","ref":"GitHub.Repos.html#get_commit_comment/4","title":"GitHub.Repos.get_commit_comment/4","type":"function"},{"doc":"Get commit signature protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. When authenticated with admin or owner permissions to the repository, you can use this endpoint to check whether a branch requires signed commits. An enabled status of true indicates you must sign commits on this branch. For more information, see Signing commits with GPG in GitHub Help. Note : You must enable branch protection to require signed commits. Resources API method documentation","ref":"GitHub.Repos.html#get_commit_signature_protection/4","title":"GitHub.Repos.get_commit_signature_protection/4","type":"function"},{"doc":"Get community profile metrics Returns all community profile metrics for a repository. The repository cannot be a fork. The returned metrics include an overall health score, the repository description, the presence of documentation, the detected code of conduct, the detected license, and the presence of ISSUE_TEMPLATE, PULL_REQUEST_TEMPLATE, README, and CONTRIBUTING files. The health_percentage score is defined as a percentage of how many of the recommended community health files are present. For more information, see &quot; About community profiles for public repositories .&quot; content_reports_enabled is only returned for organization-owned repositories. Resources API method documentation","ref":"GitHub.Repos.html#get_community_profile_metrics/3","title":"GitHub.Repos.get_community_profile_metrics/3","type":"function"},{"doc":"Get repository content Gets the contents of a file or directory in a repository. Specify the file path or directory in :path . If you omit :path , you will receive the contents of the repository's root directory. See the description below regarding what the API response includes for directories. Files and symlinks support a custom media type for retrieving the raw content or rendered HTML (when supported). All content types support a custom media type to ensure the content is returned in a consistent object format. Notes : To get a repository's contents recursively, you can recursively get the tree . This API has an upper limit of 1,000 files for a directory. If you need to retrieve more files, use the Git Trees API . Download URLs expire and are meant to be used just once. To ensure the download URL does not expire, please use the contents API to obtain a fresh download URL for each download. Size limits: If the requested file's size is: 1 MB or smaller: All features of this endpoint are supported. Between 1-100 MB: Only the raw or object custom media types are supported. Both will work as normal, except that when using the object media type, the content field will be an empty string and the encoding field will be &quot;none&quot; . To get the contents of these larger files, use the raw media type. Greater than 100 MB: This endpoint is not supported. If the content is a directory: The response will be an array of objects, one object for each item in the directory. When listing the contents of a directory, submodules have their &quot;type&quot; specified as &quot;file&quot;. Logically, the value should be &quot;submodule&quot;. This behavior exists in API v3 for backwards compatibility purposes . In the next major version of the API, the type will be returned as &quot;submodule&quot;. If the content is a symlink: If the requested :path points to a symlink, and the symlink's target is a normal file in the repository, then the API responds with the content of the file (in the format shown in the example. Otherwise, the API responds with an object describing the symlink itself. If the content is a submodule: The submodule_git_url identifies the location of the submodule repository, and the sha identifies a specific commit within the submodule repository. Git uses the given URL when cloning the submodule repository, and checks out the submodule at that specific commit. If the submodule repository is not hosted on github.com, the Git URLs ( git_url and _links[&quot;git&quot;] ) and the github.com URLs ( html_url and _links[&quot;html&quot;] ) will have null values. Options ref : The name of the commit/branch/tag. Default: the repository’s default branch. Resources API method documentation","ref":"GitHub.Repos.html#get_content/4","title":"GitHub.Repos.get_content/4","type":"function"},{"doc":"Get all contributor commit activity Returns the total number of commits authored by the contributor. In addition, the response includes a Weekly Hash ( weeks array) with the following information: w - Start of the week, given as a Unix timestamp . a - Number of additions d - Number of deletions c - Number of commits Resources API method documentation","ref":"GitHub.Repos.html#get_contributors_stats/3","title":"GitHub.Repos.get_contributors_stats/3","type":"function"},{"doc":"Get a custom deployment protection rule Gets an enabled custom deployment protection rule for an environment. Anyone with read access to the repository can use this endpoint. If the repository is private and you want to use a personal access token (classic), you must use an access token with the repo scope. GitHub Apps and fine-grained personal access tokens must have the actions:read permission to use this endpoint. For more information about environments, see &quot; Using environments for deployment .&quot; For more information about the app that is providing this custom deployment rule, see GET /apps/{app_slug} . Resources API method documentation","ref":"GitHub.Repos.html#get_custom_deployment_protection_rule/5","title":"GitHub.Repos.get_custom_deployment_protection_rule/5","type":"function"},{"doc":"Get a deploy key Resources API method documentation","ref":"GitHub.Repos.html#get_deploy_key/4","title":"GitHub.Repos.get_deploy_key/4","type":"function"},{"doc":"Get a deployment Resources API method documentation","ref":"GitHub.Repos.html#get_deployment/4","title":"GitHub.Repos.get_deployment/4","type":"function"},{"doc":"Get a deployment branch policy Gets a deployment branch policy for an environment. Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#get_deployment_branch_policy/5","title":"GitHub.Repos.get_deployment_branch_policy/5","type":"function"},{"doc":"Get a deployment status Users with pull access can view a deployment status for a deployment: Resources API method documentation","ref":"GitHub.Repos.html#get_deployment_status/5","title":"GitHub.Repos.get_deployment_status/5","type":"function"},{"doc":"Get an environment Note: To get information about name patterns that branches must match in order to deploy to this environment, see &quot; Get a deployment branch policy .&quot; Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#get_environment/4","title":"GitHub.Repos.get_environment/4","type":"function"},{"doc":"Get latest Pages build Gets information about the single most recent build of a GitHub Pages site. A token with the repo scope is required. GitHub Apps must have the pages:read permission. Resources API method documentation","ref":"GitHub.Repos.html#get_latest_pages_build/3","title":"GitHub.Repos.get_latest_pages_build/3","type":"function"},{"doc":"Get the latest release View the latest published full release for the repository. The latest release is the most recent non-prerelease, non-draft release, sorted by the created_at attribute. The created_at attribute is the date of the commit used for the release, and not the date when the release was drafted or published. Resources API method documentation","ref":"GitHub.Repos.html#get_latest_release/3","title":"GitHub.Repos.get_latest_release/3","type":"function"},{"doc":"Get an organization rule suite Gets information about a suite of rule evaluations from within an organization. For more information, see &quot; Managing rulesets for repositories in your organization .&quot; Resources API method documentation","ref":"GitHub.Repos.html#get_org_rule_suite/3","title":"GitHub.Repos.get_org_rule_suite/3","type":"function"},{"doc":"List organization rule suites Lists suites of rule evaluations at the organization level. For more information, see &quot; Managing rulesets for repositories in your organization .&quot; Options repository_name : The name of the repository to filter on. When specified, only rule evaluations from this repository will be returned. time_period : The time period to filter by. For example, day will filter for rule suites that occurred in the past 24 hours, and week will filter for insights that occurred in the past 7 days (168 hours). actor_name : The handle for the GitHub user account to filter on. When specified, only rule evaluations triggered by this actor will be returned. rule_suite_result : The rule results to filter on. When specified, only suites with this result will be returned. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_org_rule_suites/2","title":"GitHub.Repos.get_org_rule_suites/2","type":"function"},{"doc":"Get an organization repository ruleset Get a repository ruleset for an organization. Resources API method documentation","ref":"GitHub.Repos.html#get_org_ruleset/3","title":"GitHub.Repos.get_org_ruleset/3","type":"function"},{"doc":"Get all organization repository rulesets Get all the repository rulesets for an organization. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_org_rulesets/2","title":"GitHub.Repos.get_org_rulesets/2","type":"function"},{"doc":"Get a GitHub Pages site Gets information about a GitHub Pages site. A token with the repo scope is required. GitHub Apps must have the pages:read permission. Resources API method documentation","ref":"GitHub.Repos.html#get_pages/3","title":"GitHub.Repos.get_pages/3","type":"function"},{"doc":"Get GitHub Pages build Gets information about a GitHub Pages build. A token with the repo scope is required. GitHub Apps must have the pages:read permission. Resources API method documentation","ref":"GitHub.Repos.html#get_pages_build/4","title":"GitHub.Repos.get_pages_build/4","type":"function"},{"doc":"Get a DNS health check for GitHub Pages Gets a health check of the DNS settings for the CNAME record configured for a repository's GitHub Pages. The first request to this endpoint returns a 202 Accepted status and starts an asynchronous background task to get the results for the domain. After the background task completes, subsequent requests to this endpoint return a 200 OK status with the health check results in the response. To use this endpoint, you must be a repository administrator, maintainer, or have the 'manage GitHub Pages settings' permission. A token with the repo scope or Pages write permission is required. GitHub Apps must have the administrative:write and pages:write permissions. Resources API method documentation","ref":"GitHub.Repos.html#get_pages_health_check/3","title":"GitHub.Repos.get_pages_health_check/3","type":"function"},{"doc":"Get the weekly commit count Returns the total commit counts for the owner and total commit counts in all . all is everyone combined, including the owner in the last 52 weeks. If you'd like to get the commit counts for non-owners, you can subtract owner from all . The array order is oldest week (index 0) to most recent week. The most recent week is seven days ago at UTC midnight to today at UTC midnight. Resources API method documentation","ref":"GitHub.Repos.html#get_participation_stats/3","title":"GitHub.Repos.get_participation_stats/3","type":"function"},{"doc":"Get pull request review protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#get_pull_request_review_protection/4","title":"GitHub.Repos.get_pull_request_review_protection/4","type":"function"},{"doc":"Get the hourly commit count for each day Each array contains the day number, hour number, and number of commits: 0-6 : Sunday - Saturday 0-23 : Hour of day Number of commits For example, [2, 14, 25] indicates that there were 25 total commits, during the 2:00pm hour on Tuesdays. All times are based on the time zone of individual commits. Resources API method documentation","ref":"GitHub.Repos.html#get_punch_card_stats/3","title":"GitHub.Repos.get_punch_card_stats/3","type":"function"},{"doc":"Get a repository README Gets the preferred README for a repository. READMEs support custom media types for retrieving the raw content or rendered HTML. Options ref : The name of the commit/branch/tag. Default: the repository’s default branch. Resources API method documentation","ref":"GitHub.Repos.html#get_readme/3","title":"GitHub.Repos.get_readme/3","type":"function"},{"doc":"Get a repository README for a directory Gets the README from a repository directory. READMEs support custom media types for retrieving the raw content or rendered HTML. Options ref : The name of the commit/branch/tag. Default: the repository’s default branch. Resources API method documentation","ref":"GitHub.Repos.html#get_readme_in_directory/4","title":"GitHub.Repos.get_readme_in_directory/4","type":"function"},{"doc":"Get a release Note: This returns an upload_url key corresponding to the endpoint for uploading release assets. This key is a hypermedia resource . Resources API method documentation","ref":"GitHub.Repos.html#get_release/4","title":"GitHub.Repos.get_release/4","type":"function"},{"doc":"Get a release asset To download the asset's binary content, set the Accept header of the request to application/octet-stream . The API will either redirect the client to the location, or stream it directly if possible. API clients should handle both a 200 or 302 response. Resources API method documentation","ref":"GitHub.Repos.html#get_release_asset/4","title":"GitHub.Repos.get_release_asset/4","type":"function"},{"doc":"Get a release by tag name Get a published release with the specified tag. Resources API method documentation","ref":"GitHub.Repos.html#get_release_by_tag/4","title":"GitHub.Repos.get_release_by_tag/4","type":"function"},{"doc":"Get a repository rule suite Gets information about a suite of rule evaluations from within a repository. For more information, see &quot; Managing rulesets for a repository .&quot; Resources API method documentation","ref":"GitHub.Repos.html#get_repo_rule_suite/4","title":"GitHub.Repos.get_repo_rule_suite/4","type":"function"},{"doc":"List repository rule suites Lists suites of rule evaluations at the repository level. For more information, see &quot; Managing rulesets for a repository .&quot; Options ref : The name of the ref. Cannot contain wildcard characters. When specified, only rule evaluations triggered for this ref will be returned. time_period : The time period to filter by. For example, day will filter for rule suites that occurred in the past 24 hours, and week will filter for insights that occurred in the past 7 days (168 hours). actor_name : The handle for the GitHub user account to filter on. When specified, only rule evaluations triggered by this actor will be returned. rule_suite_result : The rule results to filter on. When specified, only suites with this result will be returned. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#get_repo_rule_suites/3","title":"GitHub.Repos.get_repo_rule_suites/3","type":"function"},{"doc":"Get a repository ruleset Get a ruleset for a repository. Options includes_parents : Include rulesets configured at higher levels that apply to this repository Resources API method documentation","ref":"GitHub.Repos.html#get_repo_ruleset/4","title":"GitHub.Repos.get_repo_ruleset/4","type":"function"},{"doc":"Get all repository rulesets Get all the rulesets for a repository. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. includes_parents : Include rulesets configured at higher levels that apply to this repository Resources API method documentation","ref":"GitHub.Repos.html#get_repo_rulesets/3","title":"GitHub.Repos.get_repo_rulesets/3","type":"function"},{"doc":"Get status checks protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#get_status_checks_protection/4","title":"GitHub.Repos.get_status_checks_protection/4","type":"function"},{"doc":"Get teams with access to the protected branch Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Lists the teams who have push access to this branch. The list includes child teams. Resources API method documentation","ref":"GitHub.Repos.html#get_teams_with_access_to_protected_branch/4","title":"GitHub.Repos.get_teams_with_access_to_protected_branch/4","type":"function"},{"doc":"Get top referral paths Get the top 10 popular contents over the last 14 days. Resources API method documentation","ref":"GitHub.Repos.html#get_top_paths/3","title":"GitHub.Repos.get_top_paths/3","type":"function"},{"doc":"Get top referral sources Get the top 10 referrers over the last 14 days. Resources API method documentation","ref":"GitHub.Repos.html#get_top_referrers/3","title":"GitHub.Repos.get_top_referrers/3","type":"function"},{"doc":"Get users with access to the protected branch Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Lists the people who have push access to this branch. Resources API method documentation","ref":"GitHub.Repos.html#get_users_with_access_to_protected_branch/4","title":"GitHub.Repos.get_users_with_access_to_protected_branch/4","type":"function"},{"doc":"Get page views Get the total number of views and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday. Options per : The time frame to display results for. Resources API method documentation","ref":"GitHub.Repos.html#get_views/3","title":"GitHub.Repos.get_views/3","type":"function"},{"doc":"Get a repository webhook Returns a webhook configured in a repository. To get only the webhook config properties, see &quot; Get a webhook configuration for a repository .&quot; Resources API method documentation","ref":"GitHub.Repos.html#get_webhook/4","title":"GitHub.Repos.get_webhook/4","type":"function"},{"doc":"Get a webhook configuration for a repository Returns the webhook configuration for a repository. To get more information about the webhook, including the active state and events , use &quot; Get a repository webhook .&quot; Access tokens must have the read:repo_hook or repo scope, and GitHub Apps must have the repository_hooks:read permission. Resources API method documentation","ref":"GitHub.Repos.html#get_webhook_config_for_repo/4","title":"GitHub.Repos.get_webhook_config_for_repo/4","type":"function"},{"doc":"Get a delivery for a repository webhook Returns a delivery for a webhook configured in a repository. Resources API method documentation","ref":"GitHub.Repos.html#get_webhook_delivery/5","title":"GitHub.Repos.get_webhook_delivery/5","type":"function"},{"doc":"List repository activities Lists a detailed history of changes to a repository, such as pushes, merges, force pushes, and branch changes, and associates these changes with commits and users. For more information about viewing repository activity, see &quot; Viewing repository activity .&quot; Options direction : The direction to sort the results by. per_page : The number of results per page (max 100). before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. ref : The Git reference for the activities you want to list. The ref for a branch can be formatted either as refs/heads/BRANCH_NAME or BRANCH_NAME , where BRANCH_NAME is the name of your branch. actor : The GitHub username to use to filter by the actor who performed the activity. time_period : The time period to filter by. For example, day will filter for activity that occurred in the past 24 hours, and week will filter for activity that occurred in the past 7 days (168 hours). activity_type : The activity type to filter by. For example, you can choose to filter by &quot;force_push&quot;, to see all force pushes to the repository. Resources API method documentation","ref":"GitHub.Repos.html#list_activities/3","title":"GitHub.Repos.list_activities/3","type":"function"},{"doc":"List all autolinks of a repository This returns a list of autolinks configured for the given repository. Information about autolinks are only available to repository administrators. Options page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_autolinks/3","title":"GitHub.Repos.list_autolinks/3","type":"function"},{"doc":"List branches Options protected : Setting to true returns only protected branches. When set to false , only unprotected branches are returned. Omitting this parameter returns all branches. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_branches/3","title":"GitHub.Repos.list_branches/3","type":"function"},{"doc":"List branches for HEAD commit Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Returns all branches where the given commit SHA is the HEAD, or latest commit for the branch. Resources API method documentation","ref":"GitHub.Repos.html#list_branches_for_head_commit/4","title":"GitHub.Repos.list_branches_for_head_commit/4","type":"function"},{"doc":"List repository collaborators For organization-owned repositories, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners. Organization members with write, maintain, or admin privileges on the organization-owned repository can use this endpoint. Team members will include the members of child teams. You must authenticate using an access token with the read:org and repo scopes with push access to use this endpoint. GitHub Apps must have the members organization permission and metadata repository permission to use this endpoint. Options affiliation : Filter collaborators returned by their affiliation. outside means all outside collaborators of an organization-owned repository. direct means all collaborators with permissions to an organization-owned repository, regardless of organization membership status. all means all collaborators the authenticated user can see. permission : Filter collaborators by the permissions they have on the repository. If not specified, all collaborators will be returned. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_collaborators/3","title":"GitHub.Repos.list_collaborators/3","type":"function"},{"doc":"List commit comments Use the :commit_sha to specify the commit that will have its comments listed. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_comments_for_commit/4","title":"GitHub.Repos.list_comments_for_commit/4","type":"function"},{"doc":"List commit comments for a repository Commit Comments use these custom media types . You can read more about the use of media types in the API here . Comments are ordered by ascending ID. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_commit_comments_for_repo/3","title":"GitHub.Repos.list_commit_comments_for_repo/3","type":"function"},{"doc":"List commit statuses for a reference Users with pull access in a repository can view commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name. Statuses are returned in reverse chronological order. The first status in the list will be the latest one. This resource is also available via a legacy route: GET /repos/:owner/:repo/statuses/:ref . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_commit_statuses_for_ref/4","title":"GitHub.Repos.list_commit_statuses_for_ref/4","type":"function"},{"doc":"List commits Signature verification object The response will include a verification object that describes the result of verifying the commit's signature. The following fields are included in the verification object: Name Type Description verified boolean Indicates whether GitHub considers the signature in this commit to be verified. reason string The reason for verified value. Possible values and their meanings are enumerated in table below. signature string The signature that was extracted from the commit. payload string The value that was signed. These are the possible values for reason in the verification object: Value Description expired_key The key that made the signature is expired. not_signing_key The &quot;signing&quot; flag is not among the usage flags in the GPG key that made the signature. gpgverify_error There was an error communicating with the signature verification service. gpgverify_unavailable The signature verification service is currently unavailable. unsigned The object does not include a signature. unknown_signature_type A non-PGP signature was found in the commit. no_user No user was associated with the committer email address in the commit. unverified_email The committer email address in the commit was associated with a user, but the email address is not verified on their account. bad_email The committer email address in the commit is not included in the identities of the PGP key that made the signature. unknown_key The key that made the signature has not been registered with any user's account. malformed_signature There was an error parsing the signature. invalid The signature could not be cryptographically verified using the key whose key-id was found in the signature. valid None of the above errors applied, so the signature is considered to be verified. Options sha : SHA or branch to start listing commits from. Default: the repository’s default branch (usually main ). path : Only commits containing this file path will be returned. author : GitHub username or email address to use to filter by commit author. committer : GitHub username or email address to use to filter by commit committer. since : Only show results that were last updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . until : Only commits before this date will be returned. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_commits/3","title":"GitHub.Repos.list_commits/3","type":"function"},{"doc":"List repository contributors Lists contributors to the specified repository and sorts them by the number of commits per contributor in descending order. This endpoint may return information that is a few hours old because the GitHub REST API caches contributor data to improve performance. GitHub identifies contributors by author email address. This endpoint groups contribution counts by GitHub user, which includes all associated email addresses. To improve performance, only the first 500 author email addresses in the repository link to GitHub users. The rest will appear as anonymous contributors without associated GitHub user information. Options anon : Set to 1 or true to include anonymous contributors in results. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_contributors/3","title":"GitHub.Repos.list_contributors/3","type":"function"},{"doc":"List custom deployment rule integrations available for an environment Gets all custom deployment protection rule integrations that are available for an environment. Anyone with read access to the repository can use this endpoint. If the repository is private and you want to use a personal access token (classic), you must use an access token with the repo scope. GitHub Apps and fine-grained personal access tokens must have the actions:read permission to use this endpoint. For more information about environments, see &quot; Using environments for deployment .&quot; For more information about the app that is providing this custom deployment rule, see &quot; GET an app &quot;. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Repos.html#list_custom_deployment_rule_integrations/4","title":"GitHub.Repos.list_custom_deployment_rule_integrations/4","type":"function"},{"doc":"List deploy keys Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deploy_keys/3","title":"GitHub.Repos.list_deploy_keys/3","type":"function"},{"doc":"List deployment branch policies Lists the deployment branch policies for an environment. Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the repo scope. GitHub Apps must have the actions:read permission to use this endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deployment_branch_policies/4","title":"GitHub.Repos.list_deployment_branch_policies/4","type":"function"},{"doc":"List deployment statuses Users with pull access can view deployment statuses for a deployment: Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deployment_statuses/4","title":"GitHub.Repos.list_deployment_statuses/4","type":"function"},{"doc":"List deployments Simple filtering of deployments is available via query parameters: Options sha : The SHA recorded at creation time. ref : The name of the ref. This can be a branch, tag, or SHA. task : The name of the task for the deployment (e.g., deploy or deploy:migrations ). environment : The name of the environment that was deployed to (e.g., staging or production ). per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_deployments/3","title":"GitHub.Repos.list_deployments/3","type":"function"},{"doc":"List repositories for the authenticated user Lists repositories that the authenticated user has explicit permission ( :read , :write , or :admin ) to access. The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership. Options visibility : Limit results to repositories with the specified visibility. affiliation : Comma-separated list of values. Can include: owner : Repositories that are owned by the authenticated user. collaborator : Repositories that the user has been added to as a collaborator. organization_member : Repositories that the user has access to through being a member of an organization. This includes every repository on every team that the user is on. type : Limit results to repositories of the specified type. Will cause a 422 error if used in the same request as visibility or affiliation . sort : The property to sort the results by. direction : The order to sort by. Default: asc when using full_name , otherwise desc . per_page : The number of results per page (max 100). page : Page number of the results to fetch. since : Only show repositories updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . before : Only show repositories updated before the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ . Resources API method documentation","ref":"GitHub.Repos.html#list_for_authenticated_user/1","title":"GitHub.Repos.list_for_authenticated_user/1","type":"function"},{"doc":"List organization repositories Lists repositories for the specified organization. Note: In order to see the security_and_analysis block for a repository you must have admin permissions for the repository or be an owner or security manager for the organization that owns the repository. For more information, see &quot; Managing security managers in your organization .&quot; Options type : Specifies the types of repositories you want returned. sort : The property to sort the results by. direction : The order to sort by. Default: asc when using full_name , otherwise desc . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_for_org/2","title":"GitHub.Repos.list_for_org/2","type":"function"},{"doc":"List repositories for a user Lists public repositories for the specified user. Note: For GitHub AE, this endpoint will list internal repositories for the specified user. Options type : Limit results to repositories of the specified type. sort : The property to sort the results by. direction : The order to sort by. Default: asc when using full_name , otherwise desc . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_for_user/2","title":"GitHub.Repos.list_for_user/2","type":"function"},{"doc":"List forks Options sort : The sort order. stargazers will sort by star count. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_forks/3","title":"GitHub.Repos.list_forks/3","type":"function"},{"doc":"List repository invitations When authenticating as a user with admin rights to a repository, this endpoint will list all currently open repository invitations. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_invitations/3","title":"GitHub.Repos.list_invitations/3","type":"function"},{"doc":"List repository invitations for the authenticated user When authenticating as a user, this endpoint will list all currently open repository invitations for that user. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_invitations_for_authenticated_user/1","title":"GitHub.Repos.list_invitations_for_authenticated_user/1","type":"function"},{"doc":"List repository languages Lists languages for the specified repository. The value shown for each language is the number of bytes of code written in that language. Resources API method documentation","ref":"GitHub.Repos.html#list_languages/3","title":"GitHub.Repos.list_languages/3","type":"function"},{"doc":"List GitHub Pages builds Lists builts of a GitHub Pages site. A token with the repo scope is required. GitHub Apps must have the pages:read permission. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_pages_builds/3","title":"GitHub.Repos.list_pages_builds/3","type":"function"},{"doc":"List public repositories Lists all public repositories in the order that they were created. Note: For GitHub Enterprise Server, this endpoint will only list repositories available to all users on the enterprise. Pagination is powered exclusively by the since parameter. Use the Link header to get the URL for the next page of repositories. Options since : A repository ID. Only return repositories with an ID greater than this ID. Resources API method documentation","ref":"GitHub.Repos.html#list_public/1","title":"GitHub.Repos.list_public/1","type":"function"},{"doc":"List pull requests associated with a commit Lists the merged pull request that introduced the commit to the repository. If the commit is not present in the default branch, will only return open pull requests associated with the commit. To list the open or merged pull requests associated with a branch, you can set the commit_sha parameter to the branch name. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_pull_requests_associated_with_commit/4","title":"GitHub.Repos.list_pull_requests_associated_with_commit/4","type":"function"},{"doc":"List release assets Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_release_assets/4","title":"GitHub.Repos.list_release_assets/4","type":"function"},{"doc":"List releases This returns a list of releases, which does not include regular Git tags that have not been associated with a release. To get a list of Git tags, use the Repository Tags API . Information about published releases are available to everyone. Only users with push access will receive listings for draft releases. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_releases/3","title":"GitHub.Repos.list_releases/3","type":"function"},{"doc":"List tag protection states for a repository This returns the tag protection states of a repository. This information is only available to repository administrators. Resources API method documentation","ref":"GitHub.Repos.html#list_tag_protection/3","title":"GitHub.Repos.list_tag_protection/3","type":"function"},{"doc":"List repository tags Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_tags/3","title":"GitHub.Repos.list_tags/3","type":"function"},{"doc":"List repository teams Lists the teams that have access to the specified repository and that are also visible to the authenticated user. For a public repository, a team is listed only if that team added the public repository explicitly. Personal access tokens require the following scopes: public_repo to call this endpoint on a public repository repo to call this endpoint on a private repository (this scope also includes public repositories) This endpoint is not compatible with fine-grained personal access tokens. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_teams/3","title":"GitHub.Repos.list_teams/3","type":"function"},{"doc":"List deliveries for a repository webhook Returns a list of webhook deliveries for a webhook configured in a repository. Options per_page : The number of results per page (max 100). cursor : Used for pagination: the starting delivery from which the page of deliveries is fetched. Refer to the link header for the next and previous page cursors. redelivery Resources API method documentation","ref":"GitHub.Repos.html#list_webhook_deliveries/4","title":"GitHub.Repos.list_webhook_deliveries/4","type":"function"},{"doc":"List repository webhooks Lists webhooks for a repository. last response may return null if there have not been any deliveries within 30 days. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Repos.html#list_webhooks/3","title":"GitHub.Repos.list_webhooks/3","type":"function"},{"doc":"Merge a branch Resources API method documentation","ref":"GitHub.Repos.html#merge/4","title":"GitHub.Repos.merge/4","type":"function"},{"doc":"Sync a fork branch with the upstream repository Sync a branch of a forked repository to keep it up-to-date with the upstream repository. Resources API method documentation","ref":"GitHub.Repos.html#merge_upstream/4","title":"GitHub.Repos.merge_upstream/4","type":"function"},{"doc":"Ping a repository webhook This will trigger a ping event to be sent to the hook. Resources API method documentation","ref":"GitHub.Repos.html#ping_webhook/4","title":"GitHub.Repos.ping_webhook/4","type":"function"},{"doc":"Redeliver a delivery for a repository webhook Redeliver a webhook delivery for a webhook configured in a repository. Resources API method documentation","ref":"GitHub.Repos.html#redeliver_webhook_delivery/5","title":"GitHub.Repos.redeliver_webhook_delivery/5","type":"function"},{"doc":"Remove app access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Removes the ability of an app to push to this branch. Only installed GitHub Apps with write access to the contents permission can be added as authorized actors on a protected branch. Resources API method documentation","ref":"GitHub.Repos.html#remove_app_access_restrictions/5","title":"GitHub.Repos.remove_app_access_restrictions/5","type":"function"},{"doc":"Remove a repository collaborator Removes a collaborator from a repository. To use this endpoint, the authenticated user must either be an administrator of the repository or target themselves for removal. This endpoint also: Cancels any outstanding invitations Unasigns the user from any issues Removes access to organization projects if the user is not an organization member and is not a collaborator on any other organization repositories. Unstars the repository Updates access permissions to packages Removing a user as a collaborator has the following effects on forks: If the user had access to a fork through their membership to this repository, the user will also be removed from the fork. If the user had their own fork of the repository, the fork will be deleted. If the user still has read access to the repository, open pull requests by this user from a fork will be denied. Note : A user can still have access to the repository through organization permissions like base repository permissions. Although the API responds immediately, the additional permission updates might take some extra time to complete in the background. For more information on fork permissions, see &quot; About permissions and visibility of forks &quot;. Resources API method documentation","ref":"GitHub.Repos.html#remove_collaborator/4","title":"GitHub.Repos.remove_collaborator/4","type":"function"},{"doc":"Remove status check contexts Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#remove_status_check_contexts/5","title":"GitHub.Repos.remove_status_check_contexts/5","type":"function"},{"doc":"Remove status check protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#remove_status_check_protection/4","title":"GitHub.Repos.remove_status_check_protection/4","type":"function"},{"doc":"Remove team access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Removes the ability of a team to push to this branch. You can also remove push access for child teams. Resources API method documentation","ref":"GitHub.Repos.html#remove_team_access_restrictions/5","title":"GitHub.Repos.remove_team_access_restrictions/5","type":"function"},{"doc":"Remove user access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Removes the ability of a user to push to this branch. Type Description array Usernames of the people who should no longer have push access. Note : The list of users, apps, and teams in total is limited to 100 items. Resources API method documentation","ref":"GitHub.Repos.html#remove_user_access_restrictions/5","title":"GitHub.Repos.remove_user_access_restrictions/5","type":"function"},{"doc":"Rename a branch Renames a branch in a repository. Note: Although the API responds immediately, the branch rename process might take some extra time to complete in the background. You won't be able to push to the old branch name while the rename process is in progress. For more information, see &quot; Renaming a branch &quot;. The permissions required to use this endpoint depends on whether you are renaming the default branch. To rename a non-default branch: Users must have push access. GitHub Apps must have the contents:write repository permission. To rename the default branch: Users must have admin or owner permissions. GitHub Apps must have the administration:write repository permission. Resources API method documentation","ref":"GitHub.Repos.html#rename_branch/5","title":"GitHub.Repos.rename_branch/5","type":"function"},{"doc":"Replace all repository topics Resources API method documentation","ref":"GitHub.Repos.html#replace_all_topics/4","title":"GitHub.Repos.replace_all_topics/4","type":"function"},{"doc":"Request a GitHub Pages build You can request that your site be built from the latest revision on the default branch. This has the same effect as pushing a commit to your default branch, but does not require an additional commit. Manually triggering page builds can be helpful when diagnosing build warnings and failures. Build requests are limited to one concurrent build per repository and one concurrent build per requester. If you request a build while another is still in progress, the second request will be queued until the first completes. Resources API method documentation","ref":"GitHub.Repos.html#request_pages_build/3","title":"GitHub.Repos.request_pages_build/3","type":"function"},{"doc":"Set admin branch protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Adding admin enforcement requires admin or owner permissions to the repository and branch protection to be enabled. Resources API method documentation","ref":"GitHub.Repos.html#set_admin_branch_protection/4","title":"GitHub.Repos.set_admin_branch_protection/4","type":"function"},{"doc":"Set app access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Replaces the list of apps that have push access to this branch. This removes all apps that previously had push access and grants push access to the new list of apps. Only installed GitHub Apps with write access to the contents permission can be added as authorized actors on a protected branch. Resources API method documentation","ref":"GitHub.Repos.html#set_app_access_restrictions/5","title":"GitHub.Repos.set_app_access_restrictions/5","type":"function"},{"doc":"Set status check contexts Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Resources API method documentation","ref":"GitHub.Repos.html#set_status_check_contexts/5","title":"GitHub.Repos.set_status_check_contexts/5","type":"function"},{"doc":"Set team access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Replaces the list of teams that have push access to this branch. This removes all teams that previously had push access and grants push access to the new list of teams. Team restrictions include child teams. Resources API method documentation","ref":"GitHub.Repos.html#set_team_access_restrictions/5","title":"GitHub.Repos.set_team_access_restrictions/5","type":"function"},{"doc":"Set user access restrictions Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Replaces the list of people that have push access to this branch. This removes all people that previously had push access and grants push access to the new list of people. Type Description array Usernames for people who can have push access. Note : The list of users, apps, and teams in total is limited to 100 items. Resources API method documentation","ref":"GitHub.Repos.html#set_user_access_restrictions/5","title":"GitHub.Repos.set_user_access_restrictions/5","type":"function"},{"doc":"Test the push repository webhook This will trigger the hook with the latest push to the current repository if the hook is subscribed to push events. If the hook is not subscribed to push events, the server will respond with 204 but no test POST will be generated. Note : Previously /repos/:owner/:repo/hooks/:hook_id/test Resources API method documentation","ref":"GitHub.Repos.html#test_push_webhook/4","title":"GitHub.Repos.test_push_webhook/4","type":"function"},{"doc":"Transfer a repository A transfer request will need to be accepted by the new owner when transferring a personal repository to another user. The response will contain the original owner , and the transfer will continue asynchronously. For more details on the requirements to transfer personal and organization-owned repositories, see about repository transfers . You must use a personal access token (classic) or an OAuth token for this endpoint. An installation access token or a fine-grained personal access token cannot be used because they are only granted access to a single account. Resources API method documentation","ref":"GitHub.Repos.html#transfer/4","title":"GitHub.Repos.transfer/4","type":"function"},{"doc":"Update a repository Note : To edit a repository's topics, use the Replace all repository topics endpoint. Resources API method documentation","ref":"GitHub.Repos.html#update/4","title":"GitHub.Repos.update/4","type":"function"},{"doc":"Update branch protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Protecting a branch requires admin or owner permissions to the repository. Note : Passing new arrays of users and teams replaces their previous values. Note : The list of users, apps, and teams in total is limited to 100 items. Resources API method documentation","ref":"GitHub.Repos.html#update_branch_protection/5","title":"GitHub.Repos.update_branch_protection/5","type":"function"},{"doc":"Update a commit comment Resources API method documentation","ref":"GitHub.Repos.html#update_commit_comment/5","title":"GitHub.Repos.update_commit_comment/5","type":"function"},{"doc":"Update a deployment branch policy Updates a deployment branch policy for an environment. You must authenticate using an access token with the repo scope to use this endpoint. GitHub Apps must have the administration:write permission for the repository to use this endpoint. Resources API method documentation","ref":"GitHub.Repos.html#update_deployment_branch_policy/6","title":"GitHub.Repos.update_deployment_branch_policy/6","type":"function"},{"doc":"Update information about a GitHub Pages site Updates information for a GitHub Pages site. For more information, see &quot; About GitHub Pages . To use this endpoint, you must be a repository administrator, maintainer, or have the 'manage GitHub Pages settings' permission. A token with the repo scope or Pages write permission is required. GitHub Apps must have the administration:write and pages:write permissions. Resources API method documentation","ref":"GitHub.Repos.html#update_information_about_pages_site/4","title":"GitHub.Repos.update_information_about_pages_site/4","type":"function"},{"doc":"Update a repository invitation Resources API method documentation","ref":"GitHub.Repos.html#update_invitation/5","title":"GitHub.Repos.update_invitation/5","type":"function"},{"doc":"Update an organization repository ruleset Update a ruleset for an organization. Resources API method documentation","ref":"GitHub.Repos.html#update_org_ruleset/4","title":"GitHub.Repos.update_org_ruleset/4","type":"function"},{"doc":"Update pull request review protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Updating pull request review enforcement requires admin or owner permissions to the repository and branch protection to be enabled. Note : Passing new arrays of users and teams replaces their previous values. Resources API method documentation","ref":"GitHub.Repos.html#update_pull_request_review_protection/5","title":"GitHub.Repos.update_pull_request_review_protection/5","type":"function"},{"doc":"Update a release Users with push access to the repository can edit a release. Resources API method documentation","ref":"GitHub.Repos.html#update_release/5","title":"GitHub.Repos.update_release/5","type":"function"},{"doc":"Update a release asset Users with push access to the repository can edit a release asset. Resources API method documentation","ref":"GitHub.Repos.html#update_release_asset/5","title":"GitHub.Repos.update_release_asset/5","type":"function"},{"doc":"Update a repository ruleset Update a ruleset for a repository. Resources API method documentation","ref":"GitHub.Repos.html#update_repo_ruleset/5","title":"GitHub.Repos.update_repo_ruleset/5","type":"function"},{"doc":"Update status check protection Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see GitHub's products in the GitHub Help documentation. Updating required status checks requires admin or owner permissions to the repository and branch protection to be enabled. Resources API method documentation","ref":"GitHub.Repos.html#update_status_check_protection/5","title":"GitHub.Repos.update_status_check_protection/5","type":"function"},{"doc":"Update a repository webhook Updates a webhook configured in a repository. If you previously had a secret set, you must provide the same secret or set a new secret or the secret will be removed. If you are only updating individual webhook config properties, use &quot; Update a webhook configuration for a repository .&quot; Resources API method documentation","ref":"GitHub.Repos.html#update_webhook/5","title":"GitHub.Repos.update_webhook/5","type":"function"},{"doc":"Update a webhook configuration for a repository Updates the webhook configuration for a repository. To update more information about the webhook, including the active state and events , use &quot; Update a repository webhook .&quot; Access tokens must have the write:repo_hook or repo scope, and GitHub Apps must have the repository_hooks:write permission. Resources API method documentation","ref":"GitHub.Repos.html#update_webhook_config_for_repo/5","title":"GitHub.Repos.update_webhook_config_for_repo/5","type":"function"},{"doc":"Upload a release asset This endpoint makes use of a Hypermedia relation to determine which URL to access. The endpoint you call to upload release assets is specific to your release. Use the upload_url returned in the response of the Create a release endpoint to upload a release asset. You need to use an HTTP client which supports SNI to make calls to this endpoint. Most libraries will set the required Content-Length header automatically. Use the required Content-Type header to provide the media type of the asset. For a list of media types, see Media Types . For example: application/zip GitHub expects the asset data in its raw binary form, rather than JSON. You will send the raw binary content of the asset as the request body. Everything else about the endpoint is the same as the rest of the API. For example, you'll still need to pass your authentication to be able to upload an asset. When an upstream failure occurs, you will receive a 502 Bad Gateway status. This may leave an empty asset with a state of starter . It can be safely deleted. Notes: GitHub renames asset filenames that have special characters, non-alphanumeric characters, and leading or trailing periods. The &quot; List release assets &quot; endpoint lists the renamed filenames. For more information and help, contact GitHub Support . To find the release_id query the GET /repos/{owner}/{repo}/releases/latest endpoint . If you upload an asset with the same filename as another uploaded asset, you'll receive an error and must delete the old file before you can re-upload the new asset. Options name label Resources API method documentation","ref":"GitHub.Repos.html#upload_release_asset/5","title":"GitHub.Repos.upload_release_asset/5","type":"function"},{"doc":"Provides API endpoints related to search","ref":"GitHub.Search.html","title":"GitHub.Search","type":"module"},{"doc":"Search code Searches for query terms inside of a file. This method returns up to 100 results per page . When searching for code, you can get text match metadata for the file content and file path fields when you pass the text-match media type. For more details about how to receive highlighted search results, see Text match metadata . For example, if you want to find the definition of the addClass function inside jQuery repository, your query would look something like this: q=addClass+in:file+language:js+repo:jquery/jquery This query searches for the keyword addClass within a file's contents. The query limits the search to files where the language is JavaScript in the jquery/jquery repository. Considerations for code search: Due to the complexity of searching code, there are a few restrictions on how searches are performed: Only the default branch is considered. In most cases, this will be the master branch. Only files smaller than 384 KB are searchable. You must always include at least one search term when searching source code. For example, searching for language:go is not valid, while amazing language:go is. This endpoint requires you to authenticate and limits you to 10 requests per minute. Options q : The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching code &quot; for a detailed list of qualifiers. sort : This field is deprecated. Sorts the results of your query. Can only be indexed , which indicates how recently a file has been indexed by the GitHub search infrastructure. Default: best match order : This field is deprecated. Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#code/1","title":"GitHub.Search.code/1","type":"function"},{"doc":"Search commits Find commits via various criteria on the default branch (usually main ). This method returns up to 100 results per page . When searching for commits, you can get text match metadata for the message field when you provide the text-match media type. For more details about how to receive highlighted search results, see Text match metadata . For example, if you want to find commits related to CSS in the octocat/Spoon-Knife repository. Your query would look something like this: q=repo:octocat/Spoon-Knife+css Options q : The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching commits &quot; for a detailed list of qualifiers. sort : Sorts the results of your query by author-date or committer-date . Default: best match order : Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#commits/1","title":"GitHub.Search.commits/1","type":"function"},{"doc":"Search issues and pull requests Find issues by state and keyword. This method returns up to 100 results per page . When searching for issues, you can get text match metadata for the issue title , issue body , and issue comment body fields when you pass the text-match media type. For more details about how to receive highlighted search results, see Text match metadata . For example, if you want to find the oldest unresolved Python bugs on Windows. Your query might look something like this. q=windows+label:bug+language:python+state:open&amp;sort=created&amp;order=asc This query searches for the keyword windows , within any open issue that is labeled as bug . The search runs across repositories whose primary language is Python. The results are sorted by creation date in ascending order, which means the oldest issues appear first in the search results. Note: For requests made by GitHub Apps with a user access token, you can't retrieve a combination of issues and pull requests in a single query. Requests that don't include the is:issue or is:pull-request qualifier will receive an HTTP 422 Unprocessable Entity response. To get results for both issues and pull requests, you must send separate queries for issues and pull requests. For more information about the is qualifier, see &quot; Searching only issues or pull requests .&quot; Options q : The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching issues and pull requests &quot; for a detailed list of qualifiers. sort : Sorts the results of your query by the number of comments , reactions , reactions-+1 , reactions--1 , reactions-smile , reactions-thinking_face , reactions-heart , reactions-tada , or interactions . You can also sort results by how recently the items were created or updated , Default: best match order : Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#issues_and_pull_requests/1","title":"GitHub.Search.issues_and_pull_requests/1","type":"function"},{"doc":"Search labels Find labels in a repository with names or descriptions that match search keywords. Returns up to 100 results per page . When searching for labels, you can get text match metadata for the label name and description fields when you pass the text-match media type. For more details about how to receive highlighted search results, see Text match metadata . For example, if you want to find labels in the linguist repository that match bug , defect , or enhancement . Your query might look like this: q=bug+defect+enhancement&amp;repository_id=64778136 The labels that best match the query appear first in the search results. Options repository_id : The id of the repository. q : The search keywords. This endpoint does not accept qualifiers in the query. To learn more about the format of the query, see Constructing a search query . sort : Sorts the results of your query by when the label was created or updated . Default: best match order : Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#labels/1","title":"GitHub.Search.labels/1","type":"function"},{"doc":"Search repositories Find repositories via various criteria. This method returns up to 100 results per page . When searching for repositories, you can get text match metadata for the name and description fields when you pass the text-match media type. For more details about how to receive highlighted search results, see Text match metadata . For example, if you want to search for popular Tetris repositories written in assembly code, your query might look like this: q=tetris+language:assembly&amp;sort=stars&amp;order=desc This query searches for repositories with the word tetris in the name, the description, or the README. The results are limited to repositories where the primary language is assembly. The results are sorted by stars in descending order, so that the most popular repositories appear first in the search results. Options q : The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching for repositories &quot; for a detailed list of qualifiers. sort : Sorts the results of your query by number of stars , forks , or help-wanted-issues or how recently the items were updated . Default: best match order : Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#repos/1","title":"GitHub.Search.repos/1","type":"function"},{"doc":"Search topics Find topics via various criteria. Results are sorted by best match. This method returns up to 100 results per page . See &quot; Searching topics &quot; for a detailed list of qualifiers. When searching for topics, you can get text match metadata for the topic's short_description , description , name , or display_name field when you pass the text-match media type. For more details about how to receive highlighted search results, see Text match metadata . For example, if you want to search for topics related to Ruby that are featured on https://github.com/topics . Your query might look like this: q=ruby+is:featured This query searches for topics with the keyword ruby and limits the results to find only topics that are featured. The topics that are the best match for the query appear first in the search results. Options q : The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#topics/1","title":"GitHub.Search.topics/1","type":"function"},{"doc":"Search users Find users via various criteria. This method returns up to 100 results per page . When searching for users, you can get text match metadata for the issue login , public email , and name fields when you pass the text-match media type. For more details about highlighting search results, see Text match metadata . For more details about how to receive highlighted search results, see Text match metadata . For example, if you're looking for a list of popular users, you might try this query: q=tom+repos:%3E42+followers:%3E1000 This query searches for users with the name tom . The results are restricted to users with more than 42 repositories and over 1,000 followers. This endpoint does not accept authentication and will only include publicly visible users. As an alternative, you can use the GraphQL API. The GraphQL API requires authentication and will return private users, including Enterprise Managed Users (EMUs), that you are authorized to view. For more information, see &quot; GraphQL Queries .&quot; Options q : The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as the web interface for GitHub. To learn more about the format of the query, see Constructing a search query . See &quot; Searching users &quot; for a detailed list of qualifiers. sort : Sorts the results of your query by number of followers or repositories , or when the person joined GitHub. Default: best match order : Determines whether the first search result returned is the highest number of matches ( desc ) or lowest number of matches ( asc ). This parameter is ignored unless you provide sort . per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Search.html#users/1","title":"GitHub.Search.users/1","type":"function"},{"doc":"Provides API endpoints related to secret scanning","ref":"GitHub.SecretScanning.html","title":"GitHub.SecretScanning","type":"module"},{"doc":"Get a secret scanning alert Gets a single secret scanning alert detected in an eligible repository. To use this endpoint, you must be an administrator for the repository or for the organization that owns the repository, and you must use a personal access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have the secret_scanning_alerts read permission to use this endpoint. Resources API method documentation","ref":"GitHub.SecretScanning.html#get_alert/4","title":"GitHub.SecretScanning.get_alert/4","type":"function"},{"doc":"List secret scanning alerts for an enterprise Lists secret scanning alerts for eligible repositories in an enterprise, from newest to oldest. To use this endpoint, you must be a member of the enterprise, and you must use an access token with the repo scope or security_events scope. Alerts are only returned for organizations in the enterprise for which you are an organization owner or a security manager . Options state : Set to open or resolved to only list secret scanning alerts in a specific state. secret_type : A comma-separated list of secret types to return. By default all secret types are returned. See &quot; Secret scanning patterns &quot; for a complete list of secret types. resolution : A comma-separated list of resolutions. Only secret scanning alerts with one of these resolutions are listed. Valid resolutions are false_positive , wont_fix , revoked , pattern_edited , pattern_deleted or used_in_tests . sort : The property to sort the results by. created means when the alert was created. updated means when the alert was updated or resolved. direction : The direction to sort the results by. per_page : The number of results per page (max 100). before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. Resources API method documentation","ref":"GitHub.SecretScanning.html#list_alerts_for_enterprise/2","title":"GitHub.SecretScanning.list_alerts_for_enterprise/2","type":"function"},{"doc":"List secret scanning alerts for an organization Lists secret scanning alerts for eligible repositories in an organization, from newest to oldest. To use this endpoint, you must be an administrator or security manager for the organization, and you must use an access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have the secret_scanning_alerts read permission to use this endpoint. Options state : Set to open or resolved to only list secret scanning alerts in a specific state. secret_type : A comma-separated list of secret types to return. By default all secret types are returned. See &quot; Secret scanning patterns &quot; for a complete list of secret types. resolution : A comma-separated list of resolutions. Only secret scanning alerts with one of these resolutions are listed. Valid resolutions are false_positive , wont_fix , revoked , pattern_edited , pattern_deleted or used_in_tests . sort : The property to sort the results by. created means when the alert was created. updated means when the alert was updated or resolved. direction : The direction to sort the results by. page : Page number of the results to fetch. per_page : The number of results per page (max 100). before : A cursor, as given in the Link header . If specified, the query only searches for events before this cursor. To receive an initial cursor on your first request, include an empty &quot;before&quot; query string. after : A cursor, as given in the Link header . If specified, the query only searches for events after this cursor. To receive an initial cursor on your first request, include an empty &quot;after&quot; query string. Resources API method documentation","ref":"GitHub.SecretScanning.html#list_alerts_for_org/2","title":"GitHub.SecretScanning.list_alerts_for_org/2","type":"function"},{"doc":"List secret scanning alerts for a repository Lists secret scanning alerts for an eligible repository, from newest to oldest. To use this endpoint, you must be an administrator for the repository or for the organization that owns the repository, and you must use a personal access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have the secret_scanning_alerts read permission to use this endpoint. Options state : Set to open or resolved to only list secret scanning alerts in a specific state. secret_type : A comma-separated list of secret types to return. By default all secret types are returned. See &quot; Secret scanning patterns &quot; for a complete list of secret types. resolution : A comma-separated list of resolutions. Only secret scanning alerts with one of these resolutions are listed. Valid resolutions are false_positive , wont_fix , revoked , pattern_edited , pattern_deleted or used_in_tests . sort : The property to sort the results by. created means when the alert was created. updated means when the alert was updated or resolved. direction : The direction to sort the results by. page : Page number of the results to fetch. per_page : The number of results per page (max 100). before : A cursor, as given in the Link header . If specified, the query only searches for events before this cursor. To receive an initial cursor on your first request, include an empty &quot;before&quot; query string. after : A cursor, as given in the Link header . If specified, the query only searches for events after this cursor. To receive an initial cursor on your first request, include an empty &quot;after&quot; query string. Resources API method documentation","ref":"GitHub.SecretScanning.html#list_alerts_for_repo/3","title":"GitHub.SecretScanning.list_alerts_for_repo/3","type":"function"},{"doc":"List locations for a secret scanning alert Lists all locations for a given secret scanning alert for an eligible repository. To use this endpoint, you must be an administrator for the repository or for the organization that owns the repository, and you must use a personal access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have the secret_scanning_alerts read permission to use this endpoint. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.SecretScanning.html#list_locations_for_alert/4","title":"GitHub.SecretScanning.list_locations_for_alert/4","type":"function"},{"doc":"Update a secret scanning alert Updates the status of a secret scanning alert in an eligible repository. To use this endpoint, you must be an administrator for the repository or for the organization that owns the repository, and you must use a personal access token with the repo scope or security_events scope. For public repositories, you may instead use the public_repo scope. GitHub Apps must have the secret_scanning_alerts write permission to use this endpoint. Resources API method documentation","ref":"GitHub.SecretScanning.html#update_alert/5","title":"GitHub.SecretScanning.update_alert/5","type":"function"},{"doc":"Provides API endpoints related to security advisories","ref":"GitHub.SecurityAdvisories.html","title":"GitHub.SecurityAdvisories","type":"module"},{"doc":"Privately report a security vulnerability Report a security vulnerability to the maintainers of the repository. See &quot; Privately reporting a security vulnerability &quot; for more information about private vulnerability reporting. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#create_private_vulnerability_report/4","title":"GitHub.SecurityAdvisories.create_private_vulnerability_report/4","type":"function"},{"doc":"Create a repository security advisory Creates a new repository security advisory. You must authenticate using an access token with the repo scope or repository_advisories:write permission to use this endpoint. In order to create a draft repository security advisory, you must be a security manager or administrator of that repository. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#create_repository_advisory/4","title":"GitHub.SecurityAdvisories.create_repository_advisory/4","type":"function"},{"doc":"Request a CVE for a repository security advisory If you want a CVE identification number for the security vulnerability in your project, and don't already have one, you can request a CVE identification number from GitHub. For more information see &quot; Requesting a CVE identification number .&quot; You may request a CVE for public repositories, but cannot do so for private repositories. You must authenticate using an access token with the repo scope or repository_advisories:write permission to use this endpoint. In order to request a CVE for a repository security advisory, you must be a security manager or administrator of that repository. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#create_repository_advisory_cve_request/4","title":"GitHub.SecurityAdvisories.create_repository_advisory_cve_request/4","type":"function"},{"doc":"Get a global security advisory Gets a global security advisory using its GitHub Security Advisory (GHSA) identifier. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#get_global_advisory/2","title":"GitHub.SecurityAdvisories.get_global_advisory/2","type":"function"},{"doc":"Get a repository security advisory Get a repository security advisory using its GitHub Security Advisory (GHSA) identifier. You can access any published security advisory on a public repository. You must authenticate using an access token with the repo scope or repository_advisories:read permission in order to get a published security advisory in a private repository, or any unpublished security advisory that you have access to. You can access an unpublished security advisory from a repository if you are a security manager or administrator of that repository, or if you are a collaborator on the security advisory. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#get_repository_advisory/4","title":"GitHub.SecurityAdvisories.get_repository_advisory/4","type":"function"},{"doc":"List global security advisories Lists all global security advisories that match the specified parameters. If no other parameters are defined, the request will return only GitHub-reviewed advisories that are not malware. By default, all responses will exclude advisories for malware, because malware are not standard vulnerabilities. To list advisories for malware, you must include the type parameter in your request, with the value malware . For more information about the different types of security advisories, see &quot; About the GitHub Advisory database .&quot; Options ghsa_id : If specified, only advisories with this GHSA (GitHub Security Advisory) identifier will be returned. type : If specified, only advisories of this type will be returned. By default, a request with no other parameters defined will only return reviewed advisories that are not malware. cve_id : If specified, only advisories with this CVE (Common Vulnerabilities and Exposures) identifier will be returned. ecosystem : If specified, only advisories for these ecosystems will be returned. severity : If specified, only advisories with these severities will be returned. cwes : If specified, only advisories with these Common Weakness Enumerations (CWEs) will be returned. Example: cwes=79,284,22 or cwes[]=79&amp;cwes[]=284&amp;cwes[]=22 is_withdrawn : Whether to only return advisories that have been withdrawn. affects : If specified, only return advisories that affect any of package or package@version . A maximum of 1000 packages can be specified. If the query parameter causes the URL to exceed the maximum URL length supported by your client, you must specify fewer packages. Example: affects=package1,package2@1.0.0,package3@^2.0.0 or affects[]=package1&amp;affects[]=package2@1.0.0 published : If specified, only return advisories that were published on a date or date range. For more information on the syntax of the date range, see &quot; Understanding the search syntax .&quot; updated : If specified, only return advisories that were updated on a date or date range. For more information on the syntax of the date range, see &quot; Understanding the search syntax .&quot; modified : If specified, only show advisories that were updated or published on a date or date range. For more information on the syntax of the date range, see &quot; Understanding the search syntax .&quot; before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. direction : The direction to sort the results by. per_page : The number of results per page (max 100). sort : The property to sort the results by. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#list_global_advisories/1","title":"GitHub.SecurityAdvisories.list_global_advisories/1","type":"function"},{"doc":"List repository security advisories for an organization Lists repository security advisories for an organization. To use this endpoint, you must be an owner or security manager for the organization, and you must use an access token with the repo scope or repository_advisories:write permission. Options direction : The direction to sort the results by. sort : The property to sort the results by. before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. per_page : The number of advisories to return per page. state : Filter by the state of the repository advisories. Only advisories of this state will be returned. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#list_org_repository_advisories/2","title":"GitHub.SecurityAdvisories.list_org_repository_advisories/2","type":"function"},{"doc":"List repository security advisories Lists security advisories in a repository. You must authenticate using an access token with the repo scope or repository_advisories:read permission in order to get published security advisories in a private repository, or any unpublished security advisories that you have access to. You can access unpublished security advisories from a repository if you are a security manager or administrator of that repository, or if you are a collaborator on any security advisory. Options direction : The direction to sort the results by. sort : The property to sort the results by. before : A cursor, as given in the Link header . If specified, the query only searches for results before this cursor. after : A cursor, as given in the Link header . If specified, the query only searches for results after this cursor. per_page : Number of advisories to return per page. state : Filter by state of the repository advisories. Only advisories of this state will be returned. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#list_repository_advisories/3","title":"GitHub.SecurityAdvisories.list_repository_advisories/3","type":"function"},{"doc":"Update a repository security advisory Update a repository security advisory using its GitHub Security Advisory (GHSA) identifier. You must authenticate using an access token with the repo scope or repository_advisories:write permission to use this endpoint. In order to update any security advisory, you must be a security manager or administrator of that repository, or a collaborator on the repository security advisory. Resources API method documentation","ref":"GitHub.SecurityAdvisories.html#update_repository_advisory/5","title":"GitHub.SecurityAdvisories.update_repository_advisory/5","type":"function"},{"doc":"Provides API endpoints related to teams","ref":"GitHub.Teams.html","title":"GitHub.Teams","type":"module"},{"doc":"Add team member (Legacy) The &quot;Add team member&quot; endpoint (described below) is deprecated. We recommend using the Add or update team membership for a user endpoint instead. It allows you to invite new organization members to your teams. Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. To add someone to a team, the authenticated user must be an organization owner or a team maintainer in the team they're changing. The person being added to the team must be a member of the team's organization. Note: When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see &quot; Synchronizing teams between your identity provider and GitHub .&quot; Note that you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Resources API method documentation","ref":"GitHub.Teams.html#add_member_legacy/3","title":"GitHub.Teams.add_member_legacy/3","type":"function"},{"doc":"Add or update team membership for a user Adds an organization member to a team. An authenticated organization owner or team maintainer can add organization members to a team. Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. Note: When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see &quot; Synchronizing teams between your identity provider and GitHub .&quot; An organization owner can add someone who is not part of the team's organization to a team. When an organization owner adds someone to a team who is not an organization member, this endpoint will send an invitation to the person via email. This newly-created membership will be in the &quot;pending&quot; state until the person accepts the invitation, at which point the membership will transition to the &quot;active&quot; state and the user will be added as a member of the team. If the user is already a member of the team, this endpoint will update the role of the team member's role. To update the membership of a team member, the authenticated user must be an organization owner or a team maintainer. Note: You can also specify a team by org_id and team_id using the route PUT /organizations/{org_id}/team/{team_id}/memberships/{username} . Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_membership_for_user_in_org/5","title":"GitHub.Teams.add_or_update_membership_for_user_in_org/5","type":"function"},{"doc":"Add or update team membership for a user (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Add or update team membership for a user endpoint. Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. If the user is already a member of the team's organization, this endpoint will add the user to the team. To add a membership between an organization member and a team, the authenticated user must be an organization owner or a team maintainer. Note: When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see &quot; Synchronizing teams between your identity provider and GitHub .&quot; If the user is unaffiliated with the team's organization, this endpoint will send an invitation to the user via email. This newly-created membership will be in the &quot;pending&quot; state until the user accepts the invitation, at which point the membership will transition to the &quot;active&quot; state and the user will be added as a member of the team. To add a membership between an unaffiliated user and a team, the authenticated user must be an organization owner. If the user is already a member of the team, this endpoint will update the role of the team member's role. To update the membership of a team member, the authenticated user must be an organization owner or a team maintainer. Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_membership_for_user_legacy/4","title":"GitHub.Teams.add_or_update_membership_for_user_legacy/4","type":"function"},{"doc":"Add or update team project permissions Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have admin permissions for the project. The project and team must be part of the same organization. Note: You can also specify a team by org_id and team_id using the route PUT /organizations/{org_id}/team/{team_id}/projects/{project_id} . Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_project_permissions_in_org/5","title":"GitHub.Teams.add_or_update_project_permissions_in_org/5","type":"function"},{"doc":"Add or update team project permissions (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Add or update team project permissions endpoint. Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have admin permissions for the project. The project and team must be part of the same organization. Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_project_permissions_legacy/4","title":"GitHub.Teams.add_or_update_project_permissions_legacy/4","type":"function"},{"doc":"Add or update team repository permissions To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a 422 Unprocessable Entity status if you attempt to add a repository to a team that is not owned by the organization. Note that, if you choose not to pass any parameters, you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Note: You can also specify a team by org_id and team_id using the route PUT /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo} . For more information about the permission levels, see &quot; Repository permission levels for an organization &quot;. Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_repo_permissions_in_org/6","title":"GitHub.Teams.add_or_update_repo_permissions_in_org/6","type":"function"},{"doc":"Add or update team repository permissions (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new &quot; Add or update team repository permissions &quot; endpoint. To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a 422 Unprocessable Entity status if you attempt to add a repository to a team that is not owned by the organization. Note that, if you choose not to pass any parameters, you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Resources API method documentation","ref":"GitHub.Teams.html#add_or_update_repo_permissions_legacy/5","title":"GitHub.Teams.add_or_update_repo_permissions_legacy/5","type":"function"},{"doc":"Check team permissions for a project Checks whether a team has read , write , or admin permissions for an organization project. The response includes projects inherited from a parent team. Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/projects/{project_id} . Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_project_in_org/4","title":"GitHub.Teams.check_permissions_for_project_in_org/4","type":"function"},{"doc":"Check team permissions for a project (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Check team permissions for a project endpoint. Checks whether a team has read , write , or admin permissions for an organization project. The response includes projects inherited from a parent team. Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_project_legacy/3","title":"GitHub.Teams.check_permissions_for_project_legacy/3","type":"function"},{"doc":"Check team permissions for a repository Checks whether a team has admin , push , maintain , triage , or pull permission for a repository. Repositories inherited through a parent team will also be checked. You can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom media type via the application/vnd.github.v3.repository+json accept header. If a team doesn't have permission for the repository, you will receive a 404 Not Found response status. Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo} . Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_repo_in_org/5","title":"GitHub.Teams.check_permissions_for_repo_in_org/5","type":"function"},{"doc":"Check team permissions for a repository (Legacy) Note : Repositories inherited through a parent team will also be checked. Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Check team permissions for a repository endpoint. You can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom media type via the Accept header: Resources API method documentation","ref":"GitHub.Teams.html#check_permissions_for_repo_legacy/4","title":"GitHub.Teams.check_permissions_for_repo_legacy/4","type":"function"},{"doc":"Create a team To create a team, the authenticated user must be a member or owner of {org} . By default, organization members can create teams. Organization owners can limit team creation to organization owners. For more information, see &quot; Setting team creation permissions .&quot; When you create a new team, you automatically become a team maintainer without explicitly adding yourself to the optional array of maintainers . For more information, see &quot; About teams &quot;. Resources API method documentation","ref":"GitHub.Teams.html#create/3","title":"GitHub.Teams.create/3","type":"function"},{"doc":"Create a discussion comment Creates a new comment on a team discussion. OAuth access tokens require the write:discussion scope . This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Note: You can also specify a team by org_id and team_id using the route POST /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments . Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_comment_in_org/5","title":"GitHub.Teams.create_discussion_comment_in_org/5","type":"function"},{"doc":"Create a discussion comment (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Create a discussion comment endpoint. Creates a new comment on a team discussion. OAuth access tokens require the write:discussion scope . This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_comment_legacy/4","title":"GitHub.Teams.create_discussion_comment_legacy/4","type":"function"},{"doc":"Create a discussion Creates a new discussion post on a team's page. OAuth access tokens require the write:discussion scope . This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Note: You can also specify a team by org_id and team_id using the route POST /organizations/{org_id}/team/{team_id}/discussions . Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_in_org/4","title":"GitHub.Teams.create_discussion_in_org/4","type":"function"},{"doc":"Create a discussion (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Create a discussion endpoint. Creates a new discussion post on a team's page. OAuth access tokens require the write:discussion scope . This endpoint triggers notifications . Creating content too quickly using this endpoint may result in secondary rate limiting. See &quot; Secondary rate limits &quot; and &quot; Dealing with secondary rate limits &quot; for details. Resources API method documentation","ref":"GitHub.Teams.html#create_discussion_legacy/3","title":"GitHub.Teams.create_discussion_legacy/3","type":"function"},{"doc":"Delete a discussion comment Deletes a comment on a team discussion. OAuth access tokens require the write:discussion scope . Note: You can also specify a team by org_id and team_id using the route DELETE /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number} . Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_comment_in_org/5","title":"GitHub.Teams.delete_discussion_comment_in_org/5","type":"function"},{"doc":"Delete a discussion comment (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Delete a discussion comment endpoint. Deletes a comment on a team discussion. OAuth access tokens require the write:discussion scope . Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_comment_legacy/4","title":"GitHub.Teams.delete_discussion_comment_legacy/4","type":"function"},{"doc":"Delete a discussion Delete a discussion from a team's page. OAuth access tokens require the write:discussion scope . Note: You can also specify a team by org_id and team_id using the route DELETE /organizations/{org_id}/team/{team_id}/discussions/{discussion_number} . Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_in_org/4","title":"GitHub.Teams.delete_discussion_in_org/4","type":"function"},{"doc":"Delete a discussion (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Delete a discussion endpoint. Delete a discussion from a team's page. OAuth access tokens require the write:discussion scope . Resources API method documentation","ref":"GitHub.Teams.html#delete_discussion_legacy/3","title":"GitHub.Teams.delete_discussion_legacy/3","type":"function"},{"doc":"Delete a team To delete a team, the authenticated user must be an organization owner or team maintainer. If you are an organization owner, deleting a parent team will delete all of its child teams as well. Note: You can also specify a team by org_id and team_id using the route DELETE /organizations/{org_id}/team/{team_id} . Resources API method documentation","ref":"GitHub.Teams.html#delete_in_org/3","title":"GitHub.Teams.delete_in_org/3","type":"function"},{"doc":"Delete a team (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Delete a team endpoint. To delete a team, the authenticated user must be an organization owner or team maintainer. If you are an organization owner, deleting a parent team will delete all of its child teams as well. Resources API method documentation","ref":"GitHub.Teams.html#delete_legacy/2","title":"GitHub.Teams.delete_legacy/2","type":"function"},{"doc":"Get a team by name Gets a team using the team's slug . To create the slug , GitHub replaces special characters in the name string, changes all words to lowercase, and replaces spaces with a - separator. For example, &quot;My TEam Näme&quot; would become my-team-name . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id} . Resources API method documentation","ref":"GitHub.Teams.html#get_by_name/3","title":"GitHub.Teams.get_by_name/3","type":"function"},{"doc":"Get a discussion comment Get a specific comment on a team discussion. OAuth access tokens require the read:discussion scope . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number} . Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_comment_in_org/5","title":"GitHub.Teams.get_discussion_comment_in_org/5","type":"function"},{"doc":"Get a discussion comment (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Get a discussion comment endpoint. Get a specific comment on a team discussion. OAuth access tokens require the read:discussion scope . Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_comment_legacy/4","title":"GitHub.Teams.get_discussion_comment_legacy/4","type":"function"},{"doc":"Get a discussion Get a specific discussion on a team's page. OAuth access tokens require the read:discussion scope . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number} . Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_in_org/4","title":"GitHub.Teams.get_discussion_in_org/4","type":"function"},{"doc":"Get a discussion (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Get a discussion endpoint. Get a specific discussion on a team's page. OAuth access tokens require the read:discussion scope . Resources API method documentation","ref":"GitHub.Teams.html#get_discussion_legacy/3","title":"GitHub.Teams.get_discussion_legacy/3","type":"function"},{"doc":"Get a team (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the Get a team by name endpoint. Resources API method documentation","ref":"GitHub.Teams.html#get_legacy/2","title":"GitHub.Teams.get_legacy/2","type":"function"},{"doc":"Get team member (Legacy) The &quot;Get team member&quot; endpoint (described below) is deprecated. We recommend using the Get team membership for a user endpoint instead. It allows you to get both active and pending memberships. To list members in a team, the team must be visible to the authenticated user. Resources API method documentation","ref":"GitHub.Teams.html#get_member_legacy/3","title":"GitHub.Teams.get_member_legacy/3","type":"function"},{"doc":"Get team membership for a user Team members will include the members of child teams. To get a user's membership with a team, the team must be visible to the authenticated user. Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/memberships/{username} . Note: The response contains the state of the membership and the member's role . The role for organization owners is set to maintainer . For more information about maintainer roles, see Create a team . Resources API method documentation","ref":"GitHub.Teams.html#get_membership_for_user_in_org/4","title":"GitHub.Teams.get_membership_for_user_in_org/4","type":"function"},{"doc":"Get team membership for a user (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Get team membership for a user endpoint. Team members will include the members of child teams. To get a user's membership with a team, the team must be visible to the authenticated user. Note: The response contains the state of the membership and the member's role . The role for organization owners is set to maintainer . For more information about maintainer roles, see Create a team . Resources API method documentation","ref":"GitHub.Teams.html#get_membership_for_user_legacy/3","title":"GitHub.Teams.get_membership_for_user_legacy/3","type":"function"},{"doc":"List teams Lists all teams in an organization that are visible to the authenticated user. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list/2","title":"GitHub.Teams.list/2","type":"function"},{"doc":"List child teams Lists the child teams of the team specified by {team_slug} . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/teams . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_child_in_org/3","title":"GitHub.Teams.list_child_in_org/3","type":"function"},{"doc":"List child teams (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List child teams endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_child_legacy/2","title":"GitHub.Teams.list_child_legacy/2","type":"function"},{"doc":"List discussion comments List all comments on a team discussion. OAuth access tokens require the read:discussion scope . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments . Options direction : The direction to sort the results by. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_discussion_comments_in_org/4","title":"GitHub.Teams.list_discussion_comments_in_org/4","type":"function"},{"doc":"List discussion comments (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List discussion comments endpoint. List all comments on a team discussion. OAuth access tokens require the read:discussion scope . Options direction : The direction to sort the results by. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_discussion_comments_legacy/3","title":"GitHub.Teams.list_discussion_comments_legacy/3","type":"function"},{"doc":"List discussions List all discussions on a team's page. OAuth access tokens require the read:discussion scope . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/discussions . Options direction : The direction to sort the results by. per_page : The number of results per page (max 100). page : Page number of the results to fetch. pinned : Pinned discussions only filter Resources API method documentation","ref":"GitHub.Teams.html#list_discussions_in_org/3","title":"GitHub.Teams.list_discussions_in_org/3","type":"function"},{"doc":"List discussions (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List discussions endpoint. List all discussions on a team's page. OAuth access tokens require the read:discussion scope . Options direction : The direction to sort the results by. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_discussions_legacy/2","title":"GitHub.Teams.list_discussions_legacy/2","type":"function"},{"doc":"List teams for the authenticated user List all of the teams across all of the organizations to which the authenticated user belongs. This method requires user , repo , or read:org scope when authenticating via OAuth . When using a fine-grained personal access token, the resource owner of the token must be a single organization , and have at least read-only member organization permissions. The response payload only contains the teams from a single organization when using a fine-grained personal access token. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_for_authenticated_user/1","title":"GitHub.Teams.list_for_authenticated_user/1","type":"function"},{"doc":"List team members Team members will include the members of child teams. To list members in a team, the team must be visible to the authenticated user. Options role : Filters members returned by their role in the team. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_members_in_org/3","title":"GitHub.Teams.list_members_in_org/3","type":"function"},{"doc":"List team members (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List team members endpoint. Team members will include the members of child teams. Options role : Filters members returned by their role in the team. per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_members_legacy/2","title":"GitHub.Teams.list_members_legacy/2","type":"function"},{"doc":"List pending team invitations The return hash contains a role field which refers to the Organization Invitation role and will be one of the following values: direct_member , admin , billing_manager , hiring_manager , or reinstate . If the invitee is not a GitHub member, the login field in the return hash will be null . Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/invitations . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_pending_invitations_in_org/3","title":"GitHub.Teams.list_pending_invitations_in_org/3","type":"function"},{"doc":"List pending team invitations (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List pending team invitations endpoint. The return hash contains a role field which refers to the Organization Invitation role and will be one of the following values: direct_member , admin , billing_manager , hiring_manager , or reinstate . If the invitee is not a GitHub member, the login field in the return hash will be null . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_pending_invitations_legacy/2","title":"GitHub.Teams.list_pending_invitations_legacy/2","type":"function"},{"doc":"List team projects Lists the organization projects for a team. Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/projects . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_projects_in_org/3","title":"GitHub.Teams.list_projects_in_org/3","type":"function"},{"doc":"List team projects (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List team projects endpoint. Lists the organization projects for a team. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_projects_legacy/2","title":"GitHub.Teams.list_projects_legacy/2","type":"function"},{"doc":"List team repositories Lists a team's repositories visible to the authenticated user. Note: You can also specify a team by org_id and team_id using the route GET /organizations/{org_id}/team/{team_id}/repos . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_repos_in_org/3","title":"GitHub.Teams.list_repos_in_org/3","type":"function"},{"doc":"List team repositories (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new List team repositories endpoint. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Teams.html#list_repos_legacy/2","title":"GitHub.Teams.list_repos_legacy/2","type":"function"},{"doc":"Remove team member (Legacy) The &quot;Remove team member&quot; endpoint (described below) is deprecated. We recommend using the Remove team membership for a user endpoint instead. It allows you to remove both active and pending memberships. Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. To remove a team member, the authenticated user must have 'admin' permissions to the team or be an owner of the org that the team is associated with. Removing a team member does not delete the user, it just removes them from the team. Note: When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see &quot; Synchronizing teams between your identity provider and GitHub .&quot; Resources API method documentation","ref":"GitHub.Teams.html#remove_member_legacy/3","title":"GitHub.Teams.remove_member_legacy/3","type":"function"},{"doc":"Remove team membership for a user To remove a membership between a user and a team, the authenticated user must have 'admin' permissions to the team or be an owner of the organization that the team is associated with. Removing team membership does not delete the user, it just removes their membership from the team. Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. Note: When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see &quot; Synchronizing teams between your identity provider and GitHub .&quot; Note: You can also specify a team by org_id and team_id using the route DELETE /organizations/{org_id}/team/{team_id}/memberships/{username} . Resources API method documentation","ref":"GitHub.Teams.html#remove_membership_for_user_in_org/4","title":"GitHub.Teams.remove_membership_for_user_in_org/4","type":"function"},{"doc":"Remove team membership for a user (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Remove team membership for a user endpoint. Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see GitHub's products in the GitHub Help documentation. To remove a membership between a user and a team, the authenticated user must have 'admin' permissions to the team or be an owner of the organization that the team is associated with. Removing team membership does not delete the user, it just removes their membership from the team. Note: When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see &quot; Synchronizing teams between your identity provider and GitHub .&quot; Resources API method documentation","ref":"GitHub.Teams.html#remove_membership_for_user_legacy/3","title":"GitHub.Teams.remove_membership_for_user_legacy/3","type":"function"},{"doc":"Remove a project from a team Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have read access to both the team and project, or admin access to the team or project. This endpoint removes the project from the team, but does not delete the project. Note: You can also specify a team by org_id and team_id using the route DELETE /organizations/{org_id}/team/{team_id}/projects/{project_id} . Resources API method documentation","ref":"GitHub.Teams.html#remove_project_in_org/4","title":"GitHub.Teams.remove_project_in_org/4","type":"function"},{"doc":"Remove a project from a team (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Remove a project from a team endpoint. Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have read access to both the team and project, or admin access to the team or project. Note: This endpoint removes the project from the team, but does not delete it. Resources API method documentation","ref":"GitHub.Teams.html#remove_project_legacy/3","title":"GitHub.Teams.remove_project_legacy/3","type":"function"},{"doc":"Remove a repository from a team If the authenticated user is an organization owner or a team maintainer, they can remove any repositories from the team. To remove a repository from a team as an organization member, the authenticated user must have admin access to the repository and must be able to see the team. This does not delete the repository, it just removes it from the team. Note: You can also specify a team by org_id and team_id using the route DELETE /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo} . Resources API method documentation","ref":"GitHub.Teams.html#remove_repo_in_org/5","title":"GitHub.Teams.remove_repo_in_org/5","type":"function"},{"doc":"Remove a repository from a team (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Remove a repository from a team endpoint. If the authenticated user is an organization owner or a team maintainer, they can remove any repositories from the team. To remove a repository from a team as an organization member, the authenticated user must have admin access to the repository and must be able to see the team. NOTE: This does not delete the repository, it just removes it from the team. Resources API method documentation","ref":"GitHub.Teams.html#remove_repo_legacy/4","title":"GitHub.Teams.remove_repo_legacy/4","type":"function"},{"doc":"Update a discussion comment Edits the body text of a discussion comment. OAuth access tokens require the write:discussion scope . Note: You can also specify a team by org_id and team_id using the route PATCH /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number} . Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_comment_in_org/6","title":"GitHub.Teams.update_discussion_comment_in_org/6","type":"function"},{"doc":"Update a discussion comment (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Update a discussion comment endpoint. Edits the body text of a discussion comment. OAuth access tokens require the write:discussion scope . Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_comment_legacy/5","title":"GitHub.Teams.update_discussion_comment_legacy/5","type":"function"},{"doc":"Update a discussion Edits the title and body text of a discussion post. Only the parameters you provide are updated. OAuth access tokens require the write:discussion scope . Note: You can also specify a team by org_id and team_id using the route PATCH /organizations/{org_id}/team/{team_id}/discussions/{discussion_number} . Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_in_org/5","title":"GitHub.Teams.update_discussion_in_org/5","type":"function"},{"doc":"Update a discussion (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Update a discussion endpoint. Edits the title and body text of a discussion post. Only the parameters you provide are updated. OAuth access tokens require the write:discussion scope . Resources API method documentation","ref":"GitHub.Teams.html#update_discussion_legacy/4","title":"GitHub.Teams.update_discussion_legacy/4","type":"function"},{"doc":"Update a team To edit a team, the authenticated user must either be an organization owner or a team maintainer. Note: You can also specify a team by org_id and team_id using the route PATCH /organizations/{org_id}/team/{team_id} . Resources API method documentation","ref":"GitHub.Teams.html#update_in_org/4","title":"GitHub.Teams.update_in_org/4","type":"function"},{"doc":"Update a team (Legacy) Deprecation Notice: This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new Update a team endpoint. To edit a team, the authenticated user must either be an organization owner or a team maintainer. Note: With nested teams, the privacy for parent teams cannot be secret . Resources API method documentation","ref":"GitHub.Teams.html#update_legacy/3","title":"GitHub.Teams.update_legacy/3","type":"function"},{"doc":"Provides API endpoints related to users","ref":"GitHub.Users.html","title":"GitHub.Users","type":"module"},{"doc":"Add an email address for the authenticated user This endpoint is accessible with the user scope. Resources API method documentation","ref":"GitHub.Users.html#add_email_for_authenticated_user/2","title":"GitHub.Users.add_email_for_authenticated_user/2","type":"function"},{"doc":"Add social accounts for the authenticated user Add one or more social accounts to the authenticated user's profile. This endpoint is accessible with the user scope. Resources API method documentation","ref":"GitHub.Users.html#add_social_account_for_authenticated_user/2","title":"GitHub.Users.add_social_account_for_authenticated_user/2","type":"function"},{"doc":"Block a user Blocks the given user and returns a 204. If the authenticated user cannot block the given user a 422 is returned. Resources API method documentation","ref":"GitHub.Users.html#block/2","title":"GitHub.Users.block/2","type":"function"},{"doc":"Check if a user is blocked by the authenticated user Returns a 204 if the given user is blocked by the authenticated user. Returns a 404 if the given user is not blocked by the authenticated user, or if the given user account has been identified as spam by GitHub. Resources API method documentation","ref":"GitHub.Users.html#check_blocked/2","title":"GitHub.Users.check_blocked/2","type":"function"},{"doc":"Check if a user follows another user Resources API method documentation","ref":"GitHub.Users.html#check_following_for_user/3","title":"GitHub.Users.check_following_for_user/3","type":"function"},{"doc":"Check if a person is followed by the authenticated user Resources API method documentation","ref":"GitHub.Users.html#check_person_is_followed_by_authenticated/2","title":"GitHub.Users.check_person_is_followed_by_authenticated/2","type":"function"},{"doc":"Create a GPG key for the authenticated user Adds a GPG key to the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth, or OAuth with at least write:gpg_key scope . Resources API method documentation","ref":"GitHub.Users.html#create_gpg_key_for_authenticated_user/2","title":"GitHub.Users.create_gpg_key_for_authenticated_user/2","type":"function"},{"doc":"Create a public SSH key for the authenticated user Adds a public SSH key to the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth, or OAuth with at least write:public_key scope . Resources API method documentation","ref":"GitHub.Users.html#create_public_ssh_key_for_authenticated_user/2","title":"GitHub.Users.create_public_ssh_key_for_authenticated_user/2","type":"function"},{"doc":"Create a SSH signing key for the authenticated user Creates an SSH signing key for the authenticated user's GitHub account. You must authenticate with Basic Authentication, or you must authenticate with OAuth with at least write:ssh_signing_key scope. For more information, see &quot; Understanding scopes for OAuth apps .&quot; Resources API method documentation","ref":"GitHub.Users.html#create_ssh_signing_key_for_authenticated_user/2","title":"GitHub.Users.create_ssh_signing_key_for_authenticated_user/2","type":"function"},{"doc":"Delete an email address for the authenticated user This endpoint is accessible with the user scope. Resources API method documentation","ref":"GitHub.Users.html#delete_email_for_authenticated_user/2","title":"GitHub.Users.delete_email_for_authenticated_user/2","type":"function"},{"doc":"Delete a GPG key for the authenticated user Removes a GPG key from the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least admin:gpg_key scope . Resources API method documentation","ref":"GitHub.Users.html#delete_gpg_key_for_authenticated_user/2","title":"GitHub.Users.delete_gpg_key_for_authenticated_user/2","type":"function"},{"doc":"Delete a public SSH key for the authenticated user Removes a public SSH key from the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least admin:public_key scope . Resources API method documentation","ref":"GitHub.Users.html#delete_public_ssh_key_for_authenticated_user/2","title":"GitHub.Users.delete_public_ssh_key_for_authenticated_user/2","type":"function"},{"doc":"Delete social accounts for the authenticated user Deletes one or more social accounts from the authenticated user's profile. This endpoint is accessible with the user scope. Resources API method documentation","ref":"GitHub.Users.html#delete_social_account_for_authenticated_user/2","title":"GitHub.Users.delete_social_account_for_authenticated_user/2","type":"function"},{"doc":"Delete an SSH signing key for the authenticated user Deletes an SSH signing key from the authenticated user's GitHub account. You must authenticate with Basic Authentication, or you must authenticate with OAuth with at least admin:ssh_signing_key scope. For more information, see &quot; Understanding scopes for OAuth apps .&quot; Resources API method documentation","ref":"GitHub.Users.html#delete_ssh_signing_key_for_authenticated_user/2","title":"GitHub.Users.delete_ssh_signing_key_for_authenticated_user/2","type":"function"},{"doc":"Follow a user Note that you'll need to set Content-Length to zero when calling out to this endpoint. For more information, see &quot; HTTP verbs .&quot; Following a user requires the user to be logged in and authenticated with basic auth or OAuth with the user:follow scope. Resources API method documentation","ref":"GitHub.Users.html#follow/2","title":"GitHub.Users.follow/2","type":"function"},{"doc":"Get the authenticated user If the authenticated user is authenticated with an OAuth token with the user scope, then the response lists public and private profile information. If the authenticated user is authenticated through OAuth without the user scope, then the response lists only public profile information. Resources API method documentation","ref":"GitHub.Users.html#get_authenticated/1","title":"GitHub.Users.get_authenticated/1","type":"function"},{"doc":"Get a user Provides publicly available information about someone with a GitHub account. GitHub Apps with the Plan user permission can use this endpoint to retrieve information about a user's GitHub plan. The GitHub App must be authenticated as a user. See &quot; Identifying and authorizing users for GitHub Apps &quot; for details about authentication. For an example response, see 'Response with GitHub plan information' below&quot; The email key in the following response is the publicly visible email address from your GitHub profile page . When setting up your profile, you can select a primary email address to be “public” which provides an email entry for this endpoint. If you do not set a public email address for email , then it will have a value of null . You only see publicly visible email addresses when authenticated with GitHub. For more information, see Authentication . The Emails API enables you to list all of your email addresses, and toggle a primary email to be visible publicly. For more information, see &quot; Emails API &quot;. Resources API method documentation","ref":"GitHub.Users.html#get_by_username/2","title":"GitHub.Users.get_by_username/2","type":"function"},{"doc":"Get contextual information for a user Provides hovercard information when authenticated through basic auth or OAuth with the repo scope. You can find out more about someone in relation to their pull requests, issues, repositories, and organizations. The subject_type and subject_id parameters provide context for the person's hovercard, which returns more information than without the parameters. For example, if you wanted to find out more about octocat who owns the Spoon-Knife repository via cURL, it would look like this: curl -u username:token https://api.github.com/users/octocat/hovercard?subject_type=repository&amp;subject_id=1300192 Options subject_type : Identifies which additional information you'd like to receive about the person's hovercard. Can be organization , repository , issue , pull_request . Required when using subject_id . subject_id : Uses the ID for the subject_type you specified. Required when using subject_type . Resources API method documentation","ref":"GitHub.Users.html#get_context_for_user/2","title":"GitHub.Users.get_context_for_user/2","type":"function"},{"doc":"Get a GPG key for the authenticated user View extended details for a single GPG key. Requires that you are authenticated via Basic Auth or via OAuth with at least read:gpg_key scope . Resources API method documentation","ref":"GitHub.Users.html#get_gpg_key_for_authenticated_user/2","title":"GitHub.Users.get_gpg_key_for_authenticated_user/2","type":"function"},{"doc":"Get a public SSH key for the authenticated user View extended details for a single public SSH key. Requires that you are authenticated via Basic Auth or via OAuth with at least read:public_key scope . Resources API method documentation","ref":"GitHub.Users.html#get_public_ssh_key_for_authenticated_user/2","title":"GitHub.Users.get_public_ssh_key_for_authenticated_user/2","type":"function"},{"doc":"Get an SSH signing key for the authenticated user Gets extended details for an SSH signing key. You must authenticate with Basic Authentication, or you must authenticate with OAuth with at least read:ssh_signing_key scope. For more information, see &quot; Understanding scopes for OAuth apps .&quot; Resources API method documentation","ref":"GitHub.Users.html#get_ssh_signing_key_for_authenticated_user/2","title":"GitHub.Users.get_ssh_signing_key_for_authenticated_user/2","type":"function"},{"doc":"List users Lists all users, in the order that they signed up on GitHub. This list includes personal user accounts and organization accounts. Note: Pagination is powered exclusively by the since parameter. Use the Link header to get the URL for the next page of users. Options since : A user ID. Only return users with an ID greater than this ID. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Users.html#list/1","title":"GitHub.Users.list/1","type":"function"},{"doc":"List users blocked by the authenticated user List the users you've blocked on your personal account. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_blocked_by_authenticated_user/1","title":"GitHub.Users.list_blocked_by_authenticated_user/1","type":"function"},{"doc":"List email addresses for the authenticated user Lists all of your email addresses, and specifies which one is visible to the public. This endpoint is accessible with the user:email scope. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_emails_for_authenticated_user/1","title":"GitHub.Users.list_emails_for_authenticated_user/1","type":"function"},{"doc":"List the people the authenticated user follows Lists the people who the authenticated user follows. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_followed_by_authenticated_user/1","title":"GitHub.Users.list_followed_by_authenticated_user/1","type":"function"},{"doc":"List followers of the authenticated user Lists the people following the authenticated user. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_followers_for_authenticated_user/1","title":"GitHub.Users.list_followers_for_authenticated_user/1","type":"function"},{"doc":"List followers of a user Lists the people following the specified user. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_followers_for_user/2","title":"GitHub.Users.list_followers_for_user/2","type":"function"},{"doc":"List the people a user follows Lists the people who the specified user follows. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_following_for_user/2","title":"GitHub.Users.list_following_for_user/2","type":"function"},{"doc":"List GPG keys for the authenticated user Lists the current user's GPG keys. Requires that you are authenticated via Basic Auth or via OAuth with at least read:gpg_key scope . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_gpg_keys_for_authenticated_user/1","title":"GitHub.Users.list_gpg_keys_for_authenticated_user/1","type":"function"},{"doc":"List GPG keys for a user Lists the GPG keys for a user. This information is accessible by anyone. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_gpg_keys_for_user/2","title":"GitHub.Users.list_gpg_keys_for_user/2","type":"function"},{"doc":"List public email addresses for the authenticated user Lists your publicly visible email address, which you can set with the Set primary email visibility for the authenticated user endpoint. This endpoint is accessible with the user:email scope. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_public_emails_for_authenticated_user/1","title":"GitHub.Users.list_public_emails_for_authenticated_user/1","type":"function"},{"doc":"List public keys for a user Lists the verified public SSH keys for a user. This is accessible by anyone. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_public_keys_for_user/2","title":"GitHub.Users.list_public_keys_for_user/2","type":"function"},{"doc":"List public SSH keys for the authenticated user Lists the public SSH keys for the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least read:public_key scope . Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_public_ssh_keys_for_authenticated_user/1","title":"GitHub.Users.list_public_ssh_keys_for_authenticated_user/1","type":"function"},{"doc":"List social accounts for the authenticated user Lists all of your social accounts. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_social_accounts_for_authenticated_user/1","title":"GitHub.Users.list_social_accounts_for_authenticated_user/1","type":"function"},{"doc":"List social accounts for a user Lists social media accounts for a user. This endpoint is accessible by anyone. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_social_accounts_for_user/2","title":"GitHub.Users.list_social_accounts_for_user/2","type":"function"},{"doc":"List SSH signing keys for the authenticated user Lists the SSH signing keys for the authenticated user's GitHub account. You must authenticate with Basic Authentication, or you must authenticate with OAuth with at least read:ssh_signing_key scope. For more information, see &quot; Understanding scopes for OAuth apps .&quot; Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_ssh_signing_keys_for_authenticated_user/1","title":"GitHub.Users.list_ssh_signing_keys_for_authenticated_user/1","type":"function"},{"doc":"List SSH signing keys for a user Lists the SSH signing keys for a user. This operation is accessible by anyone. Options per_page : The number of results per page (max 100). page : Page number of the results to fetch. Resources API method documentation","ref":"GitHub.Users.html#list_ssh_signing_keys_for_user/2","title":"GitHub.Users.list_ssh_signing_keys_for_user/2","type":"function"},{"doc":"Set primary email visibility for the authenticated user Sets the visibility for your primary email addresses. Resources API method documentation","ref":"GitHub.Users.html#set_primary_email_visibility_for_authenticated_user/2","title":"GitHub.Users.set_primary_email_visibility_for_authenticated_user/2","type":"function"},{"doc":"Unblock a user Unblocks the given user and returns a 204. Resources API method documentation","ref":"GitHub.Users.html#unblock/2","title":"GitHub.Users.unblock/2","type":"function"},{"doc":"Unfollow a user Unfollowing a user requires the user to be logged in and authenticated with basic auth or OAuth with the user:follow scope. Resources API method documentation","ref":"GitHub.Users.html#unfollow/2","title":"GitHub.Users.unfollow/2","type":"function"},{"doc":"Update the authenticated user Note: If your email is set to private and you send an email parameter as part of this request to update your profile, your privacy settings are still enforced: the email address will not be displayed on your public profile or via the API. Resources API method documentation","ref":"GitHub.Users.html#update_authenticated/2","title":"GitHub.Users.update_authenticated/2","type":"function"},{"doc":"Provides struct and type for a Actions.BillingUsage","ref":"GitHub.Actions.BillingUsage.html","title":"GitHub.Actions.BillingUsage","type":"module"},{"doc":"","ref":"GitHub.Actions.BillingUsage.html#t:t/0","title":"GitHub.Actions.BillingUsage.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.CacheList","ref":"GitHub.Actions.CacheList.html","title":"GitHub.Actions.CacheList","type":"module"},{"doc":"","ref":"GitHub.Actions.CacheList.html#t:t/0","title":"GitHub.Actions.CacheList.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.CacheUsageByRepository","ref":"GitHub.Actions.CacheUsageByRepository.html","title":"GitHub.Actions.CacheUsageByRepository","type":"module"},{"doc":"","ref":"GitHub.Actions.CacheUsageByRepository.html#t:t/0","title":"GitHub.Actions.CacheUsageByRepository.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.CacheUsageOrgEnterprise","ref":"GitHub.Actions.CacheUsageOrgEnterprise.html","title":"GitHub.Actions.CacheUsageOrgEnterprise","type":"module"},{"doc":"","ref":"GitHub.Actions.CacheUsageOrgEnterprise.html#t:t/0","title":"GitHub.Actions.CacheUsageOrgEnterprise.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.GetDefaultWorkflowPermissions","ref":"GitHub.Actions.GetDefaultWorkflowPermissions.html","title":"GitHub.Actions.GetDefaultWorkflowPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.GetDefaultWorkflowPermissions.html#t:t/0","title":"GitHub.Actions.GetDefaultWorkflowPermissions.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Job","ref":"GitHub.Actions.Job.html","title":"GitHub.Actions.Job","type":"module"},{"doc":"","ref":"GitHub.Actions.Job.html#t:t/0","title":"GitHub.Actions.Job.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.OIDCSubjectCustomizationForARepository","ref":"GitHub.Actions.OIDCSubjectCustomizationForARepository.html","title":"GitHub.Actions.OIDCSubjectCustomizationForARepository","type":"module"},{"doc":"","ref":"GitHub.Actions.OIDCSubjectCustomizationForARepository.html#t:t/0","title":"GitHub.Actions.OIDCSubjectCustomizationForARepository.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.OrganizationPermissions","ref":"GitHub.Actions.OrganizationPermissions.html","title":"GitHub.Actions.OrganizationPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.OrganizationPermissions.html#t:t/0","title":"GitHub.Actions.OrganizationPermissions.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.PublicKey","ref":"GitHub.Actions.PublicKey.html","title":"GitHub.Actions.PublicKey","type":"module"},{"doc":"","ref":"GitHub.Actions.PublicKey.html#t:t/0","title":"GitHub.Actions.PublicKey.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.RepositoryPermissions","ref":"GitHub.Actions.RepositoryPermissions.html","title":"GitHub.Actions.RepositoryPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.RepositoryPermissions.html#t:t/0","title":"GitHub.Actions.RepositoryPermissions.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.ReviewCustomGates.CommentRequired","ref":"GitHub.Actions.ReviewCustomGates.CommentRequired.html","title":"GitHub.Actions.ReviewCustomGates.CommentRequired","type":"module"},{"doc":"","ref":"GitHub.Actions.ReviewCustomGates.CommentRequired.html#t:t/0","title":"GitHub.Actions.ReviewCustomGates.CommentRequired.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.ReviewCustomGates.StateRequired","ref":"GitHub.Actions.ReviewCustomGates.StateRequired.html","title":"GitHub.Actions.ReviewCustomGates.StateRequired","type":"module"},{"doc":"","ref":"GitHub.Actions.ReviewCustomGates.StateRequired.html#t:t/0","title":"GitHub.Actions.ReviewCustomGates.StateRequired.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Runner","ref":"GitHub.Actions.Runner.html","title":"GitHub.Actions.Runner","type":"module"},{"doc":"","ref":"GitHub.Actions.Runner.html#t:t/0","title":"GitHub.Actions.Runner.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Runner.Application","ref":"GitHub.Actions.Runner.Application.html","title":"GitHub.Actions.Runner.Application","type":"module"},{"doc":"","ref":"GitHub.Actions.Runner.Application.html#t:t/0","title":"GitHub.Actions.Runner.Application.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Runner.Label","ref":"GitHub.Actions.Runner.Label.html","title":"GitHub.Actions.Runner.Label","type":"module"},{"doc":"","ref":"GitHub.Actions.Runner.Label.html#t:t/0","title":"GitHub.Actions.Runner.Label.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Secret","ref":"GitHub.Actions.Secret.html","title":"GitHub.Actions.Secret","type":"module"},{"doc":"","ref":"GitHub.Actions.Secret.html#t:t/0","title":"GitHub.Actions.Secret.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.SetDefaultWorkflowPermissions","ref":"GitHub.Actions.SetDefaultWorkflowPermissions.html","title":"GitHub.Actions.SetDefaultWorkflowPermissions","type":"module"},{"doc":"","ref":"GitHub.Actions.SetDefaultWorkflowPermissions.html#t:t/0","title":"GitHub.Actions.SetDefaultWorkflowPermissions.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Variable","ref":"GitHub.Actions.Variable.html","title":"GitHub.Actions.Variable","type":"module"},{"doc":"","ref":"GitHub.Actions.Variable.html#t:t/0","title":"GitHub.Actions.Variable.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Workflow","ref":"GitHub.Actions.Workflow.html","title":"GitHub.Actions.Workflow","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.html#t:t/0","title":"GitHub.Actions.Workflow.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Workflow.AccessToRepository","ref":"GitHub.Actions.Workflow.AccessToRepository.html","title":"GitHub.Actions.Workflow.AccessToRepository","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.AccessToRepository.html#t:t/0","title":"GitHub.Actions.Workflow.AccessToRepository.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Workflow.Run","ref":"GitHub.Actions.Workflow.Run.html","title":"GitHub.Actions.Workflow.Run","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.Run.html#t:t/0","title":"GitHub.Actions.Workflow.Run.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Workflow.RunUsage","ref":"GitHub.Actions.Workflow.RunUsage.html","title":"GitHub.Actions.Workflow.RunUsage","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.RunUsage.html#t:t/0","title":"GitHub.Actions.Workflow.RunUsage.t/0","type":"type"},{"doc":"Provides struct and type for a Actions.Workflow.Usage","ref":"GitHub.Actions.Workflow.Usage.html","title":"GitHub.Actions.Workflow.Usage","type":"module"},{"doc":"","ref":"GitHub.Actions.Workflow.Usage.html#t:t/0","title":"GitHub.Actions.Workflow.Usage.t/0","type":"type"},{"doc":"Provides struct and type for a Actor","ref":"GitHub.Actor.html","title":"GitHub.Actor","type":"module"},{"doc":"","ref":"GitHub.Actor.html#t:t/0","title":"GitHub.Actor.t/0","type":"type"},{"doc":"Provides struct and type for a ApiOverview","ref":"GitHub.ApiOverview.html","title":"GitHub.ApiOverview","type":"module"},{"doc":"","ref":"GitHub.ApiOverview.html#t:t/0","title":"GitHub.ApiOverview.t/0","type":"type"},{"doc":"Provides struct and type for a App","ref":"GitHub.App.html","title":"GitHub.App","type":"module"},{"doc":"","ref":"GitHub.App.html#t:t/0","title":"GitHub.App.t/0","type":"type"},{"doc":"Provides struct and type for a App.InstallationRequest","ref":"GitHub.App.InstallationRequest.html","title":"GitHub.App.InstallationRequest","type":"module"},{"doc":"","ref":"GitHub.App.InstallationRequest.html#t:t/0","title":"GitHub.App.InstallationRequest.t/0","type":"type"},{"doc":"Provides struct and type for a App.Permissions","ref":"GitHub.App.Permissions.html","title":"GitHub.App.Permissions","type":"module"},{"doc":"","ref":"GitHub.App.Permissions.html#t:t/0","title":"GitHub.App.Permissions.t/0","type":"type"},{"doc":"Provides struct and type for a Artifact","ref":"GitHub.Artifact.html","title":"GitHub.Artifact","type":"module"},{"doc":"","ref":"GitHub.Artifact.html#t:t/0","title":"GitHub.Artifact.t/0","type":"type"},{"doc":"Optional caching process for GitHub App and Installation tokens This cache uses a local ETS table to store tokens, so they are not shared across a cluster. However, this is generally okay, as multiple tokens can be used for the same GitHub App or Installation at the same time. Assuming the expiration time given to this cache is correct, it will automatically handle invalidating tokens both periodically and on-demand. Usage To enable caching, include this module in your application's top-level supervisor: # application.ex defmodule MyApp.Application do use Application def start ( _type , _args ) do children = [ # ... GitHub.Auth.Cache ] opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end end","ref":"GitHub.Auth.Cache.html","title":"GitHub.Auth.Cache","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"GitHub.Auth.Cache.html#child_spec/1","title":"GitHub.Auth.Cache.child_spec/1","type":"function"},{"doc":"Get a previously stored value if unexpired Here the key is presumed to be {:app, app_id} or {:installation, installation_id} , though any key will work. Returns :error if the key is not found or if the stored value has expired.","ref":"GitHub.Auth.Cache.html#get/1","title":"GitHub.Auth.Cache.get/1","type":"function"},{"doc":"Set a value in the cache Here the key is presumed to be {:app, app_id} or {:installation, installation_id} , though any key will work. The expiration must be a Unix timestamp (seconds since Jan 1, 1970).","ref":"GitHub.Auth.Cache.html#put/3","title":"GitHub.Auth.Cache.put/3","type":"function"},{"doc":"Provides struct and type for a AuthenticationToken","ref":"GitHub.AuthenticationToken.html","title":"GitHub.AuthenticationToken","type":"module"},{"doc":"","ref":"GitHub.AuthenticationToken.html#t:t/0","title":"GitHub.AuthenticationToken.t/0","type":"type"},{"doc":"Provides struct and type for a Authorization","ref":"GitHub.Authorization.html","title":"GitHub.Authorization","type":"module"},{"doc":"","ref":"GitHub.Authorization.html#t:t/0","title":"GitHub.Authorization.t/0","type":"type"},{"doc":"Provides struct and type for a AutoMerge","ref":"GitHub.AutoMerge.html","title":"GitHub.AutoMerge","type":"module"},{"doc":"","ref":"GitHub.AutoMerge.html#t:t/0","title":"GitHub.AutoMerge.t/0","type":"type"},{"doc":"Provides struct and type for a Autolink","ref":"GitHub.Autolink.html","title":"GitHub.Autolink","type":"module"},{"doc":"","ref":"GitHub.Autolink.html#t:t/0","title":"GitHub.Autolink.t/0","type":"type"},{"doc":"Provides struct and type for a BaseGist","ref":"GitHub.BaseGist.html","title":"GitHub.BaseGist","type":"module"},{"doc":"","ref":"GitHub.BaseGist.html#t:t/0","title":"GitHub.BaseGist.t/0","type":"type"},{"doc":"Provides struct and type for a BasicError","ref":"GitHub.BasicError.html","title":"GitHub.BasicError","type":"module"},{"doc":"","ref":"GitHub.BasicError.html#t:t/0","title":"GitHub.BasicError.t/0","type":"type"},{"doc":"Provides struct and type for a Blob","ref":"GitHub.Blob.html","title":"GitHub.Blob","type":"module"},{"doc":"","ref":"GitHub.Blob.html#t:t/0","title":"GitHub.Blob.t/0","type":"type"},{"doc":"Provides struct and type for a Branch.Protection","ref":"GitHub.Branch.Protection.html","title":"GitHub.Branch.Protection","type":"module"},{"doc":"","ref":"GitHub.Branch.Protection.html#t:t/0","title":"GitHub.Branch.Protection.t/0","type":"type"},{"doc":"Provides struct and type for a Branch.RestrictionPolicy","ref":"GitHub.Branch.RestrictionPolicy.html","title":"GitHub.Branch.RestrictionPolicy","type":"module"},{"doc":"","ref":"GitHub.Branch.RestrictionPolicy.html#t:t/0","title":"GitHub.Branch.RestrictionPolicy.t/0","type":"type"},{"doc":"Provides struct and type for a Branch.Short","ref":"GitHub.Branch.Short.html","title":"GitHub.Branch.Short","type":"module"},{"doc":"","ref":"GitHub.Branch.Short.html#t:t/0","title":"GitHub.Branch.Short.t/0","type":"type"},{"doc":"Provides struct and type for a Branch.WithProtection","ref":"GitHub.Branch.WithProtection.html","title":"GitHub.Branch.WithProtection","type":"module"},{"doc":"","ref":"GitHub.Branch.WithProtection.html#t:t/0","title":"GitHub.Branch.WithProtection.t/0","type":"type"},{"doc":"Provides struct and type for a Check.Annotation","ref":"GitHub.Check.Annotation.html","title":"GitHub.Check.Annotation","type":"module"},{"doc":"","ref":"GitHub.Check.Annotation.html#t:t/0","title":"GitHub.Check.Annotation.t/0","type":"type"},{"doc":"Provides struct and type for a Check.AutomatedSecurityFixes","ref":"GitHub.Check.AutomatedSecurityFixes.html","title":"GitHub.Check.AutomatedSecurityFixes","type":"module"},{"doc":"","ref":"GitHub.Check.AutomatedSecurityFixes.html#t:t/0","title":"GitHub.Check.AutomatedSecurityFixes.t/0","type":"type"},{"doc":"Provides struct and type for a Check.Run","ref":"GitHub.Check.Run.html","title":"GitHub.Check.Run","type":"module"},{"doc":"","ref":"GitHub.Check.Run.html#t:t/0","title":"GitHub.Check.Run.t/0","type":"type"},{"doc":"Provides struct and type for a Check.Suite","ref":"GitHub.Check.Suite.html","title":"GitHub.Check.Suite","type":"module"},{"doc":"","ref":"GitHub.Check.Suite.html#t:t/0","title":"GitHub.Check.Suite.t/0","type":"type"},{"doc":"Provides struct and type for a Check.SuitePreference","ref":"GitHub.Check.SuitePreference.html","title":"GitHub.Check.SuitePreference","type":"module"},{"doc":"","ref":"GitHub.Check.SuitePreference.html#t:t/0","title":"GitHub.Check.SuitePreference.t/0","type":"type"},{"doc":"Provides API endpoints related to classroom","ref":"GitHub.Classroom.html","title":"GitHub.Classroom","type":"module"},{"doc":"Get a classroom Gets a GitHub Classroom classroom for the current user. Classroom will only be returned if the current user is an administrator of the GitHub Classroom. Resources API method documentation","ref":"GitHub.Classroom.html#get_a_classroom/2","title":"GitHub.Classroom.get_a_classroom/2","type":"function"},{"doc":"Get an assignment Gets a GitHub Classroom assignment. Assignment will only be returned if the current user is an administrator of the GitHub Classroom for the assignment. Resources API method documentation","ref":"GitHub.Classroom.html#get_an_assignment/2","title":"GitHub.Classroom.get_an_assignment/2","type":"function"},{"doc":"Get assignment grades Gets grades for a GitHub Classroom assignment. Grades will only be returned if the current user is an administrator of the GitHub Classroom for the assignment. Resources API method documentation","ref":"GitHub.Classroom.html#get_assignment_grades/2","title":"GitHub.Classroom.get_assignment_grades/2","type":"function"},{"doc":"List accepted assignments for an assignment Lists any assignment repositories that have been created by students accepting a GitHub Classroom assignment. Accepted assignments will only be returned if the current user is an administrator of the GitHub Classroom for the assignment. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Classroom.html#list_accepted_assigments_for_an_assignment/2","title":"GitHub.Classroom.list_accepted_assigments_for_an_assignment/2","type":"function"},{"doc":"List assignments for a classroom Lists GitHub Classroom assignments for a classroom. Assignments will only be returned if the current user is an administrator of the GitHub Classroom. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Classroom.html#list_assignments_for_a_classroom/2","title":"GitHub.Classroom.list_assignments_for_a_classroom/2","type":"function"},{"doc":"List classrooms Lists GitHub Classroom classrooms for the current user. Classrooms will only be returned if the current user is an administrator of one or more GitHub Classrooms. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Classroom.html#list_classrooms/1","title":"GitHub.Classroom.list_classrooms/1","type":"function"},{"doc":"","ref":"GitHub.Classroom.html#t:simple/0","title":"GitHub.Classroom.simple/0","type":"type"},{"doc":"Provides struct and type for a Classroom.AcceptedAssignment","ref":"GitHub.Classroom.AcceptedAssignment.html","title":"GitHub.Classroom.AcceptedAssignment","type":"module"},{"doc":"","ref":"GitHub.Classroom.AcceptedAssignment.html#t:t/0","title":"GitHub.Classroom.AcceptedAssignment.t/0","type":"type"},{"doc":"Provides struct and types for a Classroom.Assignment","ref":"GitHub.Classroom.Assignment.html","title":"GitHub.Classroom.Assignment","type":"module"},{"doc":"","ref":"GitHub.Classroom.Assignment.html#t:simple/0","title":"GitHub.Classroom.Assignment.simple/0","type":"type"},{"doc":"","ref":"GitHub.Classroom.Assignment.html#t:t/0","title":"GitHub.Classroom.Assignment.t/0","type":"type"},{"doc":"Provides struct and type for a Classroom.AssignmentGrade","ref":"GitHub.Classroom.AssignmentGrade.html","title":"GitHub.Classroom.AssignmentGrade","type":"module"},{"doc":"","ref":"GitHub.Classroom.AssignmentGrade.html#t:t/0","title":"GitHub.Classroom.AssignmentGrade.t/0","type":"type"},{"doc":"Provides struct and type for a Classroom.Organization","ref":"GitHub.Classroom.Organization.html","title":"GitHub.Classroom.Organization","type":"module"},{"doc":"","ref":"GitHub.Classroom.Organization.html#t:simple/0","title":"GitHub.Classroom.Organization.simple/0","type":"type"},{"doc":"Provides struct and type for a Classroom.Repository","ref":"GitHub.Classroom.Repository.html","title":"GitHub.Classroom.Repository","type":"module"},{"doc":"","ref":"GitHub.Classroom.Repository.html#t:simple/0","title":"GitHub.Classroom.Repository.simple/0","type":"type"},{"doc":"Provides struct and type for a Classroom.User","ref":"GitHub.Classroom.User.html","title":"GitHub.Classroom.User","type":"module"},{"doc":"","ref":"GitHub.Classroom.User.html#t:simple/0","title":"GitHub.Classroom.User.simple/0","type":"type"},{"doc":"Provides struct and type for a CloneTraffic","ref":"GitHub.CloneTraffic.html","title":"GitHub.CloneTraffic","type":"module"},{"doc":"","ref":"GitHub.CloneTraffic.html#t:t/0","title":"GitHub.CloneTraffic.t/0","type":"type"},{"doc":"Provides struct and types for a CodeOfConduct","ref":"GitHub.CodeOfConduct.html","title":"GitHub.CodeOfConduct","type":"module"},{"doc":"","ref":"GitHub.CodeOfConduct.html#t:simple/0","title":"GitHub.CodeOfConduct.simple/0","type":"type"},{"doc":"","ref":"GitHub.CodeOfConduct.html#t:t/0","title":"GitHub.CodeOfConduct.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.Alert","ref":"GitHub.CodeScanning.Alert.html","title":"GitHub.CodeScanning.Alert","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.Alert.html#t:t/0","title":"GitHub.CodeScanning.Alert.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AlertInstance","ref":"GitHub.CodeScanning.AlertInstance.html","title":"GitHub.CodeScanning.AlertInstance","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertInstance.html#t:t/0","title":"GitHub.CodeScanning.AlertInstance.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AlertItems","ref":"GitHub.CodeScanning.AlertItems.html","title":"GitHub.CodeScanning.AlertItems","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertItems.html#t:t/0","title":"GitHub.CodeScanning.AlertItems.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AlertLocation","ref":"GitHub.CodeScanning.AlertLocation.html","title":"GitHub.CodeScanning.AlertLocation","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertLocation.html#t:t/0","title":"GitHub.CodeScanning.AlertLocation.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AlertRule","ref":"GitHub.CodeScanning.AlertRule.html","title":"GitHub.CodeScanning.AlertRule","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertRule.html#t:t/0","title":"GitHub.CodeScanning.AlertRule.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AlertRuleSummary","ref":"GitHub.CodeScanning.AlertRuleSummary.html","title":"GitHub.CodeScanning.AlertRuleSummary","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AlertRuleSummary.html#t:t/0","title":"GitHub.CodeScanning.AlertRuleSummary.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.Analysis","ref":"GitHub.CodeScanning.Analysis.html","title":"GitHub.CodeScanning.Analysis","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.Analysis.html#t:t/0","title":"GitHub.CodeScanning.Analysis.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AnalysisDeletion","ref":"GitHub.CodeScanning.AnalysisDeletion.html","title":"GitHub.CodeScanning.AnalysisDeletion","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisDeletion.html#t:t/0","title":"GitHub.CodeScanning.AnalysisDeletion.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.AnalysisTool","ref":"GitHub.CodeScanning.AnalysisTool.html","title":"GitHub.CodeScanning.AnalysisTool","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.AnalysisTool.html#t:t/0","title":"GitHub.CodeScanning.AnalysisTool.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.CodeqlDatabase","ref":"GitHub.CodeScanning.CodeqlDatabase.html","title":"GitHub.CodeScanning.CodeqlDatabase","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.CodeqlDatabase.html#t:t/0","title":"GitHub.CodeScanning.CodeqlDatabase.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.DefaultSetup","ref":"GitHub.CodeScanning.DefaultSetup.html","title":"GitHub.CodeScanning.DefaultSetup","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.DefaultSetup.html#t:t/0","title":"GitHub.CodeScanning.DefaultSetup.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.DefaultSetupUpdate","ref":"GitHub.CodeScanning.DefaultSetupUpdate.html","title":"GitHub.CodeScanning.DefaultSetupUpdate","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.DefaultSetupUpdate.html#t:t/0","title":"GitHub.CodeScanning.DefaultSetupUpdate.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.DefaultSetupUpdateResponse","ref":"GitHub.CodeScanning.DefaultSetupUpdateResponse.html","title":"GitHub.CodeScanning.DefaultSetupUpdateResponse","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.DefaultSetupUpdateResponse.html#t:t/0","title":"GitHub.CodeScanning.DefaultSetupUpdateResponse.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.OrganizationAlertItems","ref":"GitHub.CodeScanning.OrganizationAlertItems.html","title":"GitHub.CodeScanning.OrganizationAlertItems","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.OrganizationAlertItems.html#t:t/0","title":"GitHub.CodeScanning.OrganizationAlertItems.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.SarifsReceipt","ref":"GitHub.CodeScanning.SarifsReceipt.html","title":"GitHub.CodeScanning.SarifsReceipt","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.SarifsReceipt.html#t:t/0","title":"GitHub.CodeScanning.SarifsReceipt.t/0","type":"type"},{"doc":"Provides struct and type for a CodeScanning.SarifsStatus","ref":"GitHub.CodeScanning.SarifsStatus.html","title":"GitHub.CodeScanning.SarifsStatus","type":"module"},{"doc":"","ref":"GitHub.CodeScanning.SarifsStatus.html#t:t/0","title":"GitHub.CodeScanning.SarifsStatus.t/0","type":"type"},{"doc":"Provides struct and type for a CodeSearchResultItem","ref":"GitHub.CodeSearchResultItem.html","title":"GitHub.CodeSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.CodeSearchResultItem.html#t:t/0","title":"GitHub.CodeSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for a CodeownersErrors","ref":"GitHub.CodeownersErrors.html","title":"GitHub.CodeownersErrors","type":"module"},{"doc":"","ref":"GitHub.CodeownersErrors.html#t:t/0","title":"GitHub.CodeownersErrors.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace","ref":"GitHub.Codespace.html","title":"GitHub.Codespace","type":"module"},{"doc":"","ref":"GitHub.Codespace.html#t:t/0","title":"GitHub.Codespace.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.ExportDetails","ref":"GitHub.Codespace.ExportDetails.html","title":"GitHub.Codespace.ExportDetails","type":"module"},{"doc":"","ref":"GitHub.Codespace.ExportDetails.html#t:t/0","title":"GitHub.Codespace.ExportDetails.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.Machine","ref":"GitHub.Codespace.Machine.html","title":"GitHub.Codespace.Machine","type":"module"},{"doc":"","ref":"GitHub.Codespace.Machine.html#t:t/0","title":"GitHub.Codespace.Machine.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.OrgSecret","ref":"GitHub.Codespace.OrgSecret.html","title":"GitHub.Codespace.OrgSecret","type":"module"},{"doc":"","ref":"GitHub.Codespace.OrgSecret.html#t:t/0","title":"GitHub.Codespace.OrgSecret.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.PublicKey","ref":"GitHub.Codespace.PublicKey.html","title":"GitHub.Codespace.PublicKey","type":"module"},{"doc":"","ref":"GitHub.Codespace.PublicKey.html#t:t/0","title":"GitHub.Codespace.PublicKey.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.Secret","ref":"GitHub.Codespace.Secret.html","title":"GitHub.Codespace.Secret","type":"module"},{"doc":"","ref":"GitHub.Codespace.Secret.html#t:t/0","title":"GitHub.Codespace.Secret.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.UserPublicKey","ref":"GitHub.Codespace.UserPublicKey.html","title":"GitHub.Codespace.UserPublicKey","type":"module"},{"doc":"","ref":"GitHub.Codespace.UserPublicKey.html#t:t/0","title":"GitHub.Codespace.UserPublicKey.t/0","type":"type"},{"doc":"Provides struct and type for a Codespace.WithFullRepository","ref":"GitHub.Codespace.WithFullRepository.html","title":"GitHub.Codespace.WithFullRepository","type":"module"},{"doc":"","ref":"GitHub.Codespace.WithFullRepository.html#t:t/0","title":"GitHub.Codespace.WithFullRepository.t/0","type":"type"},{"doc":"Provides struct and type for a Collaborator","ref":"GitHub.Collaborator.html","title":"GitHub.Collaborator","type":"module"},{"doc":"","ref":"GitHub.Collaborator.html#t:t/0","title":"GitHub.Collaborator.t/0","type":"type"},{"doc":"Provides struct and type for a CombinedBillingUsage","ref":"GitHub.CombinedBillingUsage.html","title":"GitHub.CombinedBillingUsage","type":"module"},{"doc":"","ref":"GitHub.CombinedBillingUsage.html#t:t/0","title":"GitHub.CombinedBillingUsage.t/0","type":"type"},{"doc":"Provides struct and type for a CombinedCommitStatus","ref":"GitHub.CombinedCommitStatus.html","title":"GitHub.CombinedCommitStatus","type":"module"},{"doc":"","ref":"GitHub.CombinedCommitStatus.html#t:t/0","title":"GitHub.CombinedCommitStatus.t/0","type":"type"},{"doc":"Provides struct and types for a Commit","ref":"GitHub.Commit.html","title":"GitHub.Commit","type":"module"},{"doc":"","ref":"GitHub.Commit.html#t:simple/0","title":"GitHub.Commit.simple/0","type":"type"},{"doc":"","ref":"GitHub.Commit.html#t:t/0","title":"GitHub.Commit.t/0","type":"type"},{"doc":"Provides struct and type for a Commit.Activity","ref":"GitHub.Commit.Activity.html","title":"GitHub.Commit.Activity","type":"module"},{"doc":"","ref":"GitHub.Commit.Activity.html#t:t/0","title":"GitHub.Commit.Activity.t/0","type":"type"},{"doc":"Provides struct and type for a Commit.Comment","ref":"GitHub.Commit.Comment.html","title":"GitHub.Commit.Comment","type":"module"},{"doc":"","ref":"GitHub.Commit.Comment.html#t:t/0","title":"GitHub.Commit.Comment.t/0","type":"type"},{"doc":"Provides struct and type for a Commit.Comparison","ref":"GitHub.Commit.Comparison.html","title":"GitHub.Commit.Comparison","type":"module"},{"doc":"","ref":"GitHub.Commit.Comparison.html#t:t/0","title":"GitHub.Commit.Comparison.t/0","type":"type"},{"doc":"Provides struct and type for a Commit.SearchResultItem","ref":"GitHub.Commit.SearchResultItem.html","title":"GitHub.Commit.SearchResultItem","type":"module"},{"doc":"","ref":"GitHub.Commit.SearchResultItem.html#t:t/0","title":"GitHub.Commit.SearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for a Commit.Status","ref":"GitHub.Commit.Status.html","title":"GitHub.Commit.Status","type":"module"},{"doc":"","ref":"GitHub.Commit.Status.html#t:simple/0","title":"GitHub.Commit.Status.simple/0","type":"type"},{"doc":"Provides struct and type for a CommunityHealthFile","ref":"GitHub.CommunityHealthFile.html","title":"GitHub.CommunityHealthFile","type":"module"},{"doc":"","ref":"GitHub.CommunityHealthFile.html#t:t/0","title":"GitHub.CommunityHealthFile.t/0","type":"type"},{"doc":"Provides struct and type for a CommunityProfile","ref":"GitHub.CommunityProfile.html","title":"GitHub.CommunityProfile","type":"module"},{"doc":"","ref":"GitHub.CommunityProfile.html#t:t/0","title":"GitHub.CommunityProfile.t/0","type":"type"},{"doc":"Provides struct and type for a ContainerMetadata","ref":"GitHub.ContainerMetadata.html","title":"GitHub.ContainerMetadata","type":"module"},{"doc":"","ref":"GitHub.ContainerMetadata.html#t:t/0","title":"GitHub.ContainerMetadata.t/0","type":"type"},{"doc":"Provides struct and type for a Content.File","ref":"GitHub.Content.File.html","title":"GitHub.Content.File","type":"module"},{"doc":"","ref":"GitHub.Content.File.html#t:t/0","title":"GitHub.Content.File.t/0","type":"type"},{"doc":"Provides struct and type for a Content.Submodule","ref":"GitHub.Content.Submodule.html","title":"GitHub.Content.Submodule","type":"module"},{"doc":"","ref":"GitHub.Content.Submodule.html#t:t/0","title":"GitHub.Content.Submodule.t/0","type":"type"},{"doc":"Provides struct and type for a Content.Symlink","ref":"GitHub.Content.Symlink.html","title":"GitHub.Content.Symlink","type":"module"},{"doc":"","ref":"GitHub.Content.Symlink.html#t:t/0","title":"GitHub.Content.Symlink.t/0","type":"type"},{"doc":"Provides struct and type for a Content.Traffic","ref":"GitHub.Content.Traffic.html","title":"GitHub.Content.Traffic","type":"module"},{"doc":"","ref":"GitHub.Content.Traffic.html#t:t/0","title":"GitHub.Content.Traffic.t/0","type":"type"},{"doc":"Provides struct and type for a Content.Tree","ref":"GitHub.Content.Tree.html","title":"GitHub.Content.Tree","type":"module"},{"doc":"","ref":"GitHub.Content.Tree.html#t:t/0","title":"GitHub.Content.Tree.t/0","type":"type"},{"doc":"Provides struct and type for a Contributor","ref":"GitHub.Contributor.html","title":"GitHub.Contributor","type":"module"},{"doc":"","ref":"GitHub.Contributor.html#t:t/0","title":"GitHub.Contributor.t/0","type":"type"},{"doc":"Provides struct and type for a ContributorActivity","ref":"GitHub.ContributorActivity.html","title":"GitHub.ContributorActivity","type":"module"},{"doc":"","ref":"GitHub.ContributorActivity.html#t:t/0","title":"GitHub.ContributorActivity.t/0","type":"type"},{"doc":"Provides API endpoints related to copilot","ref":"GitHub.Copilot.html","title":"GitHub.Copilot","type":"module"},{"doc":"Add teams to the Copilot for Business subscription for an organization Note : This endpoint is in beta and is subject to change. Purchases a GitHub Copilot for Business seat for all users within each specified team. The organization will be billed accordingly. For more information about Copilot for Business pricing, see &quot; About billing for GitHub Copilot for Business &quot;. Only organization owners and members with admin permissions can configure GitHub Copilot in their organization. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. In order for an admin to use this endpoint, the organization must have a Copilot for Business subscription and a configured suggestion matching policy. For more information about setting up a Copilot for Business subscription, see &quot; Setting up a Copilot for Business subscription for your organization &quot;. For more information about setting a suggestion matching policy, see &quot; Configuring suggestion matching policies for GitHub Copilot in your organization &quot;. Resources API method documentation","ref":"GitHub.Copilot.html#add_copilot_for_business_seats_for_teams/3","title":"GitHub.Copilot.add_copilot_for_business_seats_for_teams/3","type":"function"},{"doc":"Add users to the Copilot for Business subscription for an organization Note : This endpoint is in beta and is subject to change. Purchases a GitHub Copilot for Business seat for each user specified. The organization will be billed accordingly. For more information about Copilot for Business pricing, see &quot; About billing for GitHub Copilot for Business &quot;. Only organization owners and members with admin permissions can configure GitHub Copilot in their organization. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. In order for an admin to use this endpoint, the organization must have a Copilot for Business subscription and a configured suggestion matching policy. For more information about setting up a Copilot for Business subscription, see &quot; Setting up a Copilot for Business subscription for your organization &quot;. For more information about setting a suggestion matching policy, see &quot; Configuring suggestion matching policies for GitHub Copilot in your organization &quot;. Resources API method documentation","ref":"GitHub.Copilot.html#add_copilot_for_business_seats_for_users/3","title":"GitHub.Copilot.add_copilot_for_business_seats_for_users/3","type":"function"},{"doc":"Remove teams from the Copilot for Business subscription for an organization Note : This endpoint is in beta and is subject to change. Cancels the Copilot for Business seat assignment for all members of each team specified. This will cause the members of the specified team(s) to lose access to GitHub Copilot at the end of the current billing cycle, and the organization will not be billed further for those users. For more information about Copilot for Business pricing, see &quot; About billing for GitHub Copilot for Business &quot;. For more information about disabling access to Copilot for Business, see &quot; Disabling access to GitHub Copilot for specific users in your organization &quot;. Only organization owners and members with admin permissions can configure GitHub Copilot in their organization. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. Resources API method documentation","ref":"GitHub.Copilot.html#cancel_copilot_seat_assignment_for_teams/3","title":"GitHub.Copilot.cancel_copilot_seat_assignment_for_teams/3","type":"function"},{"doc":"Remove users from the Copilot for Business subscription for an organization Note : This endpoint is in beta and is subject to change. Cancels the Copilot for Business seat assignment for each user specified. This will cause the specified users to lose access to GitHub Copilot at the end of the current billing cycle, and the organization will not be billed further for those users. For more information about Copilot for Business pricing, see &quot; About billing for GitHub Copilot for Business &quot; For more information about disabling access to Copilot for Business, see &quot; Disabling access to GitHub Copilot for specific users in your organization &quot;. Only organization owners and members with admin permissions can configure GitHub Copilot in their organization. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. Resources API method documentation","ref":"GitHub.Copilot.html#cancel_copilot_seat_assignment_for_users/3","title":"GitHub.Copilot.cancel_copilot_seat_assignment_for_users/3","type":"function"},{"doc":"Get Copilot for Business seat information and settings for an organization Note : This endpoint is in beta and is subject to change. Gets information about an organization's Copilot for Business subscription, including seat breakdown and code matching policies. To configure these settings, go to your organization's settings on GitHub.com. For more information, see &quot; Configuring GitHub Copilot settings in your organization &quot;. Only organization owners and members with admin permissions can configure and view details about the organization's Copilot for Business subscription. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. Resources API method documentation","ref":"GitHub.Copilot.html#get_copilot_organization_details/2","title":"GitHub.Copilot.get_copilot_organization_details/2","type":"function"},{"doc":"Get Copilot for Business seat assignment details for a user Note : This endpoint is in beta and is subject to change. Gets the GitHub Copilot for Business seat assignment details for a member of an organization who currently has access to GitHub Copilot. Organization owners and members with admin permissions can view GitHub Copilot seat assignment details for members in their organization. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. Resources API method documentation","ref":"GitHub.Copilot.html#get_copilot_seat_assignment_details_for_user/3","title":"GitHub.Copilot.get_copilot_seat_assignment_details_for_user/3","type":"function"},{"doc":"List all Copilot for Business seat assignments for an organization Note : This endpoint is in beta and is subject to change. Lists all Copilot for Business seat assignments for an organization that are currently being billed (either active or pending cancellation at the start of the next billing cycle). Only organization owners and members with admin permissions can configure and view details about the organization's Copilot for Business subscription. You must authenticate using an access token with the manage_billing:copilot scope to use this endpoint. Options page : Page number of the results to fetch. per_page : The number of results per page (max 100). Resources API method documentation","ref":"GitHub.Copilot.html#list_copilot_seats/2","title":"GitHub.Copilot.list_copilot_seats/2","type":"function"},{"doc":"Provides struct and type for a Copilot.OrganizationDetails","ref":"GitHub.Copilot.OrganizationDetails.html","title":"GitHub.Copilot.OrganizationDetails","type":"module"},{"doc":"","ref":"GitHub.Copilot.OrganizationDetails.html#t:t/0","title":"GitHub.Copilot.OrganizationDetails.t/0","type":"type"},{"doc":"Provides struct and type for a Copilot.SeatBreakdown","ref":"GitHub.Copilot.SeatBreakdown.html","title":"GitHub.Copilot.SeatBreakdown","type":"module"},{"doc":"","ref":"GitHub.Copilot.SeatBreakdown.html#t:t/0","title":"GitHub.Copilot.SeatBreakdown.t/0","type":"type"},{"doc":"Provides struct and type for a Copilot.SeatDetails","ref":"GitHub.Copilot.SeatDetails.html","title":"GitHub.Copilot.SeatDetails","type":"module"},{"doc":"","ref":"GitHub.Copilot.SeatDetails.html#t:t/0","title":"GitHub.Copilot.SeatDetails.t/0","type":"type"},{"doc":"Provides struct and type for a CustomDeploymentRuleApp","ref":"GitHub.CustomDeploymentRuleApp.html","title":"GitHub.CustomDeploymentRuleApp","type":"module"},{"doc":"","ref":"GitHub.CustomDeploymentRuleApp.html#t:t/0","title":"GitHub.CustomDeploymentRuleApp.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.Alert","ref":"GitHub.Dependabot.Alert.html","title":"GitHub.Dependabot.Alert","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.html#t:t/0","title":"GitHub.Dependabot.Alert.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.Alert.Package","ref":"GitHub.Dependabot.Alert.Package.html","title":"GitHub.Dependabot.Alert.Package","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.Package.html#t:t/0","title":"GitHub.Dependabot.Alert.Package.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.Alert.SecurityAdvisory","ref":"GitHub.Dependabot.Alert.SecurityAdvisory.html","title":"GitHub.Dependabot.Alert.SecurityAdvisory","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.SecurityAdvisory.html#t:t/0","title":"GitHub.Dependabot.Alert.SecurityAdvisory.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.Alert.SecurityVulnerability","ref":"GitHub.Dependabot.Alert.SecurityVulnerability.html","title":"GitHub.Dependabot.Alert.SecurityVulnerability","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.SecurityVulnerability.html#t:t/0","title":"GitHub.Dependabot.Alert.SecurityVulnerability.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.Alert.WithRepository","ref":"GitHub.Dependabot.Alert.WithRepository.html","title":"GitHub.Dependabot.Alert.WithRepository","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Alert.WithRepository.html#t:t/0","title":"GitHub.Dependabot.Alert.WithRepository.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.PublicKey","ref":"GitHub.Dependabot.PublicKey.html","title":"GitHub.Dependabot.PublicKey","type":"module"},{"doc":"","ref":"GitHub.Dependabot.PublicKey.html#t:t/0","title":"GitHub.Dependabot.PublicKey.t/0","type":"type"},{"doc":"Provides struct and type for a Dependabot.Secret","ref":"GitHub.Dependabot.Secret.html","title":"GitHub.Dependabot.Secret","type":"module"},{"doc":"","ref":"GitHub.Dependabot.Secret.html#t:t/0","title":"GitHub.Dependabot.Secret.t/0","type":"type"},{"doc":"Provides struct and type for a DependencyGraph.SpdxSbom","ref":"GitHub.DependencyGraph.SpdxSbom.html","title":"GitHub.DependencyGraph.SpdxSbom","type":"module"},{"doc":"","ref":"GitHub.DependencyGraph.SpdxSbom.html#t:t/0","title":"GitHub.DependencyGraph.SpdxSbom.t/0","type":"type"},{"doc":"Provides struct and type for a DeployKey","ref":"GitHub.DeployKey.html","title":"GitHub.DeployKey","type":"module"},{"doc":"","ref":"GitHub.DeployKey.html#t:t/0","title":"GitHub.DeployKey.t/0","type":"type"},{"doc":"Provides struct and types for a Deployment","ref":"GitHub.Deployment.html","title":"GitHub.Deployment","type":"module"},{"doc":"","ref":"GitHub.Deployment.html#t:simple/0","title":"GitHub.Deployment.simple/0","type":"type"},{"doc":"","ref":"GitHub.Deployment.html#t:t/0","title":"GitHub.Deployment.t/0","type":"type"},{"doc":"Provides struct and type for a Deployment.BranchPolicy","ref":"GitHub.Deployment.BranchPolicy.html","title":"GitHub.Deployment.BranchPolicy","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicy.html#t:t/0","title":"GitHub.Deployment.BranchPolicy.t/0","type":"type"},{"doc":"Provides struct and type for a Deployment.BranchPolicyNamePattern","ref":"GitHub.Deployment.BranchPolicyNamePattern.html","title":"GitHub.Deployment.BranchPolicyNamePattern","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicyNamePattern.html#t:t/0","title":"GitHub.Deployment.BranchPolicyNamePattern.t/0","type":"type"},{"doc":"Provides struct and type for a Deployment.BranchPolicyNamePatternWithType","ref":"GitHub.Deployment.BranchPolicyNamePatternWithType.html","title":"GitHub.Deployment.BranchPolicyNamePatternWithType","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicyNamePatternWithType.html#t:t/0","title":"GitHub.Deployment.BranchPolicyNamePatternWithType.t/0","type":"type"},{"doc":"Provides struct and type for a Deployment.BranchPolicySettings","ref":"GitHub.Deployment.BranchPolicySettings.html","title":"GitHub.Deployment.BranchPolicySettings","type":"module"},{"doc":"","ref":"GitHub.Deployment.BranchPolicySettings.html#t:t/0","title":"GitHub.Deployment.BranchPolicySettings.t/0","type":"type"},{"doc":"Provides struct and type for a Deployment.ProtectionRule","ref":"GitHub.Deployment.ProtectionRule.html","title":"GitHub.Deployment.ProtectionRule","type":"module"},{"doc":"","ref":"GitHub.Deployment.ProtectionRule.html#t:t/0","title":"GitHub.Deployment.ProtectionRule.t/0","type":"type"},{"doc":"Provides struct and type for a Deployment.Status","ref":"GitHub.Deployment.Status.html","title":"GitHub.Deployment.Status","type":"module"},{"doc":"","ref":"GitHub.Deployment.Status.html#t:t/0","title":"GitHub.Deployment.Status.t/0","type":"type"},{"doc":"Provides struct and type for a DiffEntry","ref":"GitHub.DiffEntry.html","title":"GitHub.DiffEntry","type":"module"},{"doc":"","ref":"GitHub.DiffEntry.html#t:t/0","title":"GitHub.DiffEntry.t/0","type":"type"},{"doc":"Provides struct and type for a DockerMetadata","ref":"GitHub.DockerMetadata.html","title":"GitHub.DockerMetadata","type":"module"},{"doc":"","ref":"GitHub.DockerMetadata.html#t:t/0","title":"GitHub.DockerMetadata.t/0","type":"type"},{"doc":"Provides struct and type for a Email","ref":"GitHub.Email.html","title":"GitHub.Email","type":"module"},{"doc":"","ref":"GitHub.Email.html#t:t/0","title":"GitHub.Email.t/0","type":"type"},{"doc":"Provides struct and type for a EmptyObject","ref":"GitHub.EmptyObject.html","title":"GitHub.EmptyObject","type":"module"},{"doc":"","ref":"GitHub.EmptyObject.html#t:t/0","title":"GitHub.EmptyObject.t/0","type":"type"},{"doc":"","ref":"GitHub.Encoder.html","title":"GitHub.Encoder","type":"module"},{"doc":"Provides struct and type for a Enterprise","ref":"GitHub.Enterprise.html","title":"GitHub.Enterprise","type":"module"},{"doc":"","ref":"GitHub.Enterprise.html#t:t/0","title":"GitHub.Enterprise.t/0","type":"type"},{"doc":"Provides struct and type for a Environment","ref":"GitHub.Environment.html","title":"GitHub.Environment","type":"module"},{"doc":"","ref":"GitHub.Environment.html#t:t/0","title":"GitHub.Environment.t/0","type":"type"},{"doc":"Provides struct and type for a EnvironmentApprovals","ref":"GitHub.EnvironmentApprovals.html","title":"GitHub.EnvironmentApprovals","type":"module"},{"doc":"","ref":"GitHub.EnvironmentApprovals.html#t:t/0","title":"GitHub.EnvironmentApprovals.t/0","type":"type"},{"doc":"Provides struct and type for a Event","ref":"GitHub.Event.html","title":"GitHub.Event","type":"module"},{"doc":"","ref":"GitHub.Event.html#t:t/0","title":"GitHub.Event.t/0","type":"type"},{"doc":"Provides struct and type for a Feed","ref":"GitHub.Feed.html","title":"GitHub.Feed","type":"module"},{"doc":"","ref":"GitHub.Feed.html#t:t/0","title":"GitHub.Feed.t/0","type":"type"},{"doc":"Provides struct and type for a FileCommit","ref":"GitHub.FileCommit.html","title":"GitHub.FileCommit","type":"module"},{"doc":"","ref":"GitHub.FileCommit.html#t:t/0","title":"GitHub.FileCommit.t/0","type":"type"},{"doc":"Provides struct and types for a Gist","ref":"GitHub.Gist.html","title":"GitHub.Gist","type":"module"},{"doc":"","ref":"GitHub.Gist.html#t:simple/0","title":"GitHub.Gist.simple/0","type":"type"},{"doc":"","ref":"GitHub.Gist.html#t:t/0","title":"GitHub.Gist.t/0","type":"type"},{"doc":"Provides struct and type for a Gist.Comment","ref":"GitHub.Gist.Comment.html","title":"GitHub.Gist.Comment","type":"module"},{"doc":"","ref":"GitHub.Gist.Comment.html#t:t/0","title":"GitHub.Gist.Comment.t/0","type":"type"},{"doc":"Provides struct and type for a Gist.Commit","ref":"GitHub.Gist.Commit.html","title":"GitHub.Gist.Commit","type":"module"},{"doc":"","ref":"GitHub.Gist.Commit.html#t:t/0","title":"GitHub.Gist.Commit.t/0","type":"type"},{"doc":"Provides struct and type for a Git.Commit","ref":"GitHub.Git.Commit.html","title":"GitHub.Git.Commit","type":"module"},{"doc":"","ref":"GitHub.Git.Commit.html#t:t/0","title":"GitHub.Git.Commit.t/0","type":"type"},{"doc":"Provides struct and type for a Git.IgnoreTemplate","ref":"GitHub.Git.IgnoreTemplate.html","title":"GitHub.Git.IgnoreTemplate","type":"module"},{"doc":"","ref":"GitHub.Git.IgnoreTemplate.html#t:t/0","title":"GitHub.Git.IgnoreTemplate.t/0","type":"type"},{"doc":"Provides struct and type for a Git.Ref","ref":"GitHub.Git.Ref.html","title":"GitHub.Git.Ref","type":"module"},{"doc":"","ref":"GitHub.Git.Ref.html#t:t/0","title":"GitHub.Git.Ref.t/0","type":"type"},{"doc":"Provides struct and type for a Git.Tag","ref":"GitHub.Git.Tag.html","title":"GitHub.Git.Tag","type":"module"},{"doc":"","ref":"GitHub.Git.Tag.html#t:t/0","title":"GitHub.Git.Tag.t/0","type":"type"},{"doc":"Provides struct and type for a Git.Tree","ref":"GitHub.Git.Tree.html","title":"GitHub.Git.Tree","type":"module"},{"doc":"","ref":"GitHub.Git.Tree.html#t:t/0","title":"GitHub.Git.Tree.t/0","type":"type"},{"doc":"Provides struct and type for a Git.User","ref":"GitHub.Git.User.html","title":"GitHub.Git.User","type":"module"},{"doc":"","ref":"GitHub.Git.User.html#t:t/0","title":"GitHub.Git.User.t/0","type":"type"},{"doc":"Provides struct and type for a GlobalAdvisory","ref":"GitHub.GlobalAdvisory.html","title":"GitHub.GlobalAdvisory","type":"module"},{"doc":"","ref":"GitHub.GlobalAdvisory.html#t:t/0","title":"GitHub.GlobalAdvisory.t/0","type":"type"},{"doc":"Provides struct and type for a GpgKey","ref":"GitHub.GpgKey.html","title":"GitHub.GpgKey","type":"module"},{"doc":"","ref":"GitHub.GpgKey.html#t:t/0","title":"GitHub.GpgKey.t/0","type":"type"},{"doc":"Provides struct and type for a Hook","ref":"GitHub.Hook.html","title":"GitHub.Hook","type":"module"},{"doc":"","ref":"GitHub.Hook.html#t:t/0","title":"GitHub.Hook.t/0","type":"type"},{"doc":"Provides struct and type for a Hook.Delivery","ref":"GitHub.Hook.Delivery.html","title":"GitHub.Hook.Delivery","type":"module"},{"doc":"","ref":"GitHub.Hook.Delivery.html#t:t/0","title":"GitHub.Hook.Delivery.t/0","type":"type"},{"doc":"Provides struct and type for a Hook.DeliveryItem","ref":"GitHub.Hook.DeliveryItem.html","title":"GitHub.Hook.DeliveryItem","type":"module"},{"doc":"","ref":"GitHub.Hook.DeliveryItem.html#t:t/0","title":"GitHub.Hook.DeliveryItem.t/0","type":"type"},{"doc":"Provides struct and type for a Hook.Response","ref":"GitHub.Hook.Response.html","title":"GitHub.Hook.Response","type":"module"},{"doc":"","ref":"GitHub.Hook.Response.html#t:t/0","title":"GitHub.Hook.Response.t/0","type":"type"},{"doc":"Provides struct and type for a Hovercard","ref":"GitHub.Hovercard.html","title":"GitHub.Hovercard","type":"module"},{"doc":"","ref":"GitHub.Hovercard.html#t:t/0","title":"GitHub.Hovercard.t/0","type":"type"},{"doc":"Provides struct and type for a Import","ref":"GitHub.Import.html","title":"GitHub.Import","type":"module"},{"doc":"","ref":"GitHub.Import.html#t:t/0","title":"GitHub.Import.t/0","type":"type"},{"doc":"Provides struct and types for a Installation","ref":"GitHub.Installation.html","title":"GitHub.Installation","type":"module"},{"doc":"","ref":"GitHub.Installation.html#t:scoped/0","title":"GitHub.Installation.scoped/0","type":"type"},{"doc":"","ref":"GitHub.Installation.html#t:t/0","title":"GitHub.Installation.t/0","type":"type"},{"doc":"Provides struct and type for a Installation.Token","ref":"GitHub.Installation.Token.html","title":"GitHub.Installation.Token","type":"module"},{"doc":"","ref":"GitHub.Installation.Token.html#t:t/0","title":"GitHub.Installation.Token.t/0","type":"type"},{"doc":"Provides struct and type for a Interaction.Limit","ref":"GitHub.Interaction.Limit.html","title":"GitHub.Interaction.Limit","type":"module"},{"doc":"","ref":"GitHub.Interaction.Limit.html#t:t/0","title":"GitHub.Interaction.Limit.t/0","type":"type"},{"doc":"Provides struct and type for a Interaction.Limit.Response","ref":"GitHub.Interaction.Limit.Response.html","title":"GitHub.Interaction.Limit.Response","type":"module"},{"doc":"","ref":"GitHub.Interaction.Limit.Response.html#t:t/0","title":"GitHub.Interaction.Limit.Response.t/0","type":"type"},{"doc":"Provides struct and type for a Issue","ref":"GitHub.Issue.html","title":"GitHub.Issue","type":"module"},{"doc":"","ref":"GitHub.Issue.html#t:t/0","title":"GitHub.Issue.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Comment","ref":"GitHub.Issue.Comment.html","title":"GitHub.Issue.Comment","type":"module"},{"doc":"","ref":"GitHub.Issue.Comment.html#t:t/0","title":"GitHub.Issue.Comment.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event","ref":"GitHub.Issue.Event.html","title":"GitHub.Issue.Event","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.html#t:t/0","title":"GitHub.Issue.Event.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.AddedToProject","ref":"GitHub.Issue.Event.AddedToProject.html","title":"GitHub.Issue.Event.AddedToProject","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.AddedToProject.html#t:t/0","title":"GitHub.Issue.Event.AddedToProject.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Assigned","ref":"GitHub.Issue.Event.Assigned.html","title":"GitHub.Issue.Event.Assigned","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Assigned.html#t:t/0","title":"GitHub.Issue.Event.Assigned.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.ConvertedNoteToIssue","ref":"GitHub.Issue.Event.ConvertedNoteToIssue.html","title":"GitHub.Issue.Event.ConvertedNoteToIssue","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.ConvertedNoteToIssue.html#t:t/0","title":"GitHub.Issue.Event.ConvertedNoteToIssue.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Demilestoned","ref":"GitHub.Issue.Event.Demilestoned.html","title":"GitHub.Issue.Event.Demilestoned","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Demilestoned.html#t:t/0","title":"GitHub.Issue.Event.Demilestoned.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Labeled","ref":"GitHub.Issue.Event.Labeled.html","title":"GitHub.Issue.Event.Labeled","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Labeled.html#t:t/0","title":"GitHub.Issue.Event.Labeled.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Locked","ref":"GitHub.Issue.Event.Locked.html","title":"GitHub.Issue.Event.Locked","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Locked.html#t:t/0","title":"GitHub.Issue.Event.Locked.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Milestoned","ref":"GitHub.Issue.Event.Milestoned.html","title":"GitHub.Issue.Event.Milestoned","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Milestoned.html#t:t/0","title":"GitHub.Issue.Event.Milestoned.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.MovedColumnInProject","ref":"GitHub.Issue.Event.MovedColumnInProject.html","title":"GitHub.Issue.Event.MovedColumnInProject","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.MovedColumnInProject.html#t:t/0","title":"GitHub.Issue.Event.MovedColumnInProject.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.RemovedFromProject","ref":"GitHub.Issue.Event.RemovedFromProject.html","title":"GitHub.Issue.Event.RemovedFromProject","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.RemovedFromProject.html#t:t/0","title":"GitHub.Issue.Event.RemovedFromProject.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Renamed","ref":"GitHub.Issue.Event.Renamed.html","title":"GitHub.Issue.Event.Renamed","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Renamed.html#t:t/0","title":"GitHub.Issue.Event.Renamed.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.ReviewDismissed","ref":"GitHub.Issue.Event.ReviewDismissed.html","title":"GitHub.Issue.Event.ReviewDismissed","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.ReviewDismissed.html#t:t/0","title":"GitHub.Issue.Event.ReviewDismissed.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.ReviewRequestRemoved","ref":"GitHub.Issue.Event.ReviewRequestRemoved.html","title":"GitHub.Issue.Event.ReviewRequestRemoved","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.ReviewRequestRemoved.html#t:t/0","title":"GitHub.Issue.Event.ReviewRequestRemoved.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.ReviewRequested","ref":"GitHub.Issue.Event.ReviewRequested.html","title":"GitHub.Issue.Event.ReviewRequested","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.ReviewRequested.html#t:t/0","title":"GitHub.Issue.Event.ReviewRequested.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.StateChange","ref":"GitHub.Issue.Event.StateChange.html","title":"GitHub.Issue.Event.StateChange","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.StateChange.html#t:t/0","title":"GitHub.Issue.Event.StateChange.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Unassigned","ref":"GitHub.Issue.Event.Unassigned.html","title":"GitHub.Issue.Event.Unassigned","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Unassigned.html#t:t/0","title":"GitHub.Issue.Event.Unassigned.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.Event.Unlabeled","ref":"GitHub.Issue.Event.Unlabeled.html","title":"GitHub.Issue.Event.Unlabeled","type":"module"},{"doc":"","ref":"GitHub.Issue.Event.Unlabeled.html#t:t/0","title":"GitHub.Issue.Event.Unlabeled.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.EventDismissedReview","ref":"GitHub.Issue.EventDismissedReview.html","title":"GitHub.Issue.EventDismissedReview","type":"module"},{"doc":"","ref":"GitHub.Issue.EventDismissedReview.html#t:t/0","title":"GitHub.Issue.EventDismissedReview.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.EventLabel","ref":"GitHub.Issue.EventLabel.html","title":"GitHub.Issue.EventLabel","type":"module"},{"doc":"","ref":"GitHub.Issue.EventLabel.html#t:t/0","title":"GitHub.Issue.EventLabel.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.EventMilestone","ref":"GitHub.Issue.EventMilestone.html","title":"GitHub.Issue.EventMilestone","type":"module"},{"doc":"","ref":"GitHub.Issue.EventMilestone.html#t:t/0","title":"GitHub.Issue.EventMilestone.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.EventProjectCard","ref":"GitHub.Issue.EventProjectCard.html","title":"GitHub.Issue.EventProjectCard","type":"module"},{"doc":"","ref":"GitHub.Issue.EventProjectCard.html#t:t/0","title":"GitHub.Issue.EventProjectCard.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.EventRename","ref":"GitHub.Issue.EventRename.html","title":"GitHub.Issue.EventRename","type":"module"},{"doc":"","ref":"GitHub.Issue.EventRename.html#t:t/0","title":"GitHub.Issue.EventRename.t/0","type":"type"},{"doc":"Provides struct and type for a Issue.SearchResultItem","ref":"GitHub.Issue.SearchResultItem.html","title":"GitHub.Issue.SearchResultItem","type":"module"},{"doc":"","ref":"GitHub.Issue.SearchResultItem.html#t:t/0","title":"GitHub.Issue.SearchResultItem.t/0","type":"type"},{"doc":"Provides struct and types for a Key","ref":"GitHub.Key.html","title":"GitHub.Key","type":"module"},{"doc":"","ref":"GitHub.Key.html#t:simple/0","title":"GitHub.Key.simple/0","type":"type"},{"doc":"","ref":"GitHub.Key.html#t:t/0","title":"GitHub.Key.t/0","type":"type"},{"doc":"Provides struct and type for a Label","ref":"GitHub.Label.html","title":"GitHub.Label","type":"module"},{"doc":"","ref":"GitHub.Label.html#t:t/0","title":"GitHub.Label.t/0","type":"type"},{"doc":"Provides struct and type for a LabelSearchResultItem","ref":"GitHub.LabelSearchResultItem.html","title":"GitHub.LabelSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.LabelSearchResultItem.html#t:t/0","title":"GitHub.LabelSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for a Language","ref":"GitHub.Language.html","title":"GitHub.Language","type":"module"},{"doc":"","ref":"GitHub.Language.html#t:t/0","title":"GitHub.Language.t/0","type":"type"},{"doc":"Provides struct and types for a License","ref":"GitHub.License.html","title":"GitHub.License","type":"module"},{"doc":"","ref":"GitHub.License.html#t:simple/0","title":"GitHub.License.simple/0","type":"type"},{"doc":"","ref":"GitHub.License.html#t:t/0","title":"GitHub.License.t/0","type":"type"},{"doc":"Provides struct and type for a License.Content","ref":"GitHub.License.Content.html","title":"GitHub.License.Content","type":"module"},{"doc":"","ref":"GitHub.License.Content.html#t:t/0","title":"GitHub.License.Content.t/0","type":"type"},{"doc":"Provides struct and type for a Link","ref":"GitHub.Link.html","title":"GitHub.Link","type":"module"},{"doc":"","ref":"GitHub.Link.html#t:t/0","title":"GitHub.Link.t/0","type":"type"},{"doc":"Provides struct and type for a LinkWithType","ref":"GitHub.LinkWithType.html","title":"GitHub.LinkWithType","type":"module"},{"doc":"","ref":"GitHub.LinkWithType.html#t:t/0","title":"GitHub.LinkWithType.t/0","type":"type"},{"doc":"Provides struct and type for a Marketplace.Account","ref":"GitHub.Marketplace.Account.html","title":"GitHub.Marketplace.Account","type":"module"},{"doc":"","ref":"GitHub.Marketplace.Account.html#t:t/0","title":"GitHub.Marketplace.Account.t/0","type":"type"},{"doc":"Provides struct and type for a Marketplace.ListingPlan","ref":"GitHub.Marketplace.ListingPlan.html","title":"GitHub.Marketplace.ListingPlan","type":"module"},{"doc":"","ref":"GitHub.Marketplace.ListingPlan.html#t:t/0","title":"GitHub.Marketplace.ListingPlan.t/0","type":"type"},{"doc":"Provides struct and type for a Marketplace.Purchase","ref":"GitHub.Marketplace.Purchase.html","title":"GitHub.Marketplace.Purchase","type":"module"},{"doc":"","ref":"GitHub.Marketplace.Purchase.html#t:t/0","title":"GitHub.Marketplace.Purchase.t/0","type":"type"},{"doc":"Provides struct and type for a MergedUpstream","ref":"GitHub.MergedUpstream.html","title":"GitHub.MergedUpstream","type":"module"},{"doc":"","ref":"GitHub.MergedUpstream.html#t:t/0","title":"GitHub.MergedUpstream.t/0","type":"type"},{"doc":"Provides struct and type for a Metadata","ref":"GitHub.Metadata.html","title":"GitHub.Metadata","type":"module"},{"doc":"","ref":"GitHub.Metadata.html#t:t/0","title":"GitHub.Metadata.t/0","type":"type"},{"doc":"Provides struct and type for a Migration","ref":"GitHub.Migration.html","title":"GitHub.Migration","type":"module"},{"doc":"","ref":"GitHub.Migration.html#t:t/0","title":"GitHub.Migration.t/0","type":"type"},{"doc":"Provides struct and type for a Milestone","ref":"GitHub.Milestone.html","title":"GitHub.Milestone","type":"module"},{"doc":"","ref":"GitHub.Milestone.html#t:t/0","title":"GitHub.Milestone.t/0","type":"type"},{"doc":"Provides struct and type for a OIDCCustomSub","ref":"GitHub.OIDCCustomSub.html","title":"GitHub.OIDCCustomSub","type":"module"},{"doc":"","ref":"GitHub.OIDCCustomSub.html#t:t/0","title":"GitHub.OIDCCustomSub.t/0","type":"type"},{"doc":"Provides struct and type for a OIDCCustomSubRepo","ref":"GitHub.OIDCCustomSubRepo.html","title":"GitHub.OIDCCustomSubRepo","type":"module"},{"doc":"","ref":"GitHub.OIDCCustomSubRepo.html#t:t/0","title":"GitHub.OIDCCustomSubRepo.t/0","type":"type"},{"doc":"Provides struct and type for a OrgHook","ref":"GitHub.OrgHook.html","title":"GitHub.OrgHook","type":"module"},{"doc":"","ref":"GitHub.OrgHook.html#t:t/0","title":"GitHub.OrgHook.t/0","type":"type"},{"doc":"Provides struct and type for a OrgMembership","ref":"GitHub.OrgMembership.html","title":"GitHub.OrgMembership","type":"module"},{"doc":"","ref":"GitHub.OrgMembership.html#t:t/0","title":"GitHub.OrgMembership.t/0","type":"type"},{"doc":"Provides struct and types for a Organization","ref":"GitHub.Organization.html","title":"GitHub.Organization","type":"module"},{"doc":"","ref":"GitHub.Organization.html#t:full/0","title":"GitHub.Organization.full/0","type":"type"},{"doc":"","ref":"GitHub.Organization.html#t:simple/0","title":"GitHub.Organization.simple/0","type":"type"},{"doc":"","ref":"GitHub.Organization.html#t:t/0","title":"GitHub.Organization.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.ActionsSecret","ref":"GitHub.Organization.ActionsSecret.html","title":"GitHub.Organization.ActionsSecret","type":"module"},{"doc":"","ref":"GitHub.Organization.ActionsSecret.html#t:t/0","title":"GitHub.Organization.ActionsSecret.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.ActionsVariable","ref":"GitHub.Organization.ActionsVariable.html","title":"GitHub.Organization.ActionsVariable","type":"module"},{"doc":"","ref":"GitHub.Organization.ActionsVariable.html#t:t/0","title":"GitHub.Organization.ActionsVariable.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.DependabotSecret","ref":"GitHub.Organization.DependabotSecret.html","title":"GitHub.Organization.DependabotSecret","type":"module"},{"doc":"","ref":"GitHub.Organization.DependabotSecret.html#t:t/0","title":"GitHub.Organization.DependabotSecret.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.Invitation","ref":"GitHub.Organization.Invitation.html","title":"GitHub.Organization.Invitation","type":"module"},{"doc":"","ref":"GitHub.Organization.Invitation.html#t:t/0","title":"GitHub.Organization.Invitation.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.ProgrammaticAccessGrant","ref":"GitHub.Organization.ProgrammaticAccessGrant.html","title":"GitHub.Organization.ProgrammaticAccessGrant","type":"module"},{"doc":"","ref":"GitHub.Organization.ProgrammaticAccessGrant.html#t:t/0","title":"GitHub.Organization.ProgrammaticAccessGrant.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.ProgrammaticAccessGrant.Request","ref":"GitHub.Organization.ProgrammaticAccessGrant.Request.html","title":"GitHub.Organization.ProgrammaticAccessGrant.Request","type":"module"},{"doc":"","ref":"GitHub.Organization.ProgrammaticAccessGrant.Request.html#t:t/0","title":"GitHub.Organization.ProgrammaticAccessGrant.Request.t/0","type":"type"},{"doc":"Provides struct and type for a Organization.SecretScanningAlert","ref":"GitHub.Organization.SecretScanningAlert.html","title":"GitHub.Organization.SecretScanningAlert","type":"module"},{"doc":"","ref":"GitHub.Organization.SecretScanningAlert.html#t:t/0","title":"GitHub.Organization.SecretScanningAlert.t/0","type":"type"},{"doc":"Provides struct and type for a Package","ref":"GitHub.Package.html","title":"GitHub.Package","type":"module"},{"doc":"","ref":"GitHub.Package.html#t:t/0","title":"GitHub.Package.t/0","type":"type"},{"doc":"Provides struct and type for a PackageVersion","ref":"GitHub.PackageVersion.html","title":"GitHub.PackageVersion","type":"module"},{"doc":"","ref":"GitHub.PackageVersion.html#t:t/0","title":"GitHub.PackageVersion.t/0","type":"type"},{"doc":"Provides struct and type for a PackageVersionMetadata","ref":"GitHub.PackageVersionMetadata.html","title":"GitHub.PackageVersionMetadata","type":"module"},{"doc":"","ref":"GitHub.PackageVersionMetadata.html#t:t/0","title":"GitHub.PackageVersionMetadata.t/0","type":"type"},{"doc":"Provides struct and type for a PackagesBillingUsage","ref":"GitHub.PackagesBillingUsage.html","title":"GitHub.PackagesBillingUsage","type":"module"},{"doc":"","ref":"GitHub.PackagesBillingUsage.html#t:t/0","title":"GitHub.PackagesBillingUsage.t/0","type":"type"},{"doc":"Provides struct and type for a Page","ref":"GitHub.Page.html","title":"GitHub.Page","type":"module"},{"doc":"","ref":"GitHub.Page.html#t:t/0","title":"GitHub.Page.t/0","type":"type"},{"doc":"Provides struct and type for a Pages.Build","ref":"GitHub.Pages.Build.html","title":"GitHub.Pages.Build","type":"module"},{"doc":"","ref":"GitHub.Pages.Build.html#t:t/0","title":"GitHub.Pages.Build.t/0","type":"type"},{"doc":"Provides struct and type for a Pages.BuildStatus","ref":"GitHub.Pages.BuildStatus.html","title":"GitHub.Pages.BuildStatus","type":"module"},{"doc":"","ref":"GitHub.Pages.BuildStatus.html#t:t/0","title":"GitHub.Pages.BuildStatus.t/0","type":"type"},{"doc":"Provides struct and type for a Pages.Deployment","ref":"GitHub.Pages.Deployment.html","title":"GitHub.Pages.Deployment","type":"module"},{"doc":"","ref":"GitHub.Pages.Deployment.html#t:t/0","title":"GitHub.Pages.Deployment.t/0","type":"type"},{"doc":"Provides struct and type for a Pages.HealthCheck","ref":"GitHub.Pages.HealthCheck.html","title":"GitHub.Pages.HealthCheck","type":"module"},{"doc":"","ref":"GitHub.Pages.HealthCheck.html#t:t/0","title":"GitHub.Pages.HealthCheck.t/0","type":"type"},{"doc":"Provides struct and type for a Pages.HttpsCertificate","ref":"GitHub.Pages.HttpsCertificate.html","title":"GitHub.Pages.HttpsCertificate","type":"module"},{"doc":"","ref":"GitHub.Pages.HttpsCertificate.html#t:t/0","title":"GitHub.Pages.HttpsCertificate.t/0","type":"type"},{"doc":"Provides struct and type for a Pages.SourceHash","ref":"GitHub.Pages.SourceHash.html","title":"GitHub.Pages.SourceHash","type":"module"},{"doc":"","ref":"GitHub.Pages.SourceHash.html#t:t/0","title":"GitHub.Pages.SourceHash.t/0","type":"type"},{"doc":"Provides struct and type for a ParticipationStats","ref":"GitHub.ParticipationStats.html","title":"GitHub.ParticipationStats","type":"module"},{"doc":"","ref":"GitHub.ParticipationStats.html#t:t/0","title":"GitHub.ParticipationStats.t/0","type":"type"},{"doc":"Provides struct and type for a PendingDeployment","ref":"GitHub.PendingDeployment.html","title":"GitHub.PendingDeployment","type":"module"},{"doc":"","ref":"GitHub.PendingDeployment.html#t:t/0","title":"GitHub.PendingDeployment.t/0","type":"type"},{"doc":"Provides struct and type for a PorterAuthor","ref":"GitHub.PorterAuthor.html","title":"GitHub.PorterAuthor","type":"module"},{"doc":"","ref":"GitHub.PorterAuthor.html#t:t/0","title":"GitHub.PorterAuthor.t/0","type":"type"},{"doc":"Provides struct and type for a PorterLargeFile","ref":"GitHub.PorterLargeFile.html","title":"GitHub.PorterLargeFile","type":"module"},{"doc":"","ref":"GitHub.PorterLargeFile.html#t:t/0","title":"GitHub.PorterLargeFile.t/0","type":"type"},{"doc":"Provides struct and type for a PrivateVulnerabilityReport.Create","ref":"GitHub.PrivateVulnerabilityReport.Create.html","title":"GitHub.PrivateVulnerabilityReport.Create","type":"module"},{"doc":"","ref":"GitHub.PrivateVulnerabilityReport.Create.html#t:t/0","title":"GitHub.PrivateVulnerabilityReport.Create.t/0","type":"type"},{"doc":"Provides struct and type for a Project","ref":"GitHub.Project.html","title":"GitHub.Project","type":"module"},{"doc":"","ref":"GitHub.Project.html#t:t/0","title":"GitHub.Project.t/0","type":"type"},{"doc":"Provides struct and type for a Project.Card","ref":"GitHub.Project.Card.html","title":"GitHub.Project.Card","type":"module"},{"doc":"","ref":"GitHub.Project.Card.html#t:t/0","title":"GitHub.Project.Card.t/0","type":"type"},{"doc":"Provides struct and type for a Project.CollaboratorPermission","ref":"GitHub.Project.CollaboratorPermission.html","title":"GitHub.Project.CollaboratorPermission","type":"module"},{"doc":"","ref":"GitHub.Project.CollaboratorPermission.html#t:t/0","title":"GitHub.Project.CollaboratorPermission.t/0","type":"type"},{"doc":"Provides struct and type for a Project.Column","ref":"GitHub.Project.Column.html","title":"GitHub.Project.Column","type":"module"},{"doc":"","ref":"GitHub.Project.Column.html#t:t/0","title":"GitHub.Project.Column.t/0","type":"type"},{"doc":"Provides struct and type for a ProtectedBranch","ref":"GitHub.ProtectedBranch.html","title":"GitHub.ProtectedBranch","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.html#t:t/0","title":"GitHub.ProtectedBranch.t/0","type":"type"},{"doc":"Provides struct and type for a ProtectedBranch.AdminEnforced","ref":"GitHub.ProtectedBranch.AdminEnforced.html","title":"GitHub.ProtectedBranch.AdminEnforced","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.AdminEnforced.html#t:t/0","title":"GitHub.ProtectedBranch.AdminEnforced.t/0","type":"type"},{"doc":"Provides struct and type for a ProtectedBranch.PullRequestReview","ref":"GitHub.ProtectedBranch.PullRequestReview.html","title":"GitHub.ProtectedBranch.PullRequestReview","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.PullRequestReview.html#t:t/0","title":"GitHub.ProtectedBranch.PullRequestReview.t/0","type":"type"},{"doc":"Provides struct and type for a ProtectedBranch.RequiredStatusCheck","ref":"GitHub.ProtectedBranch.RequiredStatusCheck.html","title":"GitHub.ProtectedBranch.RequiredStatusCheck","type":"module"},{"doc":"","ref":"GitHub.ProtectedBranch.RequiredStatusCheck.html#t:t/0","title":"GitHub.ProtectedBranch.RequiredStatusCheck.t/0","type":"type"},{"doc":"Provides struct and types for a PullRequest","ref":"GitHub.PullRequest.html","title":"GitHub.PullRequest","type":"module"},{"doc":"","ref":"GitHub.PullRequest.html#t:minimal/0","title":"GitHub.PullRequest.minimal/0","type":"type"},{"doc":"","ref":"GitHub.PullRequest.html#t:simple/0","title":"GitHub.PullRequest.simple/0","type":"type"},{"doc":"","ref":"GitHub.PullRequest.html#t:t/0","title":"GitHub.PullRequest.t/0","type":"type"},{"doc":"Provides struct and type for a PullRequest.MergeResult","ref":"GitHub.PullRequest.MergeResult.html","title":"GitHub.PullRequest.MergeResult","type":"module"},{"doc":"","ref":"GitHub.PullRequest.MergeResult.html#t:t/0","title":"GitHub.PullRequest.MergeResult.t/0","type":"type"},{"doc":"Provides struct and type for a PullRequest.Review","ref":"GitHub.PullRequest.Review.html","title":"GitHub.PullRequest.Review","type":"module"},{"doc":"","ref":"GitHub.PullRequest.Review.html#t:t/0","title":"GitHub.PullRequest.Review.t/0","type":"type"},{"doc":"Provides struct and type for a PullRequest.ReviewComment","ref":"GitHub.PullRequest.ReviewComment.html","title":"GitHub.PullRequest.ReviewComment","type":"module"},{"doc":"","ref":"GitHub.PullRequest.ReviewComment.html#t:t/0","title":"GitHub.PullRequest.ReviewComment.t/0","type":"type"},{"doc":"Provides struct and type for a PullRequest.ReviewRequest","ref":"GitHub.PullRequest.ReviewRequest.html","title":"GitHub.PullRequest.ReviewRequest","type":"module"},{"doc":"","ref":"GitHub.PullRequest.ReviewRequest.html#t:t/0","title":"GitHub.PullRequest.ReviewRequest.t/0","type":"type"},{"doc":"Provides struct and type for a RateLimit.Overview","ref":"GitHub.RateLimit.Overview.html","title":"GitHub.RateLimit.Overview","type":"module"},{"doc":"","ref":"GitHub.RateLimit.Overview.html#t:t/0","title":"GitHub.RateLimit.Overview.t/0","type":"type"},{"doc":"Provides struct and type for a Reaction","ref":"GitHub.Reaction.html","title":"GitHub.Reaction","type":"module"},{"doc":"","ref":"GitHub.Reaction.html#t:t/0","title":"GitHub.Reaction.t/0","type":"type"},{"doc":"Provides struct and type for a Reaction.Rollup","ref":"GitHub.Reaction.Rollup.html","title":"GitHub.Reaction.Rollup","type":"module"},{"doc":"","ref":"GitHub.Reaction.Rollup.html#t:t/0","title":"GitHub.Reaction.Rollup.t/0","type":"type"},{"doc":"Provides struct and type for a ReferrerTraffic","ref":"GitHub.ReferrerTraffic.html","title":"GitHub.ReferrerTraffic","type":"module"},{"doc":"","ref":"GitHub.ReferrerTraffic.html#t:t/0","title":"GitHub.ReferrerTraffic.t/0","type":"type"},{"doc":"Provides struct and type for a Release","ref":"GitHub.Release.html","title":"GitHub.Release","type":"module"},{"doc":"","ref":"GitHub.Release.html#t:t/0","title":"GitHub.Release.t/0","type":"type"},{"doc":"Provides struct and type for a Release.Asset","ref":"GitHub.Release.Asset.html","title":"GitHub.Release.Asset","type":"module"},{"doc":"","ref":"GitHub.Release.Asset.html#t:t/0","title":"GitHub.Release.Asset.t/0","type":"type"},{"doc":"Provides struct and type for a Release.NotesContent","ref":"GitHub.Release.NotesContent.html","title":"GitHub.Release.NotesContent","type":"module"},{"doc":"","ref":"GitHub.Release.NotesContent.html#t:t/0","title":"GitHub.Release.NotesContent.t/0","type":"type"},{"doc":"Provides struct and type for a RepoCodespacesSecret","ref":"GitHub.RepoCodespacesSecret.html","title":"GitHub.RepoCodespacesSecret","type":"module"},{"doc":"","ref":"GitHub.RepoCodespacesSecret.html#t:t/0","title":"GitHub.RepoCodespacesSecret.t/0","type":"type"},{"doc":"Provides struct and type for a RepoSearchResultItem","ref":"GitHub.RepoSearchResultItem.html","title":"GitHub.RepoSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.RepoSearchResultItem.html#t:t/0","title":"GitHub.RepoSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and types for a Repository","ref":"GitHub.Repository.html","title":"GitHub.Repository","type":"module"},{"doc":"","ref":"GitHub.Repository.html#t:full/0","title":"GitHub.Repository.full/0","type":"type"},{"doc":"","ref":"GitHub.Repository.html#t:minimal/0","title":"GitHub.Repository.minimal/0","type":"type"},{"doc":"","ref":"GitHub.Repository.html#t:simple/0","title":"GitHub.Repository.simple/0","type":"type"},{"doc":"","ref":"GitHub.Repository.html#t:t/0","title":"GitHub.Repository.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Advisory","ref":"GitHub.Repository.Advisory.html","title":"GitHub.Repository.Advisory","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.html#t:t/0","title":"GitHub.Repository.Advisory.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Advisory.Create","ref":"GitHub.Repository.Advisory.Create.html","title":"GitHub.Repository.Advisory.Create","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.Create.html#t:t/0","title":"GitHub.Repository.Advisory.Create.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Advisory.Update","ref":"GitHub.Repository.Advisory.Update.html","title":"GitHub.Repository.Advisory.Update","type":"module"},{"doc":"","ref":"GitHub.Repository.Advisory.Update.html#t:t/0","title":"GitHub.Repository.Advisory.Update.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.CollaboratorPermission","ref":"GitHub.Repository.CollaboratorPermission.html","title":"GitHub.Repository.CollaboratorPermission","type":"module"},{"doc":"","ref":"GitHub.Repository.CollaboratorPermission.html#t:t/0","title":"GitHub.Repository.CollaboratorPermission.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.IdAndRefName","ref":"GitHub.Repository.IdAndRefName.html","title":"GitHub.Repository.IdAndRefName","type":"module"},{"doc":"","ref":"GitHub.Repository.IdAndRefName.html#t:t/0","title":"GitHub.Repository.IdAndRefName.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Invitation","ref":"GitHub.Repository.Invitation.html","title":"GitHub.Repository.Invitation","type":"module"},{"doc":"","ref":"GitHub.Repository.Invitation.html#t:t/0","title":"GitHub.Repository.Invitation.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.NameAndRefName","ref":"GitHub.Repository.NameAndRefName.html","title":"GitHub.Repository.NameAndRefName","type":"module"},{"doc":"","ref":"GitHub.Repository.NameAndRefName.html#t:t/0","title":"GitHub.Repository.NameAndRefName.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.BranchNamePattern","ref":"GitHub.Repository.Rule.BranchNamePattern.html","title":"GitHub.Repository.Rule.BranchNamePattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.BranchNamePattern.html#t:t/0","title":"GitHub.Repository.Rule.BranchNamePattern.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.CommitAuthorEmailPattern","ref":"GitHub.Repository.Rule.CommitAuthorEmailPattern.html","title":"GitHub.Repository.Rule.CommitAuthorEmailPattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.CommitAuthorEmailPattern.html#t:t/0","title":"GitHub.Repository.Rule.CommitAuthorEmailPattern.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.CommitMessagePattern","ref":"GitHub.Repository.Rule.CommitMessagePattern.html","title":"GitHub.Repository.Rule.CommitMessagePattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.CommitMessagePattern.html#t:t/0","title":"GitHub.Repository.Rule.CommitMessagePattern.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.CommitterEmailPattern","ref":"GitHub.Repository.Rule.CommitterEmailPattern.html","title":"GitHub.Repository.Rule.CommitterEmailPattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.CommitterEmailPattern.html#t:t/0","title":"GitHub.Repository.Rule.CommitterEmailPattern.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.Creation","ref":"GitHub.Repository.Rule.Creation.html","title":"GitHub.Repository.Rule.Creation","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Creation.html#t:t/0","title":"GitHub.Repository.Rule.Creation.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.Deletion","ref":"GitHub.Repository.Rule.Deletion.html","title":"GitHub.Repository.Rule.Deletion","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Deletion.html#t:t/0","title":"GitHub.Repository.Rule.Deletion.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.NonFastForward","ref":"GitHub.Repository.Rule.NonFastForward.html","title":"GitHub.Repository.Rule.NonFastForward","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.NonFastForward.html#t:t/0","title":"GitHub.Repository.Rule.NonFastForward.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.ParamsStatusCheckConfiguration","ref":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration.html","title":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration.html#t:t/0","title":"GitHub.Repository.Rule.ParamsStatusCheckConfiguration.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.PullRequest","ref":"GitHub.Repository.Rule.PullRequest.html","title":"GitHub.Repository.Rule.PullRequest","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.PullRequest.html#t:t/0","title":"GitHub.Repository.Rule.PullRequest.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.RequiredDeployments","ref":"GitHub.Repository.Rule.RequiredDeployments.html","title":"GitHub.Repository.Rule.RequiredDeployments","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredDeployments.html#t:t/0","title":"GitHub.Repository.Rule.RequiredDeployments.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.RequiredLinearHistory","ref":"GitHub.Repository.Rule.RequiredLinearHistory.html","title":"GitHub.Repository.Rule.RequiredLinearHistory","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredLinearHistory.html#t:t/0","title":"GitHub.Repository.Rule.RequiredLinearHistory.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.RequiredSignatures","ref":"GitHub.Repository.Rule.RequiredSignatures.html","title":"GitHub.Repository.Rule.RequiredSignatures","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredSignatures.html#t:t/0","title":"GitHub.Repository.Rule.RequiredSignatures.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.RequiredStatusChecks","ref":"GitHub.Repository.Rule.RequiredStatusChecks.html","title":"GitHub.Repository.Rule.RequiredStatusChecks","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.RequiredStatusChecks.html#t:t/0","title":"GitHub.Repository.Rule.RequiredStatusChecks.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.TagNamePattern","ref":"GitHub.Repository.Rule.TagNamePattern.html","title":"GitHub.Repository.Rule.TagNamePattern","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.TagNamePattern.html#t:t/0","title":"GitHub.Repository.Rule.TagNamePattern.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Rule.Update","ref":"GitHub.Repository.Rule.Update.html","title":"GitHub.Repository.Rule.Update","type":"module"},{"doc":"","ref":"GitHub.Repository.Rule.Update.html#t:t/0","title":"GitHub.Repository.Rule.Update.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Ruleset","ref":"GitHub.Repository.Ruleset.html","title":"GitHub.Repository.Ruleset","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.html#t:t/0","title":"GitHub.Repository.Ruleset.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Ruleset.BypassActor","ref":"GitHub.Repository.Ruleset.BypassActor.html","title":"GitHub.Repository.Ruleset.BypassActor","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.BypassActor.html#t:t/0","title":"GitHub.Repository.Ruleset.BypassActor.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Ruleset.Conditions","ref":"GitHub.Repository.Ruleset.Conditions.html","title":"GitHub.Repository.Ruleset.Conditions","type":"module"},{"doc":"","ref":"GitHub.Repository.Ruleset.Conditions.html#t:t/0","title":"GitHub.Repository.Ruleset.Conditions.t/0","type":"type"},{"doc":"Provides struct and type for a Repository.Subscription","ref":"GitHub.Repository.Subscription.html","title":"GitHub.Repository.Subscription","type":"module"},{"doc":"","ref":"GitHub.Repository.Subscription.html#t:t/0","title":"GitHub.Repository.Subscription.t/0","type":"type"},{"doc":"Provides struct and type for a ReviewComment","ref":"GitHub.ReviewComment.html","title":"GitHub.ReviewComment","type":"module"},{"doc":"","ref":"GitHub.ReviewComment.html#t:t/0","title":"GitHub.ReviewComment.t/0","type":"type"},{"doc":"Provides struct and type for a Root","ref":"GitHub.Root.html","title":"GitHub.Root","type":"module"},{"doc":"","ref":"GitHub.Root.html#t:t/0","title":"GitHub.Root.t/0","type":"type"},{"doc":"Provides struct and type for a RuleSuite","ref":"GitHub.RuleSuite.html","title":"GitHub.RuleSuite","type":"module"},{"doc":"","ref":"GitHub.RuleSuite.html#t:t/0","title":"GitHub.RuleSuite.t/0","type":"type"},{"doc":"Provides struct and type for a SCIM.Error","ref":"GitHub.SCIM.Error.html","title":"GitHub.SCIM.Error","type":"module"},{"doc":"","ref":"GitHub.SCIM.Error.html#t:t/0","title":"GitHub.SCIM.Error.t/0","type":"type"},{"doc":"Provides struct and type for a SSHSigningKey","ref":"GitHub.SSHSigningKey.html","title":"GitHub.SSHSigningKey","type":"module"},{"doc":"","ref":"GitHub.SSHSigningKey.html#t:t/0","title":"GitHub.SSHSigningKey.t/0","type":"type"},{"doc":"Provides struct and type for a SecretScanning.Alert","ref":"GitHub.SecretScanning.Alert.html","title":"GitHub.SecretScanning.Alert","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.Alert.html#t:t/0","title":"GitHub.SecretScanning.Alert.t/0","type":"type"},{"doc":"Provides struct and type for a SecretScanning.Location","ref":"GitHub.SecretScanning.Location.html","title":"GitHub.SecretScanning.Location","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.Location.html#t:t/0","title":"GitHub.SecretScanning.Location.t/0","type":"type"},{"doc":"Provides struct and type for a SecretScanning.LocationCommit","ref":"GitHub.SecretScanning.LocationCommit.html","title":"GitHub.SecretScanning.LocationCommit","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationCommit.html#t:t/0","title":"GitHub.SecretScanning.LocationCommit.t/0","type":"type"},{"doc":"Provides struct and type for a SecretScanning.LocationIssueBody","ref":"GitHub.SecretScanning.LocationIssueBody.html","title":"GitHub.SecretScanning.LocationIssueBody","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationIssueBody.html#t:t/0","title":"GitHub.SecretScanning.LocationIssueBody.t/0","type":"type"},{"doc":"Provides struct and type for a SecretScanning.LocationIssueComment","ref":"GitHub.SecretScanning.LocationIssueComment.html","title":"GitHub.SecretScanning.LocationIssueComment","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationIssueComment.html#t:t/0","title":"GitHub.SecretScanning.LocationIssueComment.t/0","type":"type"},{"doc":"Provides struct and type for a SecretScanning.LocationIssueTitle","ref":"GitHub.SecretScanning.LocationIssueTitle.html","title":"GitHub.SecretScanning.LocationIssueTitle","type":"module"},{"doc":"","ref":"GitHub.SecretScanning.LocationIssueTitle.html#t:t/0","title":"GitHub.SecretScanning.LocationIssueTitle.t/0","type":"type"},{"doc":"Provides struct and type for a SecurityAndAnalysis","ref":"GitHub.SecurityAndAnalysis.html","title":"GitHub.SecurityAndAnalysis","type":"module"},{"doc":"","ref":"GitHub.SecurityAndAnalysis.html#t:t/0","title":"GitHub.SecurityAndAnalysis.t/0","type":"type"},{"doc":"Provides struct and type for a SelectedActions","ref":"GitHub.SelectedActions.html","title":"GitHub.SelectedActions","type":"module"},{"doc":"","ref":"GitHub.SelectedActions.html#t:t/0","title":"GitHub.SelectedActions.t/0","type":"type"},{"doc":"Provides struct and type for a ShortBlob","ref":"GitHub.ShortBlob.html","title":"GitHub.ShortBlob","type":"module"},{"doc":"","ref":"GitHub.ShortBlob.html#t:t/0","title":"GitHub.ShortBlob.t/0","type":"type"},{"doc":"Provides struct and type for a ShortBranch","ref":"GitHub.ShortBranch.html","title":"GitHub.ShortBranch","type":"module"},{"doc":"","ref":"GitHub.ShortBranch.html#t:t/0","title":"GitHub.ShortBranch.t/0","type":"type"},{"doc":"Provides struct and type for a Snapshot","ref":"GitHub.Snapshot.html","title":"GitHub.Snapshot","type":"module"},{"doc":"","ref":"GitHub.Snapshot.html#t:t/0","title":"GitHub.Snapshot.t/0","type":"type"},{"doc":"Provides struct and type for a SocialAccount","ref":"GitHub.SocialAccount.html","title":"GitHub.SocialAccount","type":"module"},{"doc":"","ref":"GitHub.SocialAccount.html#t:t/0","title":"GitHub.SocialAccount.t/0","type":"type"},{"doc":"Provides struct and type for a StarredRepository","ref":"GitHub.StarredRepository.html","title":"GitHub.StarredRepository","type":"module"},{"doc":"","ref":"GitHub.StarredRepository.html#t:t/0","title":"GitHub.StarredRepository.t/0","type":"type"},{"doc":"Provides struct and type for a Status","ref":"GitHub.Status.html","title":"GitHub.Status","type":"module"},{"doc":"","ref":"GitHub.Status.html#t:t/0","title":"GitHub.Status.t/0","type":"type"},{"doc":"Provides struct and type for a StatusCheckPolicy","ref":"GitHub.StatusCheckPolicy.html","title":"GitHub.StatusCheckPolicy","type":"module"},{"doc":"","ref":"GitHub.StatusCheckPolicy.html#t:t/0","title":"GitHub.StatusCheckPolicy.t/0","type":"type"},{"doc":"Provides struct and type for a Tag","ref":"GitHub.Tag.html","title":"GitHub.Tag","type":"module"},{"doc":"","ref":"GitHub.Tag.html#t:t/0","title":"GitHub.Tag.t/0","type":"type"},{"doc":"Provides struct and type for a TagProtection","ref":"GitHub.TagProtection.html","title":"GitHub.TagProtection","type":"module"},{"doc":"","ref":"GitHub.TagProtection.html#t:t/0","title":"GitHub.TagProtection.t/0","type":"type"},{"doc":"Provides struct and types for a Team","ref":"GitHub.Team.html","title":"GitHub.Team","type":"module"},{"doc":"","ref":"GitHub.Team.html#t:full/0","title":"GitHub.Team.full/0","type":"type"},{"doc":"","ref":"GitHub.Team.html#t:simple/0","title":"GitHub.Team.simple/0","type":"type"},{"doc":"","ref":"GitHub.Team.html#t:t/0","title":"GitHub.Team.t/0","type":"type"},{"doc":"Provides struct and type for a Team.Discussion","ref":"GitHub.Team.Discussion.html","title":"GitHub.Team.Discussion","type":"module"},{"doc":"","ref":"GitHub.Team.Discussion.html#t:t/0","title":"GitHub.Team.Discussion.t/0","type":"type"},{"doc":"Provides struct and type for a Team.DiscussionComment","ref":"GitHub.Team.DiscussionComment.html","title":"GitHub.Team.DiscussionComment","type":"module"},{"doc":"","ref":"GitHub.Team.DiscussionComment.html#t:t/0","title":"GitHub.Team.DiscussionComment.t/0","type":"type"},{"doc":"Provides struct and type for a Team.Membership","ref":"GitHub.Team.Membership.html","title":"GitHub.Team.Membership","type":"module"},{"doc":"","ref":"GitHub.Team.Membership.html#t:t/0","title":"GitHub.Team.Membership.t/0","type":"type"},{"doc":"Provides struct and type for a Team.Organization","ref":"GitHub.Team.Organization.html","title":"GitHub.Team.Organization","type":"module"},{"doc":"","ref":"GitHub.Team.Organization.html#t:t/0","title":"GitHub.Team.Organization.t/0","type":"type"},{"doc":"Provides struct and type for a Team.Project","ref":"GitHub.Team.Project.html","title":"GitHub.Team.Project","type":"module"},{"doc":"","ref":"GitHub.Team.Project.html#t:t/0","title":"GitHub.Team.Project.t/0","type":"type"},{"doc":"Provides struct and type for a Team.Repository","ref":"GitHub.Team.Repository.html","title":"GitHub.Team.Repository","type":"module"},{"doc":"","ref":"GitHub.Team.Repository.html#t:t/0","title":"GitHub.Team.Repository.t/0","type":"type"},{"doc":"Provides struct and type for a Thread","ref":"GitHub.Thread.html","title":"GitHub.Thread","type":"module"},{"doc":"","ref":"GitHub.Thread.html#t:t/0","title":"GitHub.Thread.t/0","type":"type"},{"doc":"Provides struct and type for a ThreadSubscription","ref":"GitHub.ThreadSubscription.html","title":"GitHub.ThreadSubscription","type":"module"},{"doc":"","ref":"GitHub.ThreadSubscription.html#t:t/0","title":"GitHub.ThreadSubscription.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.AssignedIssueEvent","ref":"GitHub.Timeline.AssignedIssueEvent.html","title":"GitHub.Timeline.AssignedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.AssignedIssueEvent.html#t:t/0","title":"GitHub.Timeline.AssignedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.CommentEvent","ref":"GitHub.Timeline.CommentEvent.html","title":"GitHub.Timeline.CommentEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CommentEvent.html#t:t/0","title":"GitHub.Timeline.CommentEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.CommitCommentedEvent","ref":"GitHub.Timeline.CommitCommentedEvent.html","title":"GitHub.Timeline.CommitCommentedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CommitCommentedEvent.html#t:t/0","title":"GitHub.Timeline.CommitCommentedEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.CommittedEvent","ref":"GitHub.Timeline.CommittedEvent.html","title":"GitHub.Timeline.CommittedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CommittedEvent.html#t:t/0","title":"GitHub.Timeline.CommittedEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.CrossReferencedEvent","ref":"GitHub.Timeline.CrossReferencedEvent.html","title":"GitHub.Timeline.CrossReferencedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.CrossReferencedEvent.html#t:t/0","title":"GitHub.Timeline.CrossReferencedEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.LineCommentedEvent","ref":"GitHub.Timeline.LineCommentedEvent.html","title":"GitHub.Timeline.LineCommentedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.LineCommentedEvent.html#t:t/0","title":"GitHub.Timeline.LineCommentedEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.ReviewedEvent","ref":"GitHub.Timeline.ReviewedEvent.html","title":"GitHub.Timeline.ReviewedEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.ReviewedEvent.html#t:t/0","title":"GitHub.Timeline.ReviewedEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Timeline.UnassignedIssueEvent","ref":"GitHub.Timeline.UnassignedIssueEvent.html","title":"GitHub.Timeline.UnassignedIssueEvent","type":"module"},{"doc":"","ref":"GitHub.Timeline.UnassignedIssueEvent.html#t:t/0","title":"GitHub.Timeline.UnassignedIssueEvent.t/0","type":"type"},{"doc":"Provides struct and type for a Topic","ref":"GitHub.Topic.html","title":"GitHub.Topic","type":"module"},{"doc":"","ref":"GitHub.Topic.html#t:t/0","title":"GitHub.Topic.t/0","type":"type"},{"doc":"Provides struct and type for a TopicSearchResultItem","ref":"GitHub.TopicSearchResultItem.html","title":"GitHub.TopicSearchResultItem","type":"module"},{"doc":"","ref":"GitHub.TopicSearchResultItem.html#t:t/0","title":"GitHub.TopicSearchResultItem.t/0","type":"type"},{"doc":"Provides struct and type for a Traffic","ref":"GitHub.Traffic.html","title":"GitHub.Traffic","type":"module"},{"doc":"","ref":"GitHub.Traffic.html#t:t/0","title":"GitHub.Traffic.t/0","type":"type"},{"doc":"Provides struct and types for a User","ref":"GitHub.User.html","title":"GitHub.User","type":"module"},{"doc":"","ref":"GitHub.User.html#t:private/0","title":"GitHub.User.private/0","type":"type"},{"doc":"","ref":"GitHub.User.html#t:public/0","title":"GitHub.User.public/0","type":"type"},{"doc":"","ref":"GitHub.User.html#t:simple/0","title":"GitHub.User.simple/0","type":"type"},{"doc":"Provides struct and type for a User.MarketplacePurchase","ref":"GitHub.User.MarketplacePurchase.html","title":"GitHub.User.MarketplacePurchase","type":"module"},{"doc":"","ref":"GitHub.User.MarketplacePurchase.html#t:t/0","title":"GitHub.User.MarketplacePurchase.t/0","type":"type"},{"doc":"Provides struct and type for a User.SearchResultItem","ref":"GitHub.User.SearchResultItem.html","title":"GitHub.User.SearchResultItem","type":"module"},{"doc":"","ref":"GitHub.User.SearchResultItem.html#t:t/0","title":"GitHub.User.SearchResultItem.t/0","type":"type"},{"doc":"Provides struct and types for a ValidationError","ref":"GitHub.ValidationError.html","title":"GitHub.ValidationError","type":"module"},{"doc":"","ref":"GitHub.ValidationError.html#t:simple/0","title":"GitHub.ValidationError.simple/0","type":"type"},{"doc":"","ref":"GitHub.ValidationError.html#t:t/0","title":"GitHub.ValidationError.t/0","type":"type"},{"doc":"Provides struct and type for a Verification","ref":"GitHub.Verification.html","title":"GitHub.Verification","type":"module"},{"doc":"","ref":"GitHub.Verification.html#t:t/0","title":"GitHub.Verification.t/0","type":"type"},{"doc":"Provides struct and type for a ViewTraffic","ref":"GitHub.ViewTraffic.html","title":"GitHub.ViewTraffic","type":"module"},{"doc":"","ref":"GitHub.ViewTraffic.html#t:t/0","title":"GitHub.ViewTraffic.t/0","type":"type"},{"doc":"Provides struct and type for a Webhook.Config","ref":"GitHub.Webhook.Config.html","title":"GitHub.Webhook.Config","type":"module"},{"doc":"","ref":"GitHub.Webhook.Config.html#t:t/0","title":"GitHub.Webhook.Config.t/0","type":"type"},{"doc":"The ergonomics of a hand-crafted client with the API coverage of generated code. This library uses an OpenAPI Code Generator that has the flexibility to wrangle the generated code into an ergonomic client. So instead of dealing with NullableRepository vs. FullRepository and other odd artifacts of GitHub's OpenAPI description, there's a predictable interface. Furthermore, this library has no opinions about what you use for HTTP requests, serialization, etc. Instead it allows users to define their own stack of plugins, many of which are provided here.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"This library is available on Hex.pm. Add the dependency in mix.exs : def deps do [ { :oapi_github , &quot;~&gt; 0.2.3&quot; } ] end Then install the dependency using mix deps.get .","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"This library comes with a common default set of configuration. To use it successfully, you will need to install HTTPoison and Jason . (Remember, these libraries can easily be switched out by changing the stack configuration. See GitHub.Config for more information.) Some good up-and-running configuration to set: app_name will include the name of your application in the User Agent so GitHub can contact you if they notice any problems. default_auth allows you to provide default Authorization header credentials, such as a client ID and secret to increase your rate limit when no other credentials are available. config :oapi_github , app_name : &quot;MyApp&quot; , default_auth : { &quot;client_id&quot; , &quot;client_secret&quot; } For more information about configuration, see the documentation for GitHub.Config .","ref":"readme.html#configuration","title":"Overview - Configuration","type":"extras"},{"doc":"All of the client operations are generated based on the OpenAPI description provided by GitHub. In general, you can expect to find: GitHub.Resource . operation ( path1 , path2 , ... , body , opts ) Where: Resource is the name of the resource as tagged by GitHub, like Repos . operation is the name of the route, like get or create_commit_comment . The first arguments are path parameters, such as owner and repo in /repos/{owner}/{repo} . If the request accepts a body, then there will be a body parameter. Finally, all operations accept a keyword list of options. The options accepted by operations may differ depending on your chosen stack. However, the following are always available: auth (string, 2-tuple, or struct implementing GitHub.Auth ) Credentials to use for the request. server (URL including scheme) Base API server to use, such as https://api.github.com (useful for interacting with GitHub Enterprise installations). version (string) GitHub API version to use (not recommended to override this, because the generated code may not match the specified version). Whenever GitHub specifies a named schema as the response type for an operation, an Elixir struct will be returned. Note that GitHub often has similarly named schemas (such as SimpleUser , PrivateUser , PublicUser , etc.). Where possible, these have been collapsed into a single struct (like GitHub.User ) where not all of the fields may be filled in. However, responses are still properly typed by their type specifications.","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Test helpers are available in GitHub.Testing together with the GitHub.Plugins.TestClient plugin. defmodule MyApp.MyTest do use ExUnit.Case use GitHub.Testing test &quot;calls GitHub API&quot; do mock_gh &amp; GitHub.Repo . get / 2 , fn -&gt; { :ok , 200 , % GitHub.Repository { id : 12345 } } end my_function ( ) assert_called_gh GitHub.Repos . get ( &quot;owner&quot; , :_ ) end end For more information, see the documentation for GitHub.Testing .","ref":"readme.html#testing","title":"Overview - Testing","type":"extras"},{"doc":"Because this library uses a code generator for the majority of its mass, there are two modes of contribution. Please consider these when creating issues or opening pull requests: If the generated code is out of date, the fix may be as simple as running mix gen.api using the latest OpenAPI description. If the client isn't working as expected, the fix may be more involved and require careful thought and versioning. For more on what this means to you as a contributor, please see the contribution guidelines .","ref":"readme.html#contributing","title":"Overview - Contributing","type":"extras"},{"doc":"If you like this library or it makes you money, please consider sponsoring .","ref":"readme.html#sponsorship","title":"Overview - Sponsorship","type":"extras"},{"doc":"This library provides Erlang Telemetry events for all operation requests to the default client using the prefix [:oapi_github, :request] .","ref":"telemetry.html","title":"Telemetry","type":"extras"},{"doc":"There is one set of events that covers all possible operations: [:oapi_github, :request, :start] Measurements: :monotonic_time : (integer) monotonic system time in native time units from :erlang.monotonic_time/0 :system_time : (integer) current system time in native time units from :erlang.system_time/0 Metadata: :client : (module) client module originally called :info : (map) all information provided to the client's request/1 function :request_method : (atom) HTTP method of the call :request_server : (string) hostname of the API server :request_url : (string) API endpoint [:oapi_github, :request, :stop] Measurements: :duration : (integer) duration of the call in native time units using monotonic times :monotonic_time : (integer) monotonic system time in native time units from :erlang.monotonic_time/0 Metadata: :error : (atom) if the result of the call was an error (but not an exception), the reason for the error :response_code : (integer) HTTP status code of the response, if one was received All metadata from the :start event [:oapi_github, :request, :exception] Measurements: :duration : (integer) duration of the call in native time units using monotonic times :monotonic_time : (integer) monotonic system time in native time units from :erlang.monotonic_time/0 Metadata: :kind : (atom) one of :throw , :error , or :exit based on the type of exception :reason : (any) cause of the exception :response_code : (integer) HTTP status code of the response, if one was received :stacktrace : (list of tuples) stacktrace of the exception All metadata from the :start event","ref":"telemetry.html#events","title":"Telemetry - Events","type":"extras"},{"doc":"","ref":"code_of_conduct.html","title":"Code of Conduct","type":"extras"},{"doc":"We as members, contributors, and leaders pledge to make participation in our community a harassment-free experience for everyone, regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, caste, color, religion, or sexual identity and orientation. We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.","ref":"code_of_conduct.html#our-pledge","title":"Code of Conduct - Our Pledge","type":"extras"},{"doc":"Examples of behavior that contributes to a positive environment for our community include: Demonstrating empathy and kindness toward other people Being respectful of differing opinions, viewpoints, and experiences Giving and gracefully accepting constructive feedback Accepting responsibility and apologizing to those affected by our mistakes, and learning from the experience Focusing on what is best not just for us as individuals, but for the overall community Examples of unacceptable behavior include: The use of sexualized language or imagery, and sexual attention or advances of any kind Trolling, insulting or derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or email address, without their explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting","ref":"code_of_conduct.html#our-standards","title":"Code of Conduct - Our Standards","type":"extras"},{"doc":"Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful. Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate.","ref":"code_of_conduct.html#enforcement-responsibilities","title":"Code of Conduct - Enforcement Responsibilities","type":"extras"},{"doc":"This Code of Conduct applies within all community spaces, and also applies when an individual is officially representing the community in public spaces. Examples of representing our community include using an official e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event.","ref":"code_of_conduct.html#scope","title":"Code of Conduct - Scope","type":"extras"},{"doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement by email . All complaints will be reviewed and investigated promptly and fairly. All community leaders are obligated to respect the privacy and security of the reporter of any incident.","ref":"code_of_conduct.html#enforcement","title":"Code of Conduct - Enforcement","type":"extras"},{"doc":"Community leaders will follow these Community Impact Guidelines in determining the consequences for any action they deem in violation of this Code of Conduct: 1. Correction Community Impact : Use of inappropriate language or other behavior deemed unprofessional or unwelcome in the community. Consequence : A private, written warning from community leaders, providing clarity around the nature of the violation and an explanation of why the behavior was inappropriate. A public apology may be requested. 2. Warning Community Impact : A violation through a single incident or series of actions. Consequence : A warning with consequences for continued behavior. No interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, for a specified period of time. This includes avoiding interactions in community spaces as well as external channels like social media. Violating these terms may lead to a temporary or permanent ban. 3. Temporary Ban Community Impact : A serious violation of community standards, including sustained inappropriate behavior. Consequence : A temporary ban from any sort of interaction or public communication with the community for a specified period of time. No public or private interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, is allowed during this period. Violating these terms may lead to a permanent ban. 4. Permanent Ban Community Impact : Demonstrating a pattern of violation of community standards, including sustained inappropriate behavior, harassment of an individual, or aggression toward or disparagement of classes of individuals. Consequence : A permanent ban from any sort of public interaction within the community.","ref":"code_of_conduct.html#enforcement-guidelines","title":"Code of Conduct - Enforcement Guidelines","type":"extras"},{"doc":"This Code of Conduct is adapted from the Contributor Covenant , version 2.1, available at https://www.contributor-covenant.org/version/2/1/code_of_conduct.html . Community Impact Guidelines were inspired by Mozilla's code of conduct enforcement ladder . For answers to common questions about this code of conduct, see the FAQ at https://www.contributor-covenant.org/faq . Translations are available at https://www.contributor-covenant.org/translations .","ref":"code_of_conduct.html#attribution","title":"Code of Conduct - Attribution","type":"extras"},{"doc":"Hello there. Thank you for your interest in contributing to this project. GitHub has a large API that would be impossible to maintain a client for without help. Reading and following the guidelines in this document is an act of kindness and respect for other contributors. With your help, we can address issues, make changes, and work together efficiently.","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"There are many ways to contribute to this project: Anyone can use the mix api.gen task (see below) to update the library using the latest OpenAPI description. Users of the client can report issues related to the client itself and propose solutions. Users and library authors can contribute plugins (see below) for new integrations. Everyone can help improve documentation and support others in Discussions. Anyone can assist in the triage of bugs, identifying root causes, and proposing solutions. Please keep in mind the intended scope of this package: to provide a GitHub REST API client that balances an ergonomic user experience with the maintainability of code generation. Assume that the GitHub OpenAPI description that serves as input to this library will change often, and manually changing the output is impractical.","ref":"contributing.html#ways-to-contribute","title":"Contributing - Ways to Contribute","type":"extras"},{"doc":"All contributions to this project must align with the code of conduct . Beyond that, we ask: Please be kind. Maintaining this project is not paid work. Please create an issue before embarking on major refactors or new features. Let's make a reasonable effort to support commonly-used 3rd-party integrations.","ref":"contributing.html#ground-rules","title":"Contributing - Ground Rules","type":"extras"},{"doc":"If you're interested in doing something specific, here are some guidelines: Security Issues If you find a security-related issue with this project, please refrain from opening a public issue and instead email the maintainer . Bugs and Blockers Please use GitHub Issues to report reproducible bugs. Feature Requests and Ideas Please use GitHub Discussions to share requests and ideas for improvements to the library. Updating the Generated Code If you intend to open a PR with updates to the generated code based on the latest GitHub OpenAPI description, please read carefully: Please use the latest commit from the official repository at the time of your contribution. Please use descriptions-next/api.github.com/api.github.com.yaml — not descriptions or a GitHub Enterprise release. Use mix api.gen default path/to/descriptions-next/api.github.com/api.github.com.yaml to regenerate the code. Please also change the .api-version file if appropriate. Please include the commit SHA of the official repository in the description of your pull request. Please do not make any other changes in the same PR (for example, changing this library's version). If you run into any unexpected issues while generating the code, please open an issue. Thank you for your help! Implementing Changes If you've decided to take on the implementation of a new feature or fix, please remember to avoid changing files in operations/ and schemas/ . These directories contain generated code, and therefore will be overwritten. If something in there needs to be changed, please start a discussion on the generator repo .","ref":"contributing.html#workflows","title":"Contributing - Workflows","type":"extras"},{"doc":"For maintainers, the process of releasing this package to Hex.pm centers around git tags. To make a new release: Update the Changelog with a new header that has today's date and the new version. Include any missing notes from changes since the last release, and any additional upgrade instructions users may need. Update the @version number in mix.exs . The form should be X.Y.Z , with optional suffixes, but no leading v . Update the Installation instructions in README.md to have the newest non-suffixed version number. Commit the above changes with a generic commit message, such as Release X.Y.Z . Tag the commit as X.Y.Z , with optional suffixes, but no leading v . Push the commits and tag (for example, git push origin main --tags ). Observe the GitHub Action titled Release . This action automatically publishes the package to Hex.pm.","ref":"contributing.html#releases","title":"Contributing - Releases","type":"extras"},{"doc":"MIT License Copyright (c) 2023 AJ Foster Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]